/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2018-07-23 08:05:25 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` mediumblob NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB AUTO_INCREMENT=702 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=1046 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=455 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("5", "20180723_i_heart_cities_rev_w_theme", "0e33fa70b9ca63ba6390180723080521", "20", "2018-07-23 08:05:25", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2018-07-23 08:05:21\";s:7:\"Version\";s:6:\"1.2.40\";s:9:\"VersionWP\";s:5:\"4.9.7\";s:9:\"VersionDB\";s:6:\"5.6.38\";s:10:\"VersionPHP\";s:6:\"7.1.12\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:5;s:4:\"Name\";s:35:\"20180723_i_heart_cities_rev_w_theme\";s:4:\"Hash\";s:32:\"0e33fa70b9ca63ba6390180723080521\";s:8:\"NameHash\";s:68:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:74:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-snapshots/tmp\";s:8:\"StoreURL\";s:67:\"http://localhost:8888/iheartcities-revised-summer2018/wp-snapshots/\";s:8:\"ScanFile\";s:78:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";N;s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":19:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:80:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:57:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":4:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":5:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":2:{s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2018-07-23 08:05:21\";s:7:\"Version\";s:6:\"1.2.40\";s:9:\"VersionWP\";s:5:\"4.9.7\";s:9:\"VersionDB\";s:6:\"5.6.38\";s:10:\"VersionPHP\";s:6:\"7.1.12\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:35:\"20180723_i_heart_cities_rev_w_theme\";s:4:\"Hash\";s:32:\"0e33fa70b9ca63ba6390180723080521\";s:8:\"NameHash\";s:68:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:74:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-snapshots/tmp\";s:8:\"StoreURL\";s:67:\"http://localhost:8888/iheartcities-revised-summer2018/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";N;s:6:\"WPUser\";N;s:7:\"Archive\";r:22;s:9:\"Installer\";O:13:\"DUP_Installer\":7:{s:4:\"File\";s:82:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521_installer.php\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:10:\"\0*\0Package\";r:58;}s:8:\"Database\";O:12:\"DUP_Database\":13:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:81:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:10:\"\0*\0Package\";r:1;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:6:{i:0;s:66:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-admin\";i:1;s:76:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/uploads\";i:2;s:78:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/languages\";i:3;s:76:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/plugins\";i:4;s:75:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/themes\";i:5;s:69:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-includes\";}}s:9:\"Installer\";r:80;s:8:\"Database\";r:88;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/iheartcities-revised-summer2018", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/iheartcities-revised-summer2018", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "I ♥ Cities", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "City Facts", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "4", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "40", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:89:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:3:{i:0;s:43:\"custom-post-type-ui/custom-post-type-ui.php\";i:1;s:33:\"duplicate-post/duplicate-post.php\";i:2;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentysixteen", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentysixteen", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_whitelist", "1", "yes");
INSERT INTO `wp_options` VALUES("43", "blacklist_keys", "", "no");
INSERT INTO `wp_options` VALUES("44", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("46", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("47", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("48", "db_version", "38590", "yes");
INSERT INTO `wp_options` VALUES("49", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("50", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("51", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("52", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("53", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("54", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("55", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("56", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("57", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("59", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("60", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("61", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("62", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("63", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("64", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("65", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("67", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("68", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("69", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("70", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("71", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("72", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("73", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("74", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("75", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("76", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("77", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_categories", "a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("80", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("81", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("82", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("83", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("86", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("87", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("88", "site_icon", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("90", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("91", "initial_db_version", "38590", "yes");
INSERT INTO `wp_options` VALUES("92", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("93", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("94", "widget_search", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("95", "widget_recent-posts", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("96", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("97", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("98", "widget_meta", "a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("99", "sidebars_widgets", "a:5:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:4:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:12:\"categories-2\";i:3;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("100", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("101", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("102", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("103", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "cron", "a:5:{i:1532334666;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1532370243;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1532413459;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1532413986;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("110", "theme_mods_twentyseventeen", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1522652238;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("123", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:15:\"kevinmc@shaw.ca\";s:7:\"version\";s:5:\"4.9.7\";s:9:\"timestamp\";i:1531751456;}", "no");
INSERT INTO `wp_options` VALUES("129", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("182", "current_theme", "Twenty Sixteen", "yes");
INSERT INTO `wp_options` VALUES("183", "theme_mods_iheartcities2018", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:6;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1523041602;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("184", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("195", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("203", "duplicator_version_plugin", "1.2.40", "yes");
INSERT INTO `wp_options` VALUES("205", "duplicator_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("231", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("232", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("233", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("234", "duplicate_post_copyslug", "1", "yes");
INSERT INTO `wp_options` VALUES("235", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("236", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("237", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("238", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("239", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("240", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("241", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("242", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("243", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("244", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("245", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("246", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("247", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("248", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("249", "duplicate_post_show_row", "1", "yes");
INSERT INTO `wp_options` VALUES("250", "duplicate_post_show_adminbar", "1", "yes");
INSERT INTO `wp_options` VALUES("251", "duplicate_post_show_submitbox", "1", "yes");
INSERT INTO `wp_options` VALUES("252", "duplicate_post_show_bulkactions", "1", "yes");
INSERT INTO `wp_options` VALUES("355", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("477", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("478", "new_admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("511", "theme_mods_twentyfifteen", "a:3:{s:18:\"custom_css_post_id\";i:-1;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:6;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1531751839;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("515", "theme_switched_via_customizer", "", "yes");
INSERT INTO `wp_options` VALUES("516", "customize_stashed_theme_mods", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("536", "duplicate_post_version", "3.2.2", "yes");
INSERT INTO `wp_options` VALUES("537", "duplicate_post_show_notice", "0", "no");
INSERT INTO `wp_options` VALUES("553", "theme_mods_iheartcities-2018", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:6:\"menu-1\";i:6;}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1532332337;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:4:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:12:\"categories-2\";i:3;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("584", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("647", "cptui_new_install", "false", "yes");
INSERT INTO `wp_options` VALUES("649", "cptui_post_types", "a:1:{s:17:\"home_page_feature\";a:28:{s:4:\"name\";s:17:\"home_page_feature\";s:5:\"label\";s:18:\"Home Page Features\";s:14:\"singular_label\";s:17:\"Home Page Feature\";s:11:\"description\";s:61:\"This custom post type is to set a Home Page feature section. \";s:6:\"public\";s:4:\"true\";s:18:\"publicly_queryable\";s:5:\"false\";s:7:\"show_ui\";s:4:\"true\";s:17:\"show_in_nav_menus\";s:5:\"false\";s:12:\"show_in_rest\";s:5:\"false\";s:9:\"rest_base\";s:0:\"\";s:11:\"has_archive\";s:5:\"false\";s:18:\"has_archive_string\";s:0:\"\";s:19:\"exclude_from_search\";s:4:\"true\";s:15:\"capability_type\";s:4:\"post\";s:12:\"hierarchical\";s:5:\"false\";s:7:\"rewrite\";s:5:\"false\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"rewrite_withfront\";s:4:\"true\";s:9:\"query_var\";s:4:\"true\";s:14:\"query_var_slug\";s:0:\"\";s:13:\"menu_position\";s:2:\"10\";s:12:\"show_in_menu\";s:4:\"true\";s:19:\"show_in_menu_string\";s:0:\"\";s:9:\"menu_icon\";s:0:\"\";s:8:\"supports\";a:6:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:9:\"thumbnail\";i:3;s:7:\"excerpt\";i:4;s:13:\"custom-fields\";i:5;s:9:\"revisions\";}s:10:\"taxonomies\";a:0:{}s:6:\"labels\";a:23:{s:9:\"menu_name\";s:25:\"Home Page Feature Section\";s:9:\"all_items\";s:22:\"All Home Page Features\";s:7:\"add_new\";s:25:\"Add New Home Page Feature\";s:12:\"add_new_item\";s:25:\"Add New Home Page Feature\";s:9:\"edit_item\";s:30:\"Edit Home Page Feature Section\";s:8:\"new_item\";s:29:\"New Home Page Feature Section\";s:9:\"view_item\";s:30:\"View Home Page Feature Section\";s:10:\"view_items\";s:32:\"View  Home Page Feature Sections\";s:12:\"search_items\";s:32:\"Search Home Page Feature Section\";s:9:\"not_found\";s:34:\"No Home Page Feature Section Found\";s:18:\"not_found_in_trash\";s:43:\"No Home Page Feature Section Found In Trash\";s:17:\"parent_item_colon\";s:0:\"\";s:14:\"featured_image\";s:0:\"\";s:18:\"set_featured_image\";s:0:\"\";s:21:\"remove_featured_image\";s:0:\"\";s:18:\"use_featured_image\";s:0:\"\";s:8:\"archives\";s:0:\"\";s:16:\"insert_into_item\";s:0:\"\";s:21:\"uploaded_to_this_item\";s:0:\"\";s:17:\"filter_items_list\";s:0:\"\";s:21:\"items_list_navigation\";s:0:\"\";s:10:\"items_list\";s:0:\"\";s:10:\"attributes\";s:0:\"\";}s:15:\"custom_supports\";s:0:\"\";}}", "yes");
INSERT INTO `wp_options` VALUES("660", "duplicator_settings", "a:10:{s:7:\"version\";s:6:\"1.2.40\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:20:\"storage_htaccess_off\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("661", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-4.9.7.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-4.9.7.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-4.9.7-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-4.9.7-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"4.9.7\";s:7:\"version\";s:5:\"4.9.7\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"4.7\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1532327127;s:15:\"version_checked\";s:5:\"4.9.7\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("662", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1532327127;s:7:\"checked\";a:5:{s:19:\"akismet/akismet.php\";s:5:\"4.0.8\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:5:\"1.5.8\";s:33:\"duplicate-post/duplicate-post.php\";s:5:\"3.2.2\";s:25:\"duplicator/duplicator.php\";s:6:\"1.2.40\";s:9:\"hello.php\";s:3:\"1.6\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:5:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"4.0.8\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.4.0.8.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:59:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=969272\";s:2:\"1x\";s:59:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=969272\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}}s:43:\"custom-post-type-ui/custom-post-type-ui.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:33:\"w.org/plugins/custom-post-type-ui\";s:4:\"slug\";s:19:\"custom-post-type-ui\";s:6:\"plugin\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:11:\"new_version\";s:5:\"1.5.8\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/custom-post-type-ui/\";s:7:\"package\";s:68:\"https://downloads.wordpress.org/plugin/custom-post-type-ui.1.5.8.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-256x256.png?rev=1069557\";s:2:\"1x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-128x128.png?rev=1069557\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/custom-post-type-ui/assets/banner-1544x500.png?rev=1069557\";s:2:\"1x\";s:74:\"https://ps.w.org/custom-post-type-ui/assets/banner-772x250.png?rev=1069557\";}s:11:\"banners_rtl\";a:0:{}}s:33:\"duplicate-post/duplicate-post.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:28:\"w.org/plugins/duplicate-post\";s:4:\"slug\";s:14:\"duplicate-post\";s:6:\"plugin\";s:33:\"duplicate-post/duplicate-post.php\";s:11:\"new_version\";s:5:\"3.2.2\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-post/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/duplicate-post.3.2.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/duplicate-post/assets/icon-256x256.png?rev=1612753\";s:2:\"1x\";s:67:\"https://ps.w.org/duplicate-post/assets/icon-128x128.png?rev=1612753\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/duplicate-post/assets/banner-772x250.png?rev=1612986\";}s:11:\"banners_rtl\";a:0:{}}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:6:\"1.2.40\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/duplicator.1.2.40.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=1298463\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=1298463\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=1645055\";}s:11:\"banners_rtl\";a:0:{}}s:9:\"hello.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:3:\"1.6\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/hello-dolly.1.6.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=969907\";s:2:\"1x\";s:63:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=969907\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/hello-dolly/assets/banner-772x250.png?rev=478342\";}s:11:\"banners_rtl\";a:0:{}}}}", "no");
INSERT INTO `wp_options` VALUES("672", "_site_transient_timeout_browser_38c22bb012519835757bde70ce6c2767", "1532933579", "no");
INSERT INTO `wp_options` VALUES("673", "_site_transient_browser_38c22bb012519835757bde70ce6c2767", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:12:\"67.0.3396.99\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("674", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1532375926", "no");
INSERT INTO `wp_options` VALUES("675", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:2:{s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:5:{i:0;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:16:\"WordPress Meetup\";s:3:\"url\";s:61:\"https://www.meetup.com/Bellingham-WordPress/events/252277579/\";s:6:\"meetup\";s:20:\"Bellingham WordPress\";s:10:\"meetup_url\";s:44:\"https://www.meetup.com/Bellingham-WordPress/\";s:4:\"date\";s:19:\"2018-08-14 18:30:00\";s:8:\"location\";a:4:{s:8:\"location\";s:19:\"Bellingham, WA, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:48.75083500000000213958628592081367969512939453125;s:9:\"longitude\";d:-122.4802399999999948931872495450079441070556640625;}}i:1;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:13:\"August Meetup\";s:3:\"url\";s:73:\"https://www.meetup.com/Cowichan-Valley-WordPress-Meetup/events/252645574/\";s:6:\"meetup\";s:32:\"Cowichan Valley WordPress Meetup\";s:10:\"meetup_url\";s:56:\"https://www.meetup.com/Cowichan-Valley-WordPress-Meetup/\";s:4:\"date\";s:19:\"2018-08-18 10:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:20:\"Mill Bay, BC, Canada\";s:7:\"country\";s:2:\"ca\";s:8:\"latitude\";d:48.65303399999999811598172527737915515899658203125;s:9:\"longitude\";d:-123.5555039999999991096046869643032550811767578125;}}i:2;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:16:\"WordPress Meetup\";s:3:\"url\";s:64:\"https://www.meetup.com/Bellingham-WordPress/events/gmtfppyxmbpb/\";s:6:\"meetup\";s:20:\"Bellingham WordPress\";s:10:\"meetup_url\";s:44:\"https://www.meetup.com/Bellingham-WordPress/\";s:4:\"date\";s:19:\"2018-09-11 18:30:00\";s:8:\"location\";a:4:{s:8:\"location\";s:19:\"Bellingham, WA, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:48.75083500000000213958628592081367969512939453125;s:9:\"longitude\";d:-122.4802399999999948931872495450079441070556640625;}}i:3;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:16:\"WordPress Meetup\";s:3:\"url\";s:64:\"https://www.meetup.com/Bellingham-WordPress/events/gmtfppyxnbmb/\";s:6:\"meetup\";s:20:\"Bellingham WordPress\";s:10:\"meetup_url\";s:44:\"https://www.meetup.com/Bellingham-WordPress/\";s:4:\"date\";s:19:\"2018-10-09 18:30:00\";s:8:\"location\";a:4:{s:8:\"location\";s:19:\"Bellingham, WA, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:48.75083500000000213958628592081367969512939453125;s:9:\"longitude\";d:-122.4802399999999948931872495450079441070556640625;}}i:4;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:18:\"WordCamp Vancouver\";s:3:\"url\";s:35:\"https://2018.vancouver.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2018-10-13 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:21:\"Vancouver, BC, Canada\";s:7:\"country\";s:2:\"CA\";s:8:\"latitude\";d:49.28292609999999740466591902077198028564453125;s:9:\"longitude\";d:-123.1203895000000017034835764206945896148681640625;}}}}", "no");
INSERT INTO `wp_options` VALUES("676", "_transient_timeout_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1532371981", "no");
INSERT INTO `wp_options` VALUES("677", "_transient_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"\n	Tue, 17 Jul 2018 14:45:38 +0000	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=5.0-alpha-43519\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"Quarterly Updates | Q2 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://wordpress.org/news/2018/07/quarterly-updates-q2-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 Jul 2018 14:50:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6140\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:347:\"To keep everyone aware of big projects and efforts across WordPress contributor teams, I&#8217;ve reached out to each team&#8217;s listed representatives. I asked each of them to share their Top Priority (and when they hope for it to be completed), as well as their biggest Wins and Worries. Have questions? I&#8217;ve included a link to [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Josepha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15622:\"<p><em>To keep everyone aware of big projects and efforts across WordPress contributor teams, I&#8217;ve reached out to each team&#8217;s <a href=\"https://make.wordpress.org/updates/team-reps/\">listed representatives</a>. I asked each of them to share their Top Priority (and when they hope for it to be completed), as well as their biggest Wins and Worries. Have questions? I&#8217;ve included a link to each team&#8217;s site in the headings.﻿</em></p>\n\n<h2><a href=\"https://make.wordpress.org/accessibility/\">Accessibility</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/rianrietveld/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rianrietveld</a>, <a href=\'https://profiles.wordpress.org/joedolson/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>joedolson</a>, <a href=\'https://profiles.wordpress.org/afercia/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>afercia</a></li>\n	<li><strong>Priority</strong>: Working to make sure that Gutenberg is reasonably accessible prior to merge. ETA is before 5.0</li>\n	<li><strong>Struggle</strong>: Lack of developers and accessibility experts to help test and code the milestone issues. <em>The team is doing outreach to help solve this problem.</em></li>\n	<li><strong>Big Win</strong>: Interest from companies like The Paciello Group and Tenon.io to help out with Gutenberg code review and testing tools.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/cli/\">CLI</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: @danielbachhuber, <a href=\'https://profiles.wordpress.org/schlessera/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>schlessera</a></li>\n	<li><strong>Priority</strong>: Very first global <a href=\"https://make.wordpress.org/cli/2018/07/04/wp-cli-hack-day/\">Hack Day</a> is coming up July 20. Version 2.0.0 is still in progress (new <a href=\"https://github.com/wp-cli/wp-cli/issues/4752\">ETA</a> is end of July).</li>\n	<li><strong>Struggle</strong>: The team continues to need new contributors. The current team is tiny but tough.</li>\n	<li><strong>Big Win</strong>: WP-CLI is currently one of the project&#8217;s four main focuses, as mentioned in the Summer Update at WordCamp Europe.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/community/\">Community</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/francina/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>francina</a>, <a href=\'https://profiles.wordpress.org/hlashbrooke/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>hlashbrooke</a></li>\n	<li><strong>Priority</strong>: Focusing on smoothing out the processes in our community management by building up our team of volunteers and establishing what tools we need to keep things running well. ETA is ongoing.</li>\n	<li><strong>Struggle</strong>: Our two biggest struggles at the moment are tracking what we need to get done, and making final decisions on things. <em>There is current work on the tools available to assist with tracking progress.﻿</em></li>\n	<li><strong>Big Win</strong>: After making a concerted effort to get more contributors on the Community Team, we now have a much larger group of volunteers working as deputies and WordCamp mentors</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/core/\">Core</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/jeffpaul/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jeffpaul</a></li>\n	<li><strong>Priority</strong>: Following the <a href=\"https://wordpress.tv/2018/07/04/matt-mullenweg-a-summertime-update-keynote-and-qa/\">WordCamp Europe summer update</a> ﻿(and the companion post <a href=\"https://wordpress.org/news/2018/07/update-on-gutenberg/\">here</a>), the team is getting Gutenberg (the new WordPress editing experience) into a strong state for the 5.0 release. Potential ETA as soon as August.</li>\n	<li><strong>Struggle</strong>: Coordinating momentum and direction as we start seeing more contributors offering their time. Still working our way through open issues. <em>﻿The team is starting multiple bug scrubs each week to work through these more quickly and transparently.</em></li>\n	<li><strong>Big Win</strong>: Had a <a href=\"https://wordpress.org/news/2018/05/wordpress-4-9-6-privacy-and-maintenance-release/\">sizable release in 4.9.6</a> which featured major updates around privacy tools and functionality in Core.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/design/\">Design</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/melchoyce/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>melchoyce</a>, <a href=\'https://profiles.wordpress.org/karmatosed/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>karmatosed</a>, <a href=\'https://profiles.wordpress.org/boemedia/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>boemedia</a>, <a href=\'https://profiles.wordpress.org/joshuawold/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>joshuawold</a>, <a href=\'https://profiles.wordpress.org/mizejewski/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mizejewski</a></li>\n	<li><strong>Priority</strong>: Better on-boarding of new contributors, especially creating better documentation. ETA is end of July.</li>\n	<li><strong>Struggle</strong>: It&#8217;s hard to identify reasonably small tasks for first-time contributors.</li>\n	<li><strong>Big Win</strong>: The team is much more organized now which has helped clear out the design backlog, bring in new contributors, and also keep current contributors coming back. <em>Bonus: Joshua Wold will co-lead the upcoming release.</em></li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/docs/\">Documentation</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/kenshino/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>kenshino</a><br /></li>\n	<li><strong>Priority</strong>: Opening up the work on <a href=\"https://make.wordpress.org/docs/2018/02/26/state-of-helphub-february-2018/\">HelpHub</a> to new contributors and easing the onboarding process. No ETA.<br /></li>\n	<li><strong>Struggle</strong>: Some blockers with making sure the code and database can be ready to launch on https://wordpress.org/support/<br /></li>\n	<li><strong>Big Win</strong>: The <a href=\"https://wp-helphub.com/\">first phase of HelpHub</a> creation is complete, which means content updates (current info, more readable, easier discovery), internal search, design improvements, and REST API endpoints.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/hosting/\">Hosting</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/mikeschroder/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mikeschroder</a>, <a href=\'https://profiles.wordpress.org/jadonn/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jadonn</a></li>\n	<li><strong>Priority</strong>: Preparing hosts for supporting Gutenberg, especially support questions they&#8217;re likely to see when the &#8220;Try Gutenberg&#8221; callout is released. ETA July 31st, then before WordPress 5.0<br /><strong></strong></li>\n	<li><strong>Struggle</strong>: Most contributions are still made a by a small team of volunteers. Seeing a few more people join, but progress is slow.<br /><strong></strong></li>\n	<li><strong>﻿Big Win</strong>: New team members and hosting companies have joined the #hosting-community team and have started contributing.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/marketing/\">Marketing</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/bridgetwillard/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bridgetwillard</a></li>\n	<li><strong>Priority</strong>: Continuing to write and publish case studies from the community. ETA is ongoing.</li>\n	<li><strong>Struggle</strong>: No current team struggles.</li>\n	<li><strong>Big Win</strong>: Wrote and designed a short <a href=\"https://make.wordpress.org/marketing/2018/04/24/contributor-day-onboarding-pdf/\">Contributor Day onboarding card</a>. It was used at Contributor Day at WCEU and onboarding time went down to 1 hour instead of 3 hours.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/meta/\">Meta</a> (WordPress.org Site)</h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/tellyworth/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>tellyworth</a>, <a href=\'https://profiles.wordpress.org/coffee2code/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>coffee2code</a></li>\n	<li><strong>Priority</strong>: Reducing manual work around the contributor space (theme review, GDPR/privacy, plugin review). ETA for small wins is end of quarter, larger efforts after that.</li>\n	<li><strong>Struggle</strong>: Maintaining momentum on tickets. <em>There are also some discussions about updating the ticket management process across teams that use the Meta trac system.</em></li>\n	<li><strong>Big Win</strong>: The new About page launched and has been translated across most locale sites.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/mobile/\">Mobile</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/elibud/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>elibud</a></li>\n	<li><strong>Priority</strong>: Getting Gutenberg in the mobile applications. ETA is late December.</li>\n	<li><strong>Struggle</strong>: Consuming the Gutenberg source in the ReactNative app directly. <em>More info can be found here: https://make.wordpress.org/mobile/2018/07/09/next-steps-for-gutenberg-mobile/</em></li>\n	<li><strong>Big Win</strong>: The WordPress mobile applications now fully support right-to-left languages and are compliant with the latest standards for accessibility.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/plugins/\">Plugins</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/ipstenu/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ipstenu</a></li>\n	<li><strong>Priority</strong>: Clearing ~8,000 unused plugins from the queues. Likely ETA is September.<br /></li>\n	<li><strong>Struggles</strong>: Had to triage a lot of false claims around plugins offering GDPR compliance.</li>\n	<li><strong>Big Win</strong>: Released 4.9.6 and <a href=\"https://make.wordpress.org/plugins/2018/05/17/wp-4-9-6-privacy-hooks-and-you/\">updated expectations</a> with plugin authors. Huge thanks to the Core Privacy team for their hard work on this.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/polyglots/\">Polyglots</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/petya/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>petya</a>, <a href=\'https://profiles.wordpress.org/ocean90/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ocean90</a>, <a href=\'https://profiles.wordpress.org/nao/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nao</a>, <a href=\'https://profiles.wordpress.org/chantalc/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chantalc</a>, <a href=\'https://profiles.wordpress.org/deconf/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>deconf</a>, <a href=\'https://profiles.wordpress.org/casiepa/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>casiepa</a></li>\n	<li><strong>Priority</strong>: Keep WordPress releases translated to 100% and then concentrate on the top 100 plugins and themes. ETA is ongoing.<br /><strong></strong></li>\n	<li><strong>﻿Struggle</strong>: Getting new PTEs fast enough, and complex tools/systems. Overall, the volume of strings awaiting approval.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/support/\">Support</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/clorith/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>clorith</a></li>\n	<li><strong>Priority:</strong> Getting ready for the Gutenberg callout (it got pushed last quarter). Needing a better presence on the official support forums, and outreach for that is underway, ETA end of July. <br /></li>\n	<li><strong>Struggle</strong>: Keeping contributors participating post-contributor days/drives. <em>﻿Considering the creation of a dedicated post-contributor day survey to get some insight here.</em></li>\n	<li><strong>Big Win</strong>: The increase in international liaisons joining for weekly meetings, helping bring the wider support community together.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/themes/\">Theme Review</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/acosmin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>acosmin</a>, <a href=\'https://profiles.wordpress.org/rabmalin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rabmalin</a>, <a href=\'https://profiles.wordpress.org/thinkupthemes/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>thinkupthemes</a>, <a href=\'https://profiles.wordpress.org/williampatton/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>williampatton</a></li>\n	<li><strong>Priority</strong>: Building a better Theme Check/Sniffer in order to automate most of the checks done right now by reviewers. ETA late 2018, early 2019.</li>\n	<li><strong>Struggle</strong>: Bringing in new contributors to the team.</li>\n	<li><strong>Big Win</strong>: <a href=\"https://make.wordpress.org/themes/2018/04/30/trusted-authors-program/\">Trusted Authors program﻿</a></li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/tide/\">Tide</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/valendesigns/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>valendesigns</a> (but usually <a href=\'https://profiles.wordpress.org/jeffpaul/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jeffpaul</a>)</li>\n	<li><strong>Priority</strong>: Storing PHPCompatibilty results inside the WordPress.org API and building a UI to display those results, an endpoint to request an audit is required for this work to continue.</li>\n	<li><strong>Struggle</strong>: Development has dramatically slowed down while team members are on leave or pulled into internal client work.</li>\n	<li><strong>Big Win</strong>: Migration to Google Cloud Platform (GCP) from Amazon Web Services (AWS) is complete and the audit servers have all been rewritten in Go. (This allows us to be faster with greater capacity and less cost.)</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/training/\">Training</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\'https://profiles.wordpress.org/bethsoderberg/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bethsoderberg</a>, <a href=\'https://profiles.wordpress.org/juliek/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>juliek</a></li>\n	<li><strong>Priority:</strong> Lesson plan production. ETA is ongoing.</li>\n	<li><strong>Struggle:</strong> The workflow is a little complex, so recruiting and training enough contributors to keep the process moving is a struggle.</li>\n	<li><strong>Big Win</strong>: WordCamp Europe&#8217;s Contributor Day was very productive. New tools/workflow are in place and two team representatives were there to lead and help.</li>\n</ul>\n\n<p><em>Interested in updates from the first quarter of this year? You can find those here: <a href=\"https://make.wordpress.org/updates/2018/04/24/quarterly-updates-q1-2018/\"><em>https://make.wordpress.org/updates/2018/04/24/quarterly-updates-q1-2018/</em></a>\n	</em>\n</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"6140\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Update on Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/news/2018/07/update-on-gutenberg/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 06 Jul 2018 19:23:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:5:\"Focus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:9:\"Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6118\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:328:\"Progress on the Gutenberg project, the new content creating experience coming to WordPress, has come a long way. Since the start of the project, there have been 30 releases and 12 of those happened after WordCamp US 2017. In total since then, there have been 1,764 issues opened and 1,115 closed as of WordCamp Europe. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Tammie Lister\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2261:\"<p>Progress on the Gutenberg project, the new content creating experience coming to WordPress, has come a long way. Since the start of the project, there have been 30 releases and 12 of those happened after WordCamp US 2017. In total since then, there have been 1,764 issues opened and 1,115 closed as of WordCamp Europe. As the work on phase one moves into its final stretch, here is what you can expect.<br /></p>\n\n<h4>In Progress</h4>\n\n<ul>\n	<li>Freeze new features in Gutenberg (the feature list can be found <a href=\"https://github.com/WordPress/gutenberg/issues/4894\">here</a>).</li>\n	<li>Hosts, agencies, teachers invited to opt-in sites they have influence over.</li>\n	<li>WordPress.com has opt-in for wp-admin users. The number of sites and posts will be tracked.</li>\n	<li>Mobile app support for Gutenberg will be across iOS and Android.</li>\n</ul>\n\n<h4>July</h4>\n\n<ul>\n	<li>4.9.x release with an invitation to install either Gutenberg or Classic Editor plugin.</li>\n	<li>WordPress.com will move to opt-out. There will be tracking to see who opts out and why.</li>\n	<li>Triage increases and bug gardening escalates to get blockers in Gutenberg down to zero.</li>\n	<li>Gutenberg phase two, Customization exploration begins by moving beyond the post.</li>\n</ul>\n\n<h4>August and beyond</h4>\n\n<ul>\n	<li>All critical issues within Gutenberg are resolved.</li>\n	<li>There is full integration with Calypso and there is opt-in for users there.</li>\n	<li>A goal will be 100k+ sites having made 250k+ posts using Gutenberg.</li>\n	<li>Core merge of Gutenberg begins the 5.0 release cycle.</li>\n	<li>5.0 moves into beta releases and translations are completed.</li>\n	<li>There will be a mobile version of Gutenberg by the end of the year.</li>\n</ul>\n\n<p>WordPress 5.0 could be as soon as August with hundreds of thousands of sites using Gutenberg before release. Learn more about Gutenberg <a href=\"https://wordpress.org/gutenberg/\">here</a>, take it for a <a href=\"https://testgutenberg.com/\">test drive</a>, <a href=\"https://wordpress.org/plugins/gutenberg/\">install</a> on your site, follow along on <a href=\"https://github.com/WordPress/gutenberg\">GitHub</a> and give your <a href=\"https://wordpressdotorg.polldaddy.com/s/gutenberg-support\">feedback</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"6118\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress 4.9.7 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2018/07/wordpress-4-9-7-security-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 05 Jul 2018 17:00:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6091\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:360:\"WordPress 4.9.7 is now available. This is a security and maintenance release for all versions since WordPress 3.7. We strongly encourage you to update your sites immediately. WordPress versions 4.9.6 and earlier are affected by a media issue that could potentially allow a user with certain capabilities to attempt to delete files outside the uploads [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3984:\"<p>WordPress 4.9.7 is now available. This is a <strong>security and maintenance release</strong> for all versions since WordPress 3.7. We strongly encourage you to update your sites immediately.</p>\n\n<p>WordPress versions 4.9.6 and earlier are affected by a media issue that could potentially allow a user with certain capabilities to attempt to delete files outside the uploads directory.</p>\n\n<p>Thank you to <a href=\"https://hackerone.com/slavco\">Slavco</a> for reporting the original issue and <a href=\"https://www.wordfence.com/\">Matt Barry</a> for reporting related issues.</p>\n\n<p>Seventeen other bugs were fixed in WordPress 4.9.7. Particularly of note were:</p>\n\n<ul>\n	<li>Taxonomy: Improve cache handling for term queries.</li>\n	<li>Posts, Post Types: Clear post password cookie when logging out.</li>\n	<li>Widgets: Allow basic HTML tags in sidebar descriptions on Widgets admin screen.</li>\n	<li>Community Events Dashboard: Always show the nearest WordCamp if one is coming up, even if there are multiple Meetups happening first.</li>\n	<li>Privacy: Make sure default privacy policy content does not cause a fatal error when flushing rewrite rules outside of the admin context.</li>\n</ul>\n\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.9.7</a> or venture over to Dashboard → Updates and click &#8220;Update Now.&#8221; Sites that support automatic background updates are already beginning to update automatically.</p>\n\n<p>The previously scheduled 4.9.7 is now referred to as 4.9.8, and will follow the <a href=\"https://make.wordpress.org/core/2018/07/04/dev-chat-summary-july-4th-4-9-7-week-7/\">release schedule posted yesterday</a>.</p>\n\n<p>Thank you to everyone who contributed to WordPress 4.9.7:</p>\n\n<p><a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/abdullahramzan/\">abdullahramzan</a>, <a href=\"https://profiles.wordpress.org/alejandroxlopez/\">alejandroxlopez</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/aryamaaru/\">Arun</a>, <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a>, <a href=\"https://profiles.wordpress.org/bjornw/\">BjornW</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/garetharnold/\">Gareth</a>, <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianbelanger/\">ibelanger</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a>, <a href=\"https://profiles.wordpress.org/khaihong/\">khaihong</a>, <a href=\"https://profiles.wordpress.org/lbenicio/\">lbenicio</a>, <a href=\"https://profiles.wordpress.org/leanderiversen/\">Leander Iversen</a>, <a href=\"https://profiles.wordpress.org/mermel/\">mermel</a>, <a href=\"https://profiles.wordpress.org/metalandcoffee/\">metalandcoffee</a>, <a href=\"https://profiles.wordpress.org/jbpaul17/\">Migrated to @jeffpaul</a>, <a href=\"https://profiles.wordpress.org/palmiak/\">palmiak</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/skoldin/\">skoldin</a>, <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a>, <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul Islam</a>, <a href=\"https://profiles.wordpress.org/warmlaundry/\">warmlaundry</a>, and <a href=\"https://profiles.wordpress.org/yuriv/\">YuriV</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"6091\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"The Month in WordPress: June 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2018/07/the-month-in-wordpress-june-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 02 Jul 2018 09:28:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6087\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:366:\"With one of the two flagship WordCamp events taking place this month, as well as some important WordPress project announcements, there’s no shortage of news. Learn more about what happened in the WordPress community in June. Another Successful WordCamp Europe On June 14th, WordCamp Europe kicked off three days of learning and contributions in Belgrade. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4627:\"<p>With one of the two flagship WordCamp events taking place this month, as well as some important WordPress project announcements, there’s no shortage of news. Learn more about what happened in the WordPress community in June.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Another Successful WordCamp Europe</h2>\n\n<p>On June 14th, WordCamp Europe kicked off three days of learning and contributions in Belgrade. Over 2,000 people attended in person, with hundreds more watching live streams of the sessions.</p>\n\n<p>The WordCamp was a great success with plenty of first-time attendees and new WordPress contributors getting involved in the project and community. Recorded sessions from the 65 speakers at the event will be available on WordPress.tv in the coming weeks. In the meantime, check out the <a href=\"https://www.flickr.com/photos/wceu/albums\">photos from the event</a>.</p>\n\n<p><a href=\"https://2018.europe.wordcamp.org/2018/06/16/wordcamp-europe-2019/\">The next WordCamp Europe</a> takes place on June 20-22 2019 in Berlin, Germany. If you’re based in Europe and would like to serve on the organizing team, <a href=\"https://2019.europe.wordcamp.org/2018/06/16/call-wordcamp-europe-2019-organizers/\">fill in the application form</a>.</p>\n\n<h2>Updated Roadmap for the New WordPress Content Editor</h2>\n\n<p>During his keynote session at WordCamp Europe, Matt Mullenweg presented <a href=\"https://gutenbergtimes.com/mullenweg-on-gutenberg-roll-out-plan/\">an updated roadmap</a> for <a href=\"https://wordpress.org/gutenberg/\">Gutenberg</a>, the new content editor coming in WordPress 5.0.</p>\n\n<p>While the editor is in rapid development, <a href=\"https://make.wordpress.org/core/2018/06/21/whats-new-in-gutenberg-21st-june/\">with v3.1 being released this past month</a>, the team is aiming to ship Gutenberg with WordPress Core in August, 2018. This is not set in stone — the release date may shift as development progresses — but this gives the first realistic idea of when we can expect the editor to be released.</p>\n\n<p>If you would like to contribute to Gutenberg, read <a href=\"https://wordpress.org/gutenberg/handbook/\">the handbook</a>, follow the <a href=\"https://make.wordpress.org/core/\">Core team blog</a>, and join the #core-editor channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n\n<h2>WordCamp Incubator Cities Announced</h2>\n\n<p>The WordCamp Incubator program helps spread WordPress to underserved communities by providing organizing support for their first WordCamp. The first iteration of this program ran successfully in 2016 and empowered three cities to start their own WordPress communities.</p>\n\n<p>This year, the Community Team is running the Incubator program again. After receiving applications from 104 communities, <a href=\"https://make.wordpress.org/community/2018/06/26/wordcamp-incubator-program-2018-locations-announcement/\">they have selected</a> Montevideo, Uruguay and Kota Kinabalu, Malaysia to participate in the program. Both cities will receive direct help from experienced WordCamp organizers to run their first-ever WordCamp as a way to help their WordPress community get started.</p>\n\n<p>To find out more about the Incubator program follow the <a href=\"https://make.wordpress.org/community/\">Community team blog</a>, and join the #community-events channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Further Reading:</h2>\n\n<ul>\n	<li>The WordPress community of Spain recently <a href=\"https://twitter.com/wp_es/status/1004681694660603904\">received an award</a> for being the best open-source community in the country.</li>\n	<li>This month, WordPress reached <a href=\"https://w3techs.com/technologies/details/cm-wordpress/all/all\">the milestone of powering 31% of websites</a>.</li>\n	<li><a href=\"https://wprig.io/introducing-wprig-wordpress/\">WP Rig</a> is a brand new tool to help WordPress developers build better themes.</li>\n	<li><a href=\"https://richtabor.com/gutenberg-block-unit-test/\">Block Unit Test</a> is a new plugin to help theme developers prepare for Gutenberg.</li>\n	<li>Near the end of the month, Zac Gordon hosted <a href=\"https://javascriptforwp.com/conference/\">an online conference</a> focused on JavaScript development in WordPress &#8211; the session videos will be available on YouTube soon.</li>\n</ul>\n\n<p><em>If you have a story we should consider including in the next “Month in WordPress” post, please <a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\">submit it here</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"6087\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"The Month in WordPress: May 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2018/06/the-month-in-wordpress-may-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 01 Jun 2018 09:09:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6065\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:360:\"This month saw two significant milestones in the WordPress community — the 15th anniversary of the project, and GDPR-related privacy tools coming to WordPress Core. Read on to find out more about this and everything else that happened in the WordPress community in May. Local Communities Celebrate the 15th Anniversary of WordPress Last Sunday, May [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4537:\"<p>This month saw two significant milestones in the WordPress community — the 15th anniversary of the project, and GDPR-related privacy tools coming to WordPress Core. Read on to find out more about this and everything else that happened in the WordPress community in May.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Local Communities Celebrate the 15th Anniversary of WordPress</h2>\n\n<p>Last Sunday, May 27, WordPress turned 15 years old. This is a noteworthy occasion for an open-source project like WordPress and one well worth celebrating. To mark the occasion, <a href=\"https://wp15.wordpress.net/\">WordPress communities across the world gathered</a> for parties and meetups in honor of the milestone.</p>\n\n<p>Altogether, there were 224 events globally, with <a href=\"https://wp15.wordpress.net/about/\">a few more of those still scheduled</a> to take place in some communities — attend one in your area if you can.</p>\n\n<p>If your city doesn’t have a WordPress meetup group, this is a great opportunity to start one! Learn how with <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/welcome/\">the Meetup Organizer Handbook</a>, and join the #community-events channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n\n<h2>Privacy Tools added to WordPress core</h2>\n\n<p>In light of recent changes to data privacy regulations in the EU, WordPress Core shipped important updates <a href=\"https://wordpress.org/news/2018/05/wordpress-4-9-6-privacy-and-maintenance-release/\">in the v4.9.6 release</a>, giving site owners tools to help them comply with the new General Data Protection Regulation (GDPR). It is worth noting, however, that WordPress cannot ensure you are compliant — this is still a site owner’s responsibility.</p>\n\n<p>The new privacy tools include a number of features focused on providing privacy and personal data management to all site users — asking commenters for explicit consent to store their details in a cookie, providing site owners with an easy way to publish a Privacy Policy, and providing data export and erasure tools to all site users that can be extended by plugins to allow the handling of data that they introduce.</p>\n\n<p>To find out more about these features and the other updates, read the <a href=\"https://make.wordpress.org/core/2018/05/17/4-9-6-update-guide/\">4.9.6 update guide</a>. You can also get involved in contributing to this part of WordPress Core by jumping into the #core-privacy channel in the<a href=\"https://make.wordpress.org/chat/\"> Making WordPress Slack group</a>, and following<a href=\"https://make.wordpress.org/core/\"> the Core team blog</a>.</p>\n\n<h2>Updates to the WordPress.org Privacy Policy</h2>\n\n<p>In a similar vein, WordPress.org itself has received <a href=\"https://wordpress.org/about/privacy/\">an updated Privacy Policy</a> to make clear what is being tracked and how your data is handled. Along with that, a <a href=\"https://wordpress.org/about/privacy/cookies/\">Cookie Policy</a> has also been added to explain just what is collected and stored in your browser when using the site.</p>\n\n<p>These policies cover all sites on the WordPress.org network — including WordPress.org, WordPress.net, WordCamp.org, BuddyPress.org, bbPress.org, and other related domains and subdomains. It’s important to note that this does not mean that anything has changed in terms of data storage; rather that these documents clarify what data is stored and how it is handled.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Further Reading:</h2>\n\n<ul>\n	<li>WordCamp US 2018 has <a href=\"https://2018.us.wordcamp.org/2018/05/29/speak-at-wordcamp-us/\">opened up speaker submissions</a> for the December event.</li>\n	<li><a href=\"https://2018.europe.wordcamp.org/2018/05/15/wceu-live-stream-tickets/\">Live stream tickets are now available for WordCamp Europe</a>, happening on June 14-16.</li>\n	<li>Gutenberg, the new editor for WordPress Core, is getting ever closer to the final stages with <a href=\"https://make.wordpress.org/core/2018/05/18/whats-new-in-gutenberg-18th-may/\">a major update</a> this month.</li>\n	<li>In preparation for Gutenberg, <a href=\"https://core.trac.wordpress.org/changeset/43309\">significant work has been done</a> to improve WordPress Core’s build process.</li>\n</ul>\n\n<p><em>If you have a story we should consider including in the next “Month in WordPress” post, please <a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\">submit it here</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"6065\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"WordPress.org Privacy Policy Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wordpress.org/news/2018/05/wordpress-org-privacy-policy-updates/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 25 May 2018 08:06:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"privacy\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6047\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:325:\"The WordPress.org privacy policy has been updated, hurray! While we weren&#8217;t able to remove all the long sentences, we hope you find the revisions make it easier to understand: how we collect and use data, how long the data we collect is retained, and how you can request a copy of the data you&#8217;ve shared [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Andrea Middleton\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:657:\"<p>The <a href=\"https://wordpress.org/about/privacy/\">WordPress.org privacy policy</a> has been updated, hurray! While we weren&#8217;t able to remove <strong>all</strong> the long sentences, we hope you find the revisions make it easier to understand:</p>\n<ul>\n<li>how we collect and use data,</li>\n<li>how long the data we collect is retained, and</li>\n<li>how you can request a copy of the data you&#8217;ve shared with us.</li>\n</ul>\n<p>There hasn&#8217;t been any change to the data that WordPress.org collects or how that data is used; the privacy policy just provides more detail now. Happy reading, and thanks for using WordPress!</p>\n<p>&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"6047\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress 4.9.6 Privacy and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wordpress.org/news/2018/05/wordpress-4-9-6-privacy-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 May 2018 19:21:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=5920\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:358:\"WordPress 4.9.6 is now available. This is a privacy and maintenance release. We encourage you to update your sites to take advantage of the new privacy features. Privacy The European Union&#8217;s General Data Protection Regulation (GDPR) takes effect on May 25. The GDPR requires companies and site owners to be transparent about how they collect, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Allen Snook\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13399:\"<p>WordPress 4.9.6 is now available. This is a <strong>privacy and maintenance release</strong>. We encourage you to update your sites to take advantage of the new privacy features.</p>\n\n<figure class=\"wp-block-image\"><img src=\"https://i0.wp.com/wordpress.org/news/files/2018/05/GDPR-Banner.png?w=632&#038;ssl=1\" alt=\"A decorative header featuring the text &quot;GDPR&quot; and a lock inside of a blue shield, on multicolor green background.\" class=\"wp-image-5988\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2018/05/GDPR-Banner.png?w=1264&amp;ssl=1 1264w, https://i0.wp.com/wordpress.org/news/files/2018/05/GDPR-Banner.png?resize=300%2C150&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2018/05/GDPR-Banner.png?resize=768%2C384&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2018/05/GDPR-Banner.png?resize=1024%2C512&amp;ssl=1 1024w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure>\n\n<h2 style=\"text-align:left\">Privacy</h2>\n\n<p>The European Union&#8217;s General Data Protection Regulation (<strong>GDPR</strong>) takes effect on May 25. The GDPR requires companies and site owners to be transparent about how they collect, use, and share personal data. It also gives individuals more access and choice when it comes to how their own personal data is collected, used, and shared.<br /></p>\n\n<p>It’s important to understand that while the GDPR is a European regulation, its requirements apply to all sites and online businesses that collect, store, and process personal data about EU residents no matter where the business is located.<br /></p>\n\n<p>You can learn more about the GDPR from the European Commission&#8217;s <a href=\"http://ec.europa.eu/justice/smedataprotect/index_en.htm\">Data Protection page</a>.<br /></p>\n\n<p>We&#8217;re committed to supporting site owners around the world in their work to comply with this important law. As part of that effort, we’ve added a number of new privacy features in this release.</p>\n\n<h2 style=\"text-align:left\">Comments</h2>\n\n<figure class=\"wp-block-image\"><img src=\"https://i1.wp.com/wordpress.org/news/files/2018/05/comments-border.png?w=632&#038;ssl=1\" alt=\"A screenshot of a comment form, where the new &quot;Save my name, email, and website in this browser for the next time I comment&quot; checkbox is featured.\" class=\"wp-image-5986\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2018/05/comments-border.png?w=1264&amp;ssl=1 1264w, https://i1.wp.com/wordpress.org/news/files/2018/05/comments-border.png?resize=300%2C291&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2018/05/comments-border.png?resize=768%2C744&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2018/05/comments-border.png?resize=1024%2C992&amp;ssl=1 1024w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure>\n\n<p>Logged-out commenters will be given a choice on whether their name, email address, and website are saved in a cookie on their browser.</p>\n\n<h2 style=\"text-align:left\">Privacy Policy Page</h2>\n\n<figure class=\"wp-block-image\"><img src=\"https://i1.wp.com/wordpress.org/news/files/2018/05/privacy-policy-collapsed.png?w=632&#038;ssl=1\" alt=\"A screenshot of the new Privacy Settings page.\" class=\"wp-image-5995\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2018/05/privacy-policy-collapsed.png?w=1898&amp;ssl=1 1898w, https://i1.wp.com/wordpress.org/news/files/2018/05/privacy-policy-collapsed.png?resize=300%2C177&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2018/05/privacy-policy-collapsed.png?resize=768%2C453&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2018/05/privacy-policy-collapsed.png?resize=1024%2C604&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2018/05/privacy-policy-collapsed.png?w=1264&amp;ssl=1 1264w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure>\n\n<p>Site owners can now designate a privacy policy page. This page will be shown on your login and registration pages. You should manually add a link to your policy to every page on your website. If you have a footer menu, that’s a great place to include your privacy policy.<br /></p>\n\n<p>In addition, we’ve created a guide that includes insights from WordPress and participating plugins on how they handle personal data. These insights can be copied and pasted into your site&#8217;s privacy policy to help you get started.<br /></p>\n\n<p>If you maintain a plugin that collects data, we recommend including that information in WordPress’ privacy policy guide. <a href=\"https://developer.wordpress.org/plugins/privacy/\">Learn more in our Privacy section of the Plugin Handbook</a>.</p>\n\n<h2 style=\"text-align:left\">Data Handling</h2>\n\n<figure class=\"wp-block-image\"><img src=\"https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?w=632&#038;ssl=1\" alt=\"A screenshot of the new Export Personal Data tools page. Several export requests are listed on the page, to demonstrate how the new feature will work.\" class=\"wp-image-5999\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?w=2372&amp;ssl=1 2372w, https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?resize=300%2C221&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?resize=768%2C565&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?resize=1024%2C753&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?w=1264&amp;ssl=1 1264w, https://i1.wp.com/wordpress.org/news/files/2018/05/export-data.png?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></figure>\n\n<div class=\"wp-block-columns has-2-columns\">\n		<h3 class=\"layout-column-1\">Data Export</h3>\n	\n		<p class=\"layout-column-1\">Site owners can export a ZIP file containing a user&#8217;s personal data, using data gathered by WordPress and participating plugins.</p>\n	\n		<h3 class=\"layout-column-2\">Data Erasure</h3>\n	\n		<p class=\"layout-column-2\">Site owners can erase a user&#8217;s personal data, including data collected by participating plugins.</p>\n	</div>\n\n<blockquote class=\"wp-block-quote\">\n	<p>Howdy,</p>\n	<p>A request has been made to perform the following action on your account:<br /> </p>\n	<p><strong>Export Personal Data</strong><br /> </p>\n	<p>To confirm this, please click on the following link:<br /><a href=\"#\">http://.wordpress.org/wp-login.php?action=confirmaction&#8230;</a><br /> </p>\n	<p>You can safely ignore and delete this email if you do not want to<br /> take this action.<br /> </p>\n	<p>This email has been sent to <a href=\"#\">you@example.com</a>.<br /> </p>\n	<p>Regards,<br /><em>Your friends at WordPress</em><br /><a href=\"http://wordpress.org\"><em> http://wordpress.org</em></a></p>\n</blockquote>\n\n<p>Site owners have a new email-based method that they can use to confirm personal data requests. This request confirmation tool works for both export and erasure requests, and for both registered users and commenters.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2 style=\"text-align:left\">Maintenance</h2>\n\n<p>95 updates were made in WordPress 4.9.6. In addition to the above, particularly of note were:<br /></p>\n\n<ul>\n	<li>&#8220;Mine&#8221; has been added as a filter in the media library.</li>\n	<li>When viewing a plugin in the admin, it will now tell you the minimum PHP version required.</li>\n	<li>We&#8217;ve added new PHP polyfills for forwards-compatibility and proper variable validation.</li>\n	<li>TinyMCE was updated to the latest version (4.7.11).<br /></li>\n</ul>\n\n<p><a href=\"https://make.wordpress.org/core/2018/05/17/4-9-6-update-guide/\">This post has more information about all of the issues fixed in 4.9.6 if you&#8217;d like to learn more</a>.</p>\n\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.9.6</a> or venture over to Dashboard → Updates and click &#8220;Update Now.&#8221; Sites that support automatic background updates will start updating soon.<br /></p>\n\n<p class=\"has-background has-very-light-gray-background-color\">Please note that if you’re currently on WordPress 4.9.3, you should manually update your site immediately.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<p>Thank you to everyone who contributed to WordPress 4.9.6:<br /><a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/abdullahramzan/\">abdullahramzan</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/allendav/\">allendav</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/andreamiddleton/\">Andrea Middleton</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a>, <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a>, <a href=\"https://profiles.wordpress.org/bridgetwillard/\">bridgetwillard</a>, <a href=\"https://profiles.wordpress.org/burlingtonbytes/\">Burlington Bytes</a>, <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a>, <a href=\"https://profiles.wordpress.org/claudiu/\">claudiu</a>, <a href=\"https://profiles.wordpress.org/coreymckrill/\">Corey McKrill</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling (ocean90)</a>, <a href=\"https://profiles.wordpress.org/iseulde/\">Ella Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/ericdaams/\">Eric Daams</a>, <a href=\"https://profiles.wordpress.org/fclaussen/\">Fernando Claussen</a>, <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a>, <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/idea15/\">Heather Burns</a>, <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a>, <a href=\"https://profiles.wordpress.org/herregroen/\">herregroen</a>, <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianbelanger/\">ibelanger</a>, <a href=\"https://profiles.wordpress.org/imath/\">imath</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jesperher/\">Jesper V Nielsen</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">JJJ</a>, <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha</a>, <a href=\"https://profiles.wordpress.org/jrf/\">jrf</a>, <a href=\"https://profiles.wordpress.org/dejliglama/\">Kåre Mulvad Steffensen</a>, <a href=\"https://profiles.wordpress.org/lakenh/\">Laken Hafner</a>, <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a>, <a href=\"https://profiles.wordpress.org/lbenicio/\">lbenicio</a>, <a href=\"https://profiles.wordpress.org/macbookandrew/\">macbookandrew</a>, <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a>, <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/mnelson4/\">Michael Nelson</a>, <a href=\"https://profiles.wordpress.org/mikejolley/\">Mike Jolley</a>, <a href=\"https://profiles.wordpress.org/casiepa/\">Pascal Casier</a>, <a href=\"https://profiles.wordpress.org/pbarthmaier/\">pbrocks</a>, <a href=\"https://profiles.wordpress.org/postphotos/\">postphotos</a>, <a href=\"https://profiles.wordpress.org/pmbaldha/\">Prashant Baldha</a>, <a href=\"https://profiles.wordpress.org/presstigers/\">PressTigers</a>, <a href=\"https://profiles.wordpress.org/programmin/\">programmin</a>, <a href=\"https://profiles.wordpress.org/littlerchicken/\">Robin Cornett</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/satollo/\">Stefano Lissa</a>, <a href=\"https://profiles.wordpress.org/stephdau/\">Stephane Daury (stephdau)</a>, <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a>, <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/teddytime/\">teddytime</a>, <a href=\"https://profiles.wordpress.org/thomasplevy/\">thomasplevy</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/tz-media/\">Tobias Zimpel</a>, <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a>, <a href=\"https://profiles.wordpress.org/tobifjellner/\">Tor-Bjorn Fjellner</a>, <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul Islam</a>, <a href=\"https://profiles.wordpress.org/voneff/\">voneff</a>, <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a>, and <a href=\"https://profiles.wordpress.org/xkon/\">Xenos (xkon) Konstantinos</a>.<br /></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"5920\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"The Month in WordPress: April 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2018/05/the-month-in-wordpress-april-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 May 2018 08:30:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=5891\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:324:\"This past month saw a lot of preparation for upcoming events and releases across the WordPress project. Read on to find out more about these plans, and everything else that happened around the community in April. The WordPress 15th Anniversary is Coming On May 27 2018, WordPress will turn 15 years old — this is [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4981:\"<p>This past month saw a lot of preparation for upcoming events and releases across the WordPress project. Read on to find out more about these plans, and everything else that happened around the community in April.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>The WordPress 15th Anniversary is Coming</h2>\n\n<p>On May 27 2018, <a href=\"https://wordpress.org/news/2018/04/celebrate-the-wordpress-15th-anniversary-on-may-27/\">WordPress will turn 15 years old</a> — this is a huge milestone for the project, or, indeed, for any open-source platform. The Community Team has been hard at work helping communities around the world plan local anniversary parties.</p>\n\n<p>Check <a href=\"https://wp15.wordpress.net/\">the central anniversary website</a> to see if there’s already a party being planned near you. These parties are all organized by local communities — if there’s no local community in your area, you can <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/welcome/#starting-a-new-meetup-com-group\">start one today</a> and host a party yourself.</p>\n\n<h2>Work has Started on a Gutenberg Migration Guide</h2>\n\n<p>With Gutenberg, the upcoming WordPress content editor, in rapid development, a lot of people have been wondering how they will convert their existing plugins to work with the new features. To mitigate the issues here and help people overcome any migration hurdles, <a href=\"https://make.wordpress.org/core/2018/04/26/your-help-wanted-gutenberg-migration-guide/\">a Gutenberg Migration Guide is underway</a> to assist developers with making their code Gutenberg-compatible.</p>\n\n<p>If you’d like to contribute to this guide, you can review <a href=\"https://github.com/danielbachhuber/gutenberg-migration-guide\">the existing documentation on GitHub</a> and <a href=\"https://github.com/danielbachhuber/gutenberg-migration-guide/issues\">open a new issue</a> if you find something to add.</p>\n\n<h2>Theme Review Team Launches Trusted Authors Program</h2>\n\n<p>Reviews of themes submitted to the Theme Directory can take quite a while to complete. In order to combat this issue and to make the theme submission process smoother for everyone, <a href=\"https://make.wordpress.org/themes/2018/04/30/trusted-authors-program/\">the Theme Review Team is introducing a Trusted Authors Program</a>.</p>\n\n<p>This program will allow frequent and reliable theme authors to apply for trusted status, allowing them to upload themes more frequently and to have their themes automatically approved. This will allow more high-quality themes to be added to the directory, as well as recognize the hard work that authors put in to build their themes.</p>\n\n<p>If you would like to get involved with reviewing themes, you can read <a href=\"https://make.wordpress.org/themes/handbook/get-involved/become-a-reviewer/\">their getting started guide</a>, follow the <a href=\"https://make.wordpress.org/themes/\">team blog</a> and join the #themereview channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Further Reading:</h2>\n\n<ul>\n    <li><a href=\"https://wordpress.org/news/2018/04/wordpress-4-9-5-security-and-maintenance-release/\">WordPress 4.9.5 was released</a> early this month, fixing numerous bugs and potential security issues. The two leads for this release <a href=\"https://make.wordpress.org/core/2018/04/20/4-9-5-feedback-leading-a-wordpress-minor-release/\">published some interesting feedback</a> about the process.</li>\n    <li>In addition to the Trusted Authors Program mentioned above, the Theme Review Team is <a href=\"https://make.wordpress.org/themes/2018/04/09/changes-in-theme-review-process/\">making some changes to their review process</a> to minimize theme review delays.<br /></li>\n    <li>The Marketing Team produced <a href=\"https://make.wordpress.org/marketing/2018/04/24/contributor-day-onboarding-pdf/\">a handy Contributor Day onboarding PDF</a> for organizers to hand out to contributors attending WordCamps.</li>\n    <li>The Accessibility Team is actively looking for contributors for <a href=\"https://make.wordpress.org/accessibility/handbook/\">their handbook</a>.</li>\n    <li>A new type of WordCamp, <a href=\"https://make.wordpress.org/community/2018/04/03/want-to-help-organize-a-wordcamp-for-organizers/\">targeted at organizers</a>, is in the planning stages now.</li>\n    <li><a href=\"https://wordpress.org/about/\">The WordPress.org About pages</a> received a significant redesign to make them more clear and useful.</li>\n    <li>The Community Team <a href=\"https://make.wordpress.org/community/2018/04/27/wordcamp-incubator-program-2018-2019-roadmap/\">posted the roadmap</a> for this year’s WordCamp Incubator program.</li>\n</ul>\n\n<p><em>If you have a story we should consider including in the next “Month in WordPress” post, please <a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\">submit it here</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"5891\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"Celebrate the WordPress 15th Anniversary on May 27\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wordpress.org/news/2018/04/celebrate-the-wordpress-15th-anniversary-on-may-27/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Apr 2018 21:07:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:5:\"Store\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"wp15\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=5753\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:345:\"May 27, 2018 is the 15th anniversary of the first WordPress release ﻿— and we can&#8217;t wait to celebrate! Party time! Join WordPress fans all over the world in celebrating the 15th Anniversary of WordPress by throwing your own party! Here&#8217;s how you can join in the fun: Check the WordPress 15th Anniversary website to see [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Andrea Middleton\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3948:\"<p>May 27, 2018 is the <strong>15th anniversary</strong> of the <a href=\"https://wordpress.org/news/2003/05/wordpress-now-available/\">first WordPress release</a> <a href=\"https://wordpress.org/news/2003/05/wordpress-now-available/\">﻿</a>— and we can&#8217;t wait to celebrate!</p>\n\n<figure class=\"wp-block-image aligncenter\"><img src=\"https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?resize=342%2C268&#038;ssl=1\" alt=\"\" class=\"wp-image-5841\" width=\"342\" height=\"268\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?w=2188&amp;ssl=1 2188w, https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?resize=300%2C236&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?resize=768%2C605&amp;ssl=1 768w, https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?resize=1024%2C806&amp;ssl=1 1024w, https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?w=1264&amp;ssl=1 1264w, https://i1.wp.com/wordpress.org/news/files/2018/04/wp15_mark-1.png?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 342px) 100vw, 342px\" data-recalc-dims=\"1\" /></figure>\n\n<h2>Party time!</h2>\n\n<p>Join WordPress fans all over the world in celebrating the 15th Anniversary of WordPress by throwing your own party! Here&#8217;s how you can join in the fun:</p>\n\n<ol>\n    <li>Check the <a href=\"https://wp15.wordpress.net/about/\">WordPress 15th Anniversary website</a> to see if there&#8217;s a party already planned for your town. If there is, RSVP for the party and invite your friends!<br /></li>\n    <li>If there isn&#8217;t, then pick a place to go where a bunch of people can be merry — a park, a pub, a backyard; any family-friendly venue will do!</li>\n    <li>List your party with <a href=\"https://www.meetup.com/pro/wordpress/\">your local WordPress meetup group</a> (Don&#8217;t have a group? <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/welcome/#starting-a-new-meetup-com-group\">Start one!</a>)  and then spread the word to other local meetups, tech groups, press, etc and get people to say they’ll come to your party.</li>\n    <li><a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/event-formats/wordpress-15th-anniversary-celebrations/#request-wordpress-15th-anniversary-swag\">Request</a> some special 15th anniversary WordPress swag (no later than April 27, please, so we have time to ship it to you).<br /></li>\n    <li>Have party attendees post photos, videos, and the like with the #WP15 hashtag, and <a href=\"https://wp15.wordpress.net/live/\">check out the social media stream</a> to see how the rest of the world is sharing and celebrating.</li>\n</ol>\n\n<p>Don&#8217;t miss this chance to participate in a global celebration of WordPress!<br /></p>\n\n<h2>Special Swag</h2>\n\n<p>In honor of the 15th anniversary, we’ve added some <a href=\"https://mercantile.wordpress.org/product-category/wordpress-15/\">special 15th anniversary items</a> in the swag store — you can use the offer code <strong>CELEBRATEWP15</strong> to take 15% off this (and any other WordPress swag you buy), all the way through the end of 2018!</p>\n\n<p>Keep checking the swag store, because we&#8217;ll be adding more swag over the next few weeks!</p>\n\n<h2>Share the fun</h2>\n\n<p>However you celebrate the WordPress 15th anniversary — with <a href=\"https://wp15.wordpress.net/about/\">a party</a>, with <a href=\"https://wp15.wordpress.net/swag/\">commemorative swag</a>, by <a href=\"https://wp15.wordpress.net/live/\">telling the world</a> what WordPress means to you — remember to use the #WP15 hashtag to share it! And don&#8217;t forget to <a href=\"https://wp15.wordpress.net/live/\">check the stream of WordPress 15th anniversary posts</a>.</p>\n\n<p>When <a href=\"https://venturebeat.com/2018/03/05/wordpress-now-powers-30-of-websites/\">30% of the internet</a> has a reason to celebrate, you know it&#8217;s going to be great! </p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"5753\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"GDPR Compliance Tools in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2018/04/gdpr-compliance-tools-in-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Apr 2018 20:11:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=5728\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:188:\"GDPR compliance is an important consideration for all WordPress websites. The GDPR Compliance team is looking for help to test the privacy tools that are currently being developed in core.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Andrew Ozz\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3914:\"<p>GDPR compliance is an important consideration for all WordPress websites. The GDPR Compliance team is looking for help to test the privacy tools that are currently being developed in core. </p>\n\n<h2>What is GDPR?</h2>\n\n<p>GDPR stands for <a href=\"https://en.wikipedia.org/wiki/General_Data_Protection_Regulation\">General Data Protection Regulation</a> and is intended to strengthen and unify data protection for all individuals within the European Union. Its primary aim is to give control back to the EU residents over their personal data. <br /></p>\n\n<p>Why the urgency? Although the GDPR was introduced two years ago, it becomes  enforceable starting May 25, 2018.</p>\n\n<h2>Make WordPress GDPR Compliance Team</h2>\n\n<p>Currently, the GDPR Compliance Team understands that helping WordPress-based sites become compliant is a large and ongoing task. The team is focusing on creating a comprehensive core policy, plugin guidelines, privacy tools and documentation. All of this requires your help.<br /></p>\n\n<p>The GDPR Compliance Team is focusing on four main areas:</p>\n\n<ul>\n    <li>Add functionality to assist site owners in creating comprehensive privacy policies for their websites.</li>\n    <li>Create guidelines for plugins to become GDPR ready.</li>\n    <li>Add administration tools to facilitate compliance and encourage user privacy in general.</li>\n    <li>Add documentation to educate site owners on privacy, the main GDPR compliance requirements, and on how to use the new privacy tools.</li>\n</ul>\n\n<h2>Don’t we already have a privacy policy?</h2>\n\n<p>Yes and no. That said, The GDPR puts tighter guidelines and restrictions. Though we have many plugins that create privacy pages, we need means to generate a unified, comprehensive privacy policy. We will need tools for users to easily come into compliance.<br /></p>\n\n<p>Site owners will be able to create GDPR compliant privacy policy in three steps:</p>\n\n<ol>\n    <li>Adding a dedicated page for the policy.<br /></li>\n    <li>Adding privacy information from plugins.</li>\n    <li>Reviewing and publishing the policy.</li>\n</ol>\n\n<p>A new &#8220;postbox&#8221; will be added to the Edit Page screen when editing the policy. All plugins that collect or store user data will be able to add privacy information there. In addition it will alert the site owners when any privacy information changes after a plugin is activated, deactivated, or updated.<br /></p>\n\n<p>There is a new functionality to confirm user requests by email address. It is intended for site owners to be able to verify requests from users for displaying, downloading, or anonymizing of personal data.<br /></p>\n\n<p>A new &#8220;Privacy&#8221; page is added under the &#8220;Tools&#8221; menu. It will display new, confirmed requests from users, as well as already fulfilled requests. It will also contain the tools for exporting and anonymizing of personal data and for requesting email confirmation to avoid abuse attempts.<br /></p>\n\n<p>New section on privacy will be added to the <a href=\"https://developer.wordpress.org/plugins/\">Plugin Handbook</a>. It will contain some general information on user privacy, what a plugin should do to be compliant, and also tips and examples on how to use the new privacy related functionality in WordPress.<br /></p>\n\n<p>The new privacy tools are scheduled for release at the end of April or beginning of May 2018.</p>\n\n<h2>How can you get involved?</h2>\n\n<p>We would love to have your help. The first step is awareness and education. For more information about the upcoming privacy tools see ﻿<a href=\"https://make.wordpress.org/core/2018/03/28/roadmap-tools-for-gdpr-compliance/\">the roadmap</a>.</p>\n\n<p>If you would like to get involved in building WordPress Core and testing the new privacy tools, please join the #gdpr-compliance channel in the <a href=\"https://make.wordpress.org/chat/\">Make WordPress</a> Slack group.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"5728\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 23 Jul 2018 06:53:00 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Tue, 17 Jul 2018 14:45:38 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20180723054635\";}", "no");
INSERT INTO `wp_options` VALUES("678", "_transient_timeout_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1532371981", "no");
INSERT INTO `wp_options` VALUES("679", "_transient_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca", "1532328781", "no");
INSERT INTO `wp_options` VALUES("680", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1532371981", "no");
INSERT INTO `wp_options` VALUES("681", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Gutenberg 3.3 Released, Adds Archives and Recent Comments Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82478\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wptavern.com/gutenberg-3-3-released-adds-archives-and-recent-comments-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1354:\"<p><a href=\"https://wordpress.org/plugins/gutenberg/\"></a></p>\n\n<p><a href=\"https://wordpress.org/plugins/gutenberg/\">Gutenberg 3.3</a> is available and <a href=\"https://make.wordpress.org/core/2018/07/20/whats-new-in-gutenberg-20th-july/\">continues the trend</a> of refining the user experience, user interface, and tools. Two new Widget blocks have been added, Post Archives and Recent Comments.<br /></p>\n\n<img />Archive and Recent Comments Widget Blocks\n\n<p>If your archives span across multiple months and years, you can configure the block to display as a drop-down menu. Otherwise, the list may be too long and look unwieldy on your site.</p>\n\n<p>Video blocks now have attributes users can can configure for Autoplay, Loop, Muted, and display Playback Controls. </p>\n\n<img />Video Block Attributes\n\n<p>There are a number of enhancements in this release that you can view via <a href=\"https://make.wordpress.org/core/2018/07/20/whats-new-in-gutenberg-20th-july/\">the change log</a>. </p>\n\n<p>Considering Gutenberg 3.2 <a href=\"https://make.wordpress.org/core/2018/07/06/whats-new-in-gutenberg-6th-july/\">released earlier this month</a> generally completed the MVP or minimum viable product feature set, users can expect more of these types of releases to tie up loose ends and prepare Gutenberg for merge into WordPress 5.0 later this year.  </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 21 Jul 2018 01:31:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"WPTavern: Karachi to Host First WordCamp in Pakistan Following Cancellation of WordCamp Lahore\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82062\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://wptavern.com/karachi-to-host-first-wordcamp-in-pakistan-following-cancellation-of-wordcamp-lahore\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9479:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/06/Karachi_from_above.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://commons.wikimedia.org/wiki/File:Karachi_from_above.jpg\">Bilalhassan88</a>\n<p><a href=\"https://2018.karachi.wordcamp.org/\" rel=\"noopener noreferrer\" target=\"_blank\">WordCamp Karachi</a> is happening on August 4, 2018, and organizers are expecting more than 400 attendees. Karachi is the largest city in Pakistan with a population of more than 30 million people. Its airport connects the country to other international cities and smaller cities within Pakistan are available by rail or bus. Organizers behind the camp are overcoming a rocky history that has plagued the planning of WordPress-related events in the country for the past several years.</p>\n<p>At the close of 2015, Pakistan was on track to host its first WordCamp in Lahore, building on momentum from the <a href=\"https://wptavern.com/wordpress-community-growing-in-pakistan-500-attend-lahore-meetup\" rel=\"noopener noreferrer\" target=\"_blank\">phenomenal growth of the local meetup group</a>. <a href=\"https://profiles.wordpress.org/xpertone\" rel=\"noopener noreferrer\" target=\"_blank\">Muhammad Kashif</a>, one of the organizers, was averaging 200-500 attendees at meetups and his team&#8217;s application to host <a href=\"https://wptavern.com/wordcamp-pakistan-application-approved-for-2016\" rel=\"noopener noreferrer\" target=\"_blank\">WordCamp Lahore was approved for 2016</a>.</p>\n<p>The meetup events, which attracted young students, developers, freelancers, and entrepreneurs, had grown so large that Kashif was having to close registration ahead of time because they were exceeding the capacity of the venue. Organizers expected 400-500 attendees at the WordCamp before it was cancelled after several delays near the end of the planning stage.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2015/12/lahore-pakistan-wordpress-meetup-featured.jpg?ssl=1\"><img /></a></p>\n<p>After contacting the WordPress Community team for the reason why it was cancelled, I received an official response from representative Hugh Lashbrooke:</p>\n<blockquote><p>Sometimes a WordCamp doesn’t make it all the way from pre-planning to being an actual event — occasionally due to logistical challenges, but other times because of broader concerns. In this case, once the WordCamp planning was underway, some tense dynamics arose within the local team. Everyone worked really hard to reach a positive solution, but we weren’t able to move forward with the event in the end.</p>\n<p>Cancelling an event is never anyone’s preference, to be clear, but it is also a customary response when it’s clear that collaboration isn’t possible in the short term. Local organizers are always encouraged to reapply as soon as the barriers to collaboration have been resolved.</p></blockquote>\n<p>Lashbrooke also cited issues with the camp&#8217;s budget for the venue organizers selected. He said the situation was thoroughly investigated before the camp was cancelled and that they would never take that kind of decision lightly.</p>\n<p>WordCamp Lahore organizers gave me a different report on what happened and were disappointed with the decision from the Community Team.</p>\n<p>&#8220;Representatives from the Foundation cancelled the camp in the last stage based on a complaint from one person out of a community of 3,000 people,&#8221; Kashif said. &#8220;The Foundation made a direct decision of cancellation without giving me a chance for explanation as the Primary Organizer. I suggested the Foundation conduct a survey from the whole Lahore community to know the facts but they had already made the decision to cancel.&#8221;</p>\n<p>Kashif claims there was no disagreement between the organizers, because the community member in question, <a href=\"https://profiles.wordpress.org/mrahmadawais\" rel=\"noopener noreferrer\" target=\"_blank\">Ahmad Awais</a>, was never part of the original organizing team.</p>\n<p>One member of the planning team agreed to speak to me anonymously about why he believes the camp was canceled. He claims that Awais fractured the team after his request to be given a prominent position in the organization was denied.</p>\n<p>&#8220;Ahmad Awais started hijacking Kashif and his team,&#8221; he said. &#8220;He was not a lead organizer at all, but on the planning team. Instead of contributing, Ahmad wanted to speak at every meetup and didn’t spend time with organizing team. He broke the team and started pointing fingers at Kashif and the existing organizing team. He was NOT there until WC Lahore was approved. He joined the team after that.&#8221;</p>\n<p>Multiple leaders from WordCamp Karachi&#8217;s 14-person organizing team, who wish to remain anonymous, have reported that Awais also requested to be named keynote speaker and was unhappy with the team after they told him that speaker decisions do not work like that. Several said they feared his retaliation against the camp, given they previously had no recourse with the Community Team after the experience of WordCamp Lahore getting shut down.</p>\n<p>Awais is not attending WordCamp Karachi and has declined to answer any questions about WordCamp Lahore due to personal reasons.</p>\n<p>Kashif received hundreds of messages from the community after the event in Lahore was cancelled. He had been working since 2013 to bring a WordCamp to the area. He said that while the Community Team was helpful with other queries he had, he was disappointed with how quickly the camp was cancelled.</p>\n<p>&#8220;I worked tirelessly for years to get a WordCamp to Lahore and grew the community from 430 to 2600 in one year but the Foundation didn’t even give me a chance to explain before canceling WC Lahore, Kashif said. &#8220;I am a bit disheartened by that action.&#8221;</p>\n<p>Kashif is now helping with other WordCamps, including Karachi and NYC. He is also willing to work to re-establish a WordCamp Lahore in the future.</p>\n<p>&#8220;Like me there are lots of other WordPress enthusiasts in Pakistan who want to participate in WordCamps but not everyone can do that outside of Pakistan due to financial or visa reasons,&#8221; Kashif said. &#8220;I was accepted as a volunteer in WordCamp Europe but couldn’t join due to visa issues. I have seen so much excitement for WordCamp Karachi in the WordPress community across the whole country. Everyone is willing to help to make it a successful event so that there are more frequent WordCamps in Pakistan. The first one is so important as it will set expectations of outcomes of a WordCamp for people who are new to these events.&#8221;</p>\n<h3>WordCamp Karachi Organizers Aim to Make a Positive Impact on Pakistan</h3>\n<p>WordCamp Karachi organizers are attempting to move past the Pakistani WordPress community&#8217;s checkered history of contention. They are also eager to distance themselves from the conflict that took down WordCamp Lahore.</p>\n<p><a href=\"https://profiles.wordpress.org/usmankhalid/\" rel=\"noopener noreferrer\" target=\"_blank\">Usman Khalid</a>, lead organizer of the camp, said he has put in a lot of effort asking organizers and volunteers to work together, regardless of the credit they will receive, and focus on the community.</p>\n<p>&#8220;I want to spend time on having a positive impact for this country, avoiding any kind of noise,&#8221; Khalid said. &#8220;The Pakistani WordPress community is vibrant in many ways. We have around 6,000 plus WordPressers in our community, with people who are selling their products and services worldwide.&#8221;</p>\n<p>Khalid said there are many users in Karachi, Lahore, Islamabad, Peshawer, and Faisalabad who are doing well with WordPress but are not yet connected to the community or participating in meetups and events. People from all over Pakistan will be attending the event as their first exposure to the WordPress community. Sessions will mostly be conducted in English but a few will be mixed with Urdu, the regional language.</p>\n<p>Khalid has experienced many growing pains in bringing the event to a community that is new to understanding how WordCamps work. In a country that is <a href=\"https://wptavern.com/pakistan-is-blocking-sites-hosted-on-wordpress-com\" rel=\"noopener noreferrer\" target=\"_blank\">notorious for its censorship</a>, WordPress&#8217; mission of democratizing publishing has the potential to change many lives.</p>\n<p>&#8220;Since this is first Wordcamp, many people even don&#8217;t know about it,&#8221; Khalid said. &#8220;Those who know want to be a speaker, or any lead role that can promote them. When we tell them it doesn&#8217;t work like this, they are mostly get annoyed.&#8221;</p>\n<p>Tech publications around Pakistan have not been exposed to WordCamps either. Khalid said several of them have asked for money in order to cover the story of the event, unaware that the purpose of the camps and meetups is not to translate everything into business but to give back to the community.</p>\n<p>&#8220;I am simply working to actually deliver first and prove that this community can create a positive impact,&#8221; Khalid said. &#8220;I am sure after Wordcamp Karachi, the entire community within Pakistan will flourish, regardless of what happened in Lahore.&#8221; He said he hopes the next camps will be even more interesting in the future and that WordCamp Karachi will help to create new jobs and more businesses in Pakistan.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Jul 2018 23:14:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"Post Status: Why the makers of Ninja Forms are getting into eCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=46627\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://poststatus.com/why-the-makers-of-ninja-forms-are-getting-into-ecommerce/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1982:\"<p>Welcome to the Post Status <a href=\"https://poststatus.com/category/draft\">Draft podcast</a>, which you can find <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\">on iTunes</a>, <a href=\"https://play.google.com/music/m/Ih5egfxskgcec4qadr3f4zfpzzm?t=Post_Status__Draft_WordPress_Podcast\">Google Play</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\">Stitcher</a>, and <a href=\"http://simplecast.fm/podcasts/1061/rss\">via RSS</a> for your favorite podcatcher. Post Status Draft is hosted by Brian Krogsgard and co-host Brian Richards.</p>\n<p>In this episode, I bring on James Laws and Kevin Stover &#8212; cofounders of Saturday Drive, the parent company of Ninja Forms &#8212; to discuss why they are entering the world of eCommerce. I found this especially interesting given the market dominance of WooCommerce for general WordPress-based eCommerce needs.</p>\n<p>Saturday Drive purchased Exchange, the plugin initially developed by iThemes and then handed off to A.J. Morris, with the intention of making a play for the eCommerce market, much like they did successfully once already for the somewhat-saturated forms market.</p>\n<p></p>\n<h3>Episode Links</h3>\n<ul>\n<li>Ninja Shop <a href=\"https://wordpress.org/plugins/ninja-shop/\">plugin</a></li>\n<li>Ninja Shop <a href=\"https://ninjashop.site/\">website</a></li>\n<li>James Laws <a href=\"https://wordpress.org/plugins/ninja-shop/\">on Twitter</a></li>\n<li>Kevin Stover <a href=\"https://twitter.com/kstover\">on Twitter</a></li>\n</ul>\n<h3>Sponsor: Sandhills Development</h3>\n<p><a href=\"http://sandhillsdev.com/\">Sandhills Development</a> makes a suite of excellent plugins to power your WordPress website. Whether you need to sell digital downloads, restrict content, create an affiliate program, or manage an events calendar, they&#8217;ve got you covered. Thanks to <a href=\"http://sandhillsdev.com/\">Sandhills</a> for being a Post Status partner.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Jul 2018 22:29:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: WordPress 4.9.8 Will Significantly Reduce Memory Leak\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82423\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://wptavern.com/wordpress-4-9-8-will-significantly-reduce-memory-leak\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2723:\"<p><a href=\"https://make.wordpress.org/core/2018/07/19/wordpress-4-9-8-beta-2/\">WordPress 4.9.8 Beta two</a> recently shipped and although much of the focus will be on the <a href=\"https://wptavern.com/first-look-at-try-gutenberg-prompt-in-wordpress-4-9-8-beta-2\">&#8220;Try Gutenberg&#8221;  call-out</a>, there&#8217;s a patch included that addresses a memory leak that was quite a problem for some users. </p>\n\n<p>When <a href=\"https://wordpress.org/news/2018/07/wordpress-4-9-7-security-and-maintenance-release/\">WordPress 4.9.7 shipped</a>, ﻿the WordPress.org support forums saw an <a href=\"https://wordpress.org/support/topic/wp_is_stream-crashing-the-server/\">increase</a> in <a href=\"https://wordpress.org/support/topic/fatal-error-allowed-memory-size-of-11/\">reports</a> of memory exhausted errors due to the <a href=\"https://developer.wordpress.org/reference/functions/wp_is_stream/\">wp_is_stream function</a>. </p>\n\n<p>The bug is actually in PHP and is related to the <a href=\"http://php.net/manual/en/function.stream-get-wrappers.php\">stream-get-wrappers</a> function. WordPress 4.9.7 increased the number of times it calls the wp_is_stream() function generating the error more often.</p>\n\n<p>After thoughtful conversations within the <a href=\"https://core.trac.wordpress.org/ticket/44532#comment:46\">trac ticket</a>, a patch was created that after further testing, was committed to core. ﻿<a href=\"https://core.trac.wordpress.org/ticket/44532#comment:46\">According to Gary Pendergast</a>, the patch does the following.</p>\n\n<blockquote class=\"wp-block-quote\">\n	<p>Bailing if the path isn&#8217;t a stream. This isn&#8217;t perfect: it&#8217;s still possible to trigger the PHP bug, but it does significantly reduce the chances of the bug being encountered. For many WordPress sites (those that don&#8217;t have plugins that use streams), it reduces the chance to zero.</p>\n</blockquote>\n\n<p>If you encountered memory exhaustion errors after installing or upgrading to WordPress 4.9.7, try <a href=\"https://make.wordpress.org/core/2018/07/19/wordpress-4-9-8-beta-2/\">WordPress 4.9.8 Beta 2</a> to see if it fixes the issue.</p>\n\n<p>Aside from coming up with a solution, <a href=\"https://core.trac.wordpress.org/ticket/44532\">Trac ticket #44532</a> is a bit refreshing to see. In open source, tickets or issues can get bogged down with suggestions, hypothetical scenarios, and bike-shed commentary.</p>\n\n<p>In this instance, the issue was identified and folks from the community along with core contributors worked together in a focused fashion to create a fix in time for the next point release. The ticket is a good example of what it&#8217;s like when open source is firing on all cylinders.  <br /></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Jul 2018 20:33:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Donncha: WP Super Cache and Cookie Banners\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://odd.blog/?p=89501949\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://odd.blog/2018/07/20/wp-super-cache-and-cookie-banners/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5290:\"<p>More sites use cookie banners now that the GDPR is active but some are finding that their banners are misbehaving once they enable caching.</p>\n\n<p>This is a similar issue to the one that happened to some page counter plugins in the past. The page counter wouldn&#8217;t increment.</p>\n\n<p>When a cookie banner is clicked a cookie is set in the browser so the website knows this visitor has agreed to accept cookies. If the cookie is set then the cookie banner html is not sent to the browser.</p>\n\n<p>I suspect the main issue is that the code that sets and checks if the cookie is set is PHP. Unfortunately because the page is cached then no PHP code is executed, and the cookie banner is displayed because it was originally cached that way.<br /></p>\n\n<p>Since WP Super Cache only knows about certain WordPress cookies it assumes everyone who doesn&#8217;t have those cookies is a first time &#8220;anonymous&#8221; visitor. It doesn&#8217;t know about your cookie banner cookie.<br /></p>\n\n<p>You have two options:</p>\n\n<ol>\n	<li>Rewrite your cookie banner so it&#8217;s completely in Javascript. Do the cookie detection in Javascript and also set the cookie in Javascript. If the cookie banner has been clicked then you need to trigger an action, and other Javascript that is hooked on to that trigger will run and load the tracking cookies.</li>\n	<li>Modify WP Super Cache so it knows about the cookie your cookie banner uses. Caching won&#8217;t work quite as well as before as it&#8217;ll be split between visitors who have clicked the cookie banner and those that haven&#8217;t. One cached file will display the cookie banner, and the other will not but it will have ad tracking Javascript.<br /></li>\n</ol>\n\n<p>Using Javascript completely is a better solution because it runs in the browser on every page load but that might not be possible every time.</p>\n\n<p>Otherwise, use PHP to get WP Super Cache to play nicely with your existing code:</p>\n\n<ol>\n	<li>You&#8217;ll need to write a <a href=\"https://odd.blog/2017/10/25/writing-wp-super-cache-plugins/\">WP Super Cache plugin</a>.</li>\n	<li>You need to hook into the wp_cache_get_cookies_values cacheaction and add the value of the cookie banner cookie to the end of that string.</li>\n	<li>Caching can only be performed by <em>simple</em> caching now, unless you&#8217;re willing to edit mod_rewrite rules in your .htaccess file.</li>\n</ol>\n\n<p>Something like this will do. Make sure you note the warning about <code>$wp_cache_plugins_dir</code> in the link above about writing these plugins.<br /></p>\n\n<pre class=\"wp-block-code\"><code>function add_cookie_banner_to_cache_cookie( $string ) {\n    if ( isset( $_COOKIE[\'cookie_banner\'] ) ) {\n        $string .= \'cb,\';\n    }\n    return $string\n}\nadd_cacheaction( \'wp_cache_get_cookies_values\', \'add_cookie_banner_to_cache_cookie\' );</code></pre>\n\n<p>Substitute the name of the cookie for your cookie name, change the name of the function, and the text it adds to the string. There is an intentional PHP fatal error in the code above to discourage copy/pasting.<br /></p>\n\n<p>Your cookie banner plugin could automate setting this up, but it may have unforeseen consequences if not done correctly. It should check if <code>$wp_cache_plugins_dir</code> is set already, and use that location, otherwise it will have to make a directory and update the WP Super Cache configuration, where ABC is the new location for the plugins.<br /></p>\n\n<p><code>wp_cache_setting( \'wp_cache_plugins_dir\', ABSPATH . \'wp-content/ABC\' );﻿</code></p>\n\n<p>The new code can be copied into a file in that directory. The files in the original WP Super Cache plugins directory (found at <code>WPCACHEHOME . \'plugins\'</code>) should be copied into that directory too and a warning shown to the user. They may need to set up one of those plugins again.<br /></p>\n\n<p>The reason it is this convoluted is because this code will run before all of WordPress loads. You can&#8217;t rely on blog options or most of the nice configuration tools WordPress provides.<br /></p>\n\n<p>When your plugin is uninstalled it should of course restore the plugins directory to the way it was before.</p>\n\n<p>For future reference, since cookie banners will hopefully not be around forever, here&#8217;s what they looked like in the deep, distant past of 2018. <img src=\"https://s.w.org/images/core/emoji/2.4/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" /></p>\n\n<img />\n\n<img />\n	The LA Times just gave up and don&#8217;t show anything to EU visitors.\n\n\n<img />\n\n<img />\n\n<img />\n\n<p><strong>Related Posts</strong><ul><li> <a href=\"https://odd.blog/2003/08/12/linuxie-and-free-software-projects/\" rel=\"bookmark\" title=\"Permanent Link: Linux.ie and free software projects\">Linux.ie and free software projects</a></li><li> <a href=\"https://odd.blog/2008/10/24/wp-super-cache-084-the-garbage-collector/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.8.4, the garbage collector\">WP Super Cache 0.8.4, the garbage collector</a></li><li> <a href=\"https://odd.blog/2008/03/06/please-sir-can-i-have-more/\" rel=\"bookmark\" title=\"Permanent Link: Please sir, can I have more?\">Please sir, can I have more?</a></li></ul></p>\n<p><a href=\"https://odd.blog/2018/07/20/wp-super-cache-and-cookie-banners/\" rel=\"nofollow\">Source</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Jul 2018 13:33:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: First Look at “Try Gutenberg” Prompt in WordPress 4.9.8 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82425\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://wptavern.com/first-look-at-try-gutenberg-prompt-in-wordpress-4-9-8-beta-2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3384:\"<p><a href=\"https://make.wordpress.org/core/2018/07/19/wordpress-4-9-8-beta-2/\" rel=\"noopener noreferrer\" target=\"_blank\">WordPress 4.9.8 Beta 2</a> was released today, featuring the new &#8220;<a href=\"https://core.trac.wordpress.org/ticket/41316\" rel=\"noopener noreferrer\" target=\"_blank\">Try Gutenberg</a>&#8221; prompt that will appear in user dashboards when the official release drops at the end of the month.</p>\n<p>The prompt invites users to install Gutenberg if they want to try the new editor or install the <a href=\"https://wordpress.org/plugins/classic-editor/\" rel=\"noopener noreferrer\" target=\"_blank\">Classic Editor</a> to keep using the current editor until they are ready to make the change. WordPress contributors discussed variations on the design and wording of the callout and finally settled on what you see in 4.9.8 Beta 2.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/07/Screen-Shot-2018-07-19-at-4.02.56-PM.png?ssl=1\"><img /></a></p>\n<p>Even if users don&#8217;t get involved in Gutenberg testing, the callout serves to inform them that the new editor will be enabled by default in the next major release of WordPress. It includes a link to the <a href=\"https://wordpress.org/gutenberg/\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg information page</a> so users can learn more about the project.</p>\n<p>Contributors agreed that they wanted to clearly communicate three important points in the callout, as per designer @kjellr&#8217;s <a href=\"https://core.trac.wordpress.org/ticket/41316#comment:148\" rel=\"noopener noreferrer\" target=\"_blank\">suggestions on trac</a>:</p>\n<ol>\n<li>Gutenberg is coming in the next major release.</li>\n<li>If you’re worried about compatibility, there’s a plugin to help ease the transition.</li>\n<li>The plugin lets you use the editor you’re used to until you’re ready to switch.</li>\n</ol>\n<p>The prompt is clearly geared towards encouraging users to test Gutenberg, as that section has a more prominent, colored button. If your clients&#8217; installations are not ready for users to act on the &#8220;Try Gutenberg&#8221; prompt, now is the time to install a plugin that will disable it. Clients with free-range of the WordPress admin, in sites that are running Gutenberg-compatible extensions, are better candidates for testing the new editor.</p>\n<p>The <a href=\"https://wptavern.com/new-classic-editor-addon-plugin-disables-the-try-gutenberg-prompt-coming-in-wordpress-4-9-8\" rel=\"noopener noreferrer\" target=\"_blank\">Classic Editor Addon</a> is one option that will suppress the prompt and automatically suppress Gutenberg when it ships in WordPress 5.0. It was also recently updated to auto-install the Classic Editor plugin as a dependency so users don&#8217;t have to install two plugins as part of the process.</p>\n<p>A release candidate is slated for July 24, and the official 4.9.8 release is scheduled for July 31st. The <a href=\"https://wordpress.org/plugins/gutenberg/\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg plugin</a> is currently sitting at 10,000+ active installations and the <a href=\"https://wordpress.org/plugins/classic-editor/\" rel=\"noopener noreferrer\" target=\"_blank\">Classic Editor</a> at 5,000+. After 4.9.8 is released, changes in these numbers will demonstrate how WordPress users across the globe are responding to the call for testing.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Jul 2018 21:48:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: Insight Into How North Carolina State Is Preparing for Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82410\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wptavern.com/insight-into-how-north-carolina-state-is-preparing-for-gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1838:\"<p>Jennifer McFarland, the web services coordinator for the North Carolina State Office of Information Technology (OIT), recently <a href=\"http://www.technicianonline.com/news/article_878f4bb0-7d8f-11e8-a5ac-4bf05738fe93.html\">did an interview</a> with <a href=\"http://www.technicianonline.com/\">Technician</a>, the official student newspaper of NC State University.</p>\n\n<p>Since Gutenberg&#8217;s announcement in December of 2017, McFarland has published a <a href=\"https://design.oit.ncsu.edu/tag/gutenberg/\">series of articles</a> on the NC State Office of Information Technology website educating staff and students on what to expect.</p>\n\n<p>McFarland was asked how the team plans to help staff and students after Gutenberg ships with WordPress.</p>\n\n<p>&#8220;A couple of times a year, we go and speak at various classes, professors will have us come out and do demos of WordPress,&#8221; McFarland told the Technician. </p>\n\n<p>&#8220;We are expecting an uptake of people requesting us to come out and do a demo of WordPress or something like that, but generally our plan right now, at least for students, is mostly just offer the sort of self-help, like the video tutorials and things like that, and we figure that the students will mostly try and solve their own problems.&#8221;</p>\n\n<p>Speaking of McFarland, she and Brian DeConinck <a href=\"https://2018.wpcampus.org/schedule/gutenready-for-the-gutenpocalypse/\">presented on Gutenberg</a> at WPCampus 2018. The videos from the event are still being processed but we&#8217;ll add a link to the presentation once it becomes available. </p>\n\n<p>It&#8217;s pretty cool to see people in McFarland&#8217;s position in higher education already have a firm grasp of Gutenberg and doing what they can to ease the transition for staff and students</p>\n\n<p></p>\n\n<p><br /></p><br /></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Jul 2018 00:27:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: Meet Bernhard Kau, Local Lead Organizer of WordCamp Europe 2019 in Berlin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82335\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://wptavern.com/meet-bernhard-kau-local-lead-organizer-of-wordcamp-europe-2019-in-berlin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4788:\"<p><a href=\"https://twitter.com/2ndkauboy?lang=en\" rel=\"noopener noreferrer\" target=\"_blank\">Bernhard Kau</a>, a WordPress developer, meetup organizer, and four-time organizer of WordCamp Berlin, is the local lead organizer for the next WordCamp Europe. Kau will join Milan Ivanović, the global lead, at the helm of WordCamp Europe in Berlin next June.</p>\n<p>Kau submitted an application with his team to host WCEU and won out over a competing application from the WordPress community in Barcelona. The selection team cited Berlin&#8217;s accessibility, reasonable prices, and its strong community as the final deciding factors.</p>\n<p>Berlin&#8217;s monthly WordPress meetups have 1,300 members. The community also holds dedicated meetups for beginners, developers, and women in WordPress. Five WordCamps have been organized in Berlin since 2010.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">Attending <a href=\"https://twitter.com/hashtag/WPBerlin?src=hash&ref_src=twsrc%5Etfw\">#WPBerlin</a> and they are already preparing WordPress community for next <a href=\"https://twitter.com/hashtag/WCEU?src=hash&ref_src=twsrc%5Etfw\">#WCEU</a> <a href=\"https://t.co/MWLwTZ4hrf\">pic.twitter.com/MWLwTZ4hrf</a></p>\n<p>&mdash; Milan Ivanović (@lanche86) <a href=\"https://twitter.com/lanche86/status/1012396086944813057?ref_src=twsrc%5Etfw\">June 28, 2018</a></p></blockquote>\n<p></p>\n<p>&#8220;Compared to other communities in Europe, we are a community that is very likely to travel to other cities to attend meetups and other WordCamps,&#8221; Kau said. &#8220;We usually only have one or two WordCamps per year in Germany but then usually all the German community members travel to that city to attend the WordCamp. Whereas in Spain, for example, they had 11 WordCamps this year that are more local and smaller. As a German community we are more used to traveling to a central place and meeting there.&#8221;</p>\n<h3>What to Expect at WCEU in Berlin: A Diverse Community, More Workshops, and a Unique After Party</h3>\n<p>The <a href=\"https://www.estrel.com/en/home.html\" rel=\"noopener noreferrer\" target=\"_blank\">Estrel Hotel and Congress Center</a> will host the entire event, including both conference days, the contributor day, and the after party. Although the venue has a max capacity of 12,000 people, Kau said organizers are planning for 2,500 &#8211; 3,000 attendees. The local team is excited to introduce the European WordPress community to their home city.</p>\n<p>&#8220;Berlin is one of the most diverse cities in Europe,&#8221; Kau said. &#8220;When I prepared the application, I figured out that there are people from 191 countries living in Berlin. It&#8217;s a very international, very diverse city, so you can be just as you are and feel quite comfortable and welcome in Berlin.&#8221;</p>\n<p>Kau said organizers intend to continue with workshops as a part of the event in 2019 but they are planning to make the signup experience more efficient.</p>\n<p>&#8220;This was the first year we tried workshops,&#8221; Kau said. &#8220;We had three workshop tracks and workshops of 60 minutes, 90 minutes, and three hours. We are not sure how many workshops we want to have in Berlin. The idea was new but turned out quite well. There were workshops with many people waiting to get in and from what I&#8217;ve heard it was quite good.&#8221;</p>\n<p>Kau said he wants to improve the process for workshops, because there was no easy way for attendees to sign up and managing waiting lists was a lot of manual work for the content team. This is one bottleneck from the most recent WCEU experience that he hopes to rectify.</p>\n<p>&#8220;There is also something special planned but I don&#8217;t want to spoil it,&#8221; Kau said. &#8220;It&#8217;s going to be a very unique after party to say the least.&#8221; Although Berlin is renowned for its legendary nightlife, Kau said he doesn&#8217;t anticipate the party lasting all night.</p>\n<p>&#8220;We&#8217;re probably not going to make it Berlin-typical until 10 in the morning but it&#8217;s going to be a bit longer than maybe here [Belgrade] or in Paris where people were kicked at at 3:30,&#8221; he said.</p>\n<p>The <a href=\"https://2019.europe.wordcamp.org/2018/06/16/call-wordcamp-europe-2019-organizers/\" rel=\"noopener noreferrer\" target=\"_blank\">call for applications for organizers</a> is still open. Within 24 hours of announcing Berlin as the next host city, the team had already <a href=\"https://twitter.com/lanche86/status/1008419688009863169\" rel=\"noopener noreferrer\" target=\"_blank\">received 27 applications</a>. The application window closes July 31, 2018.</p>\n<p>Check out the full interview below to learn more about the German WordPress community and what they have planned for WCEU 2019.</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Jul 2018 20:18:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"WPTavern: WP-CLI Hack Day Friday, July 20th\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82269\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wptavern.com/wp-cli-hack-day-friday-july-20th\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1541:\"<p><a href=\"https://wp-cli.org/\">WP-CLI</a> or WordPress Command Line Interface has become an integral tool for developers to launch and manage sites. To encourage new contributors to the project, Alain Schlesser is organizing the first <a href=\"https://make.wordpress.org/cli/2018/07/04/wp-cli-hack-day/\">WP-CLI Hack Day</a>, Friday, July 20th beginning at 08:00 CEST.</p>\n\n<p>Schlesser and other contributors will be available in the <a href=\"https://wordpress.slack.com/messages/C02RP4T41\">WP-CLI Slack channel</a> all day and on the project&#8217;s <a href=\"https://github.com/wp-cli/\">GitHub site</a> to answer questions and help people contribute to the project. </p>\n\n<p>From 16:00-18:00 CEST, Schlesser will host a video call that&#8217;s open to everyone where people can join in, discuss issues, and visually work through pull requests. The goal is to reach 20 pull requests that have been merged during the event. A post on <a href=\"https://make.wordpress.org/cli/\">Make/CLI  blog</a> will be published once WP-CLI Hack Day concludes summarizing any progress that was made.</p>\n\n<p>To prepare prospecting contributors for the event, Schlesser has published a <a href=\"https://make.wordpress.org/cli/2018/07/14/contributing-to-wp-cli/\">detailed guide</a> on how to contribute to WP-CLI.</p>\n\n<p>Folks can follow along on Twitter using the hashtag <a href=\"https://twitter.com/hashtag/hackwpcli?src=hash\">#hackwpcli</a>. If Hack CLI Day is successful, more events will likely be created in the future to cover more time zones. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Jul 2018 16:47:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"HeroPress: Making A Safe Place\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=2589\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://heropress.com/making-a-safe-place/#utm_source=rss&utm_medium=rss&utm_campaign=making-a-safe-place\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2907:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2017/07/071917-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: The WordPress community is, slowly but surely, helping me get rid of my ingrown fear of the unknown, of others.\" /><p>Being a remote worker makes it easy to hide from a world that you find scary or dangerous. If you&#8217;re never in the presence of other people they can&#8217;t hit you. Retreat becomes so easy. Marius Jensen from Sola, Norway grew up in a society that did not care for him, and made him want to hide from the world forever.</p>\n<p>The WordPress community gave him a safe place to talk to people online, and after time, in person. WordCamps became a place of safety and compassion. This isn&#8217;t the case for all people, but it is for many people, in many places. Check out Marius&#8217; essay from last July, about finding a safe place.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://heropress.com/essays/becoming-myself-again/\">Becoming Myself Again</a></p></blockquote>\n<p></p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Making A Safe Place\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Making%20A%20Safe%20Place&via=heropress&url=https%3A%2F%2Fheropress.com%2Fmaking-a-safe-place%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Making A Safe Place\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fmaking-a-safe-place%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fmaking-a-safe-place%2F&title=Making+A+Safe+Place\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Making A Safe Place\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/making-a-safe-place/&media=https://heropress.com/wp-content/uploads/2017/07/071917-150x150.jpg&description=Making A Safe Place\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Making A Safe Place\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/making-a-safe-place/\" title=\"Making A Safe Place\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/making-a-safe-place/\">Making A Safe Place</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Jul 2018 08:00:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"WPTavern: iThemes Enters the Hosting Space\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82379\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wptavern.com/ithemes-enters-the-hosting-space\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3428:\"<p>iThemes is <a href=\"https://ithemes.com/wordpress-hosting\">getting into the hosting business</a> after <a href=\"https://ithemes.com/2018/07/17/announcing-ithemes-hosting/\">launching</a> three plans that take advantage of its relationship with Liquid Web. The plans are finely tuned around the company&#8217;s products and come with free SSL certificates. <br /></p>\n\n<p>I reached out to Cory Miller, Founder of iThemes to figure out why they&#8217;ve entered the hosting space, what it means to be able to control the user experience of their products from the top-down, and how their plans compare to those from hosts that offer Jetpack Premium. </p>\n\n<h2>Interview With Cory Miller<br /></h2>\n\n<p><strong>What does it mean for you and iThemes to be able to control the user experience from the top-down?</strong></p>\n\n<p>In short, it means a better overall experience for our customers. For more than 10 years, we’ve dealt with most of the hosts, especially the ones offering catered WordPress offerings, and it has been a terribly frustrating experience for us trying to troubleshoot problems and help our mutual customers. </p>\n\n<p>Additionally, we’ve long said you have to have two things to be our customer: WordPress and web hosting. Now we install WordPress for you, along with SSL, essentially with a click on our own hosting. </p>\n\n<p><strong>How would you compare iThemes hosting packages to hosts that offer Jetpack Premium services as part of their plans?</strong></p>\n\n<p>The thing that sticks out for me is having everything under one brand and team. But we think using iThemes Sync Pro as the hosting control panel gives us a significant edge for our customers to do more with their WP sites, in particular, our reporting features in Sync Pro. </p>\n\n<p>Now our customers can get WP backups, security, site management and in-depth reporting all from one dashboard, along with their hosting. With our Business plan, they get BackupBuddy, our WordPress backup plugin; iThemes Security Pro, our WordPress security plugin &amp; iThemes Sync Pro all in one. Plus they get an awesome team of WordPress pros for support if they need help or have any issues.</p>\n\n<p><strong>What are you most looking forward too offering these hosting packages specifically tuned for iThemes products and WordPress?</strong></p>\n\n<p>The actual implementation of the vision of offering the key essentials we think people want and need, along with a roadmap to do more, from our team at iThemes. It was one of the motivators for joining the Liquid Web family — the ability to finally do what we’ve always wanted to do for our customers, offering a more complete experience for them, from us. </p>\n\n<p><strong>Were there any challenges that you overcame when putting these packages together?</strong></p>\n\n<p>The main one that comes to mind is trying to ensure we offer what people actually want and will buy. But there was several months of hard work by our team and others to get this launched. Some long nights to pull all the pieces together in order to do this, with many more to come.</p>\n\n<p>Prices range from $15 per month to $25 per month billed on an annual basis. New customers can take advantage of a coupon code <a href=\"https://ithemes.com/2018/07/17/announcing-ithemes-hosting/\">on the site</a> to purchase the Business plan, normally $25 for $15. </p>\n\n<p></p>\n\n<p><strong></strong></p>\n\n<p><strong></strong> </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Jul 2018 23:19:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"WPTavern: WooCommerce Custom Product Tables Plugin Now in Beta, Boasts 30% Faster Page Loads\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82363\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://wptavern.com/woocommerce-custom-product-tables-plugin-now-in-beta-boasts-30-faster-page-loads\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3615:\"<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2016/07/woocommerce-logo.jpg?ssl=1\"><img /></a></p>\n<p>WooCommerce is celebrating <a href=\"https://woocommerce.com/birthday-sale/\" rel=\"noopener noreferrer\" target=\"_blank\">10th years of Woo</a> this week. Over the past several years WooCommerce has grown to become a dominant player among e-commerce solutions on the web. <a href=\"https://trends.builtwith.com/shop\" rel=\"noopener noreferrer\" target=\"_blank\">E-commerce Usage Distribution stats from BuiltWith</a> currently rank WooCommerce as the most commonly used platform for stores in the top 1 million sites.</p>\n<p>Performance and scalability were the main focuses for the WooCommerce development team last year and these issues continue to be top priority. <a href=\"https://wptavern.com/woocommerce-3-0-brings-major-improvements-to-product-gallery-introduces-crud-classes-and-a-new-cli\" rel=\"noopener noreferrer\" target=\"_blank\">Version 3.0</a>, released in April 2017, included significant performance improvements when WooCommerce switched from post meta to taxonomies for features like product visibility, featured products, and out of stock products. It also introduced CRUD (Create, Read, Update, Delete) classes for developers, making it easier to write and retrieve data from the database with less code.</p>\n<p>Building on the CRUD work done last year, WooCommerce has just <a href=\"https://woocommerce.wordpress.com/2018/07/17/woocommerce-custom-product-tables-beta/\" rel=\"noopener noreferrer\" target=\"_blank\">announced</a> the beta of its new Custom Products Tables plugin. It replaces the WooCommerce product Data Store with new, dedicated product tables for significant reductions in page load time across shop, checkout, and admin pages.</p>\n<p>&#8220;The results, so far, have been great – with improvements of up to 30% on page load times!&#8221; WooCommerce engineer Gerhard Potgieter said. &#8220;Checkout, arguably the most important part of the store experience, has seen the biggest performance gains.&#8221;</p>\n<p>The WooCommerce development team tested the plugin&#8217;s impact on performance using two identical stores running the <a href=\"https://woocommerce.com/storefront/\" rel=\"noopener noreferrer\" target=\"_blank\">Storefront</a> theme and no additional plugins. They created a data set of 500 products using the <a href=\"https://github.com/woocommerce/wc-smooth-generator\" rel=\"noopener noreferrer\" target=\"_blank\">WooCommerce Smooth Generator</a>, and both stores had 70,000 orders in the database and meta data in the range of 1.4 million rows.</p>\n<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/woocommerce-load-times.png?ssl=1\"><img /></a>image credit: <a href=\"https://woocommerce.wordpress.com/2018/07/17/woocommerce-custom-product-tables-beta/\">WooCommerce Development Blog</a>\n<p>The Custom Product Tables plugin is not ready for use in production but developers can <a href=\"https://github.com/woocommerce/woocommerce-product-tables-feature-plugin/releases\" rel=\"noopener noreferrer\" target=\"_blank\">download version 1</a> and test it against <a href=\"https://github.com/woocommerce/woocommerce/\" rel=\"noopener noreferrer\" target=\"_blank\">WooCommerce 3.5 dev</a> (switch to the master branch).</p>\n<p>Getting the plugin rolled into WooCommerce core is an exciting update on the horizon, as faster page loads generally improve conversion for store owners. WooCommerce engineers anticipate releasing the plugin on WordPress.org as the next step. They plan to include the new product tables in a major version update early next year.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Jul 2018 20:20:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WPTavern: New WordPress Feature Plugin Adds Support for Progressive Web Apps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82311\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wptavern.com/new-wordpress-feature-plugin-adds-support-for-progressive-web-apps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5800:\"<p>WordPress contributors are working on getting support for Progressive Web Apps (PWA) into core. A new <a href=\"https://wordpress.org/plugins/pwa/\" rel=\"noopener noreferrer\" target=\"_blank\">PWA feature plugin</a> is now available on WordPress.org, spearheaded by the teams at XWP, Google, and Automattic.</p>\n<p>Progressive Web Apps are applications that run on the web but provide a speedy app-like experience inside a mobile browser. Google describes them as having the following three qualities:</p>\n<ul>\n<li>Reliable – Load instantly and never show the downasaur, even in uncertain network conditions</li>\n<li>Fast – Respond quickly to user interactions with silky smooth animations and no janky scrolling</li>\n<li>Engaging – Feel like a natural app on the device, with an immersive user experience</li>\n</ul>\n<p>The plugin adds support for technologies that PWAs require, including Service Workers, a Web App Manifest, and HTTPS. These technologies support functions like background syncing, offline content, push notifications, mobile home screen icon, and other PWA features.</p>\n<p>XWP CTO Weston Ruter said the purpose of the feature plugin is to curate PWA capabilities for proposed merging into core. The idea is to merge them piece by piece. Core tickets are already in process for adding support for <a href=\"https://core.trac.wordpress.org/ticket/43328\" rel=\"noopener noreferrer\" target=\"_blank\">web app manifests</a> and <a href=\"https://core.trac.wordpress.org/ticket/36995\" rel=\"noopener noreferrer\" target=\"_blank\">support for service workers</a>, as well as bringing <a href=\"https://core.trac.wordpress.org/ticket/28521\" rel=\"noopener noreferrer\" target=\"_blank\">improvements to HTTPS</a>.</p>\n<p>&#8220;This PWA feature plugin is intended to equip and facilitate other plugins which implement PWA features,&#8221; Ruter <a href=\"https://weston.ruter.net/2018/07/12/wceu-2018-recap-amp-and-pwa/\" rel=\"noopener noreferrer\" target=\"_blank\">said</a>. &#8220;It’s not intended to negate any existing plugins with these features, but rather to allow such plugins (and themes) to work together seamlessly and expand upon them.&#8221;</p>\n<p>The first release of the plugin on WordPress.org (v0.1.0) adds support for web app manifests and initial support for allowing theme and plugin developers to register scripts for service workers via <code>wp_register_service_worker()</code>. It also includes an API for detecting whether HTTPS is available.</p>\n<p>&#8220;A next step for service workers in the PWA feature plugin is to integrate <a href=\"https://developers.google.com/web/tools/workbox/\" rel=\"noopener noreferrer\" target=\"_blank\">Workbox</a> to provide a declarative WordPress PHP abstraction for managing the caching strategies for routes, with <a href=\"https://github.com/xwp/pwa-wp/issues/5\" rel=\"noopener noreferrer\" target=\"_blank\">support for detecting conflicts</a>,&#8221; Ruter said. Anyone who is interested to contribute to PWA support for WordPress can check out the discussions and <a href=\"https://github.com/xwp/pwa-wp/\" rel=\"noopener noreferrer\" target=\"_blank\">plugin on GitHub</a>.</p>\n<p>In the past, app-like experiences were only available for sites and services that had their own native mobile apps, but native apps can be costly to develop and maintain. Progressive web apps use the greater web as their platform and are quick to spin up. They make content easier to access on mobile even without an internet connection. It&#8217;s also far easier to tap a home screen icon than to enter a URL on mobile, and this makes users more likely to engage with their favorite sites.</p>\n<p><a href=\"https://www.pwastats.com/\" rel=\"noopener noreferrer\" target=\"_blank\">PWA Stats</a> is a site that features case studies of progressive web apps that have significantly increased performance, engagement, and conversion. A few compelling examples include:</p>\n<ul>\n<li>Tinder <a href=\"https://medium.com/@addyosmani/a-tinder-progressive-web-app-performance-case-study-78919d98ece0\" rel=\"noopener noreferrer\" target=\"_blank\">cut load times from 11.91 seconds to 4.69 seconds</a> with their new PWA. The PWA is 90% smaller than Tinder’s native Android app. User engagement is up across the board on the PWA.</li>\n<li>Grand Velas Riviera Maya resort <a href=\"https://blog.milestoneinternet.com/industry-news/milestone-boosts-website-conversions-by-53-with-progressive-web-apps-pwa/\" rel=\"noopener noreferrer\" target=\"_blank\">increased its Black Friday conversion rate by 53%</a> due to its progressive web app’s speed and notifications.</li>\n<li>Trivago saw an increase of 150% for people who add its PWA to the home screen. Increased engagement led to a <a href=\"https://www.thinkwithgoogle.com/intl/en-gb/consumer-insights/trivago-embrace-progressive-web-apps-as-the-future-of-mobile/\" rel=\"noopener noreferrer\" target=\"_blank\">97% increase in clickouts to hotel offers</a>. Users who go offline while browsing can continue to access the site and 67% continue to browse the site when they come back online.\n<li>Pinterest rebuilt their mobile site as a PWA and <a href=\"https://medium.com/dev-channel/a-pinterest-progressive-web-app-performance-case-study-3bd6ed2e6154\" rel=\"noopener noreferrer\" target=\"_blank\">core engagements increased by 60%</a>. They also saw a 44% increase in user-generated ad revenue and time spent on the site has increased by 40%.</li>\n</ul>\n<p>PWA support in WordPress will enable the plugin and theme ecosystems to work together in providing site owners with more engaging ways to connect with their visitors. Once the market starts building on core support, site owners should soon be able to offer better experiences for mobile users without having to become experts in the technologies that power progressive web apps.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Jul 2018 00:16:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"Dev Blog: Quarterly Updates | Q2 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6140\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://wordpress.org/news/2018/07/quarterly-updates-q2-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:15621:\"<p><em>To keep everyone aware of big projects and efforts across WordPress contributor teams, I&#8217;ve reached out to each team&#8217;s <a href=\"https://make.wordpress.org/updates/team-reps/\">listed representatives</a>. I asked each of them to share their Top Priority (and when they hope for it to be completed), as well as their biggest Wins and Worries. Have questions? I&#8217;ve included a link to each team&#8217;s site in the headings.﻿</em></p>\n\n<h2><a href=\"https://make.wordpress.org/accessibility/\">Accessibility</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/rianrietveld/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rianrietveld</a>, <a href=\"https://profiles.wordpress.org/joedolson/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>joedolson</a>, <a href=\"https://profiles.wordpress.org/afercia/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>afercia</a></li>\n	<li><strong>Priority</strong>: Working to make sure that Gutenberg is reasonably accessible prior to merge. ETA is before 5.0</li>\n	<li><strong>Struggle</strong>: Lack of developers and accessibility experts to help test and code the milestone issues. <em>The team is doing outreach to help solve this problem.</em></li>\n	<li><strong>Big Win</strong>: Interest from companies like The Paciello Group and Tenon.io to help out with Gutenberg code review and testing tools.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/cli/\">CLI</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: @danielbachhuber, <a href=\"https://profiles.wordpress.org/schlessera/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>schlessera</a></li>\n	<li><strong>Priority</strong>: Very first global <a href=\"https://make.wordpress.org/cli/2018/07/04/wp-cli-hack-day/\">Hack Day</a> is coming up July 20. Version 2.0.0 is still in progress (new <a href=\"https://github.com/wp-cli/wp-cli/issues/4752\">ETA</a> is end of July).</li>\n	<li><strong>Struggle</strong>: The team continues to need new contributors. The current team is tiny but tough.</li>\n	<li><strong>Big Win</strong>: WP-CLI is currently one of the project&#8217;s four main focuses, as mentioned in the Summer Update at WordCamp Europe.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/community/\">Community</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/francina/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>francina</a>, <a href=\"https://profiles.wordpress.org/hlashbrooke/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hlashbrooke</a></li>\n	<li><strong>Priority</strong>: Focusing on smoothing out the processes in our community management by building up our team of volunteers and establishing what tools we need to keep things running well. ETA is ongoing.</li>\n	<li><strong>Struggle</strong>: Our two biggest struggles at the moment are tracking what we need to get done, and making final decisions on things. <em>There is current work on the tools available to assist with tracking progress.﻿</em></li>\n	<li><strong>Big Win</strong>: After making a concerted effort to get more contributors on the Community Team, we now have a much larger group of volunteers working as deputies and WordCamp mentors</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/core/\">Core</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/jeffpaul/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>jeffpaul</a></li>\n	<li><strong>Priority</strong>: Following the <a href=\"https://wordpress.tv/2018/07/04/matt-mullenweg-a-summertime-update-keynote-and-qa/\">WordCamp Europe summer update</a> ﻿(and the companion post <a href=\"https://wordpress.org/news/2018/07/update-on-gutenberg/\">here</a>), the team is getting Gutenberg (the new WordPress editing experience) into a strong state for the 5.0 release. Potential ETA as soon as August.</li>\n	<li><strong>Struggle</strong>: Coordinating momentum and direction as we start seeing more contributors offering their time. Still working our way through open issues. <em>﻿The team is starting multiple bug scrubs each week to work through these more quickly and transparently.</em></li>\n	<li><strong>Big Win</strong>: Had a <a href=\"https://wordpress.org/news/2018/05/wordpress-4-9-6-privacy-and-maintenance-release/\">sizable release in 4.9.6</a> which featured major updates around privacy tools and functionality in Core.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/design/\">Design</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/melchoyce/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>melchoyce</a>, <a href=\"https://profiles.wordpress.org/karmatosed/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>karmatosed</a>, <a href=\"https://profiles.wordpress.org/boemedia/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>boemedia</a>, <a href=\"https://profiles.wordpress.org/joshuawold/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>joshuawold</a>, <a href=\"https://profiles.wordpress.org/mizejewski/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mizejewski</a></li>\n	<li><strong>Priority</strong>: Better on-boarding of new contributors, especially creating better documentation. ETA is end of July.</li>\n	<li><strong>Struggle</strong>: It&#8217;s hard to identify reasonably small tasks for first-time contributors.</li>\n	<li><strong>Big Win</strong>: The team is much more organized now which has helped clear out the design backlog, bring in new contributors, and also keep current contributors coming back. <em>Bonus: Joshua Wold will co-lead the upcoming release.</em></li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/docs/\">Documentation</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/kenshino/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>kenshino</a><br /></li>\n	<li><strong>Priority</strong>: Opening up the work on <a href=\"https://make.wordpress.org/docs/2018/02/26/state-of-helphub-february-2018/\">HelpHub</a> to new contributors and easing the onboarding process. No ETA.<br /></li>\n	<li><strong>Struggle</strong>: Some blockers with making sure the code and database can be ready to launch on https://wordpress.org/support/<br /></li>\n	<li><strong>Big Win</strong>: The <a href=\"https://wp-helphub.com/\">first phase of HelpHub</a> creation is complete, which means content updates (current info, more readable, easier discovery), internal search, design improvements, and REST API endpoints.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/hosting/\">Hosting</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/mikeschroder/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mikeschroder</a>, <a href=\"https://profiles.wordpress.org/jadonn/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>jadonn</a></li>\n	<li><strong>Priority</strong>: Preparing hosts for supporting Gutenberg, especially support questions they&#8217;re likely to see when the &#8220;Try Gutenberg&#8221; callout is released. ETA July 31st, then before WordPress 5.0<br /><strong></strong></li>\n	<li><strong>Struggle</strong>: Most contributions are still made a by a small team of volunteers. Seeing a few more people join, but progress is slow.<br /><strong></strong></li>\n	<li><strong>﻿Big Win</strong>: New team members and hosting companies have joined the #hosting-community team and have started contributing.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/marketing/\">Marketing</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/bridgetwillard/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>bridgetwillard</a></li>\n	<li><strong>Priority</strong>: Continuing to write and publish case studies from the community. ETA is ongoing.</li>\n	<li><strong>Struggle</strong>: No current team struggles.</li>\n	<li><strong>Big Win</strong>: Wrote and designed a short <a href=\"https://make.wordpress.org/marketing/2018/04/24/contributor-day-onboarding-pdf/\">Contributor Day onboarding card</a>. It was used at Contributor Day at WCEU and onboarding time went down to 1 hour instead of 3 hours.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/meta/\">Meta</a> (WordPress.org Site)</h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/tellyworth/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>tellyworth</a>, <a href=\"https://profiles.wordpress.org/coffee2code/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>coffee2code</a></li>\n	<li><strong>Priority</strong>: Reducing manual work around the contributor space (theme review, GDPR/privacy, plugin review). ETA for small wins is end of quarter, larger efforts after that.</li>\n	<li><strong>Struggle</strong>: Maintaining momentum on tickets. <em>There are also some discussions about updating the ticket management process across teams that use the Meta trac system.</em></li>\n	<li><strong>Big Win</strong>: The new About page launched and has been translated across most locale sites.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/mobile/\">Mobile</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/elibud/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>elibud</a></li>\n	<li><strong>Priority</strong>: Getting Gutenberg in the mobile applications. ETA is late December.</li>\n	<li><strong>Struggle</strong>: Consuming the Gutenberg source in the ReactNative app directly. <em>More info can be found here: https://make.wordpress.org/mobile/2018/07/09/next-steps-for-gutenberg-mobile/</em></li>\n	<li><strong>Big Win</strong>: The WordPress mobile applications now fully support right-to-left languages and are compliant with the latest standards for accessibility.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/plugins/\">Plugins</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/ipstenu/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ipstenu</a></li>\n	<li><strong>Priority</strong>: Clearing ~8,000 unused plugins from the queues. Likely ETA is September.<br /></li>\n	<li><strong>Struggles</strong>: Had to triage a lot of false claims around plugins offering GDPR compliance.</li>\n	<li><strong>Big Win</strong>: Released 4.9.6 and <a href=\"https://make.wordpress.org/plugins/2018/05/17/wp-4-9-6-privacy-hooks-and-you/\">updated expectations</a> with plugin authors. Huge thanks to the Core Privacy team for their hard work on this.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/polyglots/\">Polyglots</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/petya/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>petya</a>, <a href=\"https://profiles.wordpress.org/ocean90/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ocean90</a>, <a href=\"https://profiles.wordpress.org/nao/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>nao</a>, <a href=\"https://profiles.wordpress.org/chantalc/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chantalc</a>, <a href=\"https://profiles.wordpress.org/deconf/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>deconf</a>, <a href=\"https://profiles.wordpress.org/casiepa/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>casiepa</a></li>\n	<li><strong>Priority</strong>: Keep WordPress releases translated to 100% and then concentrate on the top 100 plugins and themes. ETA is ongoing.<br /><strong></strong></li>\n	<li><strong>﻿Struggle</strong>: Getting new PTEs fast enough, and complex tools/systems. Overall, the volume of strings awaiting approval.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/support/\">Support</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/clorith/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>clorith</a></li>\n	<li><strong>Priority:</strong> Getting ready for the Gutenberg callout (it got pushed last quarter). Needing a better presence on the official support forums, and outreach for that is underway, ETA end of July. <br /></li>\n	<li><strong>Struggle</strong>: Keeping contributors participating post-contributor days/drives. <em>﻿Considering the creation of a dedicated post-contributor day survey to get some insight here.</em></li>\n	<li><strong>Big Win</strong>: The increase in international liaisons joining for weekly meetings, helping bring the wider support community together.</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/themes/\">Theme Review</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/acosmin/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>acosmin</a>, <a href=\"https://profiles.wordpress.org/rabmalin/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rabmalin</a>, <a href=\"https://profiles.wordpress.org/thinkupthemes/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>thinkupthemes</a>, <a href=\"https://profiles.wordpress.org/williampatton/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>williampatton</a></li>\n	<li><strong>Priority</strong>: Building a better Theme Check/Sniffer in order to automate most of the checks done right now by reviewers. ETA late 2018, early 2019.</li>\n	<li><strong>Struggle</strong>: Bringing in new contributors to the team.</li>\n	<li><strong>Big Win</strong>: <a href=\"https://make.wordpress.org/themes/2018/04/30/trusted-authors-program/\">Trusted Authors program﻿</a></li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/tide/\">Tide</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/valendesigns/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>valendesigns</a> (but usually <a href=\"https://profiles.wordpress.org/jeffpaul/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>jeffpaul</a>)</li>\n	<li><strong>Priority</strong>: Storing PHPCompatibilty results inside the WordPress.org API and building a UI to display those results, an endpoint to request an audit is required for this work to continue.</li>\n	<li><strong>Struggle</strong>: Development has dramatically slowed down while team members are on leave or pulled into internal client work.</li>\n	<li><strong>Big Win</strong>: Migration to Google Cloud Platform (GCP) from Amazon Web Services (AWS) is complete and the audit servers have all been rewritten in Go. (This allows us to be faster with greater capacity and less cost.)</li>\n</ul>\n\n<h2><a href=\"https://make.wordpress.org/training/\">Training</a></h2>\n\n<ul>\n	<li><strong>Contacted</strong>: <a href=\"https://profiles.wordpress.org/bethsoderberg/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>bethsoderberg</a>, <a href=\"https://profiles.wordpress.org/juliek/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>juliek</a></li>\n	<li><strong>Priority:</strong> Lesson plan production. ETA is ongoing.</li>\n	<li><strong>Struggle:</strong> The workflow is a little complex, so recruiting and training enough contributors to keep the process moving is a struggle.</li>\n	<li><strong>Big Win</strong>: WordCamp Europe&#8217;s Contributor Day was very productive. New tools/workflow are in place and two team representatives were there to lead and help.</li>\n</ul>\n\n<p><em>Interested in updates from the first quarter of this year? You can find those here: <a href=\"https://make.wordpress.org/updates/2018/04/24/quarterly-updates-q1-2018/\"><em>https://make.wordpress.org/updates/2018/04/24/quarterly-updates-q1-2018/</em></a>\n	</em>\n</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 Jul 2018 14:50:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Josepha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: WordCamp Europe 2018 Draws 2,085 Attendees, Organizers Look Ahead to 2019 in Berlin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82313\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"https://wptavern.com/wordcamp-europe-2018-draws-2085-attendees-organizers-look-ahead-to-2019-in-berlin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6531:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/WCEU-2018.jpg?ssl=1\"><img /></a>photo credit: WCEU Photography Team\n<p>WordCamp Europe closed out a successful event in Belgrade with 2,085 attendees from 76 countries. More than 800 others joined via livestream for a total audience of nearly 3,000 participants. A <a href=\"https://wptavern.com/wordcamp-europe-2018-contributor-day-posts-record-turnout-amid-wi-fi-outage\" rel=\"noopener noreferrer\" target=\"_blank\">record-setting Contributor Day</a> kicked off the event, followed by two days of conference sessions and workshops from 65 speakers.</p>\n<p>A team of 54 organizers and 170 volunteers made WCEU possible, with 10 different organizing teams. Last year WordCamp Europe added a PR team and this year the event introduced an Attendee Services team to fill gaps in the organization. The operation ran smoothly, despite the conference being spread out across many rooms in the sprawling <a href=\"http://www.savacentar.net/\" rel=\"noopener noreferrer\" target=\"_blank\">Sava Centar</a> venue.</p>\n<p><a href=\"https://app.wp-europe.org/\" rel=\"noopener noreferrer\" target=\"_blank\">WordCamp Europe&#8217;s PWA</a> (progressive web app) was the highlight of the new features and services introduced this year. It was a central hub for keeping attendees informed on what was happening at any given moment. Organizers also added new amenities, including a site health check station, Community Room, and info booth to handle attendee questions.</p>\n<p>Gutenberg and Progressive web apps were the hot topics of this year&#8217;s WordCamp Europe. In addition to Matt Mullenweg <a href=\"https://wptavern.com/matt-mullenweg-unveils-gutenberg-roadmap-at-wceu-wordpress-agencies-and-product-developers-sprint-to-prepare\" rel=\"noopener noreferrer\" target=\"_blank\">unveiling a roadmap for Gutenberg&#8217;s inclusion in core</a>, a strong contingent of designers and engineers from the team were present to educate attendees on Gutenberg&#8217;s architecture and the vision behind the project.</p>\n<p>Many attendees were visiting Serbia for the first time and Belgrade delivered with its renowned hospitality and captivating nightlife. Attendees found no shortage of delicious options for food and drink.</p>\n<h3>Berlin to Host WordCamp Europe 2019</h3>\n<p>At the conclusion of the event, organizers announced Berlin as the next host city for <a href=\"https://2019.europe.wordcamp.org/\" rel=\"noopener noreferrer\" target=\"_blank\">WordCamp Europe, June 20-22, 2019</a>. The conference, Contributor Day, and the after party will all be held at the <a href=\"https://www.estrel.com/en/home.html\" rel=\"noopener noreferrer\" target=\"_blank\">Estrel Hotel and Congress Center</a>, a venue with a capacity for 12,000 attendees.</p>\n<p>Organizers said that Berlin&#8217;s accessibility, reasonable prices, and strong community were the final deciding factors for its selection as the next host city.</p>\n<p></p>\n<h3>Behind the Scenes at WordCamp Europe 2018 with Lead Organizers Jenny Beaumont and Milan Ivanović</h3>\n<p>Hosting a volunteer-led event at this scale requires an enormous amount of effort from the organizers, especially those taking the lead for multiple years in a row. There is nearly no down time as the team is already planning for the next edition of the camp.</p>\n<p>I sat down with lead organizers Jenny Beaumont, the global lead, and Milan Ivanović, the local lead, to get a look behind the scenes at what is involved in bringing WordCamp Europe to thousands of WordPress enthusiasts in one weekend. We <a href=\"https://wptavern.com/wordcamp-europe-2018-to-be-held-in-belgrade-serbia-june-14-16\" rel=\"noopener noreferrer\" target=\"_blank\">interviewed</a> them at the conclusion of WCEU 2017 in Paris. Over the past two years these leaders have developed a strong working relationship built on encouraging each other and keeping a positive outlook for their teams.</p>\n<p>Beaumont said she was hesitant going into a third year for this role, as Paris was the project that captured her heart and motivation. After going through this event as the global lead, she said she discovered what she could bring to the role and how she could serve the team.</p>\n<p>&#8220;The event has been their project,&#8221; Beaumont said. &#8220;My project this year has been the team, how I can really concentrate on this team, on its growth, on its health, on its sustainability. That&#8217;s what I learned in Paris &#8211; the importance of making sure that was part of the project.&#8221;</p>\n<p>Beaumont and Ivanović explained the difference between the global and local lead roles, a structure that works well for flagship WordCamps.</p>\n<p>&#8220;The local team is really about making it a good experience in this new place that everybody is going to be discovering for the first time,&#8221; Beaumont said. &#8220;It&#8217;s the hard work, it&#8217;s the logistics, it&#8217;s all of the small details, everything that&#8217;s behind the scenes that make it so you walk in as an attendee and it just feels like you&#8217;re at home. They do all of that hard work. The global role, as it has evolved, is really about being that sort of team care-giver, making sure that there is good communication happening, making sure the team is healthy and happy and motivated. Because you&#8217;ve got to get up and do this every day while you&#8217;re also doing your day job, and that takes a lot.&#8221;</p>\n<p>WordCamp Europe had a strong impact on the local community with more than 400 Serbian attendees and 20 Serbian organizers. They worked to build awareness of WordPress in the local community ahead of the event.</p>\n<p>&#8220;We used this event to grow our community and used our community to promote the event,&#8221; Ivanović said. &#8220;When we announced last year in Paris that Belgrade is going to be next, at that time we had five or six cities for WordPress meetups. Currently, we are in 14 cities and starting the 15th in July. WordCamp Europe and the conference itself was such a win for the whole community.&#8221;</p>\n<p>Ivanović will return next year as the global lead for WCEU in Berlin. Beaumont is taking some time off after three years organizing WordCamp Paris and WordCamp Europe, but she hopes to return in some capacity in the future. They are working together with their team to publish a WordCamp Europe handbook that covers some of the important specifics of the event for upcoming teams. Check out the full interview in the video below.</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Jul 2018 00:24:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WPTavern: Array Launches Free Gutenberg-Ready Atomic Blocks Theme on WordPress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82258\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://wptavern.com/array-launches-free-gutenberg-ready-atomic-blocks-theme-on-wordpress-org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6391:\"<p>Mike McAlister and the team at <a href=\"https://arraythemes.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Array Themes</a> have fully embraced Gutenberg and are one of the first shops on the scene with a free WordPress theme designed specifically to work with the new editor. The <a href=\"https://wordpress.org/themes/atomic-blocks/\" rel=\"noopener noreferrer\" target=\"_blank\">Atomic Blocks</a> theme is now available on WordPress.org with minimal styling and seamless support for all core content and media blocks.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/atomic-blocks-screenshot.png?ssl=1\"><img /></a></p>\n<p>The theme allows users to control the width of the content area to create full-screen posts and pages. It supports full-screen images, videos, and galleries, showcasing the new editor&#8217;s wide alignment styles for content. Atomic Blocks includes Customizer options for uploading a logo, customizing the font style, setting body and title font sizes, and selecting an accent color.</p>\n<p>Check out the theme&#8217;s demo to see the blocks in action: <a href=\"https://preview.arraythemes.com/atomicblocks\" rel=\"noopener noreferrer\" target=\"_blank\">https://preview.arraythemes.com/atomicblocks</a>.</p>\n<p>The theme also seamlessly supports McAlister&#8217;s new Atomic Blocks project, a collection of page-building blocks included in the accompanying <a href=\"https://atomicblocks.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Atomic Blocks plugin</a>. It currently includes blocks for creating a post grid, call-to-action, testimonials, inline notices, sharing icons, author profiles, accordions, customizable buttons, drop caps, and spacer/dividers, with many more blocks planned.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2018/07/testimonials-block.jpg?ssl=1\"><img /></a></p>\n<p>&#8220;I knew Gutenberg was going to be a game changer from the second I saw it and started hashing out product ideas in October 2017,&#8221; McAlister said. &#8220;To me, it felt like a very natural evolution and transition for WordPress into a more forward-thinking content creator. All of the tools outside of WordPress are evolving and becoming better and easier to use and WordPress is starting to feel quite dated in comparison.&#8221;</p>\n<p>McAlister said his team is building Atomic Blocks into a full-fledged content block solution that will include a commercial version in the future.</p>\n<p>&#8220;We have a long list of blocks that we’ll be releasing into the plugin in the coming months — everything from eCommerce to email marketing to full-page layouts,&#8221; he said. &#8220;There will definitely be a commercial version of the plugin for those extra awesome blocks that will take your site to the next level.&#8221;</p>\n<p>McAlister is keeping Atomic Blocks separate from Array Themes but plans to cross promote between the two. He also plans to update the Array themes collection to support the blocks found in the plugin.</p>\n<p>&#8220;Atomic Blocks aims to solve a different problem in a different way than the traditional WordPress themes you’ll find on Array,&#8221; McAlister said. &#8220;By launching it separately from Array Themes, it gave me the opportunity to diversify my projects a bit and create a dedicated marketing stream for a Gutenberg solution.&#8221;</p>\n<p>Many products in the Array Themes catalog are already working with the new editor, but McAlister and his team intend to provide more in-depth support for specific Gutenberg features in themes where appropriate.</p>\n<p>&#8220;We’ve stayed fiercely committed to beautiful design, simplicity, and core coding standards and practices to ensure wide-spread support and compatibility with our themes,&#8221; McAlister said. &#8220;While this has served us well, we are all ready for a core-supported solution to providing a better experience for our customers. Gutenberg will solve this problem by providing a cohesive, unified way of extending content creation with a core user interface. Gutenberg is quite extensible as is, and will only grow more capable with time.&#8221;</p>\n<p>McAlister said one of the most challenging aspects of launching Atomic Blocks has been keeping pace with Gutenberg&#8217;s rapid development, requiring the team to follow multiple conversations across various WordPress core development discussion channels.</p>\n<p>&#8220;I followed Gutenberg development closely during the second half of last year and then started developing Atomic Blocks for Gutenberg early this year,&#8221; McAlister said. &#8220;You have to follow the Github repo, Make blog posts, and Slack conversations closely to keep up with the changes, deprecations, and feature additions. Luckily, now that features are being frozen, the code is churning less and things are starting to stabilize.&#8221;</p>\n<p>In order to keep up with all the news and changes, McAlister started the <a href=\"http://gutenberg.news/\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg News</a> site to collect helpful resources, tutorials, and code snippets he found. The site contains more than 200 links to resources for both beginners and developers.</p>\n<p>McAlister predicts that Gutenberg will bring a greater separation between the roles of themes and plugins in the site-building experience.</p>\n<p>&#8220;The demand for themes will certainly begin to change more drastically in the long term,&#8221; he said. &#8220;Traditional WordPress themes will still be desirable for a number of years, simply due to the number of sites out there and the solutions needed to build them. Eventually, much of what can be provided by a theme will be provided by blocks via a plugin instead. Themes will still be responsible for providing a degree of styling and functionality that will remain critical to the site-building experience, but they will take a secondary role to content blocks.&#8221;</p>\n<p>Gutenberg will inevitably change the landscape of the theme industry, but McAlister sees it as a chance to reach customers in a new way.</p>\n<p>&#8220;Theme designers and developers should be excited about this opportunity and not feel threatened by Gutenberg,&#8221; McAlister said. &#8220;This is a fantastic opportunity to learn a new set of skills, attract a new segment of customers, and start pivoting to a block-based product model.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jul 2018 22:33:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WPTavern: WPWeekly Episode 323 – Recap of WordCamp Grand Rapids and A Gutenberg Road Map\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=82285&preview=true&preview_id=82285\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wptavern.com/wpweekly-episode-323-recap-of-wordcamp-grand-rapids-and-a-gutenberg-road-map\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2142:\"<p>In this episode, <a href=\"http://jjj.me\">John James Jacoby</a> recaps his trip to WordCamp Grand Rapids and shares his experience. WordCamp Grand Rapids had a strong focus on tools, plugins, and themes and by all accounts, was a successful event.</p>\n<p>We discussed Matt Mullenweg&#8217;s Summertime update, the roadmap for merging Gutenberg into core, and what comes after Gutenberg. We shared our thoughts on Automattic&#8217;s new board member, General Ann Dunwoody and speculated on Automattic&#8217;s vision.</p>\n<p>We wrap up the show by talking about generational divides in WordPress.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wordpress.org/news/2018/07/wordpress-4-9-7-security-and-maintenance-release/\">WordPress 4.9.7 Security and Maintenance Release</a><br />\n<a href=\"https://wordpress.org/news/2018/07/update-on-gutenberg/\">Update on Gutenberg</a><br />\n<a href=\"https://make.wordpress.org/core/2018/07/06/whats-new-in-gutenberg-6th-july/\">What’s New in Gutenberg? (6th July)</a><br />\n<a href=\"https://ma.tt/2018/06/automattics-first-new-board-member-general-ann-dunwoody/\">Automattic’s First New Board Member: General Ann Dunwoody</a><br />\n<a href=\"https://wptavern.com/block-unit-test-plugin-helps-wordpress-theme-developers-prepare-for-gutenberg\">Block Unit Test Plugin Helps WordPress Theme Developers Prepare for Gutenberg</a><br />\n<a href=\"https://twitter.com/NaomiCBush/status/1014991902691790848\">Generational divides in WordPress</a></p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, July 18th 3:00 P.M. Eastern</p>\n<p>Subscribe to <a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\">WordPress Weekly via Itunes</a></p>\n<p>Subscribe to <a href=\"https://www.wptavern.com/feed/podcast\">WordPress Weekly via RSS</a></p>\n<p>Subscribe to <a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\">WordPress Weekly via Stitcher Radio</a></p>\n<p>Subscribe to <a href=\"https://play.google.com/music/listen?u=0#/ps/Ir3keivkvwwh24xy7qiymurwpbe\">WordPress Weekly via Google Play</a></p>\n<p><strong>Listen To Episode #323:</strong><br />\n</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jul 2018 00:42:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"WPTavern: Video: A Quick Introduction to Gutenberg and the New WordPress Block Editor from LinkedIn Learning\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82276\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"https://wptavern.com/video-a-quick-introduction-to-gutenberg-and-the-new-wordpress-block-editor-from-linkedin-learning\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1005:\"<p>Although WordPress developers and professionals have been inundated with Gutenberg news for more than a year, there&#8217;s a whole wide world of users who will learn about the project for the first time when 4.9.8 includes a &#8220;Try Gutenberg&#8221; prompt in the admin. If you haven&#8217;t been following the news closely and are wondering what all of this <a href=\"https://wordpress.org/plugins/gutenberg/\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg</a> talk is about, Morten Rand-Hendriksen provides a succinct introduction to the new editor that is coming in WordPress 5.0.</p>\n<p>The video was created as part of LinkedIn&#8217;s <a href=\"https://www.linkedin.com/learning/wordpress-essential-training/\" rel=\"noopener noreferrer\" target=\"_blank\">WordPress Essentials Training</a> course. The first part explains the basic concept of a block and includes a mini tour of the new interface, followed by a short overview of where the Gutenberg project is going in the future.</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jul 2018 23:04:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WPTavern: WordCamp Ticket Sales Move from PayPal to Stripe for Default Payment Gateway\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82267\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wptavern.com/wordcamp-ticket-sales-move-from-paypal-to-stripe-for-default-payment-gateway\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1857:\"<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2018/07/stripe.jpg?ssl=1\"><img /></a></p>\n<p>The WordPress Community Team <a href=\"https://make.wordpress.org/community/2018/07/10/stripe-is-now-available-to-all-wordcamps/\" rel=\"noopener noreferrer\" target=\"_blank\">announced</a> an update to the CampTix, the plugin used for selling WordCamp tickets, that makes Stripe the default payment method. The gateway was previously available as a beta plugin and could be enabled on a per-site basis but is now available to all WordCamps.</p>\n<p>When <a href=\"https://make.wordpress.org/community/2018/04/03/moving-wordcamp-ticket-sales-from-paypal-to-stripe/\" rel=\"noopener noreferrer\" target=\"_blank\">proposing Stripe as the default payment gateway</a> in April, Hugh Lashbrooke cited the fact that PayPal is entirely blocked and inaccessible in some countries. He also identified Stripe&#8217;s simpler UI and larger number of supported currencies as its chief advantages.</p>\n<p>PayPal has been the default for years on WordCamp websites but it currently supports only 26 currencies. Stripe supports 136 currencies, allowing WordCamp organizers to offer ticket purchases in more places than before. Previously, some communities were forced to build a local gateway integration to sell WordCamp tickets via PayPal, requiring those sales to be inconveniently funneled through a local bank account. The Stripe gateway option is a welcome update to support WordPress&#8217; growing international community, which held camps in 73 countries in 2017.</p>\n<p>It&#8217;s important to note that Stripe isn&#8217;t fully replacing PayPal. The Camptix plugin allows organizers to activate multiple payment gateways for cases where one or both make more sense, retaining the flexibility to support ticket sales at camps with different payment requirements.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jul 2018 18:02:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"HeroPress: Translating For Love\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=2587\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"https://heropress.com/translating-for-love/#utm_source=rss&utm_medium=rss&utm_campaign=translating-for-love\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3006:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2016/09/092816-vladimir_petkov-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: I started translating WordPress so that my seven-year-old daughter can share her personal stories.\" /><p>We all have our reasons for the things we do. Money, love, orders, etc. Vladimir Petkov started using WordPress because it solved a problem. As the years went by it continued to solve problems, and he continued to use it. His time to give back didn&#8217;t arrive until much later though.</p>\n<p>His 7 year old daughter wanted a blog, and WordPress wasn&#8217;t completely translated into her language. So Vladimir learned how to translate WordPress, so his little girl (and every other Bulgarian speaker) can use their voice to speak to the world.</p>\n<p>Why do you give back to WordPress? If you&#8217;d like more info about how you can (no coding required!) drop a note in the comments.</p>\n<p>Also, check out Vladimir&#8217;s essay.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://heropress.com/essays/rebirth/\">Rebirth</a></p></blockquote>\n<p></p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Translating For Love\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Translating%20For%20Love&via=heropress&url=https%3A%2F%2Fheropress.com%2Ftranslating-for-love%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Translating For Love\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Ftranslating-for-love%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Ftranslating-for-love%2F&title=Translating+For+Love\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Translating For Love\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/translating-for-love/&media=https://heropress.com/wp-content/uploads/2016/09/092816-vladimir_petkov-150x150.jpg&description=Translating For Love\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Translating For Love\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/translating-for-love/\" title=\"Translating For Love\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/translating-for-love/\">Translating For Love</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jul 2018 12:13:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WPTavern: Video: Matt Mullenweg’s Summertime Update At WCEU 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82254\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/video-matt-mullenwegs-summertime-update-at-wceu-2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:861:\"<p>Sessions from <a href=\"https://wptavern.com/matt-mullenweg-unveils-gutenberg-roadmap-at-wceu-wordpress-agencies-and-product-developers-sprint-to-prepare\">WordCamp Europe 2018</a> are making their way <a href=\"https://wordpress.tv/event/wordcamp-europe-2018/\">onto WordPress.tv</a>, including <a href=\"https://wordpress.tv/2018/07/04/matt-mullenweg-a-summertime-update-keynote-and-qa/\">Matt Mullenweg&#8217;s Summertime Update</a>. </p>\n\n<p>In the video, Mullenweg shares the progress that&#8217;s been made on Gutenberg, WordPress core development, a Gutenberg road map for including it into core, and what to expect after WordPress 5.0 is released. <br /></p>\n\n<p>Be sure to watch the video to the end to catch the memorable, <a href=\"https://twitter.com/dimensionmedia/status/1007605535993221120\">GDPR cookie joke</a>.</p>\n\n\n	<div class=\"embed-wrap\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Jul 2018 23:56:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WPTavern: WPCampus Will Be Streamed Live For Free July 13-14\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82252\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wptavern.com/wpcampus-will-be-streamed-live-for-free-july-13-14\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:779:\"<p><a href=\"https://wpcampus.org/\">WPCampus</a>, a conference focused on WordPress in higher-education takes place this week between July 12-14 at Washington University in St. Louis, Missouri. </p>\n\n<p>If you&#8217;re unable to attend in-person or would like to watch the event from home, visit the <a href=\"https://2018.wpcampus.org/watch/\">WPCampus Stream page</a>. Beginning July 13th at 9AM CDT, all general sessions will be streamed live for free. Sessions will be recorded and be available after the event as well. </p>\n\n<p>To see a list of sessions taking place, check out the <a href=\"https://2018.wpcampus.org/schedule/\">event&#8217;s schedule</a> and for more information about WPCampus, visit the <a href=\"https://wpcampus.org/about/\">site&#8217;s about page</a>. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Jul 2018 23:36:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"WPTavern: New Classic Editor Addon Plugin Disables the “Try Gutenberg” Prompt Coming in WordPress 4.9.8\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82232\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:112:\"https://wptavern.com/new-classic-editor-addon-plugin-disables-the-try-gutenberg-prompt-coming-in-wordpress-4-9-8\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3251:\"<a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/07/stop.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://stocksnap.io/photo/V4WAM6G46H\">Hermes Rivera</a>\n<p>Gutenberg development continues along the roadmap Matt Mullenweg announced at WordCamp Europe with WordPress 4.9.8 set to introduce a <a href=\"https://core.trac.wordpress.org/ticket/41316\" rel=\"noopener noreferrer\" target=\"_blank\">“Try Gutenberg” prompt</a> to increase usage and testing. Core design contributors are currently working on a few new iterations of the callout. They are also considering including a section inside the prompt with an option to install the <a href=\"https://wordpress.org/plugins/classic-editor/\" rel=\"noopener noreferrer\" target=\"_blank\">Classic Editor</a> plugin in preparation for Gutenberg.</p>\n<p>Developers and agencies have time to install the Classic Editor on client sites that are not ready for Gutenberg, but this will not prevent users from seeing the &#8220;Try Gutenberg&#8221; prompt. <a href=\"https://gschoppe.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Greg Schoppe</a>, one of Gutenberg&#8217;s most outspoken critics, partnered with <a href=\"https://so-wp.com/plugin/classic-editor-addon\" rel=\"noopener noreferrer\" target=\"_blank\">Pieter Bos</a> to develop a plugin called <a href=\"https://wordpress.org/plugins/classic-editor-addon/\" rel=\"noopener noreferrer\" target=\"_blank\">Classic Editor Addon</a> that changes how the Classic Editor plugin works.</p>\n<p>&#8220;For agencies supporting many sites, whose users have no way of knowing whether Gutenberg will break their site or not, this nag screen is a danger,&#8221; Schoppe commented on our most recent Gutenberg update. &#8220;Pre-emptively installing Classic Editor unfortunately won’t suppress the nag notice either, but since Classic Editor is being used as a bellwether of the success of Gutenberg, it’s important that you install it, if you expect issues.&#8221;</p>\n<p>Schoppe co-wrote the Classic Editor Addon to solve this problem. It suppresses the &#8220;Try Gutenberg&#8221; prompt and when the new editing experience ships in 5.0, it will automatically suppress Gutenberg as well.</p>\n<p>Since the Classic Editor plugin doesn&#8217;t remove Gutenberg by default, the addon plugin sets the option to fully replace Gutenberg. It also removes the Classic Editor&#8217;s options from the Settings > Writing screen. Schoppe said he believes this is what the Classic Editor plugin should have done out of the box, instead of requiring the user to find the settings screen to replace Gutenberg.</p>\n<p>Installing both the Classic Editor and Classic Editor Addon on tens or hundreds of client sites could be time consuming, so Schoppe suggests using a site management dashboard, such as MainWP, ManageWP, or Jetpack, to bulk install both plugins for clients.</p>\n<p>According to stats on WordPress.org, Gutenberg is active on more than 10,000 sites and the Classic Editor is active on 4,000+ sites. The &#8220;Try Gutenberg&#8221; prompt is expected to go out in WordPress 4.9.8, which is targeted for the end of July. The goal for the prompt is to make users aware of the plugin and get more testers involved before Gutenberg lands in WordPress 5.0.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Jul 2018 22:35:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Post Status: Working on your own website — Draft Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=46462\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://poststatus.com/working-on-your-own-website-draft-podcast/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1619:\"<p>Welcome to the Post Status <a href=\"https://poststatus.com/category/draft\">Draft podcast</a>, which you can find <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\">on iTunes</a>, <a href=\"https://play.google.com/music/m/Ih5egfxskgcec4qadr3f4zfpzzm?t=Post_Status__Draft_WordPress_Podcast\">Google Play</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\">Stitcher</a>, and <a href=\"http://simplecast.fm/podcasts/1061/rss\">via RSS</a> for your favorite podcatcher. Post Status Draft is hosted by Brian Krogsgard and co-host Brian Richards.</p>\n<p>In this episode, the Brians discuss the challenges of working on your own business website, when your company offers services or makes products for websites. Agencies often disregard their own websites, as do product companies. We discuss our own histories of attempting in-house redesign projects, strategies to get them done, and how we approach things today owning our own tiny businesses.</p>\n<p></p>\n<h3>Episode Links</h3>\n<ul>\n<li><a href=\"https://www.codeinwp.com/blog/redesign-your-business-website-transparency-report-40/\"><span>CodeInWP Transparency Report: Redesigning Your Business Website</span></a></li>\n</ul>\n<h3>Sponsor: Pagely</h3>\n<p><a href=\"https://pagely.com\"><span>Pagely</span></a><span> offers best in class managed WordPress hosting, powered by the Amazon Cloud, the Internet’s most reliable infrastructure. Post Status is proudly hosted by Pagely. Thank you to </span><a href=\"https://pagely.com\"><span>Pagely</span></a><span> for being a Post Status partner</span></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Jul 2018 18:34:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Katie Richards\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: How WordPress is Powering a New Community on the Remote Island of Ogijima\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82204\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wptavern.com/how-wordpress-is-powering-a-new-community-on-the-remote-island-of-ogijima\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10699:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/junkonukaga.jpg?ssl=1\"><img /></a><a href=\"https://profiles.wordpress.org/nukaga\" rel=\"noopener noreferrer\" target=\"_blank\">Junko Nukaga</a> began her journey into the world of WordPress in 2011, just after her hometown in Fukushima prefecture was hit by the 9.0 magnitude Tōhoku earthquake and tsunami. The catastrophic event, referred to in Japan as the Great East Japan Earthquake, devastated the region&#8217;s infrastructure and took more than 15,000 lives. It also caused a level 7 meltdown at three reactors in the Fukushima Daiichi Nuclear Power Plant complex.</p>\n<p>Until this point Nukaga had only used WordPress as a blogging tool, but her hometown prefecture needed a fast way to get a website up for publishing accurate measurements of the radiation levels. Although she was living in Osaka at the time, Nukaga joined the volunteer team and built the site using WordPress. In addition to local radiation levels, it also had FAQ&#8217;s about radiation from scientists to combat the misinformation that was rampant at the time. People found the site through social networks and word of mouth.</p>\n<p>After making a difference for her hometown with WordPress, Nukaga wanted to find out more about the community behind the software. She joined an offline <a href=\"https://www.meetup.com/ja-JP/WordBench/?_cookie-check=ng_FrFUqDlEMFkbN\">WordBench</a> meetup and got connected to the WordPress community. The next year she co-organized WordCamp Osaka 2012, and in 2014 she became the lead organizer of WordCamp Kansai, an area that includes seven prefectures: Mie, Shiga, Kyoto, Osaka, Hyogo, Nara, Wakayama.</p>\n<p>As Nukaga became more deeply involved in the WordPress community as a speaker, organizer, and contributor, she developed a new understanding of the power of open source collaboration. After moving to the remote island of Ogijima in 2014, she was inspired to create a library and cultural center, using WordPress to organize a team of more than 200 volunteers.</p>\n<p>“When my family and I moved to this island, the school here was closed, because there were no kids on Ogijima,” Nukaga said. “We have a daughter, so we urged the government to reopen the school.</p>\n<p>&#8220;Although the school restarted, I thought that it would be meaningless for the school to stop or close again when our daughter graduated. The island is an aging society and no new children will be born here. I figured that if there was a library, I could call migrants to the island. A library which is free and an open space would help solve many things, such as children’s learning environment, communication support for the islanders, and migration consultation, for example.”</p>\n<p>Nukaga set up a WordPress website before constructing the library so her team of volunteers could disclose the progress of the building and recruit followers. They promoted the website through social networks and were able to crowdfund efforts to construct and maintain the building.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/ogijima-library.jpg?ssl=1\"><img /></a></p>\n<p>The <a href=\"https://ogijima-library.or.jp/\" rel=\"noopener noreferrer\" target=\"_blank\">Ogijima Library</a> opened in February 2014 as a non-profit organization that is rooted in the community, providing a place where people can connect through books and share knowledge with one another. Residents on the island now have access to titles and periodicals that would previously have required a boat trip to acquire. More than 50 migrants have moved to the island within the last four years since the library opened, including families with babies born last year.</p>\n<p>&#8220;Without WordPress, none of this would have been possible,&#8221; Nukaga said.  “WordPress opened my way. It taught me the philosophy of open source. I have used this philosophy to involve many unspecified people from the beginning of the process of making the library. We built the building ourselves with the help of 200 volunteers, and we continue to get support through book donations. Also, thanks to the flexibility of WordPress, the things I wanted to do, such as updating, providing a search system for books, and linking to social networks, were all possible.”</p>\n<h3>WordCamp Ogijima: “Empowering the Smalls to Go Big”</h3>\n<p>The WordPress community on the island is also thriving, thanks to community organizers who call Ogijima home. Nukaga organizes the meetups, which average 5 to 20 attendees at each event. <a href=\"https://ogi.osampo-radio.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Shinichi Nishikawa</a>, who organized WordCamp Tokyo in 2012 and helped build a new WordPress community in Bangkok, made his home on the island in March 2016. He is joining forces with Nukaga and a team of 35 leaders and volunteers to organize the first <a href=\"https://2018.ogijima.wordcamp.org\" rel=\"noopener noreferrer\" target=\"_blank\">WordCamp Ogijima</a> on July 15, 2018.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/07/wc-ogijima.jpg?ssl=1\"><img /></a></p>\n<p>This will be the first Japanese WordCamp not held in the cities. Organizers have chartered two ferries to transport more than 250 attendees to the island. Camping is the primary lodging option in tents beside the island’s lighthouse and organizers have planned a BBQ after party. Although the event is currently sold out, 10 additional <a href=\"https://2018.ogijima.wordcamp.org/2018/05/20/registration-information-en/\" rel=\"noopener noreferrer\" target=\"_blank\">tickets</a> will go on sale on July 10 due to cancellations and an estimation of no-shows.</p>\n<p>“The uniqueness of the community in this area is that there are many with different backgrounds,” Shinichi Nishikawa said. “WordCamps in the city are mainly attended by engineers, designers and bloggers, but here there are people who are restaurant managers, farmers, a barber, an illustrator, a ranger (nature protection officer), baker, and others who are interested in WordPress.”</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/wcogijima-organizers.jpg?ssl=1\"><img /></a></p>\n<p>The organizing team, which includes many new contributors from all walks of life, along with meetup organizers in the Setouchi inland sea area, has adopted the theme “Empowering the smalls to go big.”</p>\n<p>Ogijima’s local community includes members like Kaisho Damonte, who is using WordPress and WooCommerce to power <a href=\"https://wptavern.com/feed\">a website for the bakery and cafe business he started</a> after renovating a 100-year-old barn on the island. Kentaro Yamaguchi, another island resident, uses WordPress for his <a href=\"https://wptavern.com/feed\">barber shop’s website</a>.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/07/screely-1531150922541.png?ssl=1\"><img /></a></p>\n<p>Nishikawa said he sees WordCamp Ogijima as “a WordCamp in a new place, for new audiences, by new organizers.&#8221; He appreciates the openness of the islanders who are willing to embrace new things.</p>\n<p>“The WordPress community on the island represents this atmosphere,” Nishikawa said. “Everyone has their own views, plans for their lives, and their own ways of thinking. WordPress, with its ‘Democratization of Publishing’ mission is a great match to us, who are trying to make our lives in different ways. We have built a library, cafe, a barbershop, and offices DIY ourselves.  When it comes to websites, WordPress helps us a lot.”</p>\n<h3>The WordPress Community in Ogijima is Defined by a Focus on Cooperative Learning</h3>\n<p>One of the most inspirational aspects of the community in Ogijima, along with the greater Japanese WordPress community, is the strong emphasis on helping each other learn and succeed. New members are often woven into the community through meetups that focus on connecting around specific interests outside of WordPress technical skill. The community warmly welcomes users who are new to WordPress who want to get help with their websites. Nishikawa said this is the particular audience that the Ogijima meetup is trying to reach.</p>\n<p>“We want to connect with individuals who want to achieve something; small business owners, designers, photographers, writers, editors, and anyone who is struggling doing something on the web,” Nishikawa said. “By coming together, you notice that there are many friends who are struggling as well. Experienced developers attend as usual but their role this time is to share their knowledge to the new people. We help each other build and improve our websites. It&#8217;s a very relaxed and helping atmosphere in the meetups. We do have some presentations sometimes but that&#8217;s not the main thing.”</p>\n<p>WordPress Core Committer <a href=\"https://profiles.wordpress.org/mikeschroder/\" rel=\"noopener noreferrer\" target=\"_blank\">Mike Schroder</a> will be speaking at WordCamp Ogijima about how everyone has something unique to bring to the community to help it grow.</p>\n<p>“I initially visited Japan for WordCamp Tokyo a few years ago — largely because it was the biggest WordCamp in the world at the time,” Schroder said. “The community in Japan is extremely active and welcoming, and I quickly made many friends. One unique part of the community is that it has a big focus on education. The <a href=\"http://wordbench.org\" rel=\"noopener noreferrer\" target=\"_blank\">WordBench</a> events are excellent!”</p>\n<p>“As the theme of the event is ‘Empower the smalls to go big,’ I’m looking forward to sharing some bits of my background, and how others have helped me grow, in an effort to show folks that they have a lot to offer,” Schroder said. (He’s also doing a bit of research and is interested to hear stories from others about unique aspects of their lives that have helped them succeed in the WordPress ecosystem. You can ping him @mike on WP Slack if you want to contribute.)</p>\n<p>The community in Ogijima is a beautiful example of how WordPress is powering a new wave of makers and doers on the island. The software has enabled them to establish new businesses, commerce, and cultural centers in a remote area where they are building their lives. WordCamp Ogijima is a classic example of what a WordCamp should be &#8211; an event that highlights the successes of local WordPress users.</p>\n<p>“While I don&#8217;t think our numbers will grow, our lives will always need WordPress and its community,” Nishikawa said regarding the local meetups. “And we welcome ambitious attendees who need help.”</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Jul 2018 16:09:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Dev Blog: Update on Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6118\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/news/2018/07/update-on-gutenberg/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2260:\"<p>Progress on the Gutenberg project, the new content creating experience coming to WordPress, has come a long way. Since the start of the project, there have been 30 releases and 12 of those happened after WordCamp US 2017. In total since then, there have been 1,764 issues opened and 1,115 closed as of WordCamp Europe. As the work on phase one moves into its final stretch, here is what you can expect.<br /></p>\n\n<h4>In Progress</h4>\n\n<ul>\n	<li>Freeze new features in Gutenberg (the feature list can be found <a href=\"https://github.com/WordPress/gutenberg/issues/4894\">here</a>).</li>\n	<li>Hosts, agencies, teachers invited to opt-in sites they have influence over.</li>\n	<li>WordPress.com has opt-in for wp-admin users. The number of sites and posts will be tracked.</li>\n	<li>Mobile app support for Gutenberg will be across iOS and Android.</li>\n</ul>\n\n<h4>July</h4>\n\n<ul>\n	<li>4.9.x release with an invitation to install either Gutenberg or Classic Editor plugin.</li>\n	<li>WordPress.com will move to opt-out. There will be tracking to see who opts out and why.</li>\n	<li>Triage increases and bug gardening escalates to get blockers in Gutenberg down to zero.</li>\n	<li>Gutenberg phase two, Customization exploration begins by moving beyond the post.</li>\n</ul>\n\n<h4>August and beyond</h4>\n\n<ul>\n	<li>All critical issues within Gutenberg are resolved.</li>\n	<li>There is full integration with Calypso and there is opt-in for users there.</li>\n	<li>A goal will be 100k+ sites having made 250k+ posts using Gutenberg.</li>\n	<li>Core merge of Gutenberg begins the 5.0 release cycle.</li>\n	<li>5.0 moves into beta releases and translations are completed.</li>\n	<li>There will be a mobile version of Gutenberg by the end of the year.</li>\n</ul>\n\n<p>WordPress 5.0 could be as soon as August with hundreds of thousands of sites using Gutenberg before release. Learn more about Gutenberg <a href=\"https://wordpress.org/gutenberg/\">here</a>, take it for a <a href=\"https://testgutenberg.com/\">test drive</a>, <a href=\"https://wordpress.org/plugins/gutenberg/\">install</a> on your site, follow along on <a href=\"https://github.com/WordPress/gutenberg\">GitHub</a> and give your <a href=\"https://wordpressdotorg.polldaddy.com/s/gutenberg-support\">feedback</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 06 Jul 2018 19:23:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Tammie Lister\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"WPTavern: WordPress 4.9.8 to Introduce “Try Gutenberg” Callout\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82174\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wptavern.com/wordpress-4-9-8-to-introduce-try-gutenberg-callout\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2027:\"<p>Paul Biron and Joshua Wold are leading the upcoming WordPress 4.9.8 release, which was originally announced as 4.9.7. WordPress core contributors met yesterday to decide the general focus and set the release schedule. In the meantime, the <a href=\"https://make.wordpress.org/core/2018/07/05/wordpress-4-9-7/\" rel=\"noopener noreferrer\" target=\"_blank\">4.9.7 security and maintenance release</a> was rolled out to fix an authenticated arbitrary file deletion vulnerability, along with a few other minor updates.</p>\n<p>WordPress 4.9.8 is targeted for July 31, 2018, with a beta as early as July 17. The release will focus on introducing the &#8220;<a href=\"https://core.trac.wordpress.org/ticket/41316\" rel=\"noopener noreferrer\" target=\"_blank\">Try Gutenberg</a>&#8221; callout and adding privacy fixes and enhancements. The ticket proposing the callout was opened a year ago and was planned to be included in WordPress 4.9.5 but was eventually <a href=\"https://wptavern.com/try-gutenberg-prompt-pushed-back-to-a-later-release\" rel=\"noopener noreferrer\" target=\"_blank\">pulled</a> before the release in favor of allowing Gutenberg contributors to iron out a few important issues.</p>\n<p>WordPress Core Committer Mel Choyce added the most recent round of designs to the ticket four weeks ago and contributors are still iterating on the design and text for the callout. Another iteration is expected to be added to the ticket early next week.</p>\n<p>WordPress 4.9.8 is another step in Matt Mullenweg&#8217;s <a href=\"https://wptavern.com/matt-mullenweg-unveils-gutenberg-roadmap-at-wceu-wordpress-agencies-and-product-developers-sprint-to-prepare\" rel=\"noopener noreferrer\" target=\"_blank\">roadmap for getting Gutenberg into 5.0</a>. The goal is to make more users aware of Gutenberg and to gather more testing and feedback before the new editor lands in core. The prompt will include a prominent button that users can click to install the Gutenberg plugin, along with links for where to learn more and how to report issues.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 05 Jul 2018 21:39:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: Just Write: A Client-Side React App for Writing and Editing WordPress Posts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82147\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"https://wptavern.com/just-write-a-client-side-react-app-for-writing-and-editing-wordpress-posts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5227:\"<p>WordPress developer <a href=\"https://www.jasonbobich.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Jason Bobich</a> has created an open source client-side React app called <a href=\"https://github.com/themeblvd/justwrite\">Just Write</a> that provides a decoupled editing experience for WordPress. Bobich said he built the app in 10 days to explore the possibilities of React and the WP REST API.</p>\n<p>Although it&#8217;s still a work in progress, the app has a <a href=\"http://justwrite.app\" rel=\"noopener noreferrer\" target=\"_blank\">demo</a> where curious testers can manage posts from any WordPress website that&#8217;s secured with HTTPS and has the JWT Authentication plugin installed. Alternatively, testers can click on the &#8220;play in the sandbox&#8221; to bypass authentication.</p>\n<p>Once logged in, the user sees a dashboard with the most recent posts, a deliberate design decision that Bobich made to &#8220;motivate the user to do one thing &#8211; to just write.&#8221;</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/07/just-write-dashboard.jpeg?ssl=1\"><img /></a></p>\n<p>The editor includes support for Markdown and a simple preview with a sticky toolbar at the top. Just Write also allows the user to edit their profile and personal information in a dropdown at the top of the screen.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/07/Screen-Shot-2018-07-03-at-4.17.02-PM.png?ssl=1\"><img /></a></p>\n<p>Bobich said he created to the app to improve his JavaScript skills and doesn&#8217;t have a plan to use it for business.</p>\n<p>&#8220;Ever since we were all told a couple of years ago, &#8216;Learn JavaScript deeply,&#8217; I’ve seen just how many holes I had in my own JavaScript knowledge,&#8221; Bobich said. &#8220;I’ve been working hard the last couple of years to become more than just a jQuery monkey. And so this project is just another step towards my personal growth surrounding the technologies involved here. It’s so exciting to think about the potential things that we can build in the community with React and the WordPress API.&#8221;</p>\n<h3>WP REST API Currently Poses Complicated Hurdles for App Developers</h3>\n<p>After the REST API was merged into core, the time seemed ripe for developers to build a proliferation of different writing experiences for users. However, working with the API still has many hurdles for application developers, limitations that Bobich said he became acquainted with while developing Just Write.</p>\n<p>&#8220;For anyone wanting to build a practical application like this, the first glaring issue is around authentication,&#8221; Bobich said. &#8220;WordPress has no way to securely authenticate from outside of the WordPress admin. So expecting any average user to set up oAuth or JWT with a third-party plugin is a bit of a reach.&#8221;</p>\n<p>Bobich also encountered issues working with media and saving content the WordPress way (which allows shortcodes to get parsed before <code>wpautop()</code>). The application is not yet ready for real, practical use but would require even more API calls to do things like get ahold of categories and tags or add the ability to create new ones.</p>\n<p>&#8220;Think about all the work WordPress has put into the way we embed media in different ways,&#8221; Bobich said. &#8220;Just having basic things we take for granted — pasting a YouTube link, a tweet, uploading an image and having it cropped 100 ways ’til Sunday — for all  work properly would all take custom JavaScript coding.&#8221;</p>\n<p>Bobich said he thinks these limitations are the reason why there aren&#8217;t yet more applications built with decoupled editing experiences. Yet, in the new era of Gutenberg, Just Write&#8217;s alternative writing interface offers a simplicity that some users may prefer.</p>\n<p>&#8220;As the WordPress admin continues to grow and become more complex, some people get excited and others moan and grown,&#8221; Bobich said. &#8220;But building something like Just Write shows us that there’s more to WordPress than just what we see. There’s more than a menu full of plugins and a new editor built in React that we may or may not like. WordPress can be what we want. It can fit our own needs or any client’s. And this all comes from the potential ability to decouple the editing experience.&#8221;</p>\n<p>As WordPress has evolved to accommodate different user types from blogging, websites, and niche applications, Bobich said he thinks the next logical step is for developers to begin creating admin interfaces catered specifically to users&#8217; individual needs.</p>\n<p>&#8220;Gutenberg marks an important turn in the evolution,&#8221; Bobich said. &#8220;For those that were clinging to the simplicity of WordPress and blocking out some of the other noise, this might not be something they end up liking&#8230; or maybe it will?</p>\n<p>&#8220;But the bigger point is that what we see there in the admin doesn’t have to be it. I hope people will be braver than me and really set out to build these different alternatives. If I can polish my React skills and build that myself in 10 days, I can only imagine what others can do.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 05 Jul 2018 18:09:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Dev Blog: WordPress 4.9.7 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6091\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2018/07/wordpress-4-9-7-security-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3983:\"<p>WordPress 4.9.7 is now available. This is a <strong>security and maintenance release</strong> for all versions since WordPress 3.7. We strongly encourage you to update your sites immediately.</p>\n\n<p>WordPress versions 4.9.6 and earlier are affected by a media issue that could potentially allow a user with certain capabilities to attempt to delete files outside the uploads directory.</p>\n\n<p>Thank you to <a href=\"https://hackerone.com/slavco\">Slavco</a> for reporting the original issue and <a href=\"https://www.wordfence.com/\">Matt Barry</a> for reporting related issues.</p>\n\n<p>Seventeen other bugs were fixed in WordPress 4.9.7. Particularly of note were:</p>\n\n<ul>\n	<li>Taxonomy: Improve cache handling for term queries.</li>\n	<li>Posts, Post Types: Clear post password cookie when logging out.</li>\n	<li>Widgets: Allow basic HTML tags in sidebar descriptions on Widgets admin screen.</li>\n	<li>Community Events Dashboard: Always show the nearest WordCamp if one is coming up, even if there are multiple Meetups happening first.</li>\n	<li>Privacy: Make sure default privacy policy content does not cause a fatal error when flushing rewrite rules outside of the admin context.</li>\n</ul>\n\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.9.7</a> or venture over to Dashboard → Updates and click &#8220;Update Now.&#8221; Sites that support automatic background updates are already beginning to update automatically.</p>\n\n<p>The previously scheduled 4.9.7 is now referred to as 4.9.8, and will follow the <a href=\"https://make.wordpress.org/core/2018/07/04/dev-chat-summary-july-4th-4-9-7-week-7/\">release schedule posted yesterday</a>.</p>\n\n<p>Thank you to everyone who contributed to WordPress 4.9.7:</p>\n\n<p><a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/abdullahramzan/\">abdullahramzan</a>, <a href=\"https://profiles.wordpress.org/alejandroxlopez/\">alejandroxlopez</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/aryamaaru/\">Arun</a>, <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a>, <a href=\"https://profiles.wordpress.org/bjornw/\">BjornW</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/garetharnold/\">Gareth</a>, <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianbelanger/\">ibelanger</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a>, <a href=\"https://profiles.wordpress.org/khaihong/\">khaihong</a>, <a href=\"https://profiles.wordpress.org/lbenicio/\">lbenicio</a>, <a href=\"https://profiles.wordpress.org/leanderiversen/\">Leander Iversen</a>, <a href=\"https://profiles.wordpress.org/mermel/\">mermel</a>, <a href=\"https://profiles.wordpress.org/metalandcoffee/\">metalandcoffee</a>, <a href=\"https://profiles.wordpress.org/jbpaul17/\">Migrated to @jeffpaul</a>, <a href=\"https://profiles.wordpress.org/palmiak/\">palmiak</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/skoldin/\">skoldin</a>, <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a>, <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul Islam</a>, <a href=\"https://profiles.wordpress.org/warmlaundry/\">warmlaundry</a>, and <a href=\"https://profiles.wordpress.org/yuriv/\">YuriV</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 05 Jul 2018 17:00:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"HeroPress: Coding under trees and in 24 hour coffee shops\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=2582\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:166:\"https://heropress.com/essays/coding-under-trees-and-in-24-hour-coffee-shops/#utm_source=rss&utm_medium=rss&utm_campaign=coding-under-trees-and-in-24-hour-coffee-shops\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9173:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2018/07/070418-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Taking risks and being able to look like a fool have enabled me to become a WordPress core committer.\" /><p>People were paying me to write code two years before I had wifi in my house. Home wifi would have cost $45 a month. The cable company wanted a $100 deposit to create my account. It wasn&#8217;t going to happen, I could get wifi with a cup of coffee for $3 (including the tip) at a coffee shop a few blocks away from my place that meant I got some semblance of being social. I couldn&#8217;t imagine giving up 15 days a month at coffee shops just so it was easier to work from home, not when I could get away with sitting on my porch poaching wifi from my neighbors when I got stuck and had to google regular expressions for the 400th time. Or, my favorite, sit in a park down the street where there were three unprotected wifi networks and a strong tree to lean against.</p>\n<p>My path to becoming a web developer started when I packed up my beat up Chevy Prizm and drove to Portland, Oregon. I had graduated college with degrees in Economics and Political Science. While there, I become a Linux user when I discovered that it used less space meaning I had more space for music. I had never written code, but when my friends and I decided we wanted to create our version of The Onion, I started searching. After a little bit of trial ( blogger ) and error ( blogger ), I found WordPress and it&#8217;s &#8220;Famous Five Minute Install&#8221;. I purchased a domain and hosting from a place that advertised heavily and set about creating our site.</p>\n<p>The public library was my initial source of information. After all, having fun isn&#8217;t hard when you&#8217;ve got a library card. I picked up books on CSS, PHP, Java, Database design, and anything I could get my hands on. I was working evenings as an usher for the Portland Trailblazers and would head over to a 24 hour coffee shop to cowboy code under fluorescent lights until I was ready to crash.</p>\n<hr class=\"ttfmake-hr\" />\n<p>I can think of three big breaks that really helped move me along. Each of these ended up being &#8220;Flash Forward&#8221; moments where I was able to grow.</p>\n<h3>My First Client</h3>\n<p>I was scouring craigslist looking for anything I could get my hands on when I found someone offering $25 to move their WordPress site from one domain to another. Having just done that, I sent an email and crossed my fingers. Somehow, my eagerness (and likely willingness to work for peanuts) got my their trust. I had my first client. It took me way longer than I would have hoped as I learned about things like DNS Propagation, but I completed the task. And did such a good job that I was asked if I could build a website for one of their friends who was a standup comic. I was honest that I had never built a real site from scratch, but they liked how I had communicated, so I got the gig.</p>\n<h3>My First Core Experience</h3>\n<p>Before the first time I contributed to WordPress, I went to the Portland WordPress User Group to ask if something I was seeing was possibly an issue that warranted emailing the wp-hackers mailing list. I was so scared of being wrong that I felt like I needed to ask permission. I assumed that I was going to make a fool of myself and be laughed at. I ended up <a href=\"http://lists.automattic.com/pipermail/wp-hackers/2009-June/026386.html\">emailing the list</a> and it turned out, I had found a <a href=\"https://core.trac.wordpress.org/ticket/10022\">spot where WordPress could be better</a>! In the grand scheme of WordPress, passing a parameter to three `do_action` calls didn&#8217;t help WordPress gain 1% of market share, but it did help me with the plugin I was working on. And I was exposed to the process. I learned about trac, and the weekly devchat, and patches and svn. While I didn&#8217;t get props, I still consider this my first contribution to WordPress Core.</p>\n<h3>My first WordCamp</h3>\n<p>WordCamps are cheap compared to most tech conferences, but when you are playing the game of &#8220;How do I eat on $10 a week&#8221; for months on end, $40 for a conference whose value is unknown is a hard sell. Luckily, the Portland WordPress User Group did a raffle for a ticket and I won. All I had to pay for was the $2 in bus fare each way and I had the chance to learn. The 2009 WordCamp Portland ended up being where Matt Mullenweg announced that WPMU was going to be merged into core in WordPress 3.0 and it&#8217;s where I saw a talk entitled &#8220;<a href=\"https://wordpress.tv/2009/09/20/will-norris-building-plugins-portland09/\">How Not to Build a WordPress Plugin</a>&#8221; by Will Norris. Will&#8217;s talk exposed me to WordPress development in a way that I would never have imagined on my own. It helped me level up from someone who mostly was copy and pasting PHP to someone who was writing code.</p>\n<p>Additionally, I was able to network for the first time. It no longer was the same 15 people who went to the meetup, it was now about 200 WordPress fanatics, many who wanted to hire someone like me to work on their website!</p>\n<p>Looking back, these flash forward moments contributed almost as much to luck to my success. In many ways, a lot of my success can be attributed to the luck of being born as someone who is essentially a white cis-male into a family where I was exposed to computers and had a chance to gain a solid liberal arts education.</p>\n<p>But it&#8217;s not just that luck that helped me. I had to provide good customer service to turn a $25 task into a contract to build my first website. I had to be willing to embarrass myself by asking what I thought was a dumb question. I had to show up and become a part of my local community to get a ticket for a conference where I learned and networked.</p>\n<p>Soon after WordCamp Portland 2009, I had enough client work coming in that it made sense to have wifi. Home wifi meant I could start being connected to the WordPress community more than once a month in person or a few hours here and there at coffee shops. It meant I could read dev chat every week and eventually it meant I could earn props. Networking at meetups, WordCamps and conferences led to full time jobs. Taking risks and being willing to look like a fool in front of the WordPress community have enabled me to become a WordPress Core committer (and sometimes continue to look like a fool). In addition to volunteering on WordPress Core, I&#8217;m now the Director of Editorial Technology for Penske Media Corporation where I help brands like Rolling Stone and Variety run on WordPress, but I&#8217;ll never forget when if I needed to code, I was going to sit under trees in parks or the fluorescent lights of a 24 hour coffee shop.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Coding under trees and in 24 hour coffee shops\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Coding%20under%20trees%20and%20in%2024%20hour%20coffee%20shops&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fcoding-under-trees-and-in-24-hour-coffee-shops%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Coding under trees and in 24 hour coffee shops\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fcoding-under-trees-and-in-24-hour-coffee-shops%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fcoding-under-trees-and-in-24-hour-coffee-shops%2F&title=Coding+under+trees+and+in+24+hour+coffee+shops\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Coding under trees and in 24 hour coffee shops\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/coding-under-trees-and-in-24-hour-coffee-shops/&media=https://heropress.com/wp-content/uploads/2018/07/070418-150x150.jpg&description=Coding under trees and in 24 hour coffee shops\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Coding under trees and in 24 hour coffee shops\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/coding-under-trees-and-in-24-hour-coffee-shops/\" title=\"Coding under trees and in 24 hour coffee shops\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/coding-under-trees-and-in-24-hour-coffee-shops/\">Coding under trees and in 24 hour coffee shops</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 04 Jul 2018 18:30:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Aaron Jorbin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"WPTavern: WordCamp Incubator Program 2018 to Host Events in Montevideo, Uruguay and Kota Kinabalu, Malaysia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82134\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wptavern.com/wordcamp-incubator-program-2018-to-host-events-in-montevideo-uruguay-and-kota-kinabalu-malaysia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2465:\"<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2018/07/montevideo.jpg?ssl=1\"><img /></a>The Pocitos neighborhood of Montevideo, Uruguay. Skyline from the shore -photo credit: <a href=\"https://en.wikipedia.org/wiki/File:Pocitos,_2017.jpg\">Rimbaldine</a>\n<p>The WordCamp Incubator Program has selected <a href=\"https://make.wordpress.org/community/2018/06/26/wordcamp-incubator-program-2018-locations-announcement/\" rel=\"noopener noreferrer\" target=\"_blank\">Montevideo, Uruguay and Kota Kinabalu, Malaysia to host WordCamps in 2018</a>. The program provides a jump start for new WordPress communities where meetups have not yet been well-established. Montevideo and Kota Kinabalu were selected from a <a href=\"https://make.wordpress.org/community/2018/05/15/wordcamp-incubator-program-2018-update/\" rel=\"noopener noreferrer\" target=\"_blank\">short list of 14 communities</a> that had been whittled down from 104 applications for the program.</p>\n<p>WordPress Community Deputies will co-lead the events and mentor a local team that will organize a one-track WordCamp with approximately 50-75 attendees. The goal is to empower the new organizers and the fledgling communities to host more local events, ideally regular meetups and an annual WordCamp. Mentors will assist in finding speakers and sponsors. A global sponsorship grant will cover 100% of the events&#8217; costs, relieving the organizers of the burden of local fundraising.</p>\n<p>WordPress Community Team member Rocío Valdivia announced the program&#8217;s new cities for 2018 and said she anticipates the events will happen in the last quarter of this year. Local co-leads have been charged with starting a monthly meetup group before setting a date for the new WordCamps.</p>\n<p>Round 2 of the WordCamp Incubator Program follows up a successful run in 2016 that brought WordCamps to Denpasar, Harare, and Medellín. <a href=\"https://wptavern.com/harare-and-nairobi-host-2nd-round-of-successful-wordcamps\" rel=\"noopener noreferrer\" target=\"_blank\">Harare hosted its second WordCamp in 2017</a> and a <a href=\"https://2018.harare.wordcamp.org/\" rel=\"noopener noreferrer\" target=\"_blank\">2018 camp</a> is in the early planning stages. This particular African community, along with the neighboring Nairobi community (on the short list in 2016), are strong examples of how the incubator program can provide a boost in areas of the world where the WordPress community is not yet deeply rooted.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 03 Jul 2018 03:41:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WPTavern: Block Unit Test Plugin Helps WordPress Theme Developers Prepare for Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81919\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"https://wptavern.com/block-unit-test-plugin-helps-wordpress-theme-developers-prepare-for-gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4606:\"<p><a href=\"https://themebeans.com/\" rel=\"noopener noreferrer\" target=\"_blank\">ThemeBeans</a> founder Rich Tabor has released a new plugin called <a href=\"https://wordpress.org/plugins/block-unit-test/\" rel=\"noopener noreferrer\" target=\"_blank\">Block Unit Test for Gutenberg</a> that helps theme authors test their themes for Gutenberg-readiness. It is similar to the <a href=\"https://codex.wordpress.org/Theme_Unit_Test\" rel=\"noopener noreferrer\" target=\"_blank\">Theme Unit Test</a> but is limited to testing Gutenberg blocks.</p>\n<p>After installing and activating both Gutenberg and sBlock Unit Test, the plugin creates a new page as a draft with an example of every core Gutenblock. This makes it easy to see how the blocks will appear on the frontend of any theme. Block Unit Test also includes variations on the core blocks with different alignment and column settings applied.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2018/06/screely-1530556922797.png?ssl=1\"><img /></a></p>\n<p>Tabor said he knew it would be advantageous to start using/writing in Gutenberg daily to better understand what he needed to do to make his products at ThemeBeans compatible.</p>\n<p>&#8220;I added initial support for Gutenberg in my Tabor WordPress theme, as I use it on my own personal blog with Gutenberg,&#8221; he said. &#8220;I needed a way to easily test each of the core Gutenberg blocks (and eventually third-party blocks) without having to manually add them every time I wanted to test something. As Gutenberg blocks get more dynamic and complicated, it’s a bit trickier to test for &#8211; as many blocks have different variations/styles/columns/grids/etc.&#8221;</p>\n<p>Tabor took inspiration from the Theme Unit Test and created Block Unit Test with Gutenblock variations included. He is using the plugin while preparing the 20+ themes in his ThemeBeans catalog to support Gutenberg. He wrote the plugin to be extensible and made it open source on <a href=\"https://github.com/thatplugincompany/block-unit-test\" rel=\"noopener noreferrer\" target=\"_blank\">GitHub</a> for other developers and theme shops to use.</p>\n<p>Theme developers can install Block Unit Test as a first step towards making sure the front-end styles match the editor styles. This will be essential to making the transition process easier for new Gutenberg users once WordPress 5.0 ships. Tabor also published a tutorial for <a href=\"https://richtabor.com/add-wordpress-theme-styles-to-gutenberg/\" rel=\"noopener noreferrer\" target=\"_blank\">adding WordPress Theme Styles to Gutenberg</a> to help others get started.</p>\n<p>In getting his first theme compatible, Tabor said he relied heavily on the <a href=\"https://wordpress.org/gutenberg/handbook/\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg Handbook</a>, as well as following discussions on the <a href=\"https://github.com/WordPress/gutenberg\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg GitHub repository</a>.</p>\n<p>&#8220;It’s not terribly difficult to add support for Gutenberg, although applying proper theme styles within the Gutenberg editor is a bit of task — there’s so much that can be accidentally overlooked,&#8221; Tabor said. &#8220;For the theme side of things, there wasn&#8217;t much technical leveling-up — though developing blocks is a different story. I did need to raise the bar and dive deeply into the world of Javascript, though looking at the block examples on the GitHub repository really helped me along.&#8221;</p>\n<p>Tabor said he started &#8220;living and breathing all things Gutenberg&#8221; after WordCamp US 2017, and began writing development articles while learning the ropes. He created several projects focused on the new editor, including <a href=\"https://writy.io/\" rel=\"noopener noreferrer\" target=\"_blank\">Writy</a>, a Gutenberg-centric writing experience for publishers, and <a href=\"https://richtabor.com/coblocks/\" rel=\"noopener noreferrer\" target=\"_blank\">Co-Blocks</a>, a beta suite of Gutenberg blocks for content marketers.</p>\n<p>&#8220;As a founder of a theme shop it was apparent that I needed to hone in on Gutenberg and level-up my knowledge, technical skills, and consequently my products, in order to compete in a post-Gutenberg era of WordPress,&#8221; Tabor said.</p>\n<p>&#8220;I believe the foundation of the future of WordPress lies in the success of Gutenberg. I use the new editor just about daily now. I know it’s a great move in the right direction and I’m doing my part to make sure folks using my themes can experience everything that Gutenberg has to offer.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 02 Jul 2018 21:43:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"Dev Blog: The Month in WordPress: June 2018\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=6087\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2018/07/the-month-in-wordpress-june-2018/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4626:\"<p>With one of the two flagship WordCamp events taking place this month, as well as some important WordPress project announcements, there’s no shortage of news. Learn more about what happened in the WordPress community in June.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Another Successful WordCamp Europe</h2>\n\n<p>On June 14th, WordCamp Europe kicked off three days of learning and contributions in Belgrade. Over 2,000 people attended in person, with hundreds more watching live streams of the sessions.</p>\n\n<p>The WordCamp was a great success with plenty of first-time attendees and new WordPress contributors getting involved in the project and community. Recorded sessions from the 65 speakers at the event will be available on WordPress.tv in the coming weeks. In the meantime, check out the <a href=\"https://www.flickr.com/photos/wceu/albums\">photos from the event</a>.</p>\n\n<p><a href=\"https://2018.europe.wordcamp.org/2018/06/16/wordcamp-europe-2019/\">The next WordCamp Europe</a> takes place on June 20-22 2019 in Berlin, Germany. If you’re based in Europe and would like to serve on the organizing team, <a href=\"https://2019.europe.wordcamp.org/2018/06/16/call-wordcamp-europe-2019-organizers/\">fill in the application form</a>.</p>\n\n<h2>Updated Roadmap for the New WordPress Content Editor</h2>\n\n<p>During his keynote session at WordCamp Europe, Matt Mullenweg presented <a href=\"https://gutenbergtimes.com/mullenweg-on-gutenberg-roll-out-plan/\">an updated roadmap</a> for <a href=\"https://wordpress.org/gutenberg/\">Gutenberg</a>, the new content editor coming in WordPress 5.0.</p>\n\n<p>While the editor is in rapid development, <a href=\"https://make.wordpress.org/core/2018/06/21/whats-new-in-gutenberg-21st-june/\">with v3.1 being released this past month</a>, the team is aiming to ship Gutenberg with WordPress Core in August, 2018. This is not set in stone — the release date may shift as development progresses — but this gives the first realistic idea of when we can expect the editor to be released.</p>\n\n<p>If you would like to contribute to Gutenberg, read <a href=\"https://wordpress.org/gutenberg/handbook/\">the handbook</a>, follow the <a href=\"https://make.wordpress.org/core/\">Core team blog</a>, and join the #core-editor channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n\n<h2>WordCamp Incubator Cities Announced</h2>\n\n<p>The WordCamp Incubator program helps spread WordPress to underserved communities by providing organizing support for their first WordCamp. The first iteration of this program ran successfully in 2016 and empowered three cities to start their own WordPress communities.</p>\n\n<p>This year, the Community Team is running the Incubator program again. After receiving applications from 104 communities, <a href=\"https://make.wordpress.org/community/2018/06/26/wordcamp-incubator-program-2018-locations-announcement/\">they have selected</a> Montevideo, Uruguay and Kota Kinabalu, Malaysia to participate in the program. Both cities will receive direct help from experienced WordCamp organizers to run their first-ever WordCamp as a way to help their WordPress community get started.</p>\n\n<p>To find out more about the Incubator program follow the <a href=\"https://make.wordpress.org/community/\">Community team blog</a>, and join the #community-events channel in the <a href=\"https://make.wordpress.org/chat/\">Making WordPress Slack group</a>.</p>\n\n<hr class=\"wp-block-separator\" />\n\n<h2>Further Reading:</h2>\n\n<ul>\n	<li>The WordPress community of Spain recently <a href=\"https://twitter.com/wp_es/status/1004681694660603904\">received an award</a> for being the best open-source community in the country.</li>\n	<li>This month, WordPress reached <a href=\"https://w3techs.com/technologies/details/cm-wordpress/all/all\">the milestone of powering 31% of websites</a>.</li>\n	<li><a href=\"https://wprig.io/introducing-wprig-wordpress/\">WP Rig</a> is a brand new tool to help WordPress developers build better themes.</li>\n	<li><a href=\"https://richtabor.com/gutenberg-block-unit-test/\">Block Unit Test</a> is a new plugin to help theme developers prepare for Gutenberg.</li>\n	<li>Near the end of the month, Zac Gordon hosted <a href=\"https://javascriptforwp.com/conference/\">an online conference</a> focused on JavaScript development in WordPress &#8211; the session videos will be available on YouTube soon.</li>\n</ul>\n\n<p><em>If you have a story we should consider including in the next “Month in WordPress” post, please <a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\">submit it here</a>.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 02 Jul 2018 09:28:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Hugh Lashbrooke\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Matt: Work and Play\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=48231\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://ma.tt/2018/06/work-and-play/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:527:\"<blockquote class=\"wp-block-quote\">\n	<p>A master in the art of living draws no sharp distinction between his work and his play; his labor and his leisure; his mind and his body; his education and his recreation. He hardly knows which is which. He simply pursues his vision of excellence through whatever he is doing, and leaves others to determine whether he is working or playing. To himself, he always appears to be doing both.</p>\n</blockquote>\n\n<p>Lawrence Pearsall Jacks in <em>Education through Recreation</em>, 1932</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 01 Jul 2018 01:13:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"Post Status: An Abundance of Acquisitions — Draft Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=46292\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://poststatus.com/an-abundance-of-acquisitions-draft-podcast/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2301:\"<p>Welcome to the Post Status <a href=\"https://poststatus.com/category/draft\">Draft podcast</a>, which you can find <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\">on iTunes</a>, <a href=\"https://play.google.com/music/m/Ih5egfxskgcec4qadr3f4zfpzzm?t=Post_Status__Draft_WordPress_Podcast\">Google Play</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\">Stitcher</a>, and <a href=\"http://simplecast.fm/podcasts/1061/rss\">via RSS</a> for your favorite podcatcher. Post Status Draft is hosted by Brian Krogsgard and co-host Brian Richards.</p>\n<p>In this episode, the Brians have a chat about a number of different acquisitions that have occurred in the WordPress space over these past few weeks. Listen in as they unpack some of the news surrounding StudioPress, WPEngine, Automattic, WPNinjas, Prospress, and AutomateWoo. Check out our episode links for further stories about each of those businesses as well as the virtual JavaScript for WordPress conference taking place live on July 29.</p>\n<p></p>\n<h3>Links</h3>\n<ul>\n<li><a href=\"https://wpengine.com/blog/wp-engine-acquires-studiopress/\">WPEngine acquired StudioPress</a></li>\n<li><a href=\"https://poststatus.com/notes/automattic-acquries-atavist/\">Automattic acquired Atavist</a></li>\n<li><a href=\"http://ninjashop.site/open-letter-exchangewp/\">WPNinjas acquired ExchangeWP (formerly iThemes Exchange)</a></li>\n<li><a href=\"https://prospress.com/automatewoo-joins-prospress/\">Prospress acquires AutomateWoo</a></li>\n<li><a href=\"https://subscribe.me/\">Prospress announced Subscribe.me</a></li>\n<li><a href=\"https://javascriptforwp.com/conference/\">JSforWP Conf on Friday</a></li>\n<li><a href=\"https://2018.grandrapids.wordcamp.org\">WCGR on Saturday</a></li>\n<li><a href=\"https://florianziegler.com/wordcamp-europe-2018/\">WCEU Photos</a></li>\n</ul>\n<h3>Sponsor: Jilt</h3>\n<p><a href=\"https://jilt.com/?utm_source=Post+Status&utm_medium=banner&utm_campaign=Post+Status+Sponsorship\">Jilt</a> offers powerful email marketing built for eCommerce. Join thousands of stores that have already earned over $28,000,000 in extra sales using Jilt. <a href=\"https://jilt.com/?utm_source=Post+Status&utm_medium=banner&utm_campaign=Post+Status+Sponsorship\">Try Jilt for free</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 29 Jun 2018 22:11:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Brian Krogsgard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WPTavern: WCEU Panel Discusses Progressive WordPress Themes, AMP, and Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=82078\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://wptavern.com/wceu-panel-discusses-progressive-wordpress-themes-amp-and-gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4940:\"<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/06/progressive-themes-panel.png?ssl=1\"><img /></a></p>\n<p>Progressive themes was a hot topic at WordCamp Europe 2018. During the event I had the opportunity to set up a panel with four experts who are working to integrate progressive web development practices more deeply in WordPress core, plugins, and themes. These practices make it possible for a website (or app) to work offline, load quickly, deliver content on unreliable networks, and use device-specific features to provide a better experience for the user. The <a href=\"https://wptavern.com/wordcamp-europe-introduces-official-mobile-app-new-tech-for-on-site-badge-printing\" rel=\"noopener noreferrer\" target=\"_blank\">PWA (progressive web app) created for WordCamp Europe</a> is a good example of this in action.</p>\n<p><a href=\"https://twitter.com/TweetyThierry\" rel=\"noopener noreferrer\" target=\"_blank\">Thierry Muller</a>, <a href=\"https://twitter.com/iAlbMedina\" rel=\"noopener noreferrer\" target=\"_blank\">Alberto Medina</a>, <a href=\"https://twitter.com/westonruter\" rel=\"noopener noreferrer\" target=\"_blank\">Weston Ruter</a>, and <a href=\"https://twitter.com/mor10\" rel=\"noopener noreferrer\" target=\"_blank\">Morten Rand-Hendriksen</a> joined me for an interview, exploring the future of WordPress themes in the era of progressive web development. (see video below)</p>\n<p>&#8220;At the most abstract level, it&#8217;s all about user experience,&#8221; Medina said. &#8220;How do we maximize the pleasure that our users get when they use our websites? And delightfulness in this context means things like performance, speed, having content that isn&#8217;t blocked. If you think about themes built according to those principles, then we are basically seeking an awesome user experience in WordPress.&#8221;</p>\n<p>It&#8217;s not yet clear what this will look like for the WordPress theme landscape, as current solutions are somewhat fragmented. WordPress contributors are working to standardize progressive technologies in core so the ecosystem can collaborate better together.</p>\n<p>&#8220;There are many progressive themes being built these days,&#8221; Medina said. &#8220;One of the problems that is happening is that there is a lot of fragmentation. There&#8217;s a lot of plugins that are using service workers but in their own ways. What we want is to say, &#8216;This is the best way to do things,&#8217; this is a uniform API to do it, and then enable progressive theme developers to take advantage of the core functionality.&#8221;</p>\n<p>Currently, the prospect of setting up a WordPress site that uses progressive web technologies would be a daunting task for regular users, even if they are implementing existing solutions.</p>\n<p>&#8220;There&#8217;s also a user aspect of it, because the people for whom we design WordPress, plugins, and themes, are the people who actually publish their own content onto the web,&#8221; Rand-Hendriksen said. &#8220;There&#8217;s a really valid question in how much should they need to know about how the web works to be able to publish some content. When they spin up a WordPress site, should we impose on them to know that they need to add all these optimization plugins and do all this other stuff just to make the site work properly? How much of that can be offloaded onto the theme itself, or plugins, or even WordPress core?&#8221;</p>\n<p>The members of the panel are working together to on various projects and core contributions that will standardize the use of progressive enhancement technologies in WordPress.</p>\n<p>&#8220;The goal is to have a common API for service workers so that plugins and themes can each install their own logic, just like they can enqueue their own scripts today,&#8221; Ruter said. &#8220;Also to be able to enqueue their own service workers and then core can manage the combination of them, as well as having a common app manifest that plugins and themes can collaborate on and have a single output into the page.&#8221;</p>\n<p>This is how Rand-Hendriksen&#8217;s <a href=\"https://wprig.io/\" rel=\"noopener noreferrer\" target=\"_blank\">WP Rig starter theme</a> project came about &#8211; to help developers take advantage of these best practices in the meantime, without having to figure out how to put all the pieces together.</p>\n<p>&#8220;WP Rig gives you the platform to build a progressive theme that uses all the latest performance and WordPress best practices, in a convenient package, and over time it will evolve with these new progressive technologies,&#8221; Rand-Hendriksen said.</p>\n<p>We also discussed AMP and Gutenberg compatibility, <a href=\"https://core.trac.wordpress.org/ticket/43328\" rel=\"noopener noreferrer\" target=\"_blank\">core support for web app manifests</a>, and how the commercial theme industry will react to these new technologies. Check out the full interview in the video below.</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 29 Jun 2018 22:03:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: WPWeekly Episode 322 – WP Engine Acquires StudioPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=82088&preview=true&preview_id=82088\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wptavern.com/wpweekly-episode-322-wp-engine-acquires-studiopress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2238:\"<p>In this episode, <a href=\"http://jjj.me\">John James Jacoby</a> and I spend the first half of the show discussing WP Engine&#8217;s acquisition of StudioPress. We share reactions from social media, debate on whether it&#8217;s a good or bad thing for the WordPress ecosystem, and webhosts being at the top of the food chain.</p>\n<p>We also talk about a recent security vulnerability that was publicly disclosed, ProsPress acquires AutomateWoo, and the release of Tide beta 1. Also of note, we identified an issue that causes John&#8217;s audio to turn into static. His audio should be fixed in the next episode.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wpengine.com/blog/why-wp-engine-is-acquiring-studiopress/\">Why WP Engine is Acquiring StudioPress</a><br />\n<a href=\"https://studiopress.blog/announcement/\">An Important Announcement About the Future of StudioPress</a><br />\n<a href=\"https://techcrunch.com/2018/01/04/wp-engine-a-managed-wordpress-platform-raises-250m-from-silver-lake/\">WP Engine, a managed WordPress platform, raises $250M from Silver Lake</a><br />\n<a href=\"https://twitter.com/bgardner/status/1012011823279824901\">https://twitter.com/bgardner/status/1012011823279824901</a><br />\n<a href=\"https://automatewoo.com/blog/automatewoo-joins-prospress/\">AutomateWoo joins Prospress</a><br />\n<a href=\"https://prospress.com/automatewoo-joins-prospress/\">AutomateWoo joins Prospress to Further eCommerce Automation on WooCommerce</a><br />\n<a href=\"https://make.wordpress.org/tide/2018/06/26/announcing-tide-1-0-0-beta/\">Tide Beta 1 Released</a></p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, July 4th 3:00 P.M. Eastern</p>\n<p>Subscribe to <a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\">WordPress Weekly via Itunes</a></p>\n<p>Subscribe to <a href=\"https://www.wptavern.com/feed/podcast\">WordPress Weekly via RSS</a></p>\n<p>Subscribe to <a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\">WordPress Weekly via Stitcher Radio</a></p>\n<p>Subscribe to <a href=\"https://play.google.com/music/listen?u=0#/ps/Ir3keivkvwwh24xy7qiymurwpbe\">WordPress Weekly via Google Play</a></p>\n<p><strong>Listen To Episode #322:</strong><br />\n</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 29 Jun 2018 01:21:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WPTavern: Drop It Plugin Brings Gifs and Unsplash Photos to Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81814\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wptavern.com/drop-it-plugin-brings-gifs-and-unsplash-photos-to-gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2642:\"<p>If you&#8217;re writing all your posts in the new Gutenberg editor but don&#8217;t want to give up convenient access to your fancy gifs and stock images, the new <a href=\"https://wordpress.org/plugins/dropit/\" rel=\"noopener noreferrer\" target=\"_blank\">Drop It</a> plugin has you covered. <a href=\"https://twitter.com/riadbenguella\" rel=\"noopener noreferrer\" target=\"_blank\">Riad Benguella</a>, one of the engineers who is working on Gutenberg, created the plugin to offer one-click image insertion/upload from <a href=\"https://unsplash.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Unsplash.com</a>.</p>\n<p>Drop It adds a droplet icon to the Gutenberg sidebar that launches a search form for Unsplash.com or Giphy.com (a feature contributed by <a href=\"https://twitter.com/jmau111\" rel=\"noopener noreferrer\" target=\"_blank\">Julien Maury</a>). Users can click the &#8220;+&#8221; sign on the image or simply drag and drop it into the content area.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/06/Screen-Shot-2018-06-28-at-1.14.10-PM.png?ssl=1\"><img /></a></p>\n<p>Drop It seamlessly connects Gutenberg to the Unsplash and Giphy libraries, putting hundreds of thousands of stock photos and gifs at your fingertips while composing in WordPress. In the earlier days of Unsplash, many of the same images were used all over the web, but over the past few years its library has grown to include more than 550,000 high-resolution photos.</p>\n<p>Check out this demo to see how how fast it is to search and insert images:</p>\n<p><a href=\"https://cloudup.com/cUCoAEcq9lG\"><img src=\"https://i2.wp.com/cldup.com/2HRQQ2GAg3.gif?resize=627%2C437&ssl=1\" alt=\"Drop it\" width=\"627\" height=\"437\" /></a></p>\n<p>Benguella originally created the plugin for a talk he gave at WPtech Lyon where he demonstrated <a href=\"https://riad.blog/2018/04/29/explorons-gutenberg-sous-le-capot-au-wptech-lyon/\" rel=\"noopener noreferrer\" target=\"_blank\">how plugin developers can make use of Gutenberg&#8217;s reusable modules</a>. His presentation and slides explore Gutenberg&#8217;s architecture and show how he created the Drop It plugin.</p>\n<p>Benguella said the Drop It plugin&#8217;s code is a good example of how developers can extend Gutenberg&#8217;s UI using “pinnable” sidebar plugins. It also shows how to use the Data module to access and update Gutenberg’s state (data).</p>\n<p>In the future, Benguella plans to add more sources for inserting media. He currently has a proof of concept for adding content from Google Docs and will add more depending on contributions from others and his availability to work on the plugin.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Jun 2018 22:52:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Matt: Automattic’s First New Board Member: General Ann Dunwoody\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=48215\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://ma.tt/2018/06/automattics-first-new-board-member-general-ann-dunwoody/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8216:\"<img />\n\n<p>As Automattic keeps growing we’ve been bringing in a lot of talented people behind the scenes to help expand on our vision as we go from hundreds to thousands of colleagues, and hundreds of millions to billions in revenue. Recently, former New York Times digital executive Kinsey Wilson joined our team as <a href=\"https://www.poynter.org/news/one-time-npr-and-nyt-digital-chief-new-adventure-wordpress\">president of WordPress.com</a>, the Chief Design Officer of Axios <a href=\"http://www.alexislloyd.com/\">Alexis Lloyd</a> has joined <a href=\"https://twitter.com/alexislloyd/status/1006882661040877568?lang=en\">as head of Design Innovation</a>, the former CEO of Bluehost James Grierson is leading <a href=\"https://jetpack.com/\">Jetpack</a> partnerships, and today I&#8217;m excited to announce a change to my bosses, the board of directors.<br /></p>\n\n<p>Gen. Ann Dunwoody served for 37 years in the U.S. Army, and she is the first woman in U.S. Military history to achieve a four-star officer rank. She’s also the author of <a href=\"https://www.amazon.com/dp/0738217794\"><em>A Higher Standard: Leadership Strategies from America&#8217;s First Female Four-Star General</em></a>, a book I really loved and highly recommend. Automattic&#8217;s board has had no new members since its founding in 2005, so this is our first addition in 13 years. I became familiar with General Dunwoody&#8217;s work while researching distributed organizations outside of technology, which led me to the military, which led me to geek out on logistics, which led me to her book and eventually flying out to Florida to meet in person.<br /></p>\n\n<p>Below is a brief interview with Gen. Dunwoody &#8212; we chatted with her about global leadership, finding your passion, and building a business. <br /></p>\n\n<p><strong>We&#8217;re excited to have you onboard, General Dunwoody. It&#8217;s interesting &#8212; at Automattic we like to point out that we&#8217;re all over the globe (over 740 employees in more than 60 countries) but you oversaw 69,000 military and civilians across 140 countries! Were there any big leadership lessons from managing operations across such a wide range of distances, timezones, and cultures? </strong><br /><br /></p>\n\n<p>That’s a great question. When I started out as a young officer in the Army, the leadership philosophy that was espoused back then was “Leadership by walking around.” When you&#8217;re in charge of a platoon, a company or even a battalion or Brigade that is not globally dispersed this philosophy is very sound. When you’re running a global organization with 69,000 folks in 140 countries, you have to leverage technology to keep real-time communications flowing and keep leaders updated. I would host (with the leadership) a global video teleconference every Wednesday connecting every organization from Afghanistan, Kuwait, Iraq, Europe, etc. and sites &#8212; hundreds across the United States. Our headquarters  would provide an operational update and then we go around the globe to get update from from everyone &#8212; what&#8217;s going well, where they need help or additional resources. In the old days I think people believed information was power and often withheld information to use for personal advantage, but I believe shared information is power. By leveraging the power of the entire industrial base we could solve problems in real time. I still travelled around a lot to see our people, but it is not possible to keep everyone informed and in the loop with current operations without leveraging technology. <br /></p>\n\n<p><strong>I love your answer about &#8220;shared information is power.&#8221; Did you ever find it difficult to break down the silos and embrace that concept? </strong></p>\n\n<p>Oh my, yes. They weren’t just silos, they were silos with concertina wire around them!   Parochialism was rampant and everyone wanted their own system and own their own information. We had over 200 stand alone systems that didn’t talk to each other. So to field and design an enterprise IT system that leveraged systems with the needed information to support “foxhole to factory” was challenging and exciting. <br /></p>\n\n<p><strong>And how did you decide what technological means to communicate an idea or a directive, versus, say, meeting in-person? </strong></p>\n\n<p>I would say it depended on the idea. If it was personal, probably a phone call (one on one); if trying to generate support for an idea or transformational concept, meet in-person with my initiatives group to socialize the idea and get their input modifications and buy-in. Then Commanders conference to socialize idea with them, as they will have to implement it. Once socialized with leadership, we worldwide videoconference with the entire organization to define and describe the purpose, intent, how, and why &#8212; so everyone knew what we were trying to do and what their role was in execution. I found you cannot over-communicate when trying to make changes.<br /></p>\n\n<p><strong>It&#8217;s an incredible accomplishment to become the first woman in U.S. Military history to achieve the four-star officer rank. Can you tell me about how things changed (or maybe still need to change further) in terms of your experience during your 37 years of service, and how you addressed diversity and inclusion in the military? </strong><br /><br /></p>\n\n<p>First, I certainly didn’t accomplish this by myself &#8212; I had a lot of help along the way! I joined the Army as part of the Women’s Army Corps (WAC) back in 1975. A few years later they disestablished the WAC and began the integration of women into the regular Army. This was the first time women had the opportunity to have the same career opportunities as their male counterparts in the branches now open to women. The challenge for the women who came into the Army back then was to force the integration &#8212; fight being put into traditional jobs like being a secretary, admin, clerk, or cook &#8212; and fight to be platoon leaders, etc., to support and move the integration of women into the regular Army.</p>\n\n<p>What I witnessed during my time in the Army was that the doors continued to open. Yes, there were roadblocks &#8212; but there were also many leaders along the way who were willing to help. I never worked for a woman. I worked for men who either believed in me or didn’t. My experience in my almost four decades was that the doors continued to open for women. I thought jumping out of airplanes was really neat &#8212; now my niece in the USAF is an A-10 fighter pilot, and we have women graduating from Ranger school!  <br /></p>\n\n<p>On diversity, I realized that being the only female in many forums, my voice was hard to be heard. And I also realized that most folks promoted and surrounded themselves with people in their own image. What my philosophy was &#8212; and I still think it is an issue today &#8212; is that diversity is not about numbers, it’s about getting the best and brightest from all walks of life, to help leaders solve the very complex issues that face us today. Don’t surround yourself with only people that think or act or look like you. <br /></p>\n\n<p><strong>Who are the leaders that inspire you today? </strong></p>\n\n<p>I think we are products of our past &#8212; Mom and Dad, even though not here on earth, gave me the values that still guide me. Many of my military mentors, Gen. Hugh Shelton, Gen. Pete Schoomaker, Gen. Gordon Sullivan, Gen. Dick Cody, are still coaches and mentors to me today.  </p>\n\n<p>Folks I admire: Warren Buffett, only met him once but I like his concern for the betterment of our country; Oprah Winfrey, although I have never met her I admire her for what she does for our country how she presents herself and how she handles herself &#8212; awesome; Gen. Mattis &#8212; wow, I admire him for taking on this extremely tough assignment for the good of our country and our defense. Secretary Gates served two administrations, Republican and Democrat. <br /></p>\n\n<p>People that inspire me are people I believe are true leaders &#8212; valuing honesty and having the best interests of the country at heart. No hubris!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Jun 2018 19:54:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"WPTavern: WP Engine Acquires StudioPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81948\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wptavern.com/wp-engine-acquires-studiopress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4332:\"<p><a href=\"https://www.studiopress.com/\">StudioPress</a>, founded by Brian Gardner in 2007, has been acquired <a href=\"https://wpengine.com/blog/wp-engine-acquires-studiopress/\">by managed WordPress hosting company WP Engine</a>, for an undisclosed amount. </p>\n\n<p>In 2007, Gardner created the Revolution theme which took the WordPress world by storm. According to some people, it ignited the WordPress Premium theme market. <br /></p>\n\n<img />\n	Revolution Church Theme \n\n\n<p>In the midst of a GPL debate regarding themes in 2008, Gardner <a href=\"https://www.briangardner.com/blog/revolution-going-open-source.htm\">decided to license</a> the Revolution theme <a href=\"https://web.archive.org/web/20081011070936/https://www.briangardner.com/blog/revolution-going-open-source.htm\">as 100% GPL</a>. In 2009, Gardner <a href=\"https://www.studiopress.com/revolution-rebrands-as-studiopress/\">rebranded Revolution</a> to StudioPress due to legal reasons. </p>\n\n<p>Early in 2010, <a href=\"https://www.studiopress.com/introducing-genesis-framework/\">StudioPress released the Genesis Framework</a>. This framework would go on to power thousands of themes and be the cornerstone of StudioPress&#8217; theme business. In 2010, StudioPress <a href=\"https://www.studiopress.com/studiopress-merges-into-copyblogger-media-llc/\">was merged into Copyblogger Media LLC</a>, which eventually went on to create the Rainmaker platform. </p>\n\n<p>Fast forward to 2018 and StudioPress has been acquired by <a href=\"https://wpengine.com/\">WP Engine</a>, a managed WordPress hosting company founded in 2010 that earlier this year, <a href=\"https://techcrunch.com/2018/01/04/wp-engine-a-managed-wordpress-platform-raises-250m-from-silver-lake/\">received $250M in venture capital funding</a> from Silver Lake.  </p>\n\n<p>According to Jason Cohen, founder of WP Engine, this is the largest acquisition in the company&#8217;s history.</p>\n\n<p>&#8220;In all, our contributions to the WordPress community in time, money, writing, coding and thought leadership totaled more than $1.7 million in 2017 and we’re already doing even more this year,&#8221; he said.<br /></p>\n\n<p>&#8220;As WP Engine continues to grow and scale, the way we give back to the WordPress community must grow and scale also, which was one of the deciding factors behind our acquisition of <a href=\"https://wpengine.com/blog/wp-engine-acquires-studiopress/\">StudioPress</a>—our largest acquisition in WP Engine’s history.&#8221;</p>\n\n<p>The company plans to heavily invest in the Genesis Framework community and ecosystem by hiring people to work on different aspects of the framework. Support will receive a boost as well as the ecosystem surrounding StudioPress&#8217; products. </p>\n\n<p>With Gutenberg on the horizon, Cohen says the Genesis Framework will be a shining example of what&#8217;s possible with WordPress&#8217; new editor. </p>\n\n<p>&#8220;There’s been plenty of concern about how Gutenberg will affect existing plugins and themes, so Genesis can serve as an example for how Gutenberg can work brilliantly,&#8221; Cohen said. </p>\n\n<p>&#8220;This directly advances the goals of WordPress Core. This precedent doesn’t stop with Gutenberg, either. Gutenberg is the transformation of today—there will be more tomorrow. While the topic of the day will change, the idea of supporting Core through themes and theme frameworks that support those efforts is an asset for the wider WordPress community.&#8221;</p>\n\n<p>Gardner will stay on board and be part of StudioPress&#8217; leadership team at WP Engine with an emphasis on product development and community. Nathan Rice along with the support team will transition to WP Engine with Rice continuing to serve as the lead developer of Genesis. </p>\n\n<p>Gardner admits that the acquisition is bittersweet, but that it&#8217;s a founding moment in the company&#8217;s history.</p>\n\n<p>&#8220;As my new colleague, Jason Cohen, the founder of WP Engine often says, &#8216;There are many founding moments in the history of a company.&#8217; This is one of those moments and I know it’s time for StudioPress to take the next step—and WP Engine is the right partner to take it with.&#8221;</p>\n\n<p>StudioPress customers can expect better support, more themes to choose from, and little to no disruption of service.  </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Jun 2018 08:11:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WPTavern: Free “JavaScript for WordPress Conference” to Stream Live Friday, June 29\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81931\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wptavern.com/free-javascript-for-wordpress-conference-to-stream-live-friday-june-29\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3834:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/06/jsconf-2018.png?ssl=1\"><img /></a>JavaScript for WordPress conference\n<p>Zac Gordon is hosting a &#8220;<a href=\"https://javascriptforwp.com/conference/\" rel=\"noopener noreferrer\" target=\"_blank\">JavaScript for WordPress Conference</a>&#8221; with two tracks on Friday, June 29, from 9:30 AM &#8211; 5:30 PM EDT. The free conference, sponsored by <a href=\"https://10up.com/\" rel=\"noopener noreferrer\" target=\"_blank\">10up</a> and <a href=\"https://wpbuffs.com/\" rel=\"noopener noreferrer\" target=\"_blank\">WP Buffs</a>, includes a full day of online talks from JavaScript professionals who work in the WordPress ecosystem.</p>\n<p>Gordon will be streaming the talks live via Crowdcast. Approximately 1,300 seats have been reserved so far, a number that rivals most WordCamps. Unlike WordCamps, however, the entire schedule is focused around developer education, featuring more technical talks that are often missing from traditional WordPress events.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/06/screely-1530150620973.png?ssl=1\"><img /></a></p>\n<p>&#8220;I figured there was an interest in more JS-specific WordPress content and, given my courses and getting to know some people working a lot with JavaScript, I figured I would give it a shot,&#8221; Gordon said.</p>\n<p>Gordon has been working for the past several years as a freelance educator after his former employer, Treehouse, <a href=\"https://wptavern.com/treehouse-drops-support-for-wordpress-education\" rel=\"noopener noreferrer\" target=\"_blank\">dropped support for WordPress education</a>. He said his first project, the JavaScript for WordPress Master Course, was a huge undertaking. He is not offering that course anymore but is instead focusing on smaller, more targeted courses on his site <a href=\"https://javascriptforwp.com/\" rel=\"noopener noreferrer\" target=\"_blank\">javascriptforwp.com</a>.</p>\n<p>&#8220;Most of my courses this year will be Gutenberg related (have one now and a theme course launching next week, followed by an Advanced one after that),&#8221; Gordon said. He has also done courses at Udemy, Frontend Master, WP Sessions, WP101, and some consulting with Udacity.</p>\n<p>&#8220;I&#8217;m still learning the right price points and packaging and size,&#8221; Gordon said. &#8220;A few companies have gotten group accounts for their teams which is really positive and encouraging for me.&#8221;</p>\n<p>Gordon took a deep dive into JavaScript education after Matt Mullenweg issued a challenge to &#8220;Learn JavaScript Deeply&#8221; during his <a href=\"https://wptavern.com/state-of-the-word-2015-javascript-and-api-driven-interfaces-are-the-future-of-wordpress\" rel=\"noopener noreferrer\" target=\"_blank\">2015 State of the Word</a> address. He said so far the courses he offers have been going well and the community seems to have embraced the challenge.</p>\n<p>&#8220;The funny thing about Learning JavaScript Deeply is that people will still be able to build things in Gutenberg and beyond without really knowing it deeply,&#8221; Gordon said. &#8220;However most in the community have already picked up React or delved deeper into Vanilla JavaScript, and those who haven&#8217;t I believe certainly will be in the coming months and years.</p>\n<p>&#8220;Now with React in Core and the rebuilding of many parts of the admin with JS, we will have more real practical reasons to heed Matt&#8217;s call than we did before.&#8221;</p>\n<p>If the &#8220;JavaScript for WordPress Conference&#8221; goes well, Gordon said he hopes to make it an annual event. He is also considering doing a free day of workshops. All the talks given during the conference on Friday will be recorded and Gordon plans to drip them out over the coming months on his YouTube channel.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 28 Jun 2018 02:49:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: Gutenberg 3.1 Introduces Tips Interface to Guide New Users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81787\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/gutenberg-3-1-introduces-tips-interface-to-guide-new-users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3663:\"<p><a href=\"https://make.wordpress.org/core/2018/06/21/whats-new-in-gutenberg-21st-june/\" rel=\"noopener noreferrer\" target=\"_blank\">Gutenberg 3.1</a> added a tips interface that supports and guides new users who are learning to navigate the editor&#8217;s blocks and settings. The tips appear when a new user opens Gutenberg, highlighting useful items on the page.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2018/06/screely-1530113565627.png?ssl=1\"><img /></a></p>\n<p>Although the tips may seem cluttered and intrusive to users who already know what they are doing, they are a necessary evil for introducing the UI to new users. Gutenberg is not yet intuitive enough to be able to stand on its own without explanation inside the interface.</p>\n<p><a href=\"https://10up.com/blog/2018/user-testing-gutenberg/\" rel=\"noopener noreferrer\" target=\"_blank\">10up recently conducted Gutenberg usability tests</a> that unearthed some startling realities about how new users interact with the new editor. The tests were done on previous versions of the plugin (2.9.2) with users who frequently create content using the classic WordPress editor. 10up asked testers, who have had no training on Gutenberg, to write a news-style blog post.</p>\n<p>One of the most surprising results was that participants struggled with the simple task of adding an image to a post.</p>\n<p>&#8220;Although the interface is clean, a lack of focused attention or hierarchy on the page became apparent,&#8221; 10up Experience Designer Sarah James said. &#8220;Participants struggled to complete tasks like adding an image that did not have a clearly exposed and labeled element like the title and paragraph fields. Heatmap tracking of the backend captured 734 unique clicks in the new post interface and only 40 of these clicks were on actual clickable elements. This suggests a struggle to find basic interactive elements, such as image blocks.&#8221;</p>\n<p>Participants also had a difficult time finding and inserting additional block types &#8211; several testers overlooked the “+” symbol that triggers interface for adding a new block.</p>\n<p>Gutenberg 3.0 and 3.1 have already improved on these pain points with changes that highlight common tasks. The 3.0 release <a href=\"https://github.com/WordPress/gutenberg/pull/6636\" rel=\"noopener noreferrer\" target=\"_blank\">redesigned the inserter, ditching tabs for collapsible panels</a>. This makes it more friendly for hunting among blocks. Version 3.1 includes a new design of the sibling inserter (the &#8220;+&#8221; symbol that appears to allow user to insert blocks between other blocks).</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2018/06/screely-1530126900744.png?ssl=1\"><img /></a></p>\n<p>In addition to improving usability issues with the inserter, Gutenberg 3.1 fixes some of the mechanics of previewing and saving posts. Users can now <a href=\"https://github.com/WordPress/gutenberg/pull/7189\" rel=\"noopener noreferrer\" target=\"_blank\">preview changes to a published post without updating the post</a>. The editor was also updated to trigger autosave as a standard save for a draft by the user currently authoring the post.</p>\n<p>HTML blocks that have been converted into shared blocks now show in preview mode, which makes it easier for users to see what they do and insert them visually. The code will only show if the user wants to edit the block.</p>\n<p>For a full list of the changes in 3.1, check out the <a href=\"https://make.wordpress.org/core/2018/06/21/whats-new-in-gutenberg-21st-june/\" rel=\"noopener noreferrer\" target=\"_blank\">release post on make.wordpress.org</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Jun 2018 19:44:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"HeroPress: The Power Of WordCamps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://heropress.com/?p=2577\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"https://heropress.com/the-power-of-wordcamps/#utm_source=rss&utm_medium=rss&utm_campaign=the-power-of-wordcamps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3085:\"<img width=\"960\" height=\"480\" src=\"https://s20094.pcdn.co/wp-content/uploads/2017/06/062117-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: I was helping hundreds of people that were using WordPress for their business. That\'s powerful.\" /><p>WordCamps have a unique power to impact lives and careers. Without people and community, WordPress is simply software. But when you add in a large group of passionate people, people who are and are interested, everything changes. There&#8217;s excitement, encouragement, and education. Entrepreneurship can be a long and lonely road. Having a solid support community can make all the difference, and WordCamps can be a huge shot in the arm.</p>\n<p>This week&#8217;s HeroPress replay is by Juan Hernando from <a href=\"https://www.google.com/maps/place/Pontevedra%2C+Spain/@42.6208401,-8.572101599999996,5z/\">Pontevedra, Spain</a>. His essay details his journey from an unknown member of his local WordPress community to being a leader in that same community.</p>\n<blockquote class=\"wp-embedded-content\"><p><a href=\"https://heropress.com/essays/becoming-known-wordpress-community/\">Becoming Known in the WordPress Community</a></p></blockquote>\n<p></p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: The Power Of WordCamps\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=The%20Power%20Of%20WordCamps&via=heropress&url=https%3A%2F%2Fheropress.com%2Fthe-power-of-wordcamps%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: The Power Of WordCamps\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fthe-power-of-wordcamps%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fthe-power-of-wordcamps%2F&title=The+Power+Of+WordCamps\" rel=\"nofollow\" target=\"_blank\" title=\"Share: The Power Of WordCamps\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/the-power-of-wordcamps/&media=https://heropress.com/wp-content/uploads/2017/06/062117-150x150.jpg&description=The Power Of WordCamps\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: The Power Of WordCamps\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/the-power-of-wordcamps/\" title=\"The Power Of WordCamps\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/the-power-of-wordcamps/\">The Power Of WordCamps</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Jun 2018 13:04:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:117:\"WPTavern: TaxJar to Host Free Webinar June 27: Tax Experts Answer Questions on State Tax Compliance for Online Stores\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81886\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:127:\"https://wptavern.com/taxjar-to-host-free-webinar-june-27-tax-experts-answer-questions-on-state-tax-compliance-for-online-stores\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3544:\"<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2018/06/Screen-Shot-2018-06-26-at-4.10.19-PM.png?ssl=1\"><img /></a></p>\n<p><a href=\"https://www.taxjar.com/\" rel=\"noopener noreferrer\" target=\"_blank\">TaxJar</a>, a company that offers automated sales tax software, is hosting a <a href=\"https://www.crowdcast.io/e/supreme-court-taxjar\" rel=\"noopener noreferrer\" target=\"_blank\">free webinar June 27</a> at 11:30 AM CDT to answer questions regarding the U.S. Supreme Court&#8217;s decision on <a href=\"http://www.scotusblog.com/2018/06/opinion-analysis-court-expands-states-ability-to-require-internet-retailers-to-collect-sales-tax/\" rel=\"noopener noreferrer\" target=\"_blank\">South Dakota v. Wayfair</a>. The court ruled in favor of South Dakota on June 21st, 2018, allowing any state to require online sellers to collect taxes for sales made from customers in that state.</p>\n<p>The provisions identified in the South Dakota vs. Wayfair ruling identifies retailers making $100K+ or 200+ transactions in the state as having an &#8220;economic presence&#8221; that would require out-of-state retailers to render sales tax. However, it&#8217;s not yet clear how other states will measure sales tax liability.</p>\n<p>TaxJar has gathered a panel of tax experts to discuss the requirements of the new sales tax compliance burden for online businesses. Nearly 2,000 people are currently signed up to tune in and attendees can also <a href=\"https://www.crowdcast.io/e/supreme-court-taxjar\" rel=\"noopener noreferrer\" target=\"_blank\">submit questions</a> in advance. A few popular questions submitted so far include:</p>\n<p><em>&#8220;How will we know which states we are required to pay taxes in, and do we have to create accounts in every state and pay for returns in all 50?&#8221;</em></p>\n<p><em>&#8220;I read that South Dakota, Colorado and Louisiana have a threshold of 100K in sales in their state to start collecting taxes. Is this really the case, and where can we find the threshold for other states?&#8221;</em></p>\n<p><em>&#8220;Does each state that wants to participate have to pass a law like South Dakota or is this now automatic for all states with a sales tax?&#8221;</em></p>\n<p>WooCommerce has created <a href=\"https://woocommerce.com/2018/06/woocommerce-sales-tax-for-the-us-how-to-enable-automated-calculations-and-filing/\" rel=\"noopener noreferrer\" target=\"_blank\">a guide to help users set up and collect taxes</a> as required by the tax jurisdiction where their stores are located. Online store owners in the US and Canada can set enable automated tax calculations using either the WooCommerce Tax or TaxJar add-ons (both free), depending on whether the merchant operates within a single tax nexus or multiple nexus locations.</p>\n<p>Automatic sales tax calculations are also available for merchants using Easy Digital Downloads. Pippin Williamson built <a href=\"https://wordpress.org/plugins/edd-taxjar/\" rel=\"noopener noreferrer\" target=\"_blank\">a free integration for EDD and TaxJar</a> that passes all tax rate determinations to TaxJar to calculate automatically, eliminating the need for manual tax rate entry.</p>\n<p>The Supreme Court&#8217;s ruling is very new and many state-specific details are yet to be worked out, but state legislatures are likely to be highly motivated and eager to rake in this new source of revenue. The <a href=\"https://blog.taxjar.com/\" rel=\"noopener noreferrer\" target=\"_blank\">TaxJar blog</a> will be a good source for updates as more compliance information becomes available.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 26 Jun 2018 21:26:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: Interview with Matías Ventura on Building the Vision for Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81807\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wptavern.com/interview-with-matias-ventura-on-building-the-vision-for-gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2952:\"<p>At WordCamp Europe I had the opportunity to sit down with <a href=\"https://matiasventura.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Matías Ventura</a>, the technical lead for Gutenberg. Ventura, who has been responsible for building the vision for Gutenberg (in addition to building the actual product), shared a few things the team might have done differently in the earlier days to improve its reception in the community.</p>\n<p>&#8220;I think we should have put a little bit more effort into clarifying what we meant by the &#8216;editor,\'&#8221; Ventura said. &#8220;When Matt announced that we&#8217;re going to be focusing on the editor, the WordPress community generally took it that we were going to focus on TinyMCE. But the idea from the start was to focus on the editing experience as a whole, how a user perceives that, which is the whole page. I think it took some time to rectify that that was always what was meant &#8211; to look at the whole editing interface at once.</p>\n<p>&#8220;With some of these projects people are going to be in different places at different times and things will coalesce and make sense at different paces. I think we&#8217;ve gotten to a point now where we have built enough of the Gutenberg vision that we can see where it can lead us.&#8221;</p>\n<p>Several representatives from the Gutenberg team were available at WordCamp Europe for informal chats with the community. They also conducted workshops and gave presentations to prepare designers and developers for what&#8217;s coming in the next few months. Momentum for the new editor is building and Ventura shared what he hopes the world will see when version 1 is included in core.</p>\n<p>&#8220;The thing that has been the most fulfilling, at least to me, has been seeing the regular users when they can use Gutenberg and build things that would have been very hard for them to do before,&#8221; Ventura said. &#8220;When they share those impressions &#8211; that they can build something that they are proud of and express themselves &#8211; to me that is the most fulfilling because that&#8217;s really one of the major points behind this. At the same time, I&#8217;m really looking forward to seeing what the design and developer community can build with it and where their imaginations can take us from there. Core is going to supply the infrastructure and the main building blocks but it&#8217;s everything that can be built around it that&#8217;s going to be exciting, as always with WordPress.&#8221;</p>\n<p>Ventura also described some of the interesting possibilities of templates, nested blocks, and child blocks, and how they can be combined to create more sophisticated solutions. He recommends the <a href=\"https://wordpress.org/gutenberg/\" rel=\"noopener noreferrer\" target=\"_blank\">WordPress.org/Gutenberg</a> page for resources on getting started with the new editor. Check out the video below for the full interview.</p>\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 25 Jun 2018 22:59:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: Three Minute Movie Showcases The WordCamp EU 2018 Experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81821\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://wptavern.com/three-minute-movie-showcases-the-wordcamp-eu-2018-experience\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:741:\"<p>If you happened to <a href=\"https://wptavern.com/matt-mullenweg-unveils-gutenberg-roadmap-at-wceu-wordpress-agencies-and-product-developers-sprint-to-prepare\">miss out on WordCamp EU</a> this year, check out the following short film produced by <a href=\"https://www.facebook.com/Production-Pool-402255476588176/\">Production Pool</a>. Production Pool is a video production company based in Belgrade, Serbia that was hired to record all of the videos and wrap up the live stream for WordCamp Europe.</p>\n\n<p>The video is just shy of three minutes in length, highlights the size and scope of the event, and is well produced. You can almost feel what it was like to be an attendee.</p>\n\n<p>How many people can you name in the video?<br /></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 25 Jun 2018 21:28:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"Matt: Mass Unsubscribe Mailchimp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=48190\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://ma.tt/2018/06/mass-unsubscribe-mailchimp/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1082:\"<p>I&#8217;m a huge fan of <a href=\"https://mailchimp.com/\">Mailchimp</a>, but <em>dang</em> does the service get abused by folks aggressively opting you into mailing lists. I have a very early, very generic Gmail address that people put as a filler address into every possible service and it gets tens of thousands of list and spam mails. A good trick to find and unsubscribe from all the Mailchimp lists you&#8217;re on is to search for <code>mcsv.net</code> and then select all, report as spam, and unsubscribe. Gmail doesn&#8217;t deal well when the unsubscribe list is taller than your screen, so you may need to hit <code>command + -</code> a few times to make it all fit. Also <a href=\"https://www.facebook.com/mailchimp/posts/10152104546810777\">according to this post</a>, &#8220;you can also get in touch with our compliance team directly at <a href=\"mailto:compliance@mailchimp.com\">compliance@mailchimp.com</a> with the email address you would like to remove from all lists and they will be happy to further assist you there as well.&#8221; I will try that as well.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 25 Jun 2018 15:19:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Matt: Atavist &amp; Automattic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=48169\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://ma.tt/2018/06/atavist-automattic/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:884:\"<img />\n\n<p>As <a href=\"https://www.wsj.com/articles/wordpress-com-owner-buys-atavist-maker-of-subscription-offering-publishing-software-1529597700?mod=searchresults&page=1&pos=1\">reported by the Wall Street Journal</a>, and <a href=\"https://en.blog.wordpress.com/2018/06/21/atavist-joins-wordpress-dot-com/\">an interview about on the WP.com blog</a>, Automattic has acquired the <a href=\"https://atavist.com/\">Atavist platform</a>, <a href=\"https://magazine.atavist.com/\">magazine</a>, and team. Looking forward to working alongside the team: we&#8217;re keeping the magazine going and it&#8217;ll complement <a href=\"https://longreads.com/\">Longreads</a>, and integrating the best of the platform&#8217;s CMS and publisher features into WordPress.com and Jetpack and after that&#8217;s done providing an upgrade path so all of its publishers can move to being WordPress-powered.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 21 Jun 2018 19:14:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"WPTavern: Matt Mullenweg Unveils Gutenberg Roadmap at WCEU, WordPress Agencies and Product Developers Sprint to Prepare\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=81572\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:129:\"https://wptavern.com/matt-mullenweg-unveils-gutenberg-roadmap-at-wceu-wordpress-agencies-and-product-developers-sprint-to-prepare\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11163:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2018/06/matt-keynote-wceu-2018.jpg?ssl=1\"><img /></a>photo credit: WordCamp Europe Photography Team\n<p>At his WCEU keynote address in Belgrade, Matt Mullenweg laid out a detailed roadmap for Gutenberg to land in WordPress 5.0 within the next few months, garnering mixed reactions from attendees. Gutenberg&#8217;s timeline is one of the most pressing questions for those who work in the WordPress ecosystem.</p>\n<p>The Gutenberg team has sustained a rapid pace of development over the past year with 30 releases since development began. There are currently 14,000 sites actively using the plugin and Mullenweg plans to roll it out to WordPress.com users in the near future. He announced that the WordPress 5.0 release could be ready as soon as August. In the meantime, the Gutenberg team will continue to refine its current features according to the roadmap Mullenweg outlined in his keynote:</p>\n<p><strong>June 2018</strong></p>\n<ul>\n<li>Freeze new features into Gutenberg</li>\n<li>Hosts, agencies and teachers invited to opt-in sites they have influence over</li>\n<li>Opt-in for wp-admin users on WP.com</li>\n<li>Mobile App support in the Aztec editor across iOs and Android</li>\n</ul>\n<p><strong>July 2018</strong></p>\n<ul>\n<li>4.9.x release with a strong invitation to install either Gutenberg or Classic Editor plugin</li>\n<li>Opt-out for wp-admin users on WP.com</li>\n<li>Heavy triage and bug gardening, getting blockers to zero</li>\n<li>Explore expanding Gutenberg beyond the post into site customization</li>\n</ul>\n<p><strong>August 2018 and beyond</strong></p>\n<ul>\n<li>All critical issues resolved</li>\n<li>Integration with Calypso, offering opt-in users</li>\n<li>100k+ sites having makde 250k+ post using Gutenberg</li>\n<li>Core merge, beginning the 5.0 release cycle</li>\n<li>5.0 beta releases and translations completed</li>\n<li>Mobile version of Gutenberg by the end of the year</li>\n</ul>\n<p>Mullenweg said he hopes to increase Gutenberg usage to 100,000 sites with 250,000 posts made over the next few months. WordPress.com will be instrumental in that goal with a call to action for opt-in that will appear on several hundred thousand sites. In July, WordPress.com will switch the Gutenberg editor to opt-out. Mullenweg said he hopes to gather data from how users respond, especially those who have third-party plugins active on their sites.</p>\n<p>Switching between editing posts in the mobile apps currently breaks but Mullenweg anticipates this will be resolved by August, with full mobile versions of Gutenberg available by the end of the year.</p>\n<p>Mullenweg opened his keynote by drawing attendees&#8217; attention to a new &#8220;<a href=\"https://publiccode.eu/\" rel=\"noopener noreferrer\" target=\"_blank\">Public Code</a>&#8221; link in the footer of WordPress.org. This campaign, organized by <a href=\"https://fsfe.org/index.en.html\" rel=\"noopener noreferrer\" target=\"_blank\">Free Software Foundation Europe</a>, aims to require any publicly financed software developed for the public sector be made available under a Free and Open Source Software license.</p>\n<p>Mullenweg also announced St. Louis, MO, as the next location for WordCamp US in 2019-2020. The local WordPress community in the city spans two states with members from both Missouri and Illinois who have hosted seven WordCamps since 2011.</p>\n<h3>Developers and Agencies Double Down on Gutenberg Preparation, &#8220;Playing for Keeps&#8221;</h3>\n<p>The process of getting products and client websites ready for Gutenberg is a leap for nearly every company and freelancer invested in the WordPress ecosystem. Mullenweg said he cannot guarantee a specific date for release but thinks that &#8220;5.0 is going be ready within a relatively short time frame.&#8221;</p>\n<p>Although many WCEU attendees expressed skepticism about the accelerated timeline for Gutenberg&#8217;s inclusion in core, most recognize the importance of working towards making their clients and products compatible with the new editor.</p>\n<p>Gutenberg technical lead <a href=\"https://matiasventura.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Matias Ventura</a> said it&#8217;s too early to tell whether the WordPress community will be ready by the time Gutenberg is included in core. &#8220;I think people have already been trying to get ready and we&#8217;re already seeing many major sites being launched using Gutenberg,&#8221; Ventura said. &#8220;From what we&#8217;ve seen with plugin authors building compatibility for Gutenberg, it seems there&#8217;s already enough momentum going on that it could be achievable.&#8221;</p>\n<p>Brad Williams, CEO of WebDevStudios, said his company&#8217;s team of engineers has been <a href=\"https://webdevstudios.com/2018/03/20/webdevstudios-gutenberg-planning-wordpress/\">actively preparing for Gutenberg</a> since late last year and is &#8220;very excited about what it means for the future of WordPress publishing.&#8221; Williams assigned two Gutenberg Leads internally to head up everything related to the new editor and conducted internal training with staff. WebDevStudios also built and released its own Gutenberg add-on framework called <a href=\"https://github.com/WebDevStudios/WDS-Blocks/releases\">WDS Blocks</a>, a framework that includes new custom blocks that many WDS clients use.</p>\n<p>&#8220;Having a potential release date, even if it’s only a target month, is incredibly helpful,&#8221; Williams said. &#8220;This gives us a goal to work towards with each of our clients to verify we are ready for the release. I expect the majority of our clients will not enable Gutenberg on release, but we still need to make sure we have an upgrade plan ready for WordPress 5.0. We are working closely with each of our clients so they understand what is coming, the benefits Gutenberg can provide them, and what a potential roll-out plan will look like. We are also making sure any new leads coming in the door are aware of Gutenberg and the impact it will have on their new WordPress project.&#8221;</p>\n<p>Gary Jones, plugin developer and WordPress engineer at <a href=\"https://gamajo.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Gamajo</a>, expressed apprehension about the timeline. He also plans to make use of the <a href=\"https://wordpress.org/plugins/classic-editor/\" rel=\"noopener noreferrer\" target=\"_blank\">Classic Editor</a> plugin to opt sites out of using Gutenberg.</p>\n<p>&#8220;With 737 open issues, I think the August timeline may still be a little short,&#8221; Jones said. &#8220;That&#8217;s only for the &#8216;critical issues&#8217; to be resolved but introducing such a massive change to the basics of managing content like this needs more than just the critical issues resolved; it needs all of the workflow to be very smooth as well.&#8221;</p>\n<p>Jones said he doesn&#8217;t think the typical rhetoric of getting a &#8216;1.0&#8217; release out the door applies in the case of Gutenberg. &#8220;There&#8217;s too much riding on it for it not to make a great first impression for the user base who haven&#8217;t been following its progress,&#8221; Jones said. &#8220;A plugin can have a much quicker release turnaround time for non-critical improvements and fixes than what WP core would have.&#8221;</p>\n<p>Jones said he plans to wait until the merge proposal before tackling plugin compatibility and will wait until 5.0 is out to start improving the experience for his clients. He said this may require creating custom blocks or installing plugins that add custom blocks clients might need. &#8220;By then we&#8217;d also know how ACF, Pods. and other plugins we use, and the Genesis theme, are supporting Gutenberg editor (or not),&#8221; Jones said.</p>\n<p>Jake Goldman, President and founder of <a href=\"https://10up.com/\" rel=\"noopener noreferrer\" target=\"_blank\">10up</a>, said his company already has an internal mandate that all new public plugins and major plugin updates must have at least &#8220;beta&#8221; support for Gutenberg. 10up&#8217;s <a href=\"https://distributorplugin.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Distributor</a> product is already Gutenberg-ready and the company has several Gutenberg-ready plugins and updates expected to ship in the next 1-2 months.</p>\n<p>&#8220;Clients are trickier,&#8221; Goldman said. &#8220;We have two big client projects started in the last couple of months that are using Gutenberg, and some pretty complicated custom blocks and extensions. We have a couple of other customers who are curious or in the exploratory phase. Two big client projects have us a bit gun shy about adopting [Gutenberg] as the &#8216;standard&#8217; on newer projects until it matures a bit more and begins to focus a bit more on the &#8216;enterprise use case / user stories&#8217; &#8211; there are some real challenges with those user stories.&#8221;</p>\n<p>Goldman also said he was encouraged to hear that Calypso will adopt Gutenberg in the next couple of months, because he hopes it will address some of the confusion and fragmentation issues.</p>\n<p>He doesn&#8217;t anticipate Gutenberg actually landing in August, however. &#8220;I don’t see August, frankly, because I don’t think the core team has a clear vision for &#8216;how&#8217; an upgrade with Gutenberg will work,&#8221; Goldman said. &#8220;That said, I suspect Matt is knowingly putting timeline pressure on the team &#8211; a bit of &#8216;if I say August, we can probably hit November&#8217; type mentality.&#8221;</p>\n<p>Mason James, founder of <a href=\"https://www.valet.io/\">Valet</a>, said he is confident his clients and products will be ready after testing Gutenberg on hundreds of sites. His team is watching a few products that have compatibility issues but he is hopeful these will be resolved soon.</p>\n<p>&#8220;The timeline of August seems a bit optimistic,&#8221; James said. &#8220;I’d be surprised if that is met, but our clients will be in good shape if that happens. We’ve also been sending information to our clients via email, a whitepaper, to try to mitigate any surprises ahead of time.</p>\n<p>&#8220;We decided last year that Gutenberg was a tremendous opportunity for us to reinforce our value proposition to our clients,&#8221; James said. &#8220;It’s an ongoing important initiative for us this year; We&#8217;re playing for keeps.&#8221;</p>\n<p><a href=\"https://thefearlessfreelancer.com/\" rel=\"noopener noreferrer\" target=\"_blank\">Carrie Dils</a>, a WordPress developer, consultant, and educator, has also jumped head first into getting her products compatible with Gutenberg ahead of the new timeline.</p>\n<p>&#8220;I’m feverishly working to get an updated version of the <a href=\"https://store.carriedils.com/downloads/utility-pro/\" rel=\"noopener noreferrer\" target=\"_blank\">Utility Pro theme</a> (my primary product) out the door,&#8221; Dils said. &#8220;The Gutenberg updates are just one part of a larger overhaul (including a minimum requirement of PHP7 and WP 5.0+). I’ve also made the decision not to incorporate Classic Editor theme styles. All looking forward, no looking back.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 21 Jun 2018 16:37:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Matt: WordPress in Uber\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=48160\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://ma.tt/2018/06/wordpress-in-uber/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:923:\"<p>I really love this thread and the replies sharing stories about Val Vesa&#8217;s experience talking about WordPress in an Uber / Lyft ride:</p>\n\n\n	<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">My <a href=\"https://twitter.com/Uber?ref_src=twsrc%5Etfw\">@Uber</a> driver last night, going home from airport asked me where was I coming from.<br />Told here about <a href=\"https://twitter.com/hashtag/WCEU?src=hash&ref_src=twsrc%5Etfw\">#WCEU</a><br />&#8211; what is that, she asked.<br />&#8211; the European Conference for <a href=\"https://twitter.com/hashtag/WordPress?src=hash&ref_src=twsrc%5Etfw\">#WordPress</a>, I said.<br />Her eyes sparkling, she grabbed the wheel firm, looked in the rear view mirror at me and said,</p>&mdash; Val Vesa | Social Media &amp; Travel Photography (@adspedia) <a href=\"https://twitter.com/adspedia/status/1008782561638801413?ref_src=twsrc%5Etfw\">June 18, 2018</a></blockquote>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 21 Jun 2018 05:20:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Mon, 23 Jul 2018 06:53:01 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Mon, 23 Jul 2018 06:45:28 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:5:\"build\";s:14:\"20180723054635\";}", "no");
INSERT INTO `wp_options` VALUES("682", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1532371981", "no");
INSERT INTO `wp_options` VALUES("683", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1532328781", "no");
INSERT INTO `wp_options` VALUES("684", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1532371981", "no");
INSERT INTO `wp_options` VALUES("685", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2018/07/quarterly-updates-q2-2018/\'>Quarterly Updates | Q2 2018</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/gutenberg-3-3-released-adds-archives-and-recent-comments-blocks\'>WPTavern: Gutenberg 3.3 Released, Adds Archives and Recent Comments Blocks</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/karachi-to-host-first-wordcamp-in-pakistan-following-cancellation-of-wordcamp-lahore\'>WPTavern: Karachi to Host First WordCamp in Pakistan Following Cancellation of WordCamp Lahore</a></li><li><a class=\'rsswidget\' href=\'https://poststatus.com/why-the-makers-of-ninja-forms-are-getting-into-ecommerce/\'>Post Status: Why the makers of Ninja Forms are getting into eCommerce</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("691", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2018-07-23 08:05:21\";s:7:\"Version\";s:6:\"1.2.40\";s:9:\"VersionWP\";s:5:\"4.9.7\";s:9:\"VersionDB\";s:6:\"5.6.38\";s:10:\"VersionPHP\";s:6:\"7.1.12\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:35:\"20180723_i_heart_cities_rev_w_theme\";s:4:\"Hash\";s:32:\"0e33fa70b9ca63ba6390180723080521\";s:8:\"NameHash\";s:68:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:74:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-snapshots/tmp\";s:8:\"StoreURL\";s:67:\"http://localhost:8888/iheartcities-revised-summer2018/wp-snapshots/\";s:8:\"ScanFile\";s:78:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521_scan.json\";s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";N;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":19:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:57:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:5:\"Files\";a:0:{}s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":4:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":5:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":2:{s:4:\"Core\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2018-07-23 08:05:21\";s:7:\"Version\";s:6:\"1.2.40\";s:9:\"VersionWP\";s:5:\"4.9.7\";s:9:\"VersionDB\";s:6:\"5.6.38\";s:10:\"VersionPHP\";s:6:\"7.1.12\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:35:\"20180723_i_heart_cities_rev_w_theme\";s:4:\"Hash\";s:32:\"0e33fa70b9ca63ba6390180723080521\";s:8:\"NameHash\";s:68:\"20180723_i_heart_cities_rev_w_theme_0e33fa70b9ca63ba6390180723080521\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:9:\"StorePath\";s:74:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-snapshots/tmp\";s:8:\"StoreURL\";s:67:\"http://localhost:8888/iheartcities-revised-summer2018/wp-snapshots/\";s:8:\"ScanFile\";N;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";N;s:6:\"WPUser\";N;s:7:\"Archive\";r:22;s:9:\"Installer\";O:13:\"DUP_Installer\":7:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:10:\"\0*\0Package\";r:58;}s:8:\"Database\";O:12:\"DUP_Database\":13:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:10:\"\0*\0Package\";r:58;s:25:\"\0DUP_Database\0dbStorePath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:6:{i:0;s:66:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-admin\";i:1;s:76:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/uploads\";i:2;s:78:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/languages\";i:3;s:76:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/plugins\";i:4;s:75:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-content/themes\";i:5;s:69:\"/Applications/MAMP/htdocs/iheartcities-revised-summer2018/wp-includes\";}}s:9:\"Installer\";r:80;s:8:\"Database\";r:88;}", "yes");
INSERT INTO `wp_options` VALUES("692", "_site_transient_timeout_theme_roots", "1532334524", "no");
INSERT INTO `wp_options` VALUES("693", "_site_transient_theme_roots", "a:1:{s:13:\"twentysixteen\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("695", "theme_mods_twentysixteen", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:6;}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1532332334;s:4:\"data\";a:4:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:4:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:12:\"categories-2\";i:3;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:9:\"sidebar-3\";a:0:{}}}s:18:\"custom_css_post_id\";i:-1;}", "yes");
INSERT INTO `wp_options` VALUES("699", "_transient_is_multi_author", "0", "yes");
INSERT INTO `wp_options` VALUES("700", "_transient_twentysixteen_categories", "2", "yes");
INSERT INTO `wp_options` VALUES("701", "_site_transient_update_themes", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1532332725;s:7:\"checked\";a:1:{s:13:\"twentysixteen\";s:3:\"1.5\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("42", "24", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("43", "24", "_edit_lock", "1522996043:1");
INSERT INTO `wp_postmeta` VALUES("120", "62", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("121", "62", "_edit_lock", "1522994630:1");
INSERT INTO `wp_postmeta` VALUES("122", "63", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("123", "63", "_edit_lock", "1522996260:1");
INSERT INTO `wp_postmeta` VALUES("124", "64", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("125", "64", "_edit_lock", "1522994523:1");
INSERT INTO `wp_postmeta` VALUES("126", "65", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("127", "65", "_edit_lock", "1522996046:1");
INSERT INTO `wp_postmeta` VALUES("128", "66", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("129", "66", "_edit_lock", "1522991692:1");
INSERT INTO `wp_postmeta` VALUES("130", "67", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("131", "67", "_edit_lock", "1522995415:1");
INSERT INTO `wp_postmeta` VALUES("132", "68", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("133", "68", "_edit_lock", "1522994693:1");
INSERT INTO `wp_postmeta` VALUES("134", "69", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("135", "69", "_edit_lock", "1522993807:1");
INSERT INTO `wp_postmeta` VALUES("136", "70", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("137", "70", "_edit_lock", "1522991696:1");
INSERT INTO `wp_postmeta` VALUES("138", "71", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("139", "71", "_edit_lock", "1522991695:1");
INSERT INTO `wp_postmeta` VALUES("140", "72", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("141", "72", "_edit_lock", "1522993915:1");
INSERT INTO `wp_postmeta` VALUES("142", "73", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("143", "73", "_edit_lock", "1522995481:1");
INSERT INTO `wp_postmeta` VALUES("279", "135", "_wp_attached_file", "2018/04/london-wide-02.jpg");
INSERT INTO `wp_postmeta` VALUES("280", "135", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-02.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-02-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-02-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-02-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-02-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "136", "_wp_attached_file", "2018/04/london-wide-03.jpg");
INSERT INTO `wp_postmeta` VALUES("282", "136", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1598;s:4:\"file\";s:26:\"2018/04/london-wide-03.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-03-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-03-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-03-768x511.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:511;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-03-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("283", "137", "_wp_attached_file", "2018/04/london-wide-07.jpg");
INSERT INTO `wp_postmeta` VALUES("284", "137", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1350;s:4:\"file\";s:26:\"2018/04/london-wide-07.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-07-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-07-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-07-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-07-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "138", "_wp_attached_file", "2018/04/london-wide-23.jpg");
INSERT INTO `wp_postmeta` VALUES("286", "138", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-23.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-23-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-23-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-23-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "139", "_wp_attached_file", "2018/04/london-wide-25.jpg");
INSERT INTO `wp_postmeta` VALUES("288", "139", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1594;s:4:\"file\";s:26:\"2018/04/london-wide-25.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-25-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-25-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-25-768x510.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:510;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-25-1024x680.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:680;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "140", "_wp_attached_file", "2018/04/london-wide-26.jpg");
INSERT INTO `wp_postmeta` VALUES("290", "140", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-26.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-26-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-26-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-26-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-26-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("291", "141", "_wp_attached_file", "2018/04/london-wide-27.jpg");
INSERT INTO `wp_postmeta` VALUES("292", "141", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-27.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-27-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-27-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-27-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-27-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("293", "142", "_wp_attached_file", "2018/04/london-wide-37.jpg");
INSERT INTO `wp_postmeta` VALUES("294", "142", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-37.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-37-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-37-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-37-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-37-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("295", "143", "_wp_attached_file", "2018/04/london-wide-46.jpg");
INSERT INTO `wp_postmeta` VALUES("296", "143", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-46.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-46-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-46-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-46-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-46-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("297", "144", "_wp_attached_file", "2018/04/london-wide-50.jpg");
INSERT INTO `wp_postmeta` VALUES("298", "144", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1560;s:4:\"file\";s:26:\"2018/04/london-wide-50.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-50-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-50-300x195.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:195;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-50-768x499.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:499;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-50-1024x666.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:666;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("299", "145", "_wp_attached_file", "2018/04/london-wide-41.jpg");
INSERT INTO `wp_postmeta` VALUES("300", "145", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1472;s:4:\"file\";s:26:\"2018/04/london-wide-41.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-41-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-41-300x184.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:184;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-41-768x471.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:471;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-41-1024x628.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:628;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("301", "146", "_wp_attached_file", "2018/04/london-wide-30.jpg");
INSERT INTO `wp_postmeta` VALUES("302", "146", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-30.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-30-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-30-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-30-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-30-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("303", "147", "_wp_attached_file", "2018/04/newyork-wide-08-e1522995554142.jpg");
INSERT INTO `wp_postmeta` VALUES("304", "147", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1602;s:4:\"file\";s:42:\"2018/04/newyork-wide-08-e1522995554142.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:42:\"newyork-wide-08-e1522995554142-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:42:\"newyork-wide-08-e1522995554142-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:42:\"newyork-wide-08-e1522995554142-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:43:\"newyork-wide-08-e1522995554142-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("305", "148", "_wp_attached_file", "2018/04/newyork-wide-14.jpg");
INSERT INTO `wp_postmeta` VALUES("306", "148", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1601;s:4:\"file\";s:27:\"2018/04/newyork-wide-14.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-14-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-14-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-14-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("307", "149", "_wp_attached_file", "2018/04/newyork-wide-16.jpg");
INSERT INTO `wp_postmeta` VALUES("308", "149", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1583;s:4:\"file\";s:27:\"2018/04/newyork-wide-16.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-16-300x198.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:198;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-16-768x507.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:507;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-16-1024x675.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("309", "150", "_wp_attached_file", "2018/04/newyork-wide-18.jpg");
INSERT INTO `wp_postmeta` VALUES("310", "150", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1599;s:4:\"file\";s:27:\"2018/04/newyork-wide-18.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-18-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-18-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-18-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("311", "151", "_wp_attached_file", "2018/04/newyork-wide-19.jpg");
INSERT INTO `wp_postmeta` VALUES("312", "151", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-19.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-19-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-19-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-19-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-19-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("313", "152", "_wp_attached_file", "2018/04/newyork-wide-24.jpg");
INSERT INTO `wp_postmeta` VALUES("314", "152", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-24.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-24-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-24-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-24-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-24-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("315", "153", "_wp_attached_file", "2018/04/newyork-wide-29.jpg");
INSERT INTO `wp_postmeta` VALUES("316", "153", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-29.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-29-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-29-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-29-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-29-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("317", "154", "_wp_attached_file", "2018/04/newyork-wide-40.jpg");
INSERT INTO `wp_postmeta` VALUES("318", "154", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-40.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-40-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-40-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-40-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-40-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("319", "155", "_wp_attached_file", "2018/04/newyork-wide-42.jpg");
INSERT INTO `wp_postmeta` VALUES("320", "155", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-42.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-42-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-42-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-42-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-42-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("321", "156", "_wp_attached_file", "2018/04/newyork-wide-50.jpg");
INSERT INTO `wp_postmeta` VALUES("322", "156", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-50.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-50-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-50-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-50-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-50-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("323", "157", "_wp_attached_file", "2018/04/newyork-wide-52.jpg");
INSERT INTO `wp_postmeta` VALUES("324", "157", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-52.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-52-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-52-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-52-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-52-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("325", "158", "_wp_attached_file", "2018/04/newyork-wide-55.jpg");
INSERT INTO `wp_postmeta` VALUES("326", "158", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-55.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-55-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-55-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-55-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-55-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("327", "159", "_wp_attached_file", "2018/04/newyork-wide-56.jpg");
INSERT INTO `wp_postmeta` VALUES("328", "159", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1589;s:4:\"file\";s:27:\"2018/04/newyork-wide-56.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-56-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-56-300x199.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:199;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-56-768x508.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:508;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-56-1024x678.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:678;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("329", "160", "_wp_attached_file", "2018/04/newyork-wide-63.jpg");
INSERT INTO `wp_postmeta` VALUES("330", "160", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1599;s:4:\"file\";s:27:\"2018/04/newyork-wide-63.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-63-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-63-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-63-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-63-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("331", "161", "_wp_attached_file", "2018/04/newyork-wide-66.jpg");
INSERT INTO `wp_postmeta` VALUES("332", "161", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-66.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-66-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-66-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-66-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-66-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("333", "162", "_wp_attached_file", "2018/04/newyork-wide-71.jpg");
INSERT INTO `wp_postmeta` VALUES("334", "162", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1475;s:4:\"file\";s:27:\"2018/04/newyork-wide-71.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-71-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-71-300x184.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:184;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-71-768x472.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:472;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-71-1024x629.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:629;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("335", "163", "_wp_attached_file", "2018/04/tokyo-wide-04.jpg");
INSERT INTO `wp_postmeta` VALUES("336", "163", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1350;s:4:\"file\";s:25:\"2018/04/tokyo-wide-04.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-04-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-04-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-04-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-04-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("337", "164", "_wp_attached_file", "2018/04/tokyo-wide-05.jpg");
INSERT INTO `wp_postmeta` VALUES("338", "164", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1602;s:4:\"file\";s:25:\"2018/04/tokyo-wide-05.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-05-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-05-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-05-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-05-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("339", "165", "_wp_attached_file", "2018/04/tokyo-wide-06.jpg");
INSERT INTO `wp_postmeta` VALUES("340", "165", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1350;s:4:\"file\";s:25:\"2018/04/tokyo-wide-06.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-06-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-06-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-06-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-06-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("341", "166", "_wp_attached_file", "2018/04/tokyo-wide-07.jpg");
INSERT INTO `wp_postmeta` VALUES("342", "166", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/tokyo-wide-07.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-07-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-07-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-07-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-07-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("343", "167", "_wp_attached_file", "2018/04/tokyo-wide-08-e1522995673370.jpg");
INSERT INTO `wp_postmeta` VALUES("344", "167", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1539;s:4:\"file\";s:40:\"2018/04/tokyo-wide-08-e1522995673370.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-08-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-08-300x192.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:192;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-08-768x492.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:492;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-08-1024x657.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:657;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("345", "168", "_wp_attached_file", "2018/04/tokyo-wide-09.jpg");
INSERT INTO `wp_postmeta` VALUES("346", "168", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1602;s:4:\"file\";s:25:\"2018/04/tokyo-wide-09.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-09-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-09-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-09-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-09-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("347", "169", "_wp_attached_file", "2018/04/tokyo-wide-11.jpg");
INSERT INTO `wp_postmeta` VALUES("348", "169", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/tokyo-wide-11.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-11-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-11-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-11-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("349", "170", "_wp_attached_file", "2018/04/tokyo-wide-13.jpg");
INSERT INTO `wp_postmeta` VALUES("350", "170", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1500;s:4:\"file\";s:25:\"2018/04/tokyo-wide-13.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-13-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-13-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-13-768x480.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:480;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-13-1024x640.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("351", "171", "_wp_attached_file", "2018/04/tokyo-wide-14.jpg");
INSERT INTO `wp_postmeta` VALUES("352", "171", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/tokyo-wide-14.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-14-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-14-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-14-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("353", "172", "_wp_attached_file", "2018/04/tokyo-wide-20.jpg");
INSERT INTO `wp_postmeta` VALUES("354", "172", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/tokyo-wide-20.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-20-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-20-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-20-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-20-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("355", "173", "_wp_attached_file", "2018/04/tokyo-wide-21.jpg");
INSERT INTO `wp_postmeta` VALUES("356", "173", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/tokyo-wide-21.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-21-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-21-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-21-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-21-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("357", "174", "_wp_attached_file", "2018/04/tokyo-wide-00.jpg");
INSERT INTO `wp_postmeta` VALUES("358", "174", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/tokyo-wide-00.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-00-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-00-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"tokyo-wide-00-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"tokyo-wide-00-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("359", "175", "_wp_attached_file", "2018/04/paris-wide-01-e1522995452558.jpg");
INSERT INTO `wp_postmeta` VALUES("360", "175", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1602;s:4:\"file\";s:40:\"2018/04/paris-wide-01-e1522995452558.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"paris-wide-01-e1522995452558-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"paris-wide-01-e1522995452558-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"paris-wide-01-e1522995452558-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"paris-wide-01-e1522995452558-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("361", "176", "_wp_attached_file", "2018/04/paris-wide-02.jpg");
INSERT INTO `wp_postmeta` VALUES("362", "176", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-02.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-02-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-02-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-02-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-02-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("363", "177", "_wp_attached_file", "2018/04/paris-wide-04.jpg");
INSERT INTO `wp_postmeta` VALUES("364", "177", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-04.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-04-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-04-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-04-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-04-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("365", "178", "_wp_attached_file", "2018/04/paris-wide-05.jpg");
INSERT INTO `wp_postmeta` VALUES("366", "178", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-05.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-05-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-05-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-05-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-05-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("367", "179", "_wp_attached_file", "2018/04/paris-wide-06.jpg");
INSERT INTO `wp_postmeta` VALUES("368", "179", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1599;s:4:\"file\";s:25:\"2018/04/paris-wide-06.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-06-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-06-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-06-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-06-1024x682.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:682;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("369", "180", "_wp_attached_file", "2018/04/paris-wide-07.jpg");
INSERT INTO `wp_postmeta` VALUES("370", "180", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-07.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-07-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-07-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-07-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-07-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("371", "181", "_wp_attached_file", "2018/04/paris-wide-11.jpg");
INSERT INTO `wp_postmeta` VALUES("372", "181", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1350;s:4:\"file\";s:25:\"2018/04/paris-wide-11.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-11-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-11-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-11-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("373", "182", "_wp_attached_file", "2018/04/paris-wide-12.jpg");
INSERT INTO `wp_postmeta` VALUES("374", "182", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1350;s:4:\"file\";s:25:\"2018/04/paris-wide-12.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-12-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-12-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-12-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("375", "183", "_wp_attached_file", "2018/04/paris-wide-14.jpg");
INSERT INTO `wp_postmeta` VALUES("376", "183", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-14.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-14-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-14-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-14-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("377", "184", "_wp_attached_file", "2018/04/paris-wide-15.jpg");
INSERT INTO `wp_postmeta` VALUES("378", "184", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-15.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-15-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-15-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-15-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-15-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("379", "185", "_wp_attached_file", "2018/04/paris-wide-22.jpg");
INSERT INTO `wp_postmeta` VALUES("380", "185", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-22.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-22-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-22-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-22-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-22-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("381", "186", "_wp_attached_file", "2018/04/paris-wide-18.jpg");
INSERT INTO `wp_postmeta` VALUES("382", "186", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/paris-wide-18.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"paris-wide-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"paris-wide-18-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"paris-wide-18-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"paris-wide-18-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("383", "187", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("384", "187", "_edit_lock", "1522992342:1");
INSERT INTO `wp_postmeta` VALUES("385", "187", "_thumbnail_id", "186");
INSERT INTO `wp_postmeta` VALUES("389", "190", "_thumbnail_id", "185");
INSERT INTO `wp_postmeta` VALUES("390", "190", "_dp_original", "187");
INSERT INTO `wp_postmeta` VALUES("392", "187", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("393", "191", "_thumbnail_id", "184");
INSERT INTO `wp_postmeta` VALUES("394", "191", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("395", "191", "_dp_original", "187");
INSERT INTO `wp_postmeta` VALUES("396", "192", "_thumbnail_id", "183");
INSERT INTO `wp_postmeta` VALUES("397", "192", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("398", "192", "_dp_original", "187");
INSERT INTO `wp_postmeta` VALUES("399", "193", "_thumbnail_id", "368");
INSERT INTO `wp_postmeta` VALUES("400", "193", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("401", "193", "_dp_original", "187");
INSERT INTO `wp_postmeta` VALUES("402", "194", "_thumbnail_id", "184");
INSERT INTO `wp_postmeta` VALUES("404", "194", "_dp_original", "190");
INSERT INTO `wp_postmeta` VALUES("405", "195", "_thumbnail_id", "180");
INSERT INTO `wp_postmeta` VALUES("407", "195", "_dp_original", "190");
INSERT INTO `wp_postmeta` VALUES("408", "196", "_thumbnail_id", "179");
INSERT INTO `wp_postmeta` VALUES("409", "196", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("411", "196", "_dp_original", "191");
INSERT INTO `wp_postmeta` VALUES("412", "197", "_thumbnail_id", "178");
INSERT INTO `wp_postmeta` VALUES("413", "197", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("415", "197", "_dp_original", "191");
INSERT INTO `wp_postmeta` VALUES("416", "198", "_thumbnail_id", "186");
INSERT INTO `wp_postmeta` VALUES("417", "198", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("419", "198", "_dp_original", "192");
INSERT INTO `wp_postmeta` VALUES("420", "199", "_thumbnail_id", "177");
INSERT INTO `wp_postmeta` VALUES("421", "199", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("423", "199", "_dp_original", "193");
INSERT INTO `wp_postmeta` VALUES("424", "200", "_thumbnail_id", "176");
INSERT INTO `wp_postmeta` VALUES("426", "200", "_dp_original", "194");
INSERT INTO `wp_postmeta` VALUES("427", "201", "_thumbnail_id", "175");
INSERT INTO `wp_postmeta` VALUES("429", "201", "_dp_original", "195");
INSERT INTO `wp_postmeta` VALUES("430", "190", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("432", "190", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("433", "190", "_edit_lock", "1522996076:1");
INSERT INTO `wp_postmeta` VALUES("434", "191", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("436", "191", "_wp_old_slug", "paris-2");
INSERT INTO `wp_postmeta` VALUES("437", "191", "_edit_lock", "1522994265:1");
INSERT INTO `wp_postmeta` VALUES("438", "192", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("440", "192", "_wp_old_slug", "paris-2");
INSERT INTO `wp_postmeta` VALUES("441", "192", "_edit_lock", "1522994413:1");
INSERT INTO `wp_postmeta` VALUES("442", "193", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("443", "193", "_edit_lock", "1522995314:1");
INSERT INTO `wp_postmeta` VALUES("444", "194", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("446", "194", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("447", "194", "_edit_lock", "1522994899:1");
INSERT INTO `wp_postmeta` VALUES("448", "195", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("450", "195", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("451", "195", "_edit_lock", "1522999380:1");
INSERT INTO `wp_postmeta` VALUES("452", "196", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("454", "196", "_wp_old_slug", "paris-2");
INSERT INTO `wp_postmeta` VALUES("455", "196", "_edit_lock", "1522996326:1");
INSERT INTO `wp_postmeta` VALUES("456", "197", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("458", "197", "_wp_old_slug", "paris-2");
INSERT INTO `wp_postmeta` VALUES("459", "197", "_edit_lock", "1522995313:1");
INSERT INTO `wp_postmeta` VALUES("460", "198", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("461", "198", "_edit_lock", "1522992336:1");
INSERT INTO `wp_postmeta` VALUES("463", "199", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("465", "199", "_wp_old_slug", "paris-2");
INSERT INTO `wp_postmeta` VALUES("466", "199", "_edit_lock", "1522995313:1");
INSERT INTO `wp_postmeta` VALUES("467", "200", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("469", "200", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("470", "200", "_edit_lock", "1522994266:1");
INSERT INTO `wp_postmeta` VALUES("471", "201", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("473", "201", "_edit_lock", "1522995311:1");
INSERT INTO `wp_postmeta` VALUES("476", "201", "_wp_old_slug", "paris");
INSERT INTO `wp_postmeta` VALUES("478", "200", "_wp_old_slug", "paris-6");
INSERT INTO `wp_postmeta` VALUES("480", "199", "_wp_old_slug", "paris-2-8");
INSERT INTO `wp_postmeta` VALUES("482", "198", "_wp_old_slug", "paris-2-7");
INSERT INTO `wp_postmeta` VALUES("484", "197", "_wp_old_slug", "paris-2-6");
INSERT INTO `wp_postmeta` VALUES("486", "196", "_wp_old_slug", "paris-2-5");
INSERT INTO `wp_postmeta` VALUES("488", "195", "_wp_old_slug", "paris-5");
INSERT INTO `wp_postmeta` VALUES("490", "194", "_wp_old_slug", "paris-4");
INSERT INTO `wp_postmeta` VALUES("492", "193", "_wp_old_slug", "paris-2-4");
INSERT INTO `wp_postmeta` VALUES("494", "192", "_wp_old_slug", "paris-2-3");
INSERT INTO `wp_postmeta` VALUES("496", "191", "_wp_old_slug", "paris-2-2");
INSERT INTO `wp_postmeta` VALUES("498", "190", "_wp_old_slug", "paris-3");
INSERT INTO `wp_postmeta` VALUES("511", "214", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("512", "214", "_edit_lock", "1522996148:1");
INSERT INTO `wp_postmeta` VALUES("514", "216", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("515", "217", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("516", "218", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("517", "219", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("518", "220", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("519", "221", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("520", "222", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("521", "223", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("522", "224", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("523", "225", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("524", "226", "_dp_original", "214");
INSERT INTO `wp_postmeta` VALUES("525", "216", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("527", "216", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("528", "216", "_edit_lock", "1522994702:1");
INSERT INTO `wp_postmeta` VALUES("529", "217", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("531", "217", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("532", "217", "_edit_lock", "1522993914:1");
INSERT INTO `wp_postmeta` VALUES("533", "218", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("535", "218", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("536", "218", "_edit_lock", "1523000372:1");
INSERT INTO `wp_postmeta` VALUES("537", "219", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("539", "219", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("540", "219", "_edit_lock", "1522993432:1");
INSERT INTO `wp_postmeta` VALUES("541", "220", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("543", "220", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("544", "220", "_edit_lock", "1522996348:1");
INSERT INTO `wp_postmeta` VALUES("545", "221", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("547", "221", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("548", "221", "_edit_lock", "1522993431:1");
INSERT INTO `wp_postmeta` VALUES("549", "222", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("551", "222", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("552", "222", "_edit_lock", "1522993430:1");
INSERT INTO `wp_postmeta` VALUES("553", "223", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("555", "223", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("556", "223", "_edit_lock", "1522994058:1");
INSERT INTO `wp_postmeta` VALUES("557", "224", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("559", "224", "_wp_old_slug", "tokyo-01");
INSERT INTO `wp_postmeta` VALUES("560", "224", "_edit_lock", "1522999508:1");
INSERT INTO `wp_postmeta` VALUES("561", "225", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("562", "225", "_edit_lock", "1522993437:1");
INSERT INTO `wp_postmeta` VALUES("563", "226", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("564", "226", "_edit_lock", "1522995865:1");
INSERT INTO `wp_postmeta` VALUES("567", "214", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("569", "216", "_thumbnail_id", "165");
INSERT INTO `wp_postmeta` VALUES("571", "217", "_thumbnail_id", "171");
INSERT INTO `wp_postmeta` VALUES("573", "218", "_thumbnail_id", "371");
INSERT INTO `wp_postmeta` VALUES("575", "219", "_thumbnail_id", "169");
INSERT INTO `wp_postmeta` VALUES("577", "220", "_thumbnail_id", "372");
INSERT INTO `wp_postmeta` VALUES("579", "226", "_thumbnail_id", "370");
INSERT INTO `wp_postmeta` VALUES("582", "225", "_thumbnail_id", "166");
INSERT INTO `wp_postmeta` VALUES("584", "224", "_thumbnail_id", "174");
INSERT INTO `wp_postmeta` VALUES("587", "222", "_thumbnail_id", "164");
INSERT INTO `wp_postmeta` VALUES("589", "221", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("597", "223", "_thumbnail_id", "171");
INSERT INTO `wp_postmeta` VALUES("600", "73", "_thumbnail_id", "369");
INSERT INTO `wp_postmeta` VALUES("602", "72", "_thumbnail_id", "161");
INSERT INTO `wp_postmeta` VALUES("604", "71", "_thumbnail_id", "160");
INSERT INTO `wp_postmeta` VALUES("606", "62", "_thumbnail_id", "159");
INSERT INTO `wp_postmeta` VALUES("608", "63", "_thumbnail_id", "158");
INSERT INTO `wp_postmeta` VALUES("610", "64", "_thumbnail_id", "157");
INSERT INTO `wp_postmeta` VALUES("612", "65", "_thumbnail_id", "149");
INSERT INTO `wp_postmeta` VALUES("614", "66", "_thumbnail_id", "150");
INSERT INTO `wp_postmeta` VALUES("616", "67", "_thumbnail_id", "147");
INSERT INTO `wp_postmeta` VALUES("618", "68", "_thumbnail_id", "152");
INSERT INTO `wp_postmeta` VALUES("620", "69", "_thumbnail_id", "153");
INSERT INTO `wp_postmeta` VALUES("622", "70", "_thumbnail_id", "154");
INSERT INTO `wp_postmeta` VALUES("656", "24", "_thumbnail_id", "135");
INSERT INTO `wp_postmeta` VALUES("659", "24", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("660", "256", "_thumbnail_id", "136");
INSERT INTO `wp_postmeta` VALUES("661", "256", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("662", "256", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("663", "257", "_thumbnail_id", "138");
INSERT INTO `wp_postmeta` VALUES("664", "257", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("665", "257", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("666", "258", "_thumbnail_id", "139");
INSERT INTO `wp_postmeta` VALUES("667", "258", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("668", "258", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("669", "259", "_thumbnail_id", "140");
INSERT INTO `wp_postmeta` VALUES("670", "259", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("671", "259", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("672", "260", "_thumbnail_id", "141");
INSERT INTO `wp_postmeta` VALUES("673", "260", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("674", "260", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("675", "261", "_thumbnail_id", "142");
INSERT INTO `wp_postmeta` VALUES("676", "261", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("677", "261", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("678", "262", "_thumbnail_id", "143");
INSERT INTO `wp_postmeta` VALUES("679", "262", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("680", "262", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("681", "263", "_thumbnail_id", "146");
INSERT INTO `wp_postmeta` VALUES("682", "263", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("683", "263", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("684", "264", "_thumbnail_id", "278");
INSERT INTO `wp_postmeta` VALUES("685", "264", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("686", "264", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("687", "265", "_thumbnail_id", "279");
INSERT INTO `wp_postmeta` VALUES("688", "265", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("690", "265", "_dp_original", "256");
INSERT INTO `wp_postmeta` VALUES("691", "266", "_thumbnail_id", "140");
INSERT INTO `wp_postmeta` VALUES("692", "266", "_wp_old_slug", "london-1");
INSERT INTO `wp_postmeta` VALUES("693", "266", "_dp_original", "24");
INSERT INTO `wp_postmeta` VALUES("694", "256", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("696", "256", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("697", "256", "_edit_lock", "1522990934:1");
INSERT INTO `wp_postmeta` VALUES("698", "257", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("700", "257", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("701", "257", "_edit_lock", "1522996011:1");
INSERT INTO `wp_postmeta` VALUES("702", "258", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("704", "258", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("705", "258", "_edit_lock", "1522992697:1");
INSERT INTO `wp_postmeta` VALUES("706", "259", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("708", "259", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("709", "259", "_edit_lock", "1523002968:1");
INSERT INTO `wp_postmeta` VALUES("710", "260", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("712", "260", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("713", "260", "_edit_lock", "1522992698:1");
INSERT INTO `wp_postmeta` VALUES("714", "261", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("716", "261", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("717", "261", "_edit_lock", "1522994085:1");
INSERT INTO `wp_postmeta` VALUES("718", "262", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("720", "262", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("721", "262", "_edit_lock", "1522990932:1");
INSERT INTO `wp_postmeta` VALUES("722", "263", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("724", "263", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("725", "263", "_edit_lock", "1522996187:1");
INSERT INTO `wp_postmeta` VALUES("726", "264", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("727", "264", "_edit_lock", "1522994267:1");
INSERT INTO `wp_postmeta` VALUES("729", "265", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("731", "265", "_wp_old_slug", "london-01");
INSERT INTO `wp_postmeta` VALUES("732", "265", "_edit_lock", "1522990924:1");
INSERT INTO `wp_postmeta` VALUES("733", "266", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("734", "266", "_edit_lock", "1522999310:1");
INSERT INTO `wp_postmeta` VALUES("745", "278", "_wp_attached_file", "2018/04/london-wide-00.jpg");
INSERT INTO `wp_postmeta` VALUES("746", "278", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-00.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-00-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-00-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-00-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-00-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("748", "279", "_wp_attached_file", "2018/04/london-wide-24.jpg");
INSERT INTO `wp_postmeta` VALUES("749", "279", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:26:\"2018/04/london-wide-24.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:26:\"london-wide-24-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:26:\"london-wide-24-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:26:\"london-wide-24-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:27:\"london-wide-24-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("772", "282", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("773", "282", "_menu_item_menu_item_parent", "397");
INSERT INTO `wp_postmeta` VALUES("774", "282", "_menu_item_object_id", "4");
INSERT INTO `wp_postmeta` VALUES("775", "282", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("776", "282", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("777", "282", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("778", "282", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("779", "282", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("781", "283", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("782", "283", "_menu_item_menu_item_parent", "397");
INSERT INTO `wp_postmeta` VALUES("783", "283", "_menu_item_object_id", "2");
INSERT INTO `wp_postmeta` VALUES("784", "283", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("785", "283", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("786", "283", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("787", "283", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("788", "283", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("790", "284", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("791", "284", "_menu_item_menu_item_parent", "397");
INSERT INTO `wp_postmeta` VALUES("792", "284", "_menu_item_object_id", "3");
INSERT INTO `wp_postmeta` VALUES("793", "284", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("794", "284", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("795", "284", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("796", "284", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("797", "284", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("799", "285", "_menu_item_type", "taxonomy");
INSERT INTO `wp_postmeta` VALUES("800", "285", "_menu_item_menu_item_parent", "397");
INSERT INTO `wp_postmeta` VALUES("801", "285", "_menu_item_object_id", "5");
INSERT INTO `wp_postmeta` VALUES("802", "285", "_menu_item_object", "category");
INSERT INTO `wp_postmeta` VALUES("803", "285", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("804", "285", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("805", "285", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("806", "285", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("894", "368", "_wp_attached_file", "2018/04/paris-wide-08-e1522995317120.jpg");
INSERT INTO `wp_postmeta` VALUES("895", "368", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1602;s:4:\"file\";s:40:\"2018/04/paris-wide-08-e1522995317120.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:40:\"paris-wide-08-e1522995317120-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:40:\"paris-wide-08-e1522995317120-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:40:\"paris-wide-08-e1522995317120-768x513.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:513;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:41:\"paris-wide-08-e1522995317120-1024x684.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:684;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("896", "368", "_wp_attachment_backup_sizes", "a:5:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2400;s:6:\"height\";i:1687;s:4:\"file\";s:17:\"paris-wide-08.jpg\";}s:14:\"thumbnail-orig\";a:4:{s:4:\"file\";s:25:\"paris-wide-08-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"medium-orig\";a:4:{s:4:\"file\";s:25:\"paris-wide-08-300x211.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:211;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:17:\"medium_large-orig\";a:4:{s:4:\"file\";s:25:\"paris-wide-08-768x540.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:540;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"large-orig\";a:4:{s:4:\"file\";s:26:\"paris-wide-08-1024x720.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:720;s:9:\"mime-type\";s:10:\"image/jpeg\";}}");
INSERT INTO `wp_postmeta` VALUES("898", "175", "_wp_attachment_backup_sizes", "a:5:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2400;s:6:\"height\";i:1697;s:4:\"file\";s:17:\"paris-wide-01.jpg\";}s:14:\"thumbnail-orig\";a:4:{s:4:\"file\";s:25:\"paris-wide-01-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"medium-orig\";a:4:{s:4:\"file\";s:25:\"paris-wide-01-300x212.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:212;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:17:\"medium_large-orig\";a:4:{s:4:\"file\";s:25:\"paris-wide-01-768x543.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:543;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"large-orig\";a:4:{s:4:\"file\";s:26:\"paris-wide-01-1024x724.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:724;s:9:\"mime-type\";s:10:\"image/jpeg\";}}");
INSERT INTO `wp_postmeta` VALUES("899", "147", "_wp_attachment_backup_sizes", "a:5:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2400;s:6:\"height\";i:1802;s:4:\"file\";s:19:\"newyork-wide-08.jpg\";}s:14:\"thumbnail-orig\";a:4:{s:4:\"file\";s:27:\"newyork-wide-08-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:11:\"medium-orig\";a:4:{s:4:\"file\";s:27:\"newyork-wide-08-300x225.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:225;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:17:\"medium_large-orig\";a:4:{s:4:\"file\";s:27:\"newyork-wide-08-768x577.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:577;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:10:\"large-orig\";a:4:{s:4:\"file\";s:28:\"newyork-wide-08-1024x769.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:769;s:9:\"mime-type\";s:10:\"image/jpeg\";}}");
INSERT INTO `wp_postmeta` VALUES("900", "369", "_wp_attached_file", "2018/04/newyork-wide-00.jpg");
INSERT INTO `wp_postmeta` VALUES("901", "369", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:27:\"2018/04/newyork-wide-00.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"newyork-wide-00-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"newyork-wide-00-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"newyork-wide-00-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"newyork-wide-00-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("903", "167", "_wp_attachment_backup_sizes", "a:1:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2400;s:6:\"height\";i:1539;s:4:\"file\";s:17:\"tokyo-wide-08.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("904", "370", "_wp_attached_file", "2018/04/toyko-wide-30.jpg");
INSERT INTO `wp_postmeta` VALUES("905", "370", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/toyko-wide-30.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"toyko-wide-30-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"toyko-wide-30-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"toyko-wide-30-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"toyko-wide-30-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("906", "371", "_wp_attached_file", "2018/04/toyko-wide-31.jpg");
INSERT INTO `wp_postmeta` VALUES("907", "371", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1601;s:4:\"file\";s:25:\"2018/04/toyko-wide-31.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"toyko-wide-31-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"toyko-wide-31-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"toyko-wide-31-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"toyko-wide-31-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("908", "372", "_wp_attached_file", "2018/04/toyko-wide-32.jpg");
INSERT INTO `wp_postmeta` VALUES("909", "372", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2400;s:6:\"height\";i:1600;s:4:\"file\";s:25:\"2018/04/toyko-wide-32.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"toyko-wide-32-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"toyko-wide-32-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"toyko-wide-32-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"toyko-wide-32-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("910", "388", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("911", "388", "_edit_lock", "1532241027:1");
INSERT INTO `wp_postmeta` VALUES("912", "390", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("913", "390", "_edit_lock", "1532235451:1");
INSERT INTO `wp_postmeta` VALUES("914", "392", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("915", "392", "_edit_lock", "1532241027:1");
INSERT INTO `wp_postmeta` VALUES("919", "395", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("920", "395", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("921", "395", "_menu_item_object_id", "390");
INSERT INTO `wp_postmeta` VALUES("922", "395", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("923", "395", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("924", "395", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("925", "395", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("926", "395", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("928", "396", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("929", "396", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("930", "396", "_menu_item_object_id", "388");
INSERT INTO `wp_postmeta` VALUES("931", "396", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("932", "396", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("933", "396", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("934", "396", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("935", "396", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("937", "397", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("938", "397", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("939", "397", "_menu_item_object_id", "392");
INSERT INTO `wp_postmeta` VALUES("940", "397", "_menu_item_object", "post");
INSERT INTO `wp_postmeta` VALUES("941", "397", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("942", "397", "_menu_item_classes", "a:1:{i:0;s:15:\"submenu-trigger\";}");
INSERT INTO `wp_postmeta` VALUES("943", "397", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("944", "397", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("945", "399", "_wp_attached_file", "2018/07/default-feature-image-4.jpg");
INSERT INTO `wp_postmeta` VALUES("946", "399", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2500;s:6:\"height\";i:1363;s:4:\"file\";s:35:\"2018/07/default-feature-image-4.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"default-feature-image-4-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"default-feature-image-4-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"default-feature-image-4-768x419.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:419;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"default-feature-image-4-1024x558.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:558;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("947", "400", "_wp_attached_file", "2018/07/default-feature-image-3.jpg");
INSERT INTO `wp_postmeta` VALUES("948", "400", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1232;s:4:\"file\";s:35:\"2018/07/default-feature-image-3.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"default-feature-image-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"default-feature-image-3-300x144.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"default-feature-image-3-768x370.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:370;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"default-feature-image-3-1024x493.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:493;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("949", "401", "_wp_attached_file", "2018/07/default-feature-image-2.jpg");
INSERT INTO `wp_postmeta` VALUES("950", "401", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:35:\"2018/07/default-feature-image-2.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"default-feature-image-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"default-feature-image-2-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"default-feature-image-2-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"default-feature-image-2-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("951", "402", "_wp_attached_file", "2018/07/default-feature-image-1.jpg");
INSERT INTO `wp_postmeta` VALUES("952", "402", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:35:\"2018/07/default-feature-image-1.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"default-feature-image-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"default-feature-image-1-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"default-feature-image-1-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"default-feature-image-1-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("953", "403", "_wp_attached_file", "2018/07/default-feature-image-0.jpg");
INSERT INTO `wp_postmeta` VALUES("954", "403", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:35:\"2018/07/default-feature-image-0.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:35:\"default-feature-image-0-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:35:\"default-feature-image-0-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:35:\"default-feature-image-0-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:36:\"default-feature-image-0-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("955", "404", "_wp_attached_file", "2018/07/unsplash-landscape-2018-23.jpg");
INSERT INTO `wp_postmeta` VALUES("956", "404", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-23.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-23-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-23-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-23-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-23-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("957", "405", "_wp_attached_file", "2018/07/unsplash-landscape-2018-32.jpg");
INSERT INTO `wp_postmeta` VALUES("958", "405", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1240;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-32.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-32-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-32-300x145.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:145;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-32-768x372.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:372;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-32-1024x496.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:496;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("959", "406", "_wp_attached_file", "2018/07/unsplash-landscape-2018-16.jpg");
INSERT INTO `wp_postmeta` VALUES("960", "406", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-16.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-16-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-16-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-16-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-16-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("961", "407", "_wp_attached_file", "2018/07/unsplash-landscape-2018-24.jpg");
INSERT INTO `wp_postmeta` VALUES("962", "407", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-24.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-24-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-24-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-24-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-24-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("963", "408", "_wp_attached_file", "2018/07/unsplash-landscape-2018-25.jpg");
INSERT INTO `wp_postmeta` VALUES("964", "408", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-25.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-25-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-25-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-25-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-25-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("965", "409", "_wp_attached_file", "2018/07/unsplash-landscape-2018-26.jpg");
INSERT INTO `wp_postmeta` VALUES("966", "409", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-26.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-26-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-26-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-26-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-26-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("967", "410", "_wp_attached_file", "2018/07/unsplash-landscape-2018-27.jpg");
INSERT INTO `wp_postmeta` VALUES("968", "410", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-27.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-27-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-27-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-27-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-27-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("969", "411", "_wp_attached_file", "2018/07/unsplash-landscape-2018-28.jpg");
INSERT INTO `wp_postmeta` VALUES("970", "411", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-28.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-28-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-28-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-28-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-28-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("971", "412", "_wp_attached_file", "2018/07/unsplash-landscape-2018-29.jpg");
INSERT INTO `wp_postmeta` VALUES("972", "412", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-29.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-29-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-29-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-29-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-29-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("973", "413", "_wp_attached_file", "2018/07/unsplash-landscape-2018-33.jpg");
INSERT INTO `wp_postmeta` VALUES("974", "413", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-33.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-33-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-33-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-33-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-33-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("975", "414", "_wp_attached_file", "2018/07/unsplash-landscape-2018-34.jpg");
INSERT INTO `wp_postmeta` VALUES("976", "414", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-34.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-34-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-34-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-34-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-34-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("977", "415", "_wp_attached_file", "2018/07/unsplash-landscape-2018-17.jpg");
INSERT INTO `wp_postmeta` VALUES("978", "415", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-17.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-17-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-17-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-17-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-17-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("979", "416", "_wp_attached_file", "2018/07/unsplash-landscape-2018-18.jpg");
INSERT INTO `wp_postmeta` VALUES("980", "416", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-18.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-18-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-18-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-18-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-18-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("981", "417", "_wp_attached_file", "2018/07/unsplash-landscape-2018-31.jpg");
INSERT INTO `wp_postmeta` VALUES("982", "417", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1272;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-31.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-31-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-31-300x149.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:149;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-31-768x382.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:382;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-31-1024x509.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:509;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("983", "418", "_wp_attached_file", "2018/07/unsplash-landscape-2018-19.jpg");
INSERT INTO `wp_postmeta` VALUES("984", "418", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-19.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-19-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-19-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-19-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-19-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("985", "419", "_wp_attached_file", "2018/07/unsplash-landscape-2018-20.jpg");
INSERT INTO `wp_postmeta` VALUES("986", "419", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-20.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-20-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-20-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-20-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-20-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("987", "420", "_wp_attached_file", "2018/07/unsplash-landscape-2018-21.jpg");
INSERT INTO `wp_postmeta` VALUES("988", "420", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-21.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-21-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-21-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-21-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-21-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("989", "421", "_wp_attached_file", "2018/07/unsplash-landscape-2018-22.jpg");
INSERT INTO `wp_postmeta` VALUES("990", "421", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-22.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-22-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-22-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-22-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-22-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("991", "422", "_wp_attached_file", "2018/07/unsplash-landscape-2018-35.jpg");
INSERT INTO `wp_postmeta` VALUES("992", "422", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1241;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-35.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-35-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-35-300x145.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:145;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-35-768x372.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:372;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-35-1024x496.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:496;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("993", "423", "_wp_attached_file", "2018/07/unsplash-landscape-2018-30.jpg");
INSERT INTO `wp_postmeta` VALUES("994", "423", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-30.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-30-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-30-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-30-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-30-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("995", "424", "_wp_attached_file", "2018/07/unsplash-landscape-2018-01.jpg");
INSERT INTO `wp_postmeta` VALUES("996", "424", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-01.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-01-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-01-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-01-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-01-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("997", "425", "_wp_attached_file", "2018/07/unsplash-landscape-2018-02.jpg");
INSERT INTO `wp_postmeta` VALUES("998", "425", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-02.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-02-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-02-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-02-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-02-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("999", "426", "_wp_attached_file", "2018/07/unsplash-landscape-2018-03.jpg");
INSERT INTO `wp_postmeta` VALUES("1000", "426", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2500;s:6:\"height\";i:1200;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-03.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-03-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-03-300x144.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:144;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-03-768x369.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:369;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-03-1024x492.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:492;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1001", "427", "_wp_attached_file", "2018/07/unsplash-landscape-2018-04.jpg");
INSERT INTO `wp_postmeta` VALUES("1002", "427", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-04.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-04-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-04-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-04-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-04-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1003", "428", "_wp_attached_file", "2018/07/unsplash-landscape-2018-05.jpg");
INSERT INTO `wp_postmeta` VALUES("1004", "428", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-05.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-05-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-05-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-05-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-05-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1005", "429", "_wp_attached_file", "2018/07/unsplash-landscape-2018-06.jpg");
INSERT INTO `wp_postmeta` VALUES("1006", "429", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-06.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-06-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-06-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-06-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-06-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1007", "430", "_wp_attached_file", "2018/07/unsplash-landscape-2018-08.jpg");
INSERT INTO `wp_postmeta` VALUES("1008", "430", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1237;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-08.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-08-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-08-300x145.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:145;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-08-768x371.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:371;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-08-1024x495.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:495;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1009", "431", "_wp_attached_file", "2018/07/unsplash-landscape-2018-10.jpg");
INSERT INTO `wp_postmeta` VALUES("1010", "431", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-10.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-10-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-10-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-10-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-10-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1011", "432", "_wp_attached_file", "2018/07/unsplash-landscape-2018-11.jpg");
INSERT INTO `wp_postmeta` VALUES("1012", "432", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2500;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-11.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-11-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-11-300x168.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-11-768x430.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:430;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-11-1024x573.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:573;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1013", "433", "_wp_attached_file", "2018/07/unsplash-landscape-2018-12.jpg");
INSERT INTO `wp_postmeta` VALUES("1014", "433", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-12.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-12-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-12-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-12-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-12-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1015", "434", "_wp_attached_file", "2018/07/unsplash-landscape-2018-13.jpg");
INSERT INTO `wp_postmeta` VALUES("1016", "434", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-13.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-13-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-13-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-13-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-13-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1017", "435", "_wp_attached_file", "2018/07/unsplash-landscape-2018-14.jpg");
INSERT INTO `wp_postmeta` VALUES("1018", "435", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-14.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-14-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-14-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-14-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-14-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1019", "436", "_wp_attached_file", "2018/07/unsplash-landscape-2018-15.jpg");
INSERT INTO `wp_postmeta` VALUES("1020", "436", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1400;s:4:\"file\";s:38:\"2018/07/unsplash-landscape-2018-15.jpg\";s:5:\"sizes\";a:4:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-15-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-15-300x164.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:164;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:38:\"unsplash-landscape-2018-15-768x420.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:420;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:39:\"unsplash-landscape-2018-15-1024x560.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:560;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("1021", "398", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1022", "398", "_edit_lock", "1532316371:1");
INSERT INTO `wp_postmeta` VALUES("1023", "398", "CF1", "Gobfuls of sloppy");
INSERT INTO `wp_postmeta` VALUES("1024", "398", "CF2", "James Joyce: Ulysses");
INSERT INTO `wp_postmeta` VALUES("1025", "398", "_thumbnail_id", "435");
INSERT INTO `wp_postmeta` VALUES("1026", "438", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1027", "438", "_edit_lock", "1532316373:1");
INSERT INTO `wp_postmeta` VALUES("1028", "438", "CF1", "The rage of Caliban at not seeing his face in a mirror, he said. ");
INSERT INTO `wp_postmeta` VALUES("1029", "438", "CF2", "James Joyce: Ulysses");
INSERT INTO `wp_postmeta` VALUES("1030", "438", "_thumbnail_id", "433");
INSERT INTO `wp_postmeta` VALUES("1031", "440", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1032", "440", "_edit_lock", "1532315329:1");
INSERT INTO `wp_postmeta` VALUES("1033", "440", "CF1", "We can drink it black, Stephen said thirstily.");
INSERT INTO `wp_postmeta` VALUES("1034", "440", "CF2", "James Joyce: Ulysses");
INSERT INTO `wp_postmeta` VALUES("1035", "440", "_thumbnail_id", "403");
INSERT INTO `wp_postmeta` VALUES("1036", "441", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1037", "441", "_edit_lock", "1532315204:1");
INSERT INTO `wp_postmeta` VALUES("1038", "441", "CF1", "Buck Mulligan wiped the razorblade neatly.");
INSERT INTO `wp_postmeta` VALUES("1039", "441", "CF2", "James Joyce: Ulysses");
INSERT INTO `wp_postmeta` VALUES("1040", "441", "_thumbnail_id", "418");
INSERT INTO `wp_postmeta` VALUES("1041", "442", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("1042", "442", "_edit_lock", "1532318253:1");
INSERT INTO `wp_postmeta` VALUES("1043", "442", "CF1", "History is a nightmare from which I am trying to awake.");
INSERT INTO `wp_postmeta` VALUES("1044", "442", "CF2", "James Joyce: Ulysses & The Dead");
INSERT INTO `wp_postmeta` VALUES("1045", "442", "_thumbnail_id", "404");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2018-04-02 06:24:03", "2018-04-02 06:24:03", "This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://localhost:8888/iheartcities-revised-summer2018/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2018-04-02 06:24:03", "2018-04-02 06:24:03", "", "0", "http://localhost:8888/newyorklondon2018/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("24", "1", "2018-04-02 06:34:37", "2018-04-02 06:34:37", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "The first person buried at St Paul\'s Cathedral was architect Sir Christopher Wren.", "publish", "open", "open", "", "london-01", "", "", "2018-04-06 06:29:45", "2018-04-06 06:29:45", "", "0", "http://localhost:8888/newyorklondon2018/?p=24", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2018-04-02 06:34:37", "2018-04-02 06:34:37", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Culpa, nulla praesentium numquam! Soluta esse harum, fugiat quod aliquam animi explicabo natus, eius ipsam.", "London 1", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-02 06:34:37", "2018-04-02 06:34:37", "", "24", "http://localhost:8888/newyorklondon2018/2018/04/02/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2018-04-02 06:51:17", "2018-04-02 06:51:17", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 4", "New York is the most photographed city in the world.", "publish", "open", "open", "", "new-york-4", "", "", "2018-04-06 06:06:12", "2018-04-06 06:06:12", "", "0", "http://localhost:8888/newyorklondon2018/?p=62", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2018-04-02 06:51:40", "2018-04-02 06:51:40", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 5", "NYC has 3 of the most visited tourist attractions: Times Square, Central Park, and Grand Central Station.", "publish", "open", "open", "", "new-york-5", "", "", "2018-04-06 06:33:21", "2018-04-06 06:33:21", "", "0", "http://localhost:8888/newyorklondon2018/?p=63", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2018-04-02 06:52:03", "2018-04-02 06:52:03", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 6", "If New York City were a country, it would have the 12th highest world GDP.", "publish", "open", "open", "", "new-york-6", "", "", "2018-04-06 06:04:25", "2018-04-06 06:04:25", "", "0", "http://localhost:8888/newyorklondon2018/?p=64", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2018-04-02 06:52:22", "2018-04-02 06:52:22", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 7", "New York City has he largest foreign-born population of any world city: 3.2 million.", "publish", "open", "open", "", "new-york-7", "", "", "2018-04-06 06:28:38", "2018-04-06 06:28:38", "", "0", "http://localhost:8888/newyorklondon2018/?p=65", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("66", "1", "2018-04-02 06:52:42", "2018-04-02 06:52:42", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 8", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. ", "publish", "open", "open", "", "new-york-8", "", "", "2018-04-06 05:06:00", "2018-04-06 05:06:00", "", "0", "http://localhost:8888/newyorklondon2018/?p=66", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2018-04-02 06:53:11", "2018-04-02 06:53:11", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 9", "New York City was founded as New Amsterdam by colonists from the Dutch Republic.", "publish", "open", "open", "", "new-york-9", "", "", "2018-04-06 06:05:30", "2018-04-06 06:05:30", "", "0", "http://localhost:8888/newyorklondon2018/?p=67", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2018-04-02 06:53:36", "2018-04-02 06:53:36", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 10", "NYC’s Federal Reserve Bank is 80 feet below street level and contains $90 billion in gold.", "publish", "open", "open", "", "new-york-10", "", "", "2018-04-06 06:07:14", "2018-04-06 06:07:14", "", "0", "http://localhost:8888/newyorklondon2018/?p=68", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2018-04-02 06:54:00", "2018-04-02 06:54:00", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 11", "In New York, 4 in 10 households speak a language other than English.", "publish", "open", "open", "", "new-york-11", "", "", "2018-04-06 05:17:25", "2018-04-06 05:17:25", "", "0", "http://localhost:8888/newyorklondon2018/?p=69", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2018-04-02 06:54:32", "2018-04-02 06:54:32", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 12", "The entire world\'s population could fit in the state of Texas if it were as densely populated as New York City.", "publish", "open", "open", "", "new-york-12", "", "", "2018-04-06 05:14:37", "2018-04-06 05:14:37", "", "0", "http://localhost:8888/newyorklondon2018/?p=70", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2018-04-02 06:50:51", "2018-04-02 06:50:51", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 3", "New York City has more people than 39 of the 50 states in the U.S.", "publish", "open", "open", "", "new-york-3", "", "", "2018-04-06 05:12:36", "2018-04-06 05:12:36", "", "0", "http://localhost:8888/newyorklondon2018/?p=71", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2018-04-02 06:50:22", "2018-04-02 06:50:22", "called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 2", "In 1920, a horse-drawn carriage filled with explosives was detonated on Wall Street, killing 30 people.", "publish", "open", "open", "", "new-york-2", "", "", "2018-04-06 05:53:00", "2018-04-06 05:53:00", "", "0", "http://localhost:8888/newyorklondon2018/?p=72", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2018-04-02 06:50:05", "2018-04-02 06:50:05", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 1", "There are more undergrad and graduate students in NYC than Boston has people.", "publish", "open", "open", "", "new-york-1", "", "", "2018-04-06 06:20:22", "2018-04-06 06:20:22", "", "0", "http://localhost:8888/newyorklondon2018/?p=73", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2018-04-02 06:50:05", "2018-04-02 06:50:05", "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vel temporibus quisquam facere accusamus quaerat aperiam labore, fuga voluptatum quam architecto sint asperiores! Fugit!", "New York 1", "", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-04-02 06:50:05", "2018-04-02 06:50:05", "", "73", "http://localhost:8888/newyorklondon2018/2018/04/02/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2018-04-02 06:50:22", "2018-04-02 06:50:22", "Praesentium, officiis quia. Suscipit hic quis sunt qui enim ipsum excepturi, ipsa omnis optio. Mollitia harum neque, inventore natus laboriosam accusantium? Sit, iure?", "New York 2", "", "inherit", "closed", "closed", "", "72-revision-v1", "", "", "2018-04-02 06:50:22", "2018-04-02 06:50:22", "", "72", "http://localhost:8888/newyorklondon2018/2018/04/02/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2018-04-02 06:50:51", "2018-04-02 06:50:51", "Quasi voluptatibus voluptatem assumenda reprehenderit recusandae! Facere, suscipit ducimus consequatur repellat natus maxime, commodi voluptatibus maiores fuga qui odit, omnis assumenda ipsum? Vero.", "New York 3", "", "inherit", "closed", "closed", "", "71-revision-v1", "", "", "2018-04-02 06:50:51", "2018-04-02 06:50:51", "", "71", "http://localhost:8888/newyorklondon2018/2018/04/02/71-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2018-04-02 06:51:17", "2018-04-02 06:51:17", "Neque sint, quidem molestiae atque perferendis necessitatibus libero voluptate, maiores cupiditate soluta id molestias voluptatibus nisi unde itaque iste quibusdam suscipit animi earum?", "New York 4", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2018-04-02 06:51:17", "2018-04-02 06:51:17", "", "62", "http://localhost:8888/newyorklondon2018/2018/04/02/62-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2018-04-02 06:51:40", "2018-04-02 06:51:40", "Neque magnam saepe consequatur deserunt non unde voluptatibus, veniam veritatis, inventore corporis ullam quaerat, quo porro earum eum facere aspernatur nulla obcaecati facilis?", "New York 5", "", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-04-02 06:51:40", "2018-04-02 06:51:40", "", "63", "http://localhost:8888/newyorklondon2018/2018/04/02/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2018-04-02 06:52:03", "2018-04-02 06:52:03", "Odit dignissimos asperiores quam quidem sed officiis fugit nemo magnam, consequatur magni similique harum, mollitia esse. Vero necessitatibus ad, aspernatur vel voluptates hic.", "New York 6", "", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-04-02 06:52:03", "2018-04-02 06:52:03", "", "64", "http://localhost:8888/newyorklondon2018/2018/04/02/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2018-04-02 06:52:22", "2018-04-02 06:52:22", "Eos optio tempora repudiandae in, saepe! Facilis maiores vel deserunt, magnam quam possimus, natus obcaecati, unde ad quis rem enim laboriosam suscipit impedit.", "New York 7", "", "inherit", "closed", "closed", "", "65-revision-v1", "", "", "2018-04-02 06:52:22", "2018-04-02 06:52:22", "", "65", "http://localhost:8888/newyorklondon2018/2018/04/02/65-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2018-04-02 06:52:42", "2018-04-02 06:52:42", "Reprehenderit error iusto voluptatum dolores aut itaque voluptates. Ratione dolore, cum deserunt labore voluptate, blanditiis ducimus nulla totam odio eaque laboriosam minima culpa.", "New York 8", "", "inherit", "closed", "closed", "", "66-revision-v1", "", "", "2018-04-02 06:52:42", "2018-04-02 06:52:42", "", "66", "http://localhost:8888/newyorklondon2018/2018/04/02/66-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2018-04-02 06:53:11", "2018-04-02 06:53:11", "Nobis, architecto, recusandae. Hic quisquam necessitatibus dolorum error ducimus omnis qui magnam, ut, dicta exercitationem reprehenderit aliquid eligendi placeat delectus quia fugiat optio.", "New York 9", "", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-04-02 06:53:11", "2018-04-02 06:53:11", "", "67", "http://localhost:8888/newyorklondon2018/2018/04/02/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2018-04-02 06:53:36", "2018-04-02 06:53:36", "Culpa dolor corporis, expedita praesentium debitis cum impedit molestias deserunt id similique possimus? Enim laborum omnis at, culpa aspernatur unde quae adipisci architecto.", "New York 10", "", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-04-02 06:53:36", "2018-04-02 06:53:36", "", "68", "http://localhost:8888/newyorklondon2018/2018/04/02/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2018-04-02 06:54:00", "2018-04-02 06:54:00", "Neque magnam saepe consequatur deserunt non unde voluptatibus, veniam veritatis, inventore corporis ullam quaerat, quo porro earum eum facere aspernatur nulla obcaecati facilis?", "New York 11", "", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-04-02 06:54:00", "2018-04-02 06:54:00", "", "69", "http://localhost:8888/newyorklondon2018/2018/04/02/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2018-04-02 06:54:32", "2018-04-02 06:54:32", "Nobis, architecto, recusandae. Hic quisquam necessitatibus dolorum error ducimus omnis qui magnam, ut, dicta exercitationem reprehenderit aliquid eligendi placeat delectus quia fugiat optio.", "New York 12", "", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2018-04-02 06:54:32", "2018-04-02 06:54:32", "", "70", "http://localhost:8888/newyorklondon2018/2018/04/02/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("135", "1", "2018-04-05 23:06:06", "2018-04-05 23:06:06", "", "london-wide-02", "", "inherit", "open", "closed", "", "london-wide-02", "", "", "2018-04-05 23:06:06", "2018-04-05 23:06:06", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-02.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("136", "1", "2018-04-05 23:06:12", "2018-04-05 23:06:12", "", "london-wide-03", "", "inherit", "open", "closed", "", "london-wide-03", "", "", "2018-04-05 23:06:12", "2018-04-05 23:06:12", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-03.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("137", "1", "2018-04-05 23:06:22", "2018-04-05 23:06:22", "", "london-wide-07", "", "inherit", "open", "closed", "", "london-wide-07", "", "", "2018-04-05 23:06:22", "2018-04-05 23:06:22", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-07.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("138", "1", "2018-04-05 23:06:48", "2018-04-05 23:06:48", "", "london-wide-23", "", "inherit", "open", "closed", "", "london-wide-23", "", "", "2018-04-05 23:06:48", "2018-04-05 23:06:48", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("139", "1", "2018-04-05 23:06:54", "2018-04-05 23:06:54", "", "london-wide-25", "", "inherit", "open", "closed", "", "london-wide-25", "", "", "2018-04-05 23:06:54", "2018-04-05 23:06:54", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-25.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("140", "1", "2018-04-05 23:06:58", "2018-04-05 23:06:58", "", "london-wide-26", "", "inherit", "open", "closed", "", "london-wide-26", "", "", "2018-04-05 23:06:58", "2018-04-05 23:06:58", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-26.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("141", "1", "2018-04-05 23:07:01", "2018-04-05 23:07:01", "", "london-wide-27", "", "inherit", "open", "closed", "", "london-wide-27", "", "", "2018-04-05 23:07:01", "2018-04-05 23:07:01", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-27.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("142", "1", "2018-04-05 23:07:48", "2018-04-05 23:07:48", "", "london-wide-37", "", "inherit", "open", "closed", "", "london-wide-37", "", "", "2018-04-05 23:07:48", "2018-04-05 23:07:48", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-37.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("143", "1", "2018-04-05 23:08:17", "2018-04-05 23:08:17", "", "london-wide-46", "", "inherit", "open", "closed", "", "london-wide-46", "", "", "2018-04-05 23:08:17", "2018-04-05 23:08:17", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-46.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("144", "1", "2018-04-05 23:08:25", "2018-04-05 23:08:25", "", "london-wide-50", "", "inherit", "open", "closed", "", "london-wide-50", "", "", "2018-04-05 23:08:25", "2018-04-05 23:08:25", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-50.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("145", "1", "2018-04-05 23:08:53", "2018-04-05 23:08:53", "", "london-wide-41", "", "inherit", "open", "closed", "", "london-wide-41", "", "", "2018-04-05 23:08:53", "2018-04-05 23:08:53", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-41.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("146", "1", "2018-04-05 23:09:20", "2018-04-05 23:09:20", "", "london-wide-30", "", "inherit", "open", "closed", "", "london-wide-30", "", "", "2018-04-05 23:09:20", "2018-04-05 23:09:20", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-30.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("147", "1", "2018-04-05 23:11:34", "2018-04-05 23:11:34", "", "newyork-wide-08", "", "inherit", "open", "closed", "", "newyork-wide-08", "", "", "2018-04-05 23:11:34", "2018-04-05 23:11:34", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-08.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("148", "1", "2018-04-05 23:11:50", "2018-04-05 23:11:50", "", "newyork-wide-14", "", "inherit", "open", "closed", "", "newyork-wide-14", "", "", "2018-04-05 23:11:50", "2018-04-05 23:11:50", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("149", "1", "2018-04-05 23:11:56", "2018-04-05 23:11:56", "", "newyork-wide-16", "", "inherit", "open", "closed", "", "newyork-wide-16", "", "", "2018-04-05 23:11:56", "2018-04-05 23:11:56", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("150", "1", "2018-04-05 23:12:04", "2018-04-05 23:12:04", "", "newyork-wide-18", "", "inherit", "open", "closed", "", "newyork-wide-18", "", "", "2018-04-05 23:12:04", "2018-04-05 23:12:04", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("151", "1", "2018-04-05 23:12:06", "2018-04-05 23:12:06", "", "newyork-wide-19", "", "inherit", "open", "closed", "", "newyork-wide-19", "", "", "2018-04-05 23:12:06", "2018-04-05 23:12:06", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-19.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("152", "1", "2018-04-05 23:12:20", "2018-04-05 23:12:20", "", "newyork-wide-24", "", "inherit", "open", "closed", "", "newyork-wide-24", "", "", "2018-04-05 23:12:20", "2018-04-05 23:12:20", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-24.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("153", "1", "2018-04-05 23:12:47", "2018-04-05 23:12:47", "", "newyork-wide-29", "", "inherit", "open", "closed", "", "newyork-wide-29", "", "", "2018-04-05 23:12:47", "2018-04-05 23:12:47", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-29.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("154", "1", "2018-04-05 23:13:01", "2018-04-05 23:13:01", "", "newyork-wide-40", "", "inherit", "open", "closed", "", "newyork-wide-40", "", "", "2018-04-05 23:13:01", "2018-04-05 23:13:01", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-40.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("155", "1", "2018-04-05 23:13:06", "2018-04-05 23:13:06", "", "newyork-wide-42", "", "inherit", "open", "closed", "", "newyork-wide-42", "", "", "2018-04-05 23:13:06", "2018-04-05 23:13:06", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-42.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("156", "1", "2018-04-05 23:13:28", "2018-04-05 23:13:28", "", "newyork-wide-50", "", "inherit", "open", "closed", "", "newyork-wide-50", "", "", "2018-04-05 23:13:28", "2018-04-05 23:13:28", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-50.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("157", "1", "2018-04-05 23:13:35", "2018-04-05 23:13:35", "", "newyork-wide-52", "", "inherit", "open", "closed", "", "newyork-wide-52", "", "", "2018-04-05 23:13:35", "2018-04-05 23:13:35", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-52.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("158", "1", "2018-04-05 23:13:49", "2018-04-05 23:13:49", "", "newyork-wide-55", "", "inherit", "open", "closed", "", "newyork-wide-55", "", "", "2018-04-05 23:13:49", "2018-04-05 23:13:49", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-55.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("159", "1", "2018-04-05 23:13:50", "2018-04-05 23:13:50", "", "newyork-wide-56", "", "inherit", "open", "closed", "", "newyork-wide-56", "", "", "2018-04-05 23:13:50", "2018-04-05 23:13:50", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-56.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2018-04-05 23:14:06", "2018-04-05 23:14:06", "", "newyork-wide-63", "", "inherit", "open", "closed", "", "newyork-wide-63", "", "", "2018-04-05 23:14:06", "2018-04-05 23:14:06", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-63.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2018-04-05 23:14:13", "2018-04-05 23:14:13", "", "newyork-wide-66", "", "inherit", "open", "closed", "", "newyork-wide-66", "", "", "2018-04-05 23:14:13", "2018-04-05 23:14:13", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-66.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2018-04-05 23:14:30", "2018-04-05 23:14:30", "", "newyork-wide-71", "", "inherit", "open", "closed", "", "newyork-wide-71", "", "", "2018-04-05 23:14:30", "2018-04-05 23:14:30", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-71.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2018-04-05 23:15:22", "2018-04-05 23:15:22", "", "tokyo-wide-04", "", "inherit", "open", "closed", "", "tokyo-wide-04", "", "", "2018-04-05 23:15:22", "2018-04-05 23:15:22", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-04.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2018-04-05 23:15:23", "2018-04-05 23:15:23", "", "tokyo-wide-05", "", "inherit", "open", "closed", "", "tokyo-wide-05", "", "", "2018-04-05 23:15:23", "2018-04-05 23:15:23", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-05.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2018-04-05 23:15:30", "2018-04-05 23:15:30", "", "tokyo-wide-06", "", "inherit", "open", "closed", "", "tokyo-wide-06", "", "", "2018-04-05 23:15:30", "2018-04-05 23:15:30", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-06.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2018-04-05 23:15:31", "2018-04-05 23:15:31", "", "tokyo-wide-07", "", "inherit", "open", "closed", "", "tokyo-wide-07", "", "", "2018-04-05 23:15:31", "2018-04-05 23:15:31", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-07.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2018-04-05 23:15:37", "2018-04-05 23:15:37", "", "tokyo-wide-08", "", "inherit", "open", "closed", "", "tokyo-wide-08", "", "", "2018-04-05 23:15:37", "2018-04-05 23:15:37", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-08.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2018-04-05 23:15:38", "2018-04-05 23:15:38", "", "tokyo-wide-09", "", "inherit", "open", "closed", "", "tokyo-wide-09", "", "", "2018-04-05 23:15:38", "2018-04-05 23:15:38", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-09.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2018-04-05 23:15:44", "2018-04-05 23:15:44", "", "tokyo-wide-11", "", "inherit", "open", "closed", "", "tokyo-wide-11", "", "", "2018-04-05 23:15:44", "2018-04-05 23:15:44", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2018-04-05 23:15:51", "2018-04-05 23:15:51", "", "tokyo-wide-13", "", "inherit", "open", "closed", "", "tokyo-wide-13", "", "", "2018-04-05 23:15:51", "2018-04-05 23:15:51", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-13.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("171", "1", "2018-04-05 23:15:56", "2018-04-05 23:15:56", "", "tokyo-wide-14", "", "inherit", "open", "closed", "", "tokyo-wide-14", "", "", "2018-04-05 23:15:56", "2018-04-05 23:15:56", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("172", "1", "2018-04-05 23:16:12", "2018-04-05 23:16:12", "", "tokyo-wide-20", "", "inherit", "open", "closed", "", "tokyo-wide-20", "", "", "2018-04-05 23:16:12", "2018-04-05 23:16:12", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-20.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("173", "1", "2018-04-05 23:16:18", "2018-04-05 23:16:18", "", "tokyo-wide-21", "", "inherit", "open", "closed", "", "tokyo-wide-21", "", "", "2018-04-05 23:16:18", "2018-04-05 23:16:18", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-21.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("174", "1", "2018-04-05 23:16:34", "2018-04-05 23:16:34", "", "tokyo-wide-00", "", "inherit", "open", "closed", "", "tokyo-wide-00", "", "", "2018-04-05 23:16:34", "2018-04-05 23:16:34", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/tokyo-wide-00.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("175", "1", "2018-04-05 23:17:03", "2018-04-05 23:17:03", "", "paris-wide-01", "", "inherit", "open", "closed", "", "paris-wide-01", "", "", "2018-04-05 23:17:03", "2018-04-05 23:17:03", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-01.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2018-04-05 23:17:04", "2018-04-05 23:17:04", "", "paris-wide-02", "", "inherit", "open", "closed", "", "paris-wide-02", "", "", "2018-04-05 23:17:04", "2018-04-05 23:17:04", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-02.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("177", "1", "2018-04-05 23:17:05", "2018-04-05 23:17:05", "", "paris-wide-04", "", "inherit", "open", "closed", "", "paris-wide-04", "", "", "2018-04-05 23:17:05", "2018-04-05 23:17:05", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-04.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2018-04-05 23:17:06", "2018-04-05 23:17:06", "", "paris-wide-05", "", "inherit", "open", "closed", "", "paris-wide-05", "", "", "2018-04-05 23:17:06", "2018-04-05 23:17:06", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-05.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("179", "1", "2018-04-05 23:17:08", "2018-04-05 23:17:08", "", "paris-wide-06", "", "inherit", "open", "closed", "", "paris-wide-06", "", "", "2018-04-05 23:17:08", "2018-04-05 23:17:08", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-06.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2018-04-05 23:17:09", "2018-04-05 23:17:09", "", "paris-wide-07", "", "inherit", "open", "closed", "", "paris-wide-07", "", "", "2018-04-05 23:17:09", "2018-04-05 23:17:09", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-07.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("181", "1", "2018-04-05 23:17:22", "2018-04-05 23:17:22", "", "paris-wide-11", "", "inherit", "open", "closed", "", "paris-wide-11", "", "", "2018-04-05 23:17:22", "2018-04-05 23:17:22", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2018-04-05 23:17:45", "2018-04-05 23:17:45", "", "paris-wide-12", "", "inherit", "open", "closed", "", "paris-wide-12", "", "", "2018-04-05 23:17:45", "2018-04-05 23:17:45", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("183", "1", "2018-04-05 23:17:51", "2018-04-05 23:17:51", "", "paris-wide-14", "", "inherit", "open", "closed", "", "paris-wide-14", "", "", "2018-04-05 23:17:51", "2018-04-05 23:17:51", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2018-04-05 23:17:58", "2018-04-05 23:17:58", "", "paris-wide-15", "", "inherit", "open", "closed", "", "paris-wide-15", "", "", "2018-04-05 23:17:58", "2018-04-05 23:17:58", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-15.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("185", "1", "2018-04-05 23:18:15", "2018-04-05 23:18:15", "", "paris-wide-22", "", "inherit", "open", "closed", "", "paris-wide-22", "", "", "2018-04-05 23:18:15", "2018-04-05 23:18:15", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-22.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2018-04-05 23:18:44", "2018-04-05 23:18:44", "", "paris-wide-18", "", "inherit", "open", "closed", "", "paris-wide-18", "", "", "2018-04-05 23:18:44", "2018-04-05 23:18:44", "", "0", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("187", "1", "2018-04-05 23:27:47", "2018-04-05 23:27:47", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris", "Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "publish", "open", "open", "", "paris-2", "", "", "2018-04-06 05:18:13", "2018-04-06 05:18:13", "", "0", "http://localhost:8888/iheartcities/?p=187", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("188", "1", "2018-04-05 23:27:47", "2018-04-05 23:27:47", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris", "", "inherit", "closed", "closed", "", "187-revision-v1", "", "", "2018-04-05 23:27:47", "2018-04-05 23:27:47", "", "187", "http://localhost:8888/iheartcities/2018/04/05/187-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("189", "1", "2018-04-05 23:29:26", "2018-04-05 23:29:26", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "187-revision-v1", "", "", "2018-04-05 23:29:26", "2018-04-05 23:29:26", "", "187", "http://localhost:8888/iheartcities/2018/04/05/187-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("190", "1", "2018-04-05 23:30:38", "2018-04-05 23:30:38", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 01", "The Paris had a GDP of €681 billion (US$850 billion) in 2016. ", "publish", "open", "open", "", "paris-01", "", "", "2018-04-06 06:30:17", "2018-04-06 06:30:17", "", "0", "http://localhost:8888/iheartcities/?p=190", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("191", "1", "2018-04-05 23:30:58", "2018-04-05 23:30:58", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 02", "The Paris Region has the third-highest GDP in the world and the largest regional GDP in the EU.", "publish", "open", "open", "", "paris-02", "", "", "2018-04-06 05:55:31", "2018-04-06 05:55:31", "", "0", "http://localhost:8888/iheartcities/?p=191", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("192", "1", "2018-04-05 23:31:01", "2018-04-05 23:31:01", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 03", "Paris-Charles de Gaulle Airport served 63.8 million passengers in 2014.", "publish", "open", "open", "", "paris-03", "", "", "2018-04-06 06:02:36", "2018-04-06 06:02:36", "", "0", "http://localhost:8888/iheartcities/?p=192", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("193", "1", "2018-04-05 23:31:04", "2018-04-05 23:31:04", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 04", "Opened in 1900, the city\'s subway system serves 5.23 million passengers daily", "publish", "open", "open", "", "paris-04", "", "", "2018-04-06 06:15:49", "2018-04-06 06:15:49", "", "0", "http://localhost:8888/iheartcities/?p=193", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("194", "1", "2018-04-05 23:31:06", "2018-04-05 23:31:06", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 05", "Paris received 23 million tourists in 2017.", "publish", "open", "open", "", "paris-05", "", "", "2018-04-06 06:10:39", "2018-04-06 06:10:39", "", "0", "http://localhost:8888/iheartcities/?p=194", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("195", "1", "2018-04-05 23:31:08", "2018-04-05 23:31:08", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 06", "Paris\'s Gare du Nord is one of the world\'s busiest railway stations, with 262 million passengers in 2015.", "publish", "open", "open", "", "paris-06", "", "", "2018-04-06 07:25:22", "2018-04-06 07:25:22", "", "0", "http://localhost:8888/iheartcities/?p=195", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("196", "1", "2018-04-05 23:31:10", "2018-04-05 23:31:10", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 07", "The Eiffel Tower was meant to be temporary, intended to stand for 20 years after the 1889 World Fair.", "publish", "open", "open", "", "paris-07", "", "", "2018-04-06 06:34:27", "2018-04-06 06:34:27", "", "0", "http://localhost:8888/iheartcities/?p=196", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("197", "1", "2018-04-05 23:31:12", "2018-04-05 23:31:12", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 08", "The first public showing of a movie took place in Paris in 1895.", "publish", "open", "open", "", "paris-08", "", "", "2018-04-06 05:31:21", "2018-04-06 05:31:21", "", "0", "http://localhost:8888/iheartcities/?p=197", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("198", "1", "2018-04-05 23:31:14", "2018-04-05 23:31:14", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 09", "The Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. ", "publish", "open", "open", "", "paris-09", "", "", "2018-04-06 05:21:35", "2018-04-06 05:21:35", "", "0", "http://localhost:8888/iheartcities/?p=198", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("199", "1", "2018-04-05 23:31:15", "2018-04-05 23:31:15", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 10", "Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "publish", "open", "open", "", "paris-10", "", "", "2018-04-06 05:21:54", "2018-04-06 05:21:54", "", "0", "http://localhost:8888/iheartcities/?p=199", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("200", "1", "2018-04-05 23:31:17", "2018-04-05 23:31:17", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 11", "There are 9057 open terraces (bars, cafes, or restaurants) in Paris.", "publish", "open", "open", "", "paris-11", "", "", "2018-04-06 05:56:29", "2018-04-06 05:56:29", "", "0", "http://localhost:8888/iheartcities/?p=200", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("201", "1", "2018-04-05 23:31:20", "2018-04-05 23:31:20", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 12", "There is only one stop sign in all of Paris. ", "publish", "open", "open", "", "paris-12", "", "", "2018-04-06 05:27:57", "2018-04-06 05:27:57", "", "0", "http://localhost:8888/iheartcities/?p=201", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2018-04-05 23:32:02", "2018-04-05 23:32:02", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 01", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2018-04-05 23:32:02", "2018-04-05 23:32:02", "", "190", "http://localhost:8888/iheartcities/2018/04/05/190-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("203", "1", "2018-04-05 23:32:11", "2018-04-05 23:32:11", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 02", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2018-04-05 23:32:11", "2018-04-05 23:32:11", "", "191", "http://localhost:8888/iheartcities/2018/04/05/191-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2018-04-05 23:32:18", "2018-04-05 23:32:18", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 03", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2018-04-05 23:32:18", "2018-04-05 23:32:18", "", "192", "http://localhost:8888/iheartcities/2018/04/05/192-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("205", "1", "2018-04-05 23:32:26", "2018-04-05 23:32:26", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 04", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2018-04-05 23:32:26", "2018-04-05 23:32:26", "", "193", "http://localhost:8888/iheartcities/2018/04/05/193-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2018-04-05 23:32:38", "2018-04-05 23:32:38", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 05", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2018-04-05 23:32:38", "2018-04-05 23:32:38", "", "194", "http://localhost:8888/iheartcities/2018/04/05/194-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("207", "1", "2018-04-05 23:32:47", "2018-04-05 23:32:47", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 06", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2018-04-05 23:32:47", "2018-04-05 23:32:47", "", "195", "http://localhost:8888/iheartcities/2018/04/05/195-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("208", "1", "2018-04-05 23:32:53", "2018-04-05 23:32:53", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 07", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2018-04-05 23:32:53", "2018-04-05 23:32:53", "", "196", "http://localhost:8888/iheartcities/2018/04/05/196-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("209", "1", "2018-04-05 23:33:01", "2018-04-05 23:33:01", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 08", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2018-04-05 23:33:01", "2018-04-05 23:33:01", "", "197", "http://localhost:8888/iheartcities/2018/04/05/197-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("210", "1", "2018-04-05 23:33:06", "2018-04-05 23:33:06", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 09", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2018-04-05 23:33:06", "2018-04-05 23:33:06", "", "198", "http://localhost:8888/iheartcities/2018/04/05/198-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2018-04-05 23:33:25", "2018-04-05 23:33:25", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 10", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2018-04-05 23:33:25", "2018-04-05 23:33:25", "", "199", "http://localhost:8888/iheartcities/2018/04/05/199-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("212", "1", "2018-04-05 23:33:34", "2018-04-05 23:33:34", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 11", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2018-04-05 23:33:34", "2018-04-05 23:33:34", "", "200", "http://localhost:8888/iheartcities/2018/04/05/200-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2018-04-05 23:33:49", "2018-04-05 23:33:49", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 12", "Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "201-revision-v1", "", "", "2018-04-05 23:33:49", "2018-04-05 23:33:49", "", "201", "http://localhost:8888/iheartcities/2018/04/05/201-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("214", "1", "2018-04-05 23:45:25", "2018-04-05 23:45:25", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 01", " In 2011, Tokyo hosted 51 of the Fortune Global 500, the highest number in the world.", "publish", "open", "open", "", "tokyo-01", "", "", "2018-04-06 06:31:16", "2018-04-06 06:31:16", "", "0", "http://localhost:8888/iheartcities/?p=214", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2018-04-05 23:45:25", "2018-04-05 23:45:25", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 01", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "214-revision-v1", "", "", "2018-04-05 23:45:25", "2018-04-05 23:45:25", "", "214", "http://localhost:8888/iheartcities/2018/04/05/214-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("216", "1", "2018-04-05 23:45:46", "2018-04-05 23:45:46", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 02", "Shinjuku station is the largest and busiest railway station in the world: 3.70 million passengers per day.", "publish", "open", "open", "", "tokyo-02", "", "", "2018-04-06 05:58:02", "2018-04-06 05:58:02", "", "0", "http://localhost:8888/iheartcities/?p=216", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2018-04-05 23:45:52", "2018-04-05 23:45:52", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 03", "The 2016 QS Best Student Cities ranked Tokyo as the 3rd-best city in the world.", "publish", "open", "open", "", "tokyo-03", "", "", "2018-04-06 05:53:29", "2018-04-06 05:53:29", "", "0", "http://localhost:8888/iheartcities/?p=217", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("218", "1", "2018-04-05 23:45:55", "2018-04-05 23:45:55", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 04", "Tokyo will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "publish", "open", "open", "", "tokyo-04", "", "", "2018-04-06 07:39:32", "2018-04-06 07:39:32", "", "0", "http://localhost:8888/iheartcities/?p=218", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2018-04-05 23:45:56", "2018-04-05 23:45:56", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 05", " In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm.", "publish", "open", "open", "", "tokyo-05", "", "", "2018-04-06 05:44:49", "2018-04-06 05:44:49", "", "0", "http://localhost:8888/iheartcities/?p=219", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("220", "1", "2018-04-05 23:45:57", "2018-04-05 23:45:57", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 06", "Tokyo was declared the world\'s 11th most expensive city, according to the Economist.", "publish", "open", "open", "", "tokyo-06", "", "", "2018-04-06 06:34:48", "2018-04-06 06:34:48", "", "0", "http://localhost:8888/iheartcities/?p=220", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("221", "1", "2018-04-05 23:45:59", "2018-04-05 23:45:59", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 07", "Tokyo was originally a small fishing village named Edo.", "publish", "open", "open", "", "tokyo-07", "", "", "2018-04-06 05:46:08", "2018-04-06 05:46:08", "", "0", "http://localhost:8888/iheartcities/?p=221", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2018-04-05 23:46:01", "2018-04-05 23:46:01", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 08", "The wholesale fish market Tsukiji is the busiest and largest fish market in the world. ", "publish", "open", "open", "", "tokyo-08", "", "", "2018-04-06 05:46:13", "2018-04-06 05:46:13", "", "0", "http://localhost:8888/iheartcities/?p=222", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("223", "1", "2018-04-05 23:46:05", "2018-04-05 23:46:05", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 10", "Tokyo is part of the world\'s most populous metropolitan area, with up to 37.8 million people.", "publish", "open", "open", "", "tokyo-10", "", "", "2018-04-06 05:54:18", "2018-04-06 05:54:18", "", "0", "http://localhost:8888/iheartcities/?p=223", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2018-04-05 23:46:10", "2018-04-05 23:46:10", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 11", "Tokyo was ranked first in the 2017 Safe Cities Index.", "publish", "open", "open", "", "tokyo-11", "", "", "2018-04-06 07:27:29", "2018-04-06 07:27:29", "", "0", "http://localhost:8888/iheartcities/?p=224", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("225", "1", "2018-04-05 23:46:15", "2018-04-05 23:46:15", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 09", "The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world", "publish", "open", "open", "", "tokyo-09", "", "", "2018-04-06 05:36:00", "2018-04-06 05:36:00", "", "0", "http://localhost:8888/iheartcities/?p=225", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2018-04-05 23:46:20", "2018-04-05 23:46:20", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 12", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle. ", "publish", "open", "open", "", "tokyo-01-2", "", "", "2018-04-06 06:26:46", "2018-04-06 06:26:46", "", "0", "http://localhost:8888/iheartcities/?p=226", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("227", "1", "2018-04-05 23:46:36", "2018-04-05 23:46:36", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 02", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "216-revision-v1", "", "", "2018-04-05 23:46:36", "2018-04-05 23:46:36", "", "216", "http://localhost:8888/iheartcities/2018/04/05/216-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2018-04-05 23:46:51", "2018-04-05 23:46:51", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 03", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "217-revision-v1", "", "", "2018-04-05 23:46:51", "2018-04-05 23:46:51", "", "217", "http://localhost:8888/iheartcities/2018/04/05/217-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("229", "1", "2018-04-05 23:46:59", "2018-04-05 23:46:59", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 04", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "218-revision-v1", "", "", "2018-04-05 23:46:59", "2018-04-05 23:46:59", "", "218", "http://localhost:8888/iheartcities/2018/04/05/218-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("230", "1", "2018-04-05 23:47:07", "2018-04-05 23:47:07", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 05", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "219-revision-v1", "", "", "2018-04-05 23:47:07", "2018-04-05 23:47:07", "", "219", "http://localhost:8888/iheartcities/2018/04/05/219-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("231", "1", "2018-04-05 23:47:15", "2018-04-05 23:47:15", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 06", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "220-revision-v1", "", "", "2018-04-05 23:47:15", "2018-04-05 23:47:15", "", "220", "http://localhost:8888/iheartcities/2018/04/05/220-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("232", "1", "2018-04-05 23:47:25", "2018-04-05 23:47:25", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 07", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "221-revision-v1", "", "", "2018-04-05 23:47:25", "2018-04-05 23:47:25", "", "221", "http://localhost:8888/iheartcities/2018/04/05/221-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2018-04-05 23:47:36", "2018-04-05 23:47:36", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 08", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "222-revision-v1", "", "", "2018-04-05 23:47:36", "2018-04-05 23:47:36", "", "222", "http://localhost:8888/iheartcities/2018/04/05/222-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("234", "1", "2018-04-05 23:47:46", "2018-04-05 23:47:46", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 10", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "223-revision-v1", "", "", "2018-04-05 23:47:46", "2018-04-05 23:47:46", "", "223", "http://localhost:8888/iheartcities/2018/04/05/223-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("235", "1", "2018-04-05 23:47:58", "2018-04-05 23:47:58", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 11", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "224-revision-v1", "", "", "2018-04-05 23:47:58", "2018-04-05 23:47:58", "", "224", "http://localhost:8888/iheartcities/2018/04/05/224-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("236", "1", "2018-04-05 23:50:17", "2018-04-05 23:50:17", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 09", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "225-revision-v1", "", "", "2018-04-05 23:50:17", "2018-04-05 23:50:17", "", "225", "http://localhost:8888/iheartcities/2018/04/05/225-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("237", "1", "2018-04-05 23:50:27", "2018-04-05 23:50:27", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 12", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "226-revision-v1", "", "", "2018-04-05 23:50:27", "2018-04-05 23:50:27", "", "226", "http://localhost:8888/iheartcities/2018/04/05/226-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("238", "1", "2018-04-06 00:02:43", "2018-04-06 00:02:43", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\n\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\n\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\n\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 1", "", "inherit", "closed", "closed", "", "73-autosave-v1", "", "", "2018-04-06 00:02:43", "2018-04-06 00:02:43", "", "73", "http://localhost:8888/iheartcities/2018/04/05/73-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2018-04-06 00:07:16", "2018-04-06 00:07:16", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 1", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-04-06 00:07:16", "2018-04-06 00:07:16", "", "73", "http://localhost:8888/iheartcities/2018/04/06/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2018-04-06 00:10:24", "2018-04-06 00:10:24", "called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 2", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "72-revision-v1", "", "", "2018-04-06 00:10:24", "2018-04-06 00:10:24", "", "72", "http://localhost:8888/iheartcities/2018/04/06/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2018-04-06 00:10:47", "2018-04-06 00:10:47", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 3", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "71-revision-v1", "", "", "2018-04-06 00:10:47", "2018-04-06 00:10:47", "", "71", "http://localhost:8888/iheartcities/2018/04/06/71-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2018-04-06 00:11:13", "2018-04-06 00:11:13", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 4", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2018-04-06 00:11:13", "2018-04-06 00:11:13", "", "62", "http://localhost:8888/iheartcities/2018/04/06/62-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2018-04-06 00:11:37", "2018-04-06 00:11:37", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 5", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-04-06 00:11:37", "2018-04-06 00:11:37", "", "63", "http://localhost:8888/iheartcities/2018/04/06/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2018-04-06 00:11:48", "2018-04-06 00:11:48", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\n\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\n\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\n\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 6", "", "inherit", "closed", "closed", "", "64-autosave-v1", "", "", "2018-04-06 00:11:48", "2018-04-06 00:11:48", "", "64", "http://localhost:8888/iheartcities/2018/04/06/64-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2018-04-06 00:12:00", "2018-04-06 00:12:00", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 6", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-04-06 00:12:00", "2018-04-06 00:12:00", "", "64", "http://localhost:8888/iheartcities/2018/04/06/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2018-04-06 00:12:43", "2018-04-06 00:12:43", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 7", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "65-revision-v1", "", "", "2018-04-06 00:12:43", "2018-04-06 00:12:43", "", "65", "http://localhost:8888/iheartcities/2018/04/06/65-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2018-04-06 00:13:19", "2018-04-06 00:13:19", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 8", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "66-revision-v1", "", "", "2018-04-06 00:13:19", "2018-04-06 00:13:19", "", "66", "http://localhost:8888/iheartcities/2018/04/06/66-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2018-04-06 00:13:48", "2018-04-06 00:13:48", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 9", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-04-06 00:13:48", "2018-04-06 00:13:48", "", "67", "http://localhost:8888/iheartcities/2018/04/06/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("249", "1", "2018-04-06 00:14:16", "2018-04-06 00:14:16", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 10", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-04-06 00:14:16", "2018-04-06 00:14:16", "", "68", "http://localhost:8888/iheartcities/2018/04/06/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("250", "1", "2018-04-06 00:14:46", "2018-04-06 00:14:46", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 11", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-04-06 00:14:46", "2018-04-06 00:14:46", "", "69", "http://localhost:8888/iheartcities/2018/04/06/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2018-04-06 00:15:21", "2018-04-06 00:15:21", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 12", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2018-04-06 00:15:21", "2018-04-06 00:15:21", "", "70", "http://localhost:8888/iheartcities/2018/04/06/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "1", "2018-04-06 05:01:32", "2018-04-06 05:01:32", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\n\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\n\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\n\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "The first person buried in the tombs of St Paul\'s Cathedral is Sir Christopher Wren, the architect of the strucc", "inherit", "closed", "closed", "", "24-autosave-v1", "", "", "2018-04-06 05:01:32", "2018-04-06 05:01:32", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("253", "1", "2018-04-06 00:27:49", "2018-04-06 00:27:49", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 1", "London has been the setting for many works of literature.  Writers closely associated with the city are the diarist Samuel Pepys, noted for his eyewitness account of the Great Fire, Charles Dickens, whose representation of a foggy, snowy, grimy London of street sweepers and pickpockets has been a major influence on people\'s vision of early Victorian London, and Virginia Woolf, regarded as one of the foremost modernist literary figures of the 20th century. The pilgrims in Geoffrey Chaucer\'s late 14th-century Canterbury Tales set out for Canterbury from London – specifically, from the Tabard inn, Southwark. William Shakespeare spent a large part of his life living and working in London; his contemporary Ben Jonson was also based there, and some of his work—most notably his play The Alchemist—was set in the city. A Journal of the Plague Year (1722) by Daniel Defoe is a fictionalisation of the events of the 1665 Great Plague. ", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 00:27:49", "2018-04-06 00:27:49", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("254", "1", "2018-04-06 00:28:46", "2018-04-06 00:28:46", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 1", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 00:28:46", "2018-04-06 00:28:46", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("255", "1", "2018-04-06 00:29:01", "2018-04-06 00:29:01", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 00:29:01", "2018-04-06 00:29:01", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("256", "1", "2018-04-06 00:29:15", "2018-04-06 00:29:15", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 02", "The London Underground, which was built in 1863, was the first subway system in the world.", "publish", "open", "open", "", "london-02", "", "", "2018-04-06 05:02:02", "2018-04-06 05:02:02", "", "0", "http://localhost:8888/iheartcities/?p=256", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("257", "1", "2018-04-06 00:29:18", "2018-04-06 00:29:18", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 03", "London has 43 universities, the most in Europe.", "publish", "open", "open", "", "london-03", "", "", "2018-04-06 06:29:12", "2018-04-06 06:29:12", "", "0", "http://localhost:8888/iheartcities/?p=257", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("258", "1", "2018-04-06 00:29:20", "2018-04-06 00:29:20", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 04", "London has at least 170 Museums.", "publish", "open", "open", "", "london-04", "", "", "2018-04-06 05:34:00", "2018-04-06 05:34:00", "", "0", "http://localhost:8888/iheartcities/?p=258", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("259", "1", "2018-04-06 00:29:22", "2018-04-06 00:29:22", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 05", "London was the first city to host the Olympics three times.", "publish", "open", "open", "", "london-05", "", "", "2018-04-06 08:22:48", "2018-04-06 08:22:48", "", "0", "http://localhost:8888/iheartcities/?p=259", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("260", "1", "2018-04-06 00:29:24", "2018-04-06 00:29:24", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 06", "1.265 billion people use the London Underground every year.", "publish", "open", "open", "", "london-06", "", "", "2018-04-06 05:33:28", "2018-04-06 05:33:28", "", "0", "http://localhost:8888/iheartcities/?p=260", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2018-04-06 00:29:26", "2018-04-06 00:29:26", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 07", "The GDP of London is bigger than that of Belgium and Sweden.", "publish", "open", "open", "", "london-07", "", "", "2018-04-06 05:57:07", "2018-04-06 05:57:07", "", "0", "http://localhost:8888/iheartcities/?p=261", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2018-04-06 00:29:28", "2018-04-06 00:29:28", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 08", "The London Underground is the oldest underground railway network in the world.", "publish", "open", "open", "", "london-08", "", "", "2018-04-06 05:02:12", "2018-04-06 05:02:12", "", "0", "http://localhost:8888/iheartcities/?p=262", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2018-04-06 00:29:30", "2018-04-06 00:29:30", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 09", "London was founded by the Romans, who named it Londinium.", "publish", "open", "open", "", "london-09", "", "", "2018-04-06 06:32:02", "2018-04-06 06:32:02", "", "0", "http://localhost:8888/iheartcities/?p=263", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2018-04-06 00:29:32", "2018-04-06 00:29:32", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 10", "London is the world\'s largest financial centre, with the 5th largest metropolitan GDP. ", "publish", "open", "open", "", "london-10", "", "", "2018-04-06 05:59:51", "2018-04-06 05:59:51", "", "0", "http://localhost:8888/iheartcities/?p=264", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2018-04-06 00:29:34", "2018-04-06 00:29:34", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 11", "London has a diverse range of people and cultures: more than 300 languages are spoken in the region. ", "publish", "open", "open", "", "london-11", "", "", "2018-04-06 05:03:19", "2018-04-06 05:03:19", "", "0", "http://localhost:8888/iheartcities/?p=265", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2018-04-06 00:29:39", "2018-04-06 00:29:39", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 12", "London\'s 2016 population was 8,787,892, largest in the EU.", "publish", "open", "open", "", "london-12", "", "", "2018-04-06 07:24:12", "2018-04-06 07:24:12", "", "0", "http://localhost:8888/iheartcities/?p=266", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2018-04-06 00:29:57", "2018-04-06 00:29:57", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 02", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2018-04-06 00:29:57", "2018-04-06 00:29:57", "", "256", "http://localhost:8888/iheartcities/2018/04/06/256-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2018-04-06 00:30:06", "2018-04-06 00:30:06", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 03", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2018-04-06 00:30:06", "2018-04-06 00:30:06", "", "257", "http://localhost:8888/iheartcities/2018/04/06/257-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2018-04-06 00:30:14", "2018-04-06 00:30:14", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 04", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2018-04-06 00:30:14", "2018-04-06 00:30:14", "", "258", "http://localhost:8888/iheartcities/2018/04/06/258-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2018-04-06 00:30:23", "2018-04-06 00:30:23", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 05", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2018-04-06 00:30:23", "2018-04-06 00:30:23", "", "259", "http://localhost:8888/iheartcities/2018/04/06/259-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("271", "1", "2018-04-06 00:30:31", "2018-04-06 00:30:31", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 06", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2018-04-06 00:30:31", "2018-04-06 00:30:31", "", "260", "http://localhost:8888/iheartcities/2018/04/06/260-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("272", "1", "2018-04-06 00:30:39", "2018-04-06 00:30:39", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 07", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "261-revision-v1", "", "", "2018-04-06 00:30:39", "2018-04-06 00:30:39", "", "261", "http://localhost:8888/iheartcities/2018/04/06/261-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("273", "1", "2018-04-06 00:30:48", "2018-04-06 00:30:48", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 08", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "262-revision-v1", "", "", "2018-04-06 00:30:48", "2018-04-06 00:30:48", "", "262", "http://localhost:8888/iheartcities/2018/04/06/262-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("274", "1", "2018-04-06 00:30:57", "2018-04-06 00:30:57", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 09", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "263-revision-v1", "", "", "2018-04-06 00:30:57", "2018-04-06 00:30:57", "", "263", "http://localhost:8888/iheartcities/2018/04/06/263-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("275", "1", "2018-04-06 00:31:10", "2018-04-06 00:31:10", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 10", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "264-revision-v1", "", "", "2018-04-06 00:31:10", "2018-04-06 00:31:10", "", "264", "http://localhost:8888/iheartcities/2018/04/06/264-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("276", "1", "2018-04-06 00:31:27", "2018-04-06 00:31:27", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 11", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "265-revision-v1", "", "", "2018-04-06 00:31:27", "2018-04-06 00:31:27", "", "265", "http://localhost:8888/iheartcities/2018/04/06/265-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("277", "1", "2018-04-06 00:31:37", "2018-04-06 00:31:37", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 12", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.", "inherit", "closed", "closed", "", "266-revision-v1", "", "", "2018-04-06 00:31:37", "2018-04-06 00:31:37", "", "266", "http://localhost:8888/iheartcities/2018/04/06/266-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("278", "1", "2018-04-06 00:35:20", "2018-04-06 00:35:20", "", "london-wide-00", "", "inherit", "open", "closed", "", "london-wide-00", "", "", "2018-04-06 00:35:20", "2018-04-06 00:35:20", "", "264", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-00.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("279", "1", "2018-04-06 00:36:07", "2018-04-06 00:36:07", "", "london-wide-24", "", "inherit", "open", "closed", "", "london-wide-24", "", "", "2018-04-06 00:36:07", "2018-04-06 00:36:07", "", "265", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/london-wide-24.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("282", "1", "2018-04-06 01:51:41", "2018-04-06 01:51:41", " ", "", "", "publish", "closed", "closed", "", "282", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities/?p=282", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("283", "1", "2018-04-06 01:51:41", "2018-04-06 01:51:41", " ", "", "", "publish", "closed", "closed", "", "283", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities/?p=283", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("284", "1", "2018-04-06 01:51:41", "2018-04-06 01:51:41", " ", "", "", "publish", "closed", "closed", "", "284", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities/?p=284", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2018-04-06 01:51:41", "2018-04-06 01:51:41", " ", "", "", "publish", "closed", "closed", "", "285", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities/?p=285", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("286", "1", "2018-04-06 04:49:16", "2018-04-06 04:49:16", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\n\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\n\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\n\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 12", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population.", "inherit", "closed", "closed", "", "266-autosave-v1", "", "", "2018-04-06 04:49:16", "2018-04-06 04:49:16", "", "266", "http://localhost:8888/iheartcities/2018/04/06/266-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("287", "1", "2018-04-06 04:49:48", "2018-04-06 04:49:48", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 12", "London\'s estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population.", "inherit", "closed", "closed", "", "266-revision-v1", "", "", "2018-04-06 04:49:48", "2018-04-06 04:49:48", "", "266", "http://localhost:8888/iheartcities/2018/04/06/266-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("288", "1", "2018-04-06 04:49:58", "2018-04-06 04:49:58", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 11", "London has a diverse range of people and cultures, and more than 300 languages are spoken in the region. ", "inherit", "closed", "closed", "", "265-revision-v1", "", "", "2018-04-06 04:49:58", "2018-04-06 04:49:58", "", "265", "http://localhost:8888/iheartcities/2018/04/06/265-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("289", "1", "2018-04-06 04:50:11", "2018-04-06 04:50:11", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 11", "London has a diverse range of people and cultures: more than 300 languages are spoken in the region. ", "inherit", "closed", "closed", "", "265-revision-v1", "", "", "2018-04-06 04:50:11", "2018-04-06 04:50:11", "", "265", "http://localhost:8888/iheartcities/2018/04/06/265-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("290", "1", "2018-04-06 04:51:00", "2018-04-06 04:51:00", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\n\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\n\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\n\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 10", " It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. ", "inherit", "closed", "closed", "", "264-autosave-v1", "", "", "2018-04-06 04:51:00", "2018-04-06 04:51:00", "", "264", "http://localhost:8888/iheartcities/2018/04/06/264-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("291", "1", "2018-04-06 04:51:05", "2018-04-06 04:51:05", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 10", "London is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. ", "inherit", "closed", "closed", "", "264-revision-v1", "", "", "2018-04-06 04:51:05", "2018-04-06 04:51:05", "", "264", "http://localhost:8888/iheartcities/2018/04/06/264-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("292", "1", "2018-04-06 04:53:45", "2018-04-06 04:53:45", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 09", "A major settlement for two millennia, London was founded by the Romans, who named it Londinium.", "inherit", "closed", "closed", "", "263-revision-v1", "", "", "2018-04-06 04:53:45", "2018-04-06 04:53:45", "", "263", "http://localhost:8888/iheartcities/2018/04/06/263-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("293", "1", "2018-04-06 04:53:58", "2018-04-06 04:53:58", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 08", "The London Underground is the oldest underground railway network in the world.", "inherit", "closed", "closed", "", "262-revision-v1", "", "", "2018-04-06 04:53:58", "2018-04-06 04:53:58", "", "262", "http://localhost:8888/iheartcities/2018/04/06/262-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("294", "1", "2018-04-06 04:56:28", "2018-04-06 04:56:28", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 07", "The GDP of London is significantly larger than that of several European countries, including Belgium and Sweden.", "inherit", "closed", "closed", "", "261-revision-v1", "", "", "2018-04-06 04:56:28", "2018-04-06 04:56:28", "", "261", "http://localhost:8888/iheartcities/2018/04/06/261-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2018-04-06 04:57:04", "2018-04-06 04:57:04", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 05", "London was the first city to host the Olympics three times.", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2018-04-06 04:57:04", "2018-04-06 04:57:04", "", "259", "http://localhost:8888/iheartcities/2018/04/06/259-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2018-04-06 04:59:05", "2018-04-06 04:59:05", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\n\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\n\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\n\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 03", "London has 43 universities, the largest concentration of higher education in Europe.", "inherit", "closed", "closed", "", "257-autosave-v1", "", "", "2018-04-06 04:59:05", "2018-04-06 04:59:05", "", "257", "http://localhost:8888/iheartcities/2018/04/06/257-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2018-04-06 04:59:19", "2018-04-06 04:59:19", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 02", "The London Underground, which was built in 1863, was the first subway system in the world.", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2018-04-06 04:59:19", "2018-04-06 04:59:19", "", "256", "http://localhost:8888/iheartcities/2018/04/06/256-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2018-04-06 05:01:42", "2018-04-06 05:01:42", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "The first person buried in the tombs of St Paul\'s Cathedral is Sir Christopher Wren, the architect of the structure.", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 05:01:42", "2018-04-06 05:01:42", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2018-04-06 05:02:04", "2018-04-06 05:02:04", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 03", "London has 43 universities, the largest concentration of higher education in Europe.", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2018-04-06 05:02:04", "2018-04-06 05:02:04", "", "257", "http://localhost:8888/iheartcities/2018/04/06/257-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2018-04-06 05:06:00", "2018-04-06 05:06:00", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 8", "As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. ", "inherit", "closed", "closed", "", "66-revision-v1", "", "", "2018-04-06 05:06:00", "2018-04-06 05:06:00", "", "66", "http://localhost:8888/iheartcities/2018/04/06/66-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2018-04-06 05:06:19", "2018-04-06 05:06:19", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 7", "New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world.", "inherit", "closed", "closed", "", "65-revision-v1", "", "", "2018-04-06 05:06:19", "2018-04-06 05:06:19", "", "65", "http://localhost:8888/iheartcities/2018/04/06/65-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2018-04-06 05:06:46", "2018-04-06 05:06:46", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 6", " In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-04-06 05:06:46", "2018-04-06 05:06:46", "", "64", "http://localhost:8888/iheartcities/2018/04/06/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2018-04-06 05:08:47", "2018-04-06 05:08:47", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\n\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\n\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\n\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 5", "Three of the world\'s ten most visited tourist attractions are in New York: Times Square, ", "inherit", "closed", "closed", "", "63-autosave-v1", "", "", "2018-04-06 05:08:47", "2018-04-06 05:08:47", "", "63", "http://localhost:8888/iheartcities/2018/04/06/63-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2018-04-06 05:09:26", "2018-04-06 05:09:26", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 5", "Three of the world\'s ten most visited tourist attractions are in New York: Times Square, Central Park, and Grand Central Station.", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-04-06 05:09:26", "2018-04-06 05:09:26", "", "63", "http://localhost:8888/iheartcities/2018/04/06/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2018-04-06 05:10:12", "2018-04-06 05:10:12", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 4", "Several sources have ranked New York the most photographed city in the world.", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2018-04-06 05:10:12", "2018-04-06 05:10:12", "", "62", "http://localhost:8888/iheartcities/2018/04/06/62-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2018-04-06 05:12:36", "2018-04-06 05:12:36", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 3", "New York City has more people than 39 of the 50 states in the U.S.", "inherit", "closed", "closed", "", "71-revision-v1", "", "", "2018-04-06 05:12:36", "2018-04-06 05:12:36", "", "71", "http://localhost:8888/iheartcities/2018/04/06/71-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2018-04-06 05:12:44", "2018-04-06 05:12:44", "called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 2", "In 1920, a horse-drawn carriage filled with explosives was detonated on Wall Street killing 30 people. No one was ever caught, and it is considered to be one of the first acts of domestic terrorism.", "inherit", "closed", "closed", "", "72-revision-v1", "", "", "2018-04-06 05:12:44", "2018-04-06 05:12:44", "", "72", "http://localhost:8888/iheartcities/2018/04/06/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("308", "1", "2018-04-06 05:13:40", "2018-04-06 05:13:40", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 1", "There are more undergrad and graduate students in NYC than Boston has people.", "inherit", "closed", "closed", "", "73-revision-v1", "", "", "2018-04-06 05:13:40", "2018-04-06 05:13:40", "", "73", "http://localhost:8888/iheartcities/2018/04/06/73-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2018-04-06 05:14:37", "2018-04-06 05:14:37", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 12", "The entire world\'s population could fit in the state of Texas if it were as densely populated as New York City.", "inherit", "closed", "closed", "", "70-revision-v1", "", "", "2018-04-06 05:14:37", "2018-04-06 05:14:37", "", "70", "http://localhost:8888/iheartcities/2018/04/06/70-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2018-04-06 05:16:17", "2018-04-06 05:16:17", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 10", "New York City’s Federal Reserve Bank has the largest gold storage in the world. The vault is 80 feet below street level and contains $90 billion in gold.", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-04-06 05:16:17", "2018-04-06 05:16:17", "", "68", "http://localhost:8888/iheartcities/2018/04/06/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("311", "1", "2018-04-06 05:16:42", "2018-04-06 05:16:42", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\n\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\n\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\n\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 11", "In New York, 4 in 10 households speak a language other than English.", "inherit", "closed", "closed", "", "69-autosave-v1", "", "", "2018-04-06 05:16:42", "2018-04-06 05:16:42", "", "69", "http://localhost:8888/iheartcities/2018/04/06/69-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("312", "1", "2018-04-06 05:16:58", "2018-04-06 05:16:58", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 9", "New York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626.", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-04-06 05:16:58", "2018-04-06 05:16:58", "", "67", "http://localhost:8888/iheartcities/2018/04/06/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2018-04-06 05:17:25", "2018-04-06 05:17:25", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 11", "In New York, 4 in 10 households speak a language other than English.", "inherit", "closed", "closed", "", "69-revision-v1", "", "", "2018-04-06 05:17:25", "2018-04-06 05:17:25", "", "69", "http://localhost:8888/iheartcities/2018/04/06/69-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("314", "1", "2018-04-06 05:18:13", "2018-04-06 05:18:13", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris", "Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "187-revision-v1", "", "", "2018-04-06 05:18:13", "2018-04-06 05:18:13", "", "187", "http://localhost:8888/iheartcities/2018/04/06/187-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("315", "1", "2018-04-06 05:18:37", "2018-04-06 05:18:37", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 01", "The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. ", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2018-04-06 05:18:37", "2018-04-06 05:18:37", "", "190", "http://localhost:8888/iheartcities/2018/04/06/190-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("316", "1", "2018-04-06 05:18:54", "2018-04-06 05:18:54", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 02", "According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2018-04-06 05:18:54", "2018-04-06 05:18:54", "", "191", "http://localhost:8888/iheartcities/2018/04/06/191-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("317", "1", "2018-04-06 05:19:55", "2018-04-06 05:19:55", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\n\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\n\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\n\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\n\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 03", "Paris-Charles de Gaulle Airport is the second busiest airport in Europe after London Heathrow Airportwith 63.8 million passengers in 2014)", "inherit", "closed", "closed", "", "192-autosave-v1", "", "", "2018-04-06 05:19:55", "2018-04-06 05:19:55", "", "192", "http://localhost:8888/iheartcities/2018/04/06/192-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2018-04-06 05:20:18", "2018-04-06 05:20:18", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 03", "Paris-Charles de Gaulle Airport is the second busiest airport in Europe after London Heathrow Airport. It served 63.8 million passengers in 2014.", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2018-04-06 05:20:18", "2018-04-06 05:20:18", "", "192", "http://localhost:8888/iheartcities/2018/04/06/192-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("319", "1", "2018-04-06 05:20:25", "2018-04-06 05:20:25", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\n\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\n\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\n\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\n\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 04", "Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro.", "inherit", "closed", "closed", "", "193-autosave-v1", "", "", "2018-04-06 05:20:25", "2018-04-06 05:20:25", "", "193", "http://localhost:8888/iheartcities/2018/04/06/193-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("320", "1", "2018-04-06 05:20:37", "2018-04-06 05:20:37", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 04", "Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after the Moscow Metro.", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2018-04-06 05:20:37", "2018-04-06 05:20:37", "", "193", "http://localhost:8888/iheartcities/2018/04/06/193-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("321", "1", "2018-04-06 05:21:09", "2018-04-06 05:21:09", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 06", "Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2018-04-06 05:21:09", "2018-04-06 05:21:09", "", "195", "http://localhost:8888/iheartcities/2018/04/06/195-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("322", "1", "2018-04-06 05:21:35", "2018-04-06 05:21:35", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 09", "The Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. ", "inherit", "closed", "closed", "", "198-revision-v1", "", "", "2018-04-06 05:21:35", "2018-04-06 05:21:35", "", "198", "http://localhost:8888/iheartcities/2018/04/06/198-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("323", "1", "2018-04-06 05:21:54", "2018-04-06 05:21:54", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 10", "Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.", "inherit", "closed", "closed", "", "199-revision-v1", "", "", "2018-04-06 05:21:54", "2018-04-06 05:21:54", "", "199", "http://localhost:8888/iheartcities/2018/04/06/199-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2018-04-06 05:23:54", "2018-04-06 05:23:54", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\n\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\n\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\n\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\n\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 11", " If you were to spend each day of your life in Paris visiting a different open terrace (of a bar, cafe, or restaurant), then it would take you 29.8 years to see them all", "inherit", "closed", "closed", "", "200-autosave-v1", "", "", "2018-04-06 05:23:54", "2018-04-06 05:23:54", "", "200", "http://localhost:8888/iheartcities/2018/04/06/200-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2018-04-06 05:24:10", "2018-04-06 05:24:10", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 11", " If you were to spend each day of your life in Paris visiting a different open terrace (of a bar, cafe, or restaurant), then it would take you 29.8 years to see all 9,057 of them.", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2018-04-06 05:24:10", "2018-04-06 05:24:10", "", "200", "http://localhost:8888/iheartcities/2018/04/06/200-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2018-04-06 05:24:57", "2018-04-06 05:24:57", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\n\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\n\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\n\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\n\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 12", "There is only one stop sign in all of Paris. ", "inherit", "closed", "closed", "", "201-autosave-v1", "", "", "2018-04-06 05:24:57", "2018-04-06 05:24:57", "", "201", "http://localhost:8888/iheartcities/2018/04/06/201-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2018-04-06 05:27:57", "2018-04-06 05:27:57", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 12", "There is only one stop sign in all of Paris. ", "inherit", "closed", "closed", "", "201-revision-v1", "", "", "2018-04-06 05:27:57", "2018-04-06 05:27:57", "", "201", "http://localhost:8888/iheartcities/2018/04/06/201-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2018-04-06 05:31:21", "2018-04-06 05:31:21", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 08", "The first public showing of a movie took place in Paris in 1895.", "inherit", "closed", "closed", "", "197-revision-v1", "", "", "2018-04-06 05:31:21", "2018-04-06 05:31:21", "", "197", "http://localhost:8888/iheartcities/2018/04/06/197-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("329", "1", "2018-04-06 05:31:56", "2018-04-06 05:31:56", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 07", "The Eiffel Tower was supposed to be a temporary installation, intended to stand for 20 years after being built for the 1889 World Fair.", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2018-04-06 05:31:56", "2018-04-06 05:31:56", "", "196", "http://localhost:8888/iheartcities/2018/04/06/196-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2018-04-06 05:33:28", "2018-04-06 05:33:28", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 06", "1.265 billion people use the London Underground every year.", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2018-04-06 05:33:28", "2018-04-06 05:33:28", "", "260", "http://localhost:8888/iheartcities/2018/04/06/260-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("331", "1", "2018-04-06 05:34:00", "2018-04-06 05:34:00", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 04", "London has at least 170 Museums.", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2018-04-06 05:34:00", "2018-04-06 05:34:00", "", "258", "http://localhost:8888/iheartcities/2018/04/06/258-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("332", "1", "2018-04-06 05:35:47", "2018-04-06 05:35:47", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 12", "In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle. ", "inherit", "closed", "closed", "", "226-revision-v1", "", "", "2018-04-06 05:35:47", "2018-04-06 05:35:47", "", "226", "http://localhost:8888/iheartcities/2018/04/06/226-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2018-04-06 05:36:00", "2018-04-06 05:36:00", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 09", "The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world", "inherit", "closed", "closed", "", "225-revision-v1", "", "", "2018-04-06 05:36:00", "2018-04-06 05:36:00", "", "225", "http://localhost:8888/iheartcities/2018/04/06/225-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("334", "1", "2018-04-06 05:36:12", "2018-04-06 05:36:12", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\n\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\n\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 11", "Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. ", "inherit", "closed", "closed", "", "224-autosave-v1", "", "", "2018-04-06 05:36:12", "2018-04-06 05:36:12", "", "224", "http://localhost:8888/iheartcities/2018/04/06/224-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2018-04-06 05:36:17", "2018-04-06 05:36:17", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 11", "Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.", "inherit", "closed", "closed", "", "224-revision-v1", "", "", "2018-04-06 05:36:17", "2018-04-06 05:36:17", "", "224", "http://localhost:8888/iheartcities/2018/04/06/224-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2018-04-06 05:36:35", "2018-04-06 05:36:35", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 10", "Tokyo prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy.", "inherit", "closed", "closed", "", "223-revision-v1", "", "", "2018-04-06 05:36:35", "2018-04-06 05:36:35", "", "223", "http://localhost:8888/iheartcities/2018/04/06/223-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2018-04-06 05:36:57", "2018-04-06 05:36:57", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 08", " In 2011, Tokyo hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world at the time.", "inherit", "closed", "closed", "", "222-revision-v1", "", "", "2018-04-06 05:36:57", "2018-04-06 05:36:57", "", "222", "http://localhost:8888/iheartcities/2018/04/06/222-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2018-04-06 05:39:49", "2018-04-06 05:39:49", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 08", "The wholesale fish market Tsukiji is the busiest and largest fish market in the world. ", "inherit", "closed", "closed", "", "222-revision-v1", "", "", "2018-04-06 05:39:49", "2018-04-06 05:39:49", "", "222", "http://localhost:8888/iheartcities/2018/04/06/222-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2018-04-06 05:39:55", "2018-04-06 05:39:55", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\n\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\n\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 01", " In 2011, Tokyo hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world at the time.", "inherit", "closed", "closed", "", "214-autosave-v1", "", "", "2018-04-06 05:39:55", "2018-04-06 05:39:55", "", "214", "http://localhost:8888/iheartcities/2018/04/06/214-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("340", "1", "2018-04-06 05:39:58", "2018-04-06 05:39:58", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 01", " In 2011, Tokyo hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world at the time.", "inherit", "closed", "closed", "", "214-revision-v1", "", "", "2018-04-06 05:39:58", "2018-04-06 05:39:58", "", "214", "http://localhost:8888/iheartcities/2018/04/06/214-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("341", "1", "2018-04-06 05:40:26", "2018-04-06 05:40:26", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 02", "Shinjuku station is the largest and busiest railway station in the world. An average of 3.70 million passengers is pass through the station each day.", "inherit", "closed", "closed", "", "216-revision-v1", "", "", "2018-04-06 05:40:26", "2018-04-06 05:40:26", "", "216", "http://localhost:8888/iheartcities/2018/04/06/216-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2018-04-06 05:43:46", "2018-04-06 05:43:46", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 03", "The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  ", "inherit", "closed", "closed", "", "217-revision-v1", "", "", "2018-04-06 05:43:46", "2018-04-06 05:43:46", "", "217", "http://localhost:8888/iheartcities/2018/04/06/217-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2018-04-06 05:44:20", "2018-04-06 05:44:20", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 04", "Tokyo will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "inherit", "closed", "closed", "", "218-revision-v1", "", "", "2018-04-06 05:44:20", "2018-04-06 05:44:20", "", "218", "http://localhost:8888/iheartcities/2018/04/06/218-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2018-04-06 05:44:46", "2018-04-06 05:44:46", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\n\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\n\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 05", " In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm.", "inherit", "closed", "closed", "", "219-autosave-v1", "", "", "2018-04-06 05:44:46", "2018-04-06 05:44:46", "", "219", "http://localhost:8888/iheartcities/2018/04/06/219-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("345", "1", "2018-04-06 05:44:49", "2018-04-06 05:44:49", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 05", " In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm.", "inherit", "closed", "closed", "", "219-revision-v1", "", "", "2018-04-06 05:44:49", "2018-04-06 05:44:49", "", "219", "http://localhost:8888/iheartcities/2018/04/06/219-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("346", "1", "2018-04-06 05:45:08", "2018-04-06 05:45:08", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 06", "Tokyo was declared the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. ", "inherit", "closed", "closed", "", "220-revision-v1", "", "", "2018-04-06 05:45:08", "2018-04-06 05:45:08", "", "220", "http://localhost:8888/iheartcities/2018/04/06/220-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2018-04-06 05:46:02", "2018-04-06 05:46:02", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\n\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\n\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 07", "", "inherit", "closed", "closed", "", "221-autosave-v1", "", "", "2018-04-06 05:46:02", "2018-04-06 05:46:02", "", "221", "http://localhost:8888/iheartcities/2018/04/06/221-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("348", "1", "2018-04-06 05:46:08", "2018-04-06 05:46:08", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 07", "Tokyo was originally a small fishing village named Edo.", "inherit", "closed", "closed", "", "221-revision-v1", "", "", "2018-04-06 05:46:08", "2018-04-06 05:46:08", "", "221", "http://localhost:8888/iheartcities/2018/04/06/221-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2018-04-06 05:53:00", "2018-04-06 05:53:00", "called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 2", "In 1920, a horse-drawn carriage filled with explosives was detonated on Wall Street, killing 30 people.", "inherit", "closed", "closed", "", "72-revision-v1", "", "", "2018-04-06 05:53:00", "2018-04-06 05:53:00", "", "72", "http://localhost:8888/iheartcities/2018/04/06/72-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2018-04-06 05:53:29", "2018-04-06 05:53:29", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 03", "The 2016 QS Best Student Cities ranked Tokyo as the 3rd-best city in the world.", "inherit", "closed", "closed", "", "217-revision-v1", "", "", "2018-04-06 05:53:29", "2018-04-06 05:53:29", "", "217", "http://localhost:8888/iheartcities/2018/04/06/217-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("351", "1", "2018-04-06 05:54:11", "2018-04-06 05:54:11", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 10", "Tokyo is part of the world\'s most populous metropolitan area, with up to 37.8 million people.", "inherit", "closed", "closed", "", "223-revision-v1", "", "", "2018-04-06 05:54:11", "2018-04-06 05:54:11", "", "223", "http://localhost:8888/iheartcities/2018/04/06/223-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("352", "1", "2018-04-06 05:54:48", "2018-04-06 05:54:48", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "The first person buried in the tombs of St Paul\'s Cathedral is Sir Christopher Wren, the architect.", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 05:54:48", "2018-04-06 05:54:48", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("353", "1", "2018-04-06 05:55:31", "2018-04-06 05:55:31", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 02", "The Paris Region has the third-highest GDP in the world and the largest regional GDP in the EU.", "inherit", "closed", "closed", "", "191-revision-v1", "", "", "2018-04-06 05:55:31", "2018-04-06 05:55:31", "", "191", "http://localhost:8888/iheartcities/2018/04/06/191-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("354", "1", "2018-04-06 05:56:29", "2018-04-06 05:56:29", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 11", "There are 9057 open terraces (bars, cafes, or restaurants) in Paris.", "inherit", "closed", "closed", "", "200-revision-v1", "", "", "2018-04-06 05:56:29", "2018-04-06 05:56:29", "", "200", "http://localhost:8888/iheartcities/2018/04/06/200-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("355", "1", "2018-04-06 05:57:07", "2018-04-06 05:57:07", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 07", "The GDP of London is bigger than that of Belgium and Sweden.", "inherit", "closed", "closed", "", "261-revision-v1", "", "", "2018-04-06 05:57:07", "2018-04-06 05:57:07", "", "261", "http://localhost:8888/iheartcities/2018/04/06/261-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2018-04-06 05:58:02", "2018-04-06 05:58:02", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 02", "Shinjuku station is the largest and busiest railway station in the world: 3.70 million passengers per day.", "inherit", "closed", "closed", "", "216-revision-v1", "", "", "2018-04-06 05:58:02", "2018-04-06 05:58:02", "", "216", "http://localhost:8888/iheartcities/2018/04/06/216-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2018-04-06 05:58:57", "2018-04-06 05:58:57", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 12", "London\'s 2016 municipal population was 8,787,892, the largest in the EU.", "inherit", "closed", "closed", "", "266-revision-v1", "", "", "2018-04-06 05:58:57", "2018-04-06 05:58:57", "", "266", "http://localhost:8888/iheartcities/2018/04/06/266-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2018-04-06 05:59:51", "2018-04-06 05:59:51", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 10", "London is the world\'s largest financial centre, with the 5th largest metropolitan GDP. ", "inherit", "closed", "closed", "", "264-revision-v1", "", "", "2018-04-06 05:59:51", "2018-04-06 05:59:51", "", "264", "http://localhost:8888/iheartcities/2018/04/06/264-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("359", "1", "2018-04-06 06:00:08", "2018-04-06 06:00:08", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "The first person buried in the tombs of St Paul\'s Cathedral was Sir Christopher Wren, the architect.", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 06:00:08", "2018-04-06 06:00:08", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("360", "1", "2018-04-06 06:01:07", "2018-04-06 06:01:07", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 05", "Paris received 23 million tourists in 2017.", "inherit", "closed", "closed", "", "194-revision-v1", "", "", "2018-04-06 06:01:07", "2018-04-06 06:01:07", "", "194", "http://localhost:8888/iheartcities/2018/04/06/194-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("361", "1", "2018-04-06 06:01:59", "2018-04-06 06:01:59", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 04", "Opened in 1900, the city\'s subway system serves 5.23 million passengers daily", "inherit", "closed", "closed", "", "193-revision-v1", "", "", "2018-04-06 06:01:59", "2018-04-06 06:01:59", "", "193", "http://localhost:8888/iheartcities/2018/04/06/193-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2018-04-06 06:02:36", "2018-04-06 06:02:36", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 03", "Paris-Charles de Gaulle Airport served 63.8 million passengers in 2014.", "inherit", "closed", "closed", "", "192-revision-v1", "", "", "2018-04-06 06:02:36", "2018-04-06 06:02:36", "", "192", "http://localhost:8888/iheartcities/2018/04/06/192-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("363", "1", "2018-04-06 06:04:25", "2018-04-06 06:04:25", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 6", "If New York City were a country, it would have the 12th highest world GDP.", "inherit", "closed", "closed", "", "64-revision-v1", "", "", "2018-04-06 06:04:25", "2018-04-06 06:04:25", "", "64", "http://localhost:8888/iheartcities/2018/04/06/64-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("364", "1", "2018-04-06 06:05:30", "2018-04-06 06:05:30", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 9", "New York City was founded as New Amsterdam by colonists from the Dutch Republic.", "inherit", "closed", "closed", "", "67-revision-v1", "", "", "2018-04-06 06:05:30", "2018-04-06 06:05:30", "", "67", "http://localhost:8888/iheartcities/2018/04/06/67-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("365", "1", "2018-04-06 06:06:12", "2018-04-06 06:06:12", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 4", "New York is the most photographed city in the world.", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2018-04-06 06:06:12", "2018-04-06 06:06:12", "", "62", "http://localhost:8888/iheartcities/2018/04/06/62-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("366", "1", "2018-04-06 06:07:14", "2018-04-06 06:07:14", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 10", "NYC’s Federal Reserve Bank is 80 feet below street level and contains $90 billion in gold.", "inherit", "closed", "closed", "", "68-revision-v1", "", "", "2018-04-06 06:07:14", "2018-04-06 06:07:14", "", "68", "http://localhost:8888/iheartcities/2018/04/06/68-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("367", "1", "2018-04-06 06:08:33", "2018-04-06 06:08:33", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 01", "The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, 31% of France\'s GDP. ", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2018-04-06 06:08:33", "2018-04-06 06:08:33", "", "190", "http://localhost:8888/iheartcities/2018/04/06/190-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("368", "1", "2018-04-06 06:14:09", "2018-04-06 06:14:09", "", "paris-wide-08", "", "inherit", "open", "closed", "", "paris-wide-08", "", "", "2018-04-06 06:14:09", "2018-04-06 06:14:09", "", "193", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/paris-wide-08.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2018-04-06 06:20:12", "2018-04-06 06:20:12", "", "newyork-wide-00", "", "inherit", "open", "closed", "", "newyork-wide-00", "", "", "2018-04-06 06:20:12", "2018-04-06 06:20:12", "", "73", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/newyork-wide-00.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2018-04-06 06:26:03", "2018-04-06 06:26:03", "", "toyko-wide-30", "", "inherit", "open", "closed", "", "toyko-wide-30", "", "", "2018-04-06 06:26:03", "2018-04-06 06:26:03", "", "220", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/toyko-wide-30.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2018-04-06 06:26:04", "2018-04-06 06:26:04", "", "toyko-wide-31", "", "inherit", "open", "closed", "", "toyko-wide-31", "", "", "2018-04-06 06:26:04", "2018-04-06 06:26:04", "", "220", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/toyko-wide-31.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2018-04-06 06:26:05", "2018-04-06 06:26:05", "", "toyko-wide-32", "", "inherit", "open", "closed", "", "toyko-wide-32", "", "", "2018-04-06 06:26:05", "2018-04-06 06:26:05", "", "220", "http://localhost:8888/iheartcities/wp-content/uploads/2018/04/toyko-wide-32.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2018-04-06 06:28:38", "2018-04-06 06:28:38", "The City of New York, often called New York City or simply New York, is the most populous city in the United States. With an estimated 2017 population of 8,622,698 distributed over a land area of about 302.6 square miles (784 km2), New York City is also the most densely populated major city in the United States. Located at the southern tip of the state of New York, the city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 7", "New York City has he largest foreign-born population of any world city: 3.2 million.", "inherit", "closed", "closed", "", "65-revision-v1", "", "", "2018-04-06 06:28:38", "2018-04-06 06:28:38", "", "65", "http://localhost:8888/iheartcities/2018/04/06/65-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("374", "1", "2018-04-06 06:29:12", "2018-04-06 06:29:12", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 03", "London has 43 universities, the most in Europe.", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2018-04-06 06:29:12", "2018-04-06 06:29:12", "", "257", "http://localhost:8888/iheartcities/2018/04/06/257-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("375", "1", "2018-04-06 06:29:45", "2018-04-06 06:29:45", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 01", "The first person buried at St Paul\'s Cathedral was architect Sir Christopher Wren.", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2018-04-06 06:29:45", "2018-04-06 06:29:45", "", "24", "http://localhost:8888/iheartcities/2018/04/06/24-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("376", "1", "2018-04-06 06:30:17", "2018-04-06 06:30:17", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 01", "The Paris had a GDP of €681 billion (US$850 billion) in 2016. ", "inherit", "closed", "closed", "", "190-revision-v1", "", "", "2018-04-06 06:30:17", "2018-04-06 06:30:17", "", "190", "http://localhost:8888/iheartcities/2018/04/06/190-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("377", "1", "2018-04-06 06:31:16", "2018-04-06 06:31:16", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 01", " In 2011, Tokyo hosted 51 of the Fortune Global 500, the highest number in the world.", "inherit", "closed", "closed", "", "214-revision-v1", "", "", "2018-04-06 06:31:16", "2018-04-06 06:31:16", "", "214", "http://localhost:8888/iheartcities/2018/04/06/214-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("378", "1", "2018-04-06 06:32:02", "2018-04-06 06:32:02", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 09", "London was founded by the Romans, who named it Londinium.", "inherit", "closed", "closed", "", "263-revision-v1", "", "", "2018-04-06 06:32:02", "2018-04-06 06:32:02", "", "263", "http://localhost:8888/iheartcities/2018/04/06/263-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("379", "1", "2018-04-06 06:33:21", "2018-04-06 06:33:21", "he city is the center of the New York metropolitan area, the largest metropolitan area in the world by urban landmass and one of the world\'s most populous metacities, with an estimated 20.3 million people in its 2017 Metropolitan Statistical Area and 23.7 million residents in its Combined Statistical Area. A global power city, New York City has been described as the cultural, financial, and media capital of the world, and exerts a significant impact upon commerce, entertainment, research, technology, education, politics, tourism, and sports. The city\'s fast pace defines the term New York minute. Home to the headquarters of the United Nations, New York is an important center for international diplomacy.\r\n\r\nSituated on one of the world\'s largest natural harbors, New York City consists of five boroughs, each of which is a separate county of the State of New York. The five boroughs – Brooklyn, Queens, Manhattan, The Bronx, and Staten Island – were consolidated into a single city in 1898. The city and its metropolitan area constitute the premier gateway for legal immigration to the United States. As many as 800 languages are spoken in New York, making it the most linguistically diverse city in the world. New York City is home to more than 3.2 million residents born outside the United States, the largest foreign-born population of any city in the world. In 2013, the tri-state New York Metropolitan Statistical Area (MSA) produced a gross metropolitan product (GMP) of nearly US$1.4 trillion. If greater New York City were a sovereign state, it would have the 12th highest GDP in the world.\r\n\r\nNew York City traces its origins to a trading post founded by colonists from the Dutch Republic in 1624 on Lower Manhattan; the post was named New Amsterdam in 1626. The city and its surroundings came under English control in 1664 and were renamed New York after King Charles II of England granted the lands to his brother, the Duke of York. New York served as the capital of the United States from 1785 until 1790. It has been the country\'s largest city since 1790. The Statue of Liberty greeted millions of immigrants as they came to the Americas by ship in the late 19th and early 20th centuries and is a world symbol of the United States and its ideals of liberty and peace. In the 21st century, New York has emerged as a global node of creativity and entrepreneurship, social tolerance, and environmental sustainability, and as a symbol of freedom and cultural diversity.\r\n\r\nMany districts and landmarks in New York City are well known, and the city received a record 62.8 million tourists in 2017, hosting three of the world\'s ten most visited tourist attractions in 2013. Several sources have ranked New York the most photographed city in the world. Times Square, iconic as the world\'s \"heart\" and its \"Crossroads\", is the brightly illuminated hub of the Broadway Theater District, one of the world\'s busiest pedestrian intersections, and a major center of the world\'s entertainment industry. The names of many of the city\'s bridges, skyscrapers, and parks are known around the world. Anchored by Wall Street in the Financial District of Lower Manhattan, New York City has been called both the most economically powerful city and the leading financial center of the world,and the city is home to the world\'s two largest stock exchanges by total market capitalization, the New York Stock Exchange and NASDAQ. Manhattan\'s real estatemarket is among the most expensive in the world. Manhattan\'s Chinatown incorporates the highest concentration of Chinese people in the Western Hemisphere, with multiple signature Chinatowns developing across the city. Providing continuous 24/7 service, the New York City Subway is one of the most extensive metro systems worldwide, with 472 stations in operation. Over 120 colleges and universities are located in New York City, including Columbia University, New York University, and Rockefeller University, which have been ranked among the top universities in the world.", "New York 5", "NYC has 3 of the most visited tourist attractions: Times Square, Central Park, and Grand Central Station.", "inherit", "closed", "closed", "", "63-revision-v1", "", "", "2018-04-06 06:33:21", "2018-04-06 06:33:21", "", "63", "http://localhost:8888/iheartcities/2018/04/06/63-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("380", "1", "2018-04-06 06:34:27", "2018-04-06 06:34:27", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 07", "The Eiffel Tower was meant to be temporary, intended to stand for 20 years after the 1889 World Fair.", "inherit", "closed", "closed", "", "196-revision-v1", "", "", "2018-04-06 06:34:27", "2018-04-06 06:34:27", "", "196", "http://localhost:8888/iheartcities/2018/04/06/196-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("381", "1", "2018-04-06 06:34:48", "2018-04-06 06:34:48", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 06", "Tokyo was declared the world\'s 11th most expensive city, according to the Economist.", "inherit", "closed", "closed", "", "220-revision-v1", "", "", "2018-04-06 06:34:48", "2018-04-06 06:34:48", "", "220", "http://localhost:8888/iheartcities/2018/04/06/220-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("382", "1", "2018-04-06 07:24:12", "2018-04-06 07:24:12", "London is the capital and most populous city of England and the United Kingdom. Standing on the River Thames in the south east of the island of Great Britain, London has been a major settlement for two millennia. It was founded by the Romans, who named it Londinium. London\'s ancient core, the City of London, largely retains its 1.12-square-mile (2.9 km2) medieval boundaries. Since at least the 19th century, \"London\" has also referred to the metropolis around this core, historically split between Middlesex, Essex, Surrey, Kent and Hertfordshire, which today largely makes up Greater London, a region governed by the Mayor of London and the London Assembly.\r\n\r\nLondon is a leading global city in the arts, commerce, education, entertainment, fashion, finance, healthcare, media, professional services, research and development, tourism and transportation. It is the world\'s largest financial centre and has the fifth or sixth largest metropolitan area GDP in the world. London is often regarded as a world cultural capital. It is the world\'s most-visited city as measured by international arrivals and has the world\'s largest city airport system measured by passenger traffic. It is the world\'s leading investment destination, hosting more international retailers and ultra high-net-worth individuals than any other city. London\'s universities form the largest concentration of higher education institutes in Europe. In 2012, London became the first city to have hosted the modern Summer Olympic Games three times.\r\n\r\nLondon has a diverse range of people and cultures, and more than 300 languages are spoken in the region. Its estimated mid-2016 municipal population (corresponding to Greater London) was 8,787,892, the largest of any city in the European Union and accounting for 13.4% of the UK population. London\'s urban area is the second most populous in the EU, after Paris, with 9,787,426 inhabitants at the 2011 census. The city\'s metropolitan area is the most populous in the EU with 14,040,163 inhabitants in 2016, while the Greater London Authority states the population of the city-region (covering a large part of the south east) as 22.7 million. London was the world\'s most populous city from around 1831 to 1925.\r\n\r\nLondon contains four World Heritage Sites: the Tower of London; Kew Gardens; the site comprising the Palace of Westminster, Westminster Abbey, and St Margaret\'s Church; and the historic settlement of Greenwich (in which the Royal Observatory, Greenwich defines the Prime Meridian, 0° longitude, and GMT). Other landmarks include Buckingham Palace, the London Eye, Piccadilly Circus, St Paul\'s Cathedral, Tower Bridge, Trafalgar Square and The Shard. London is home to numerous museums, galleries, libraries, sporting events and other cultural institutions, including the British Museum, National Gallery, Natural History Museum, Tate Modern, British Library and West End theatres. The London Underground is the oldest underground railway network in the world.", "London 12", "London\'s 2016 population was 8,787,892, largest in the EU.", "inherit", "closed", "closed", "", "266-revision-v1", "", "", "2018-04-06 07:24:12", "2018-04-06 07:24:12", "", "266", "http://localhost:8888/iheartcities/2018/04/06/266-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2018-04-06 07:25:19", "2018-04-06 07:25:19", "Paris is the capital and most populous city in France, with an administrative-limits area of 105 square kilometres (41 square miles) and an official population of 2,206,488 (2015). The city is a commune and department, and the heart of the 12,012-square-kilometre (4,638-square-mile) Île-de-France region (colloquially known as the \'Paris Region\'), whose 2016 population of 12,142,802 represented roughly 18 percent of the population of France. Since the 17th century, Paris has been one of Europe\'s major centres of finance, commerce, fashion, science, and the arts. The Paris Region had a GDP of €681 billion (US$850 billion) in 2016, accounting for 31 percent of the GDP of France. According to official estimates, in 2013-14 the Paris Region had the third-highest GDP in the world and the largest regional GDP in the EU.\r\n\r\nThe City of Paris\'s administrative limits form an East-West oval centred on the island at its historical heart, the Île de la Cité; this island is near the top of an arc of the river Seine that divides the city into southern Rive Gauche (Left Bank) and northern Rive Droite regions. Paris is the core of a built-up area that extends well beyond its limits: commonly referred to as the agglomération Parisienne, and statistically as a unité urbaine (a measure of urban area), the Paris agglomeration\'s 2013 population of 10,601,122 made it the largest urban area in the European Union. City-influenced commuter activity reaches well beyond even this in a statistical aire urbaine de Paris (a measure of metropolitan area), that had a 2013 population of 12,405,426, a number one-fifth the population of France, the largest metropolitan area in the Eurozone.\r\n\r\nThe city is a major rail, highway, and air-transport hub served by two international airports: Paris-Charles de Gaulle (the second busiest airport in Europe after London Heathrow Airport with 63.8 million passengers in 2014) and Paris-Orly. Opened in 1900, the city\'s subway system, the Paris Métro, serves 5.23 million passengers daily, and is the second busiest metro system in Europe after Moscow Metro. Paris\'s Gare du Nord is one of the ten busiest railway stations in the world, with 262 million passengers in 2015.\r\n\r\nParis is especially known for its museums and architectural landmarks: the Louvre was the most visited art museum in the world in 2016, with 7.4 million visitors. The Musée d\'Orsay and Musée de l\'Orangerie are noted for their collections of French Impressionist art, and the Pompidou Centre Musée National d\'Art Moderne has the largest collection of modern and contemporary art in Europe. The historical district along the Seine in the city centre is classified as a UNESCO Heritage Site. Popular landmarks in the centre of the city include the Cathedral of Notre Dame de Paris and The Gothic royal chapel of Sainte-Chapelle, both on the Île de la Cité; the Eiffel Tower, constructed for the Paris Universal Exposition of 1889; the Grand Palais and Petit Palais, built for the Paris Universal Exposition of 1900; the Arc de Triomphe on the Champs-Élysées, and the Basilica of Sacré-Coeur on the hill of Montmartre. Paris received 23 million visitors in 2017, making it the world\'s top tourist destination.\r\n\r\nThe association football club Paris Saint-Germain and the rugby union club Stade Français are based in Paris. The 80,000-seat Stade de France, built for the 1998 FIFA World Cup, is located just north of Paris in the neighbouring commune of Saint-Denis. Paris hosts the annual French Open Grand Slam tennis tournament on the red clay of Roland Garros. Paris hosted the Olympic Games in 1900, 1924 and will host the 2024 Summer Olympics. The 1938 and 1998 FIFA World Cups, the 2007 Rugby World Cup, and the 1960, 1984, and 2016 UEFA European Championships were also held in the city, and every July, the Tour de France bicycle race finishes there.", "Paris 06", "Paris\'s Gare du Nord is one of the world\'s busiest railway stations, with 262 million passengers in 2015.", "inherit", "closed", "closed", "", "195-revision-v1", "", "", "2018-04-06 07:25:19", "2018-04-06 07:25:19", "", "195", "http://localhost:8888/iheartcities/2018/04/06/195-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("384", "1", "2018-04-06 07:27:29", "2018-04-06 07:27:29", "Tokyo, officially Tokyo Metropolis, is the capital city of Japan and one of its 47 prefectures. The Greater Tokyo Area is the most populous metropolitan area in the world. It is the seat of the Emperor of Japan and the Japanese government. Tokyo is in the Kantō region on the southeastern side of the main island Honshu and includes the Izu Islands and Ogasawara Islands. Formerly known as Edo, it has been the de facto seat of government since 1603 when Shōgun Tokugawa Ieyasu made the city his headquarters. It officially became the capital after Emperor Meijimoved his seat to the city from the old capital of Kyoto in 1868; at that time Edo was renamed Tokyo. Tokyo Metropolis was formed in 1943 from the merger of the former Tokyo Prefecture (東京府 Tōkyō-fu)and the city of Tokyo (東京市 Tōkyō-shi).\r\n\r\nTokyo is often referred to as a city, but is officially known and governed as a \"metropolitan prefecture\", which differs from and combines elements of a city and a prefecture, a characteristic unique to Tokyo. The Tokyo Metropolitan Government administers the 23 Special Wards of Tokyo (each governed as an individual city), which cover the area that was the city of Tokyo before it merged and became the metropolitan prefecture in 1943, the 30 municipalities in the western part of the prefecture, and the two outlying island chains. The population of the special wards is over 9 million people, with the total population of the prefecture exceeding 13 million. The prefecture is part of the world\'s most populous metropolitan area with upwards of 37.8 million people and the world\'s largest urban agglomeration economy. In 2011, the city hosted 51 of the Fortune Global 500 companies, the highest number of any city in the world, at that time. Tokyo ranked third (twice) in the International Financial Centres Development IndexEdit. The city is also home to various television networks such as Fuji TV, Tokyo MX, TV Tokyo, TV Asahi, Nippon Television, NHK and the Tokyo Broadcasting System.\r\n\r\nTokyo ranked first in the Global Economic Power Index and third in the Global Cities Index. The city is considered an alpha+ world city – as listed by the GaWC\'s 2008 inventory – and in 2014, Tokyo was ranked first in the \"Best overall experience\" category of TripAdvisor\'s World City Survey (the city also ranked first in the following categories: \"helpfulness of locals\", \"nightlife\", \"shopping\", \"local public transportation\" and \"cleanliness of streets\"). In 2015, Tokyo was ranked as the 11th most expensive city for expatriates, according to the Mercer consulting firm, and also the world\'s 11th most expensive city, according to the Economist Intelligence Unit\'s cost-of-living survey. In 2015, Tokyo was named the Most Liveable City in the world by the magazine Monocle.  The Michelin Guide has awarded Tokyo by far the most Michelin stars of any city in the world. Tokyo was ranked first out of all sixty cities in the 2017 Safe Cities Index.  The 2016 edition of QS Best Student Cities ranked Tokyo as the 3rd-best city in the world to be a university student.  Tokyo hosted the 1964 Summer Olympics, the 1979 G-7 summit, the 1986 G-7 summit, and the 1993 G-7 summit, and will host the 2019 Rugby World Cup, the 2020 Summer Olympics and the 2020 Summer Paralympics.", "Tokyo 11", "Tokyo was ranked first in the 2017 Safe Cities Index.", "inherit", "closed", "closed", "", "224-revision-v1", "", "", "2018-04-06 07:27:29", "2018-04-06 07:27:29", "", "224", "http://localhost:8888/iheartcities/2018/04/06/224-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("386", "1", "2018-07-16 14:37:12", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2018-07-16 14:37:12", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?p=386", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("387", "1", "2018-07-22 03:59:24", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "closed", "closed", "", "", "", "", "2018-07-22 03:59:24", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?page_id=387", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2018-07-22 04:00:01", "2018-07-22 04:00:01", "Thanks for your interest in IHeartCities.", "Contact", "", "publish", "closed", "closed", "", "contact", "", "", "2018-07-22 04:00:01", "2018-07-22 04:00:01", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?page_id=388", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("389", "1", "2018-07-22 04:00:01", "2018-07-22 04:00:01", "Thanks for your interest in IHeartCities.", "Contact", "", "inherit", "closed", "closed", "", "388-revision-v1", "", "", "2018-07-22 04:00:01", "2018-07-22 04:00:01", "", "388", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/22/388-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("390", "1", "2018-07-22 04:54:45", "2018-07-22 04:54:45", "not much to say right here, yet...", "About", "", "publish", "closed", "closed", "", "about", "", "", "2018-07-22 04:59:32", "2018-07-22 04:59:32", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?page_id=390", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2018-07-22 04:54:45", "2018-07-22 04:54:45", "not much to say right here, yet...", "About", "", "inherit", "closed", "closed", "", "390-revision-v1", "", "", "2018-07-22 04:54:45", "2018-07-22 04:54:45", "", "390", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/22/390-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2018-07-22 05:00:22", "2018-07-22 05:00:22", "", "Cities", "", "publish", "open", "open", "", "cities", "", "", "2018-07-22 05:00:47", "2018-07-22 05:00:47", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?p=392", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("393", "1", "2018-07-22 04:59:59", "2018-07-22 04:59:59", "", "Cities", "", "inherit", "closed", "closed", "", "392-revision-v1", "", "", "2018-07-22 04:59:59", "2018-07-22 04:59:59", "", "392", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/22/392-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("394", "1", "2018-07-22 05:01:02", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2018-07-22 05:01:02", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?p=394", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2018-07-22 05:01:41", "2018-07-22 05:01:41", " ", "", "", "publish", "closed", "closed", "", "395", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?p=395", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("396", "1", "2018-07-22 05:01:41", "2018-07-22 05:01:41", " ", "", "", "publish", "closed", "closed", "", "396", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?p=396", "7", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2018-07-22 05:01:41", "2018-07-22 05:01:41", " ", "", "", "publish", "closed", "closed", "", "397", "", "", "2018-07-22 05:03:59", "2018-07-22 05:03:59", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?p=397", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2018-07-23 00:18:40", "2018-07-23 00:18:40", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "Feature Area 1", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "publish", "closed", "closed", "", "feature-area-1", "", "", "2018-07-23 03:14:31", "2018-07-23 03:14:31", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?post_type=home_page_feature&#038;p=398", "0", "home_page_feature", "", "0");
INSERT INTO `wp_posts` VALUES("399", "1", "2018-07-23 00:14:53", "2018-07-23 00:14:53", "", "default-feature-image-4", "", "inherit", "open", "closed", "", "default-feature-image-4", "", "", "2018-07-23 00:14:53", "2018-07-23 00:14:53", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/default-feature-image-4.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2018-07-23 00:14:54", "2018-07-23 00:14:54", "", "default-feature-image-3", "", "inherit", "open", "closed", "", "default-feature-image-3", "", "", "2018-07-23 00:14:54", "2018-07-23 00:14:54", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/default-feature-image-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2018-07-23 00:14:55", "2018-07-23 00:14:55", "", "default-feature-image-2", "", "inherit", "open", "closed", "", "default-feature-image-2", "", "", "2018-07-23 00:14:55", "2018-07-23 00:14:55", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/default-feature-image-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("402", "1", "2018-07-23 00:14:56", "2018-07-23 00:14:56", "", "default-feature-image-1", "", "inherit", "open", "closed", "", "default-feature-image-1", "", "", "2018-07-23 00:14:56", "2018-07-23 00:14:56", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/default-feature-image-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("403", "1", "2018-07-23 00:14:57", "2018-07-23 00:14:57", "", "default-feature-image-0", "", "inherit", "open", "closed", "", "default-feature-image-0", "", "", "2018-07-23 00:14:57", "2018-07-23 00:14:57", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/default-feature-image-0.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("404", "1", "2018-07-23 00:14:58", "2018-07-23 00:14:58", "", "unsplash-landscape-2018-23", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-23", "", "", "2018-07-23 00:14:58", "2018-07-23 00:14:58", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-23.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("405", "1", "2018-07-23 00:14:59", "2018-07-23 00:14:59", "", "unsplash-landscape-2018-32", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-32", "", "", "2018-07-23 00:14:59", "2018-07-23 00:14:59", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-32.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2018-07-23 00:14:59", "2018-07-23 00:14:59", "", "unsplash-landscape-2018-16", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-16", "", "", "2018-07-23 00:14:59", "2018-07-23 00:14:59", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-16.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("407", "1", "2018-07-23 00:15:00", "2018-07-23 00:15:00", "", "unsplash-landscape-2018-24", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-24", "", "", "2018-07-23 00:15:00", "2018-07-23 00:15:00", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-24.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("408", "1", "2018-07-23 00:15:01", "2018-07-23 00:15:01", "", "unsplash-landscape-2018-25", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-25", "", "", "2018-07-23 00:15:01", "2018-07-23 00:15:01", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-25.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2018-07-23 00:15:02", "2018-07-23 00:15:02", "", "unsplash-landscape-2018-26", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-26", "", "", "2018-07-23 00:15:02", "2018-07-23 00:15:02", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-26.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("410", "1", "2018-07-23 00:15:03", "2018-07-23 00:15:03", "", "unsplash-landscape-2018-27", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-27", "", "", "2018-07-23 00:15:03", "2018-07-23 00:15:03", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-27.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2018-07-23 00:15:04", "2018-07-23 00:15:04", "", "unsplash-landscape-2018-28", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-28", "", "", "2018-07-23 00:15:04", "2018-07-23 00:15:04", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-28.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2018-07-23 00:15:04", "2018-07-23 00:15:04", "", "unsplash-landscape-2018-29", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-29", "", "", "2018-07-23 00:15:04", "2018-07-23 00:15:04", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-29.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("413", "1", "2018-07-23 00:15:05", "2018-07-23 00:15:05", "", "unsplash-landscape-2018-33", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-33", "", "", "2018-07-23 00:15:05", "2018-07-23 00:15:05", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-33.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("414", "1", "2018-07-23 00:15:06", "2018-07-23 00:15:06", "", "unsplash-landscape-2018-34", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-34", "", "", "2018-07-23 00:15:06", "2018-07-23 00:15:06", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-34.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("415", "1", "2018-07-23 00:15:07", "2018-07-23 00:15:07", "", "unsplash-landscape-2018-17", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-17", "", "", "2018-07-23 00:15:07", "2018-07-23 00:15:07", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-17.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("416", "1", "2018-07-23 00:15:08", "2018-07-23 00:15:08", "", "unsplash-landscape-2018-18", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-18", "", "", "2018-07-23 00:15:08", "2018-07-23 00:15:08", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-18.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2018-07-23 00:15:09", "2018-07-23 00:15:09", "", "unsplash-landscape-2018-31", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-31", "", "", "2018-07-23 00:15:09", "2018-07-23 00:15:09", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-31.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("418", "1", "2018-07-23 00:15:09", "2018-07-23 00:15:09", "", "unsplash-landscape-2018-19", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-19", "", "", "2018-07-23 00:15:09", "2018-07-23 00:15:09", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-19.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("419", "1", "2018-07-23 00:15:10", "2018-07-23 00:15:10", "", "unsplash-landscape-2018-20", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-20", "", "", "2018-07-23 00:15:10", "2018-07-23 00:15:10", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-20.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2018-07-23 00:15:11", "2018-07-23 00:15:11", "", "unsplash-landscape-2018-21", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-21", "", "", "2018-07-23 00:15:11", "2018-07-23 00:15:11", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-21.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2018-07-23 00:15:12", "2018-07-23 00:15:12", "", "unsplash-landscape-2018-22", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-22", "", "", "2018-07-23 00:15:12", "2018-07-23 00:15:12", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-22.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2018-07-23 00:15:13", "2018-07-23 00:15:13", "", "unsplash-landscape-2018-35", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-35", "", "", "2018-07-23 00:15:13", "2018-07-23 00:15:13", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-35.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("423", "1", "2018-07-23 00:15:14", "2018-07-23 00:15:14", "", "unsplash-landscape-2018-30", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-30", "", "", "2018-07-23 00:15:14", "2018-07-23 00:15:14", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-30.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2018-07-23 00:15:15", "2018-07-23 00:15:15", "", "unsplash-landscape-2018-01", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-01", "", "", "2018-07-23 00:15:15", "2018-07-23 00:15:15", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-01.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("425", "1", "2018-07-23 00:15:16", "2018-07-23 00:15:16", "", "unsplash-landscape-2018-02", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-02", "", "", "2018-07-23 00:15:16", "2018-07-23 00:15:16", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-02.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("426", "1", "2018-07-23 00:15:16", "2018-07-23 00:15:16", "", "unsplash-landscape-2018-03", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-03", "", "", "2018-07-23 00:15:16", "2018-07-23 00:15:16", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-03.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("427", "1", "2018-07-23 00:15:17", "2018-07-23 00:15:17", "", "unsplash-landscape-2018-04", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-04", "", "", "2018-07-23 00:15:17", "2018-07-23 00:15:17", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-04.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("428", "1", "2018-07-23 00:15:18", "2018-07-23 00:15:18", "", "unsplash-landscape-2018-05", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-05", "", "", "2018-07-23 00:15:18", "2018-07-23 00:15:18", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-05.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("429", "1", "2018-07-23 00:15:19", "2018-07-23 00:15:19", "", "unsplash-landscape-2018-06", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-06", "", "", "2018-07-23 00:15:19", "2018-07-23 00:15:19", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-06.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("430", "1", "2018-07-23 00:15:20", "2018-07-23 00:15:20", "", "unsplash-landscape-2018-08", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-08", "", "", "2018-07-23 00:15:20", "2018-07-23 00:15:20", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-08.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("431", "1", "2018-07-23 00:15:21", "2018-07-23 00:15:21", "", "unsplash-landscape-2018-10", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-10", "", "", "2018-07-23 00:15:21", "2018-07-23 00:15:21", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-10.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("432", "1", "2018-07-23 00:15:22", "2018-07-23 00:15:22", "", "unsplash-landscape-2018-11", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-11", "", "", "2018-07-23 00:15:22", "2018-07-23 00:15:22", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-11.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("433", "1", "2018-07-23 00:15:23", "2018-07-23 00:15:23", "", "unsplash-landscape-2018-12", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-12", "", "", "2018-07-23 00:15:23", "2018-07-23 00:15:23", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-12.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("434", "1", "2018-07-23 00:15:24", "2018-07-23 00:15:24", "", "unsplash-landscape-2018-13", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-13", "", "", "2018-07-23 00:15:24", "2018-07-23 00:15:24", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-13.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("435", "1", "2018-07-23 00:15:25", "2018-07-23 00:15:25", "", "unsplash-landscape-2018-14", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-14", "", "", "2018-07-23 00:15:25", "2018-07-23 00:15:25", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-14.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("436", "1", "2018-07-23 00:15:26", "2018-07-23 00:15:26", "", "unsplash-landscape-2018-15", "", "inherit", "open", "closed", "", "unsplash-landscape-2018-15", "", "", "2018-07-23 00:15:26", "2018-07-23 00:15:26", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/wp-content/uploads/2018/07/unsplash-landscape-2018-15.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("437", "1", "2018-07-23 00:18:40", "2018-07-23 00:18:40", "Stately, plump Buck Mulligan came from the stairhead, bearing a bowl of lather on which a mirror and a razor lay crossed. A yellow dressinggown, ungirdled, was sustained gently behind him on the mild morning air. He held the bowl aloft and intoned:", "Feature Area 1", "", "inherit", "closed", "closed", "", "398-revision-v1", "", "", "2018-07-23 00:18:40", "2018-07-23 00:18:40", "", "398", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/398-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("438", "1", "2018-07-23 00:21:02", "2018-07-23 00:21:02", "God, isn’t he dreadful? he said frankly. A ponderous Saxon. He thinks you’re not a gentleman. ", "Feature Area 2", "God, isn’t he dreadful? he said frankly. A ponderous Saxon. He thinks you’re not a gentleman. ", "publish", "closed", "closed", "", "feature-area-2", "", "", "2018-07-23 03:28:29", "2018-07-23 03:28:29", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?post_type=home_page_feature&#038;p=438", "0", "home_page_feature", "", "0");
INSERT INTO `wp_posts` VALUES("439", "1", "2018-07-23 00:21:02", "2018-07-23 00:21:02", "God, isn’t he dreadful? he said frankly. A ponderous Saxon. He thinks you’re not a gentleman. ", "Feature Area 2", "God, isn’t he dreadful? he said frankly. A ponderous Saxon. He thinks you’re not a gentleman. ", "inherit", "closed", "closed", "", "438-revision-v1", "", "", "2018-07-23 00:21:02", "2018-07-23 00:21:02", "", "438", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/438-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("440", "1", "2018-07-23 01:09:49", "2018-07-23 01:09:49", "And what is death, he asked, your mother’s or yours or my own? You saw only your mother die. I see them pop off every day in the Mater and Richmond and cut up into tripes in the dissectingroom.", "Feature Area 3", "And what is death, he asked, your mother’s or yours or my own? You saw only your mother die. I see them pop off every day in the Mater and Richmond and cut up into tripes in the dissectingroom.", "publish", "closed", "closed", "", "feature-area-3", "", "", "2018-07-23 03:08:49", "2018-07-23 03:08:49", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?post_type=home_page_feature&#038;p=440", "0", "home_page_feature", "", "0");
INSERT INTO `wp_posts` VALUES("441", "1", "2018-07-23 01:11:45", "2018-07-23 01:11:45", "The mockery of it! he said gaily. Your absurd name, an ancient Greek!", "Feature Area 4", "The mockery of it! he said gaily. Your absurd name, an ancient Greek!", "publish", "closed", "closed", "", "feature-area-4", "", "", "2018-07-23 03:09:03", "2018-07-23 03:09:03", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?post_type=home_page_feature&#038;p=441", "0", "home_page_feature", "", "0");
INSERT INTO `wp_posts` VALUES("442", "1", "2018-07-23 01:14:27", "2018-07-23 01:14:27", "Yes, the newspapers were right: snow was general all over Ireland. It was falling on every part of the dark central plain, on the treeless hills, falling softly upon the Bog of Allen and, farther westward, softly falling into the dark mutinous Shannon waves. It was falling, too, upon every part of the lonely churchyard on the hill where Michael Furey lay buried. It lay thickly drifted on the crooked crosses and headstones, on the spears of the little gate, on the barren thorns. His soul swooned slowly as he heard the snow falling faintly through the universe and faintly falling, like the descent of their last end, upon all the living and the dead.", "Feature Area 5", "Yes, the newspapers were right: snow was general all over Ireland. It was falling on every part of the dark central plain, on the treeless hills, falling softly upon the Bog of Allen and, farther westward, softly falling into the dark mutinous Shannon waves. It was falling, too, upon every part of the lonely churchyard on the hill where Michael Furey lay buried. It lay thickly drifted on the crooked crosses and headstones, on the spears of the little gate, on the barren thorns. His soul swooned slowly as he heard the snow falling faintly through the universe and faintly falling, like the descent of their last end, upon all the living and the dead.", "publish", "closed", "closed", "", "feature-area-5", "", "", "2018-07-23 03:57:32", "2018-07-23 03:57:32", "", "0", "http://localhost:8888/iheartcities-revised-summer2018/?post_type=home_page_feature&#038;p=442", "0", "home_page_feature", "", "0");
INSERT INTO `wp_posts` VALUES("443", "1", "2018-07-23 01:09:49", "2018-07-23 01:09:49", "And what is death, he asked, your mother’s or yours or my own? You saw only your mother die. I see them pop off every day in the Mater and Richmond and cut up into tripes in the dissectingroom.", "Feature Area 3", "And what is death, he asked, your mother’s or yours or my own? You saw only your mother die. I see them pop off every day in the Mater and Richmond and cut up into tripes in the dissectingroom.", "inherit", "closed", "closed", "", "440-revision-v1", "", "", "2018-07-23 01:09:49", "2018-07-23 01:09:49", "", "440", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/440-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2018-07-23 01:11:45", "2018-07-23 01:11:45", "The mockery of it! he said gaily. Your absurd name, an ancient Greek!", "Feature Area 4", "The mockery of it! he said gaily. Your absurd name, an ancient Greek!", "inherit", "closed", "closed", "", "441-revision-v1", "", "", "2018-07-23 01:11:45", "2018-07-23 01:11:45", "", "441", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/441-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2018-07-23 01:14:27", "2018-07-23 01:14:27", "Stephen bent forward and peered at the mirror held out to him, cleft by a crooked crack. Hair on end. As he and others see me. Who chose this face for me? This dogsbody to rid of vermin. It asks me too.", "Feature Area 5", "Stephen bent forward and peered at the mirror held out to him, cleft by a crooked crack. Hair on end. As he and others see me. Who chose this face for me? This dogsbody to rid of vermin. It asks me too.", "inherit", "closed", "closed", "", "442-revision-v1", "", "", "2018-07-23 01:14:27", "2018-07-23 01:14:27", "", "442", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/442-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("446", "1", "2018-07-23 02:09:39", "2018-07-23 02:09:39", "Stephen bent forward and peered at the mirror held out to him, cleft by a crooked crack. Hair on end. As he and others see me. Who chose this face for me? This dogsbody to rid of vermin. It asks me too.", "Feature Area 5", "Yes, the newspapers were right: snow was general all over Ireland. It was falling on every part of the dark central plain, on the treeless hills, falling softly upon the Bog of Allen and, farther westward, softly falling into the dark mutinous Shannon waves. It was falling, too, upon every part of the lonely churchyard on the hill where Michael Furey lay buried. It lay thickly drifted on the crooked crosses and headstones, on the spears of the little gate, on the barren thorns. His soul swooned slowly as he heard the snow falling faintly through the universe and faintly falling, like the descent of their last end, upon all the living and the dead.", "inherit", "closed", "closed", "", "442-revision-v1", "", "", "2018-07-23 02:09:39", "2018-07-23 02:09:39", "", "442", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/442-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("447", "1", "2018-07-23 02:10:00", "2018-07-23 02:10:00", "Stephen bent forward and peered at the mirror held out to him, cleft by a crooked crack. Hair on end. As he and others see me. Who chose this face for me? This dogsbody to rid of vermin. It asks me too.", "Feature Area 5", "Stephen bent forward and peered at the mirror held out to him, cleft by a crooked crack. Hair on end. As he and others see me. Who chose this face for me? This dogsbody to rid of vermin. It asks me too.", "inherit", "closed", "closed", "", "442-revision-v1", "", "", "2018-07-23 02:10:00", "2018-07-23 02:10:00", "", "442", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/442-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("448", "1", "2018-07-23 02:10:07", "2018-07-23 02:10:07", "Stephen bent forward and peered at the mirror held out to him, cleft by a crooked crack. Hair on end. As he and others see me. Who chose this face for me? This dogsbody to rid of vermin. It asks me too.", "Feature Area 5", "Yes, the newspapers were right: snow was general all over Ireland. It was falling on every part of the dark central plain, on the treeless hills, falling softly upon the Bog of Allen and, farther westward, softly falling into the dark mutinous Shannon waves. It was falling, too, upon every part of the lonely churchyard on the hill where Michael Furey lay buried. It lay thickly drifted on the crooked crosses and headstones, on the spears of the little gate, on the barren thorns. His soul swooned slowly as he heard the snow falling faintly through the universe and faintly falling, like the descent of their last end, upon all the living and the dead.", "inherit", "closed", "closed", "", "442-revision-v1", "", "", "2018-07-23 02:10:07", "2018-07-23 02:10:07", "", "442", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/442-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("449", "1", "2018-07-23 02:10:30", "2018-07-23 02:10:30", "Yes, the newspapers were right: snow was general all over Ireland. It was falling on every part of the dark central plain, on the treeless hills, falling softly upon the Bog of Allen and, farther westward, softly falling into the dark mutinous Shannon waves. It was falling, too, upon every part of the lonely churchyard on the hill where Michael Furey lay buried. It lay thickly drifted on the crooked crosses and headstones, on the spears of the little gate, on the barren thorns. His soul swooned slowly as he heard the snow falling faintly through the universe and faintly falling, like the descent of their last end, upon all the living and the dead.", "Feature Area 5", "Yes, the newspapers were right: snow was general all over Ireland. It was falling on every part of the dark central plain, on the treeless hills, falling softly upon the Bog of Allen and, farther westward, softly falling into the dark mutinous Shannon waves. It was falling, too, upon every part of the lonely churchyard on the hill where Michael Furey lay buried. It lay thickly drifted on the crooked crosses and headstones, on the spears of the little gate, on the barren thorns. His soul swooned slowly as he heard the snow falling faintly through the universe and faintly falling, like the descent of their last end, upon all the living and the dead.", "inherit", "closed", "closed", "", "442-revision-v1", "", "", "2018-07-23 02:10:30", "2018-07-23 02:10:30", "", "442", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/442-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("450", "1", "2018-07-23 03:12:34", "2018-07-23 03:12:34", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "Feature Area 1", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "inherit", "closed", "closed", "", "398-autosave-v1", "", "", "2018-07-23 03:12:34", "2018-07-23 03:12:34", "", "398", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/398-autosave-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("451", "1", "2018-07-23 03:12:39", "2018-07-23 03:12:39", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "Feature Area 1", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "inherit", "closed", "closed", "", "398-revision-v1", "", "", "2018-07-23 03:12:39", "2018-07-23 03:12:39", "", "398", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/398-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("452", "1", "2018-07-23 03:13:49", "2018-07-23 03:13:49", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. ", "Feature Area 1", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "inherit", "closed", "closed", "", "398-revision-v1", "", "", "2018-07-23 03:13:49", "2018-07-23 03:13:49", "", "398", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/398-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("453", "1", "2018-07-23 03:14:00", "2018-07-23 03:14:00", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. ", "Feature Area 1", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. ", "inherit", "closed", "closed", "", "398-revision-v1", "", "", "2018-07-23 03:14:00", "2018-07-23 03:14:00", "", "398", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/398-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("454", "1", "2018-07-23 03:14:26", "2018-07-23 03:14:26", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "Feature Area 1", "Perched on high stools by the bar, hats shoved back, at the tables calling for more bread no charge, swilling, wolfing gobfuls of sloppy food, their eyes bulging, wiping wetted moustaches. A pallid suetfaced young man polished his tumbler knife fork and spoon with his napkin. New set of microbes. A man with an infant’s saucestained napkin tucked round him shovelled gurgling soup down his gullet. A man spitting back on his plate: halfmasticated gristle: gums: no teeth to chewchewchew it. Chump chop from the grill. Bolting to get it over. Sad booser’s eyes. Bitten off more than he can chew. Am I like that? See ourselves as others see us. Hungry man is an angry man. Working tooth and jaw. Don’t! O! A bone! That last pagan king of Ireland Cormac in the schoolpoem choked himself at Sletty southward of the Boyne. Wonder what he was eating. Something galoptious. Saint Patrick converted him to Christianity. Couldn’t swallow it all however.", "inherit", "closed", "closed", "", "398-revision-v1", "", "", "2018-07-23 03:14:26", "2018-07-23 03:14:26", "", "398", "http://localhost:8888/iheartcities-revised-summer2018/2018/07/23/398-revision-v1/", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("24", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("62", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("63", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("64", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("65", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("66", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("67", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("68", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("69", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("70", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("71", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("72", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("73", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("187", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("190", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("191", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("192", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("193", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("194", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("195", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("196", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("197", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("198", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("199", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("200", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("201", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("214", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("216", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("217", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("218", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("219", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("220", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("221", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("222", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("223", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("224", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("225", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("226", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("256", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("257", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("258", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("259", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("260", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("261", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("262", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("263", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("264", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("265", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("266", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("282", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("283", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("284", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("285", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("392", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("395", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("396", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("397", "6", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "category", "", "0", "12");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "12");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "", "0", "13");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "", "0", "12");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "nav_menu", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "category", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "London", "london", "0");
INSERT INTO `wp_terms` VALUES("3", "New York", "new-york", "0");
INSERT INTO `wp_terms` VALUES("4", "Paris", "paris", "0");
INSERT INTO `wp_terms` VALUES("5", "Tokyo", "tokyo", "0");
INSERT INTO `wp_terms` VALUES("6", "MainMenu", "mainmenu", "0");
INSERT INTO `wp_terms` VALUES("7", "Cities", "cities", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "wp496_privacy");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "386");
INSERT INTO `wp_usermeta` VALUES("18", "1", "community-events-location", "a:1:{s:2:\"ip\";s:2:\"::\";}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings", "libraryContent=browse&hidetb=1&editor_plain_text_paste_warning=2&editor=html");
INSERT INTO `wp_usermeta` VALUES("20", "1", "wp_user-settings-time", "1523002963");
INSERT INTO `wp_usermeta` VALUES("21", "1", "closedpostboxes_post", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("22", "1", "metaboxhidden_post", "a:6:{i:0;s:13:\"trackbacksdiv\";i:1;s:10:\"postcustom\";i:2;s:16:\"commentstatusdiv\";i:3;s:11:\"commentsdiv\";i:4;s:7:\"slugdiv\";i:5;s:9:\"authordiv\";}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:15:\"title-attribute\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";}");
INSERT INTO `wp_usermeta` VALUES("24", "1", "metaboxhidden_nav-menus", "a:1:{i:0;s:12:\"add-post_tag\";}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "session_tokens", "a:4:{s:64:\"7d6e684c4f63f0cbe265d8649e3e28e5bb953641e1f718c0e0cd1b2ec585bb68\";a:4:{s:10:\"expiration\";i:1532961066;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36\";s:5:\"login\";i:1531751466;}s:64:\"fffced1ca82f8da94ec69b0bc4446d6b86dc2e25122b8ac512fdcb4847be445b\";a:4:{s:10:\"expiration\";i:1532472524;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36\";s:5:\"login\";i:1532299724;}s:64:\"ac56e5a5588dbd853028ca6d487c41e54bbd51c8db5345e9fb17ed3e3022e6b0\";a:4:{s:10:\"expiration\";i:1532495802;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36\";s:5:\"login\";i:1532323002;}s:64:\"cd1c43142f7b90f20e15c6f311a2fb541986a48785d9c7727a0265676b378edb\";a:4:{s:10:\"expiration\";i:1532501578;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.99 Safari/537.36\";s:5:\"login\";i:1532328778;}}");
INSERT INTO `wp_usermeta` VALUES("26", "1", "nav_menu_recently_edited", "6");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BkenrZUuq1bFgpjQLXcemTCmWMOuhn.", "kevinmcmillan", "kevinmc@shaw.ca", "", "2018-04-02 06:24:03", "", "0", "kevinmcmillan");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2018-07-23 08:05:25*/
/* DUPLICATOR_MYSQLDUMP_EOF */
